!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 511

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(3167)
  integer, parameter :: nGC_21921 = 1
  integer, parameter :: nGC_21920 = 2
  integer, parameter :: nGC_21925 = 3
  integer, parameter :: nGC_21924 = 4
  integer, parameter :: nGC_21926 = 5
  integer, parameter :: nGC_21815 = 6
  integer, parameter :: nGC_21814 = 7
  integer, parameter :: nGC_21817 = 8
  integer, parameter :: nGC_21816 = 9
  integer, parameter :: nGC_21811 = 10
  integer, parameter :: nGC_21764 = 11
  integer, parameter :: nGC_21929 = 12
  integer, parameter :: nGC_21928 = 13
  integer, parameter :: nGC_21922 = 14
  integer, parameter :: nGC_75 = 15
  integer, parameter :: nGC_21927 = 16
  integer, parameter :: nGC_74 = 17
  integer, parameter :: nGC_21464 = 18
  integer, parameter :: nGC_20804 = 19
  integer, parameter :: nGC_21789 = 20
  integer, parameter :: nGC_20801 = 21
  integer, parameter :: nGC_307 = 22
  integer, parameter :: nGC_21491 = 23
  integer, parameter :: nGC_21490 = 24
  integer, parameter :: nGC_21493 = 25
  integer, parameter :: nGC_21492 = 26
  integer, parameter :: nGC_21495 = 27
  integer, parameter :: nGC_21494 = 28
  integer, parameter :: nGC_21497 = 29
  integer, parameter :: nGC_21542 = 30
  integer, parameter :: nGC_21499 = 31
  integer, parameter :: nGC_21498 = 32
  integer, parameter :: nGC_305 = 33
  integer, parameter :: nGC_21541 = 34
  integer, parameter :: nGC_21540 = 35
  integer, parameter :: nGC_21547 = 36
  integer, parameter :: nGC_21546 = 37
  integer, parameter :: nGC_21545 = 38
  integer, parameter :: nGC_21544 = 39
  integer, parameter :: nGC_21549 = 40
  integer, parameter :: nGC_232 = 41
  integer, parameter :: nGC_233 = 42
  integer, parameter :: nGC_21145 = 43
  integer, parameter :: nGC_21143 = 44
  integer, parameter :: nGC_237 = 45
  integer, parameter :: nGC_234 = 46
  integer, parameter :: nGC_235 = 47
  integer, parameter :: nGC_238 = 48
  integer, parameter :: nGC_239 = 49
  integer, parameter :: nGC_21149 = 50
  integer, parameter :: nGC_21148 = 51
  integer, parameter :: nGC_21000 = 52
  integer, parameter :: nGC_21001 = 53
  integer, parameter :: nGC_20849 = 54
  integer, parameter :: nGC_589 = 55
  integer, parameter :: nGC_20841 = 56
  integer, parameter :: nGC_20840 = 57
  integer, parameter :: nGC_587 = 58
  integer, parameter :: nGC_33299 = 59
  integer, parameter :: nGC_583 = 60
  integer, parameter :: nGC_348 = 61
  integer, parameter :: nGC_349 = 62
  integer, parameter :: nGC_346 = 63
  integer, parameter :: nGC_347 = 64
  integer, parameter :: nGC_344 = 65
  integer, parameter :: nGC_345 = 66
  integer, parameter :: nGC_342 = 67
  integer, parameter :: nGC_343 = 68
  integer, parameter :: nGC_340 = 69
  integer, parameter :: nGC_341 = 70
  integer, parameter :: nGC_567 = 71
  integer, parameter :: nGC_565 = 72
  integer, parameter :: nGC_563 = 73
  integer, parameter :: nGC_561 = 74
  integer, parameter :: nGC_21314 = 75
  integer, parameter :: nGC_21312 = 76
  integer, parameter :: nGC_21313 = 77
  integer, parameter :: nGC_21310 = 78
  integer, parameter :: nGC_21311 = 79
  integer, parameter :: nGC_168 = 80
  integer, parameter :: nGC_169 = 81
  integer, parameter :: nGC_162 = 82
  integer, parameter :: nGC_163 = 83
  integer, parameter :: nGC_160 = 84
  integer, parameter :: nGC_161 = 85
  integer, parameter :: nGC_166 = 86
  integer, parameter :: nGC_167 = 87
  integer, parameter :: nGC_164 = 88
  integer, parameter :: nGC_165 = 89
  integer, parameter :: nGC_22861 = 90
  integer, parameter :: nGC_21819 = 91
  integer, parameter :: nGC_21818 = 92
  integer, parameter :: nGC_MHA = 93
  integer, parameter :: nGC_MHC = 94
  integer, parameter :: nGC_MHL = 95
  integer, parameter :: nGC_MHH = 96
  integer, parameter :: nGC_21813 = 97
  integer, parameter :: nGC_21812 = 98
  integer, parameter :: nGC_21792 = 99
  integer, parameter :: nGC_21793 = 100
  integer, parameter :: nGC_21790 = 101
  integer, parameter :: nGC_21791 = 102
  integer, parameter :: nGC_21796 = 103
  integer, parameter :: nGC_21797 = 104
  integer, parameter :: nGC_21794 = 105
  integer, parameter :: nGC_21795 = 106
  integer, parameter :: nGC_21798 = 107
  integer, parameter :: nGC_21799 = 108
  integer, parameter :: nGC_21550 = 109
  integer, parameter :: nGC_21551 = 110
  integer, parameter :: nGC_21552 = 111
  integer, parameter :: nGC_21553 = 112
  integer, parameter :: nGC_21554 = 113
  integer, parameter :: nGC_2475 = 114
  integer, parameter :: nGC_21178 = 115
  integer, parameter :: nGC_21179 = 116
  integer, parameter :: nGC_593 = 117
  integer, parameter :: nGC_21172 = 118
  integer, parameter :: nGC_21173 = 119
  integer, parameter :: nGC_21170 = 120
  integer, parameter :: nGC_21171 = 121
  integer, parameter :: nGC_21174 = 122
  integer, parameter :: nGC_221 = 123
  integer, parameter :: nGC_220 = 124
  integer, parameter :: nGC_223 = 125
  integer, parameter :: nGC_222 = 126
  integer, parameter :: nGC_225 = 127
  integer, parameter :: nGC_224 = 128
  integer, parameter :: nGC_227 = 129
  integer, parameter :: nGC_226 = 130
  integer, parameter :: nGC_229 = 131
  integer, parameter :: nGC_228 = 132
  integer, parameter :: nGC_21772 = 133
  integer, parameter :: nGC_21015 = 134
  integer, parameter :: nGC_21014 = 135
  integer, parameter :: nGC_21017 = 136
  integer, parameter :: nGC_21016 = 137
  integer, parameter :: nGC_21011 = 138
  integer, parameter :: nGC_21010 = 139
  integer, parameter :: nGC_21013 = 140
  integer, parameter :: nGC_21012 = 141
  integer, parameter :: nGC_21019 = 142
  integer, parameter :: nGC_21018 = 143
  integer, parameter :: nGC_20788 = 144
  integer, parameter :: nGC_20789 = 145
  integer, parameter :: nGC_20838 = 146
  integer, parameter :: nGC_20839 = 147
  integer, parameter :: nGC_20834 = 148
  integer, parameter :: nGC_20783 = 149
  integer, parameter :: nGC_20836 = 150
  integer, parameter :: nGC_20837 = 151
  integer, parameter :: nGC_20786 = 152
  integer, parameter :: nGC_20831 = 153
  integer, parameter :: nGC_595 = 154
  integer, parameter :: nGC_20785 = 155
  integer, parameter :: nGC_359 = 156
  integer, parameter :: nGC_358 = 157
  integer, parameter :: nGC_355 = 158
  integer, parameter :: nGC_354 = 159
  integer, parameter :: nGC_357 = 160
  integer, parameter :: nGC_356 = 161
  integer, parameter :: nGC_351 = 162
  integer, parameter :: nGC_350 = 163
  integer, parameter :: nGC_353 = 164
  integer, parameter :: nGC_352 = 165
  integer, parameter :: nGC_575 = 166
  integer, parameter :: nGC_571 = 167
  integer, parameter :: nGC_573 = 168
  integer, parameter :: nGC_579 = 169
  integer, parameter :: nGC_20830 = 170
  integer, parameter :: nGC_21309 = 171
  integer, parameter :: nGC_21308 = 172
  integer, parameter :: nGC_21301 = 173
  integer, parameter :: nGC_21300 = 174
  integer, parameter :: nGC_21303 = 175
  integer, parameter :: nGC_21302 = 176
  integer, parameter :: nGC_21305 = 177
  integer, parameter :: nGC_21304 = 178
  integer, parameter :: nGC_34720 = 179
  integer, parameter :: nGC_21306 = 180
  integer, parameter :: nGC_179 = 181
  integer, parameter :: nGC_178 = 182
  integer, parameter :: nGC_20945 = 183
  integer, parameter :: nGC_20946 = 184
  integer, parameter :: nGC_20947 = 185
  integer, parameter :: nGC_171 = 186
  integer, parameter :: nGC_170 = 187
  integer, parameter :: nGC_173 = 188
  integer, parameter :: nGC_172 = 189
  integer, parameter :: nGC_175 = 190
  integer, parameter :: nGC_174 = 191
  integer, parameter :: nGC_177 = 192
  integer, parameter :: nGC_176 = 193
  integer, parameter :: nGC_21945 = 194
  integer, parameter :: nGC_21944 = 195
  integer, parameter :: nGC_21943 = 196
  integer, parameter :: nGC_21942 = 197
  integer, parameter :: nGC_21941 = 198
  integer, parameter :: nGC_21940 = 199
  integer, parameter :: nGC_773 = 200
  integer, parameter :: nGC_777 = 201
  integer, parameter :: nGC_21763 = 202
  integer, parameter :: nGC_21766 = 203
  integer, parameter :: nGC_21765 = 204
  integer, parameter :: nGC_22633 = 205
  integer, parameter :: nGC_99 = 206
  integer, parameter :: nGC_98 = 207
  integer, parameter :: nGC_97 = 208
  integer, parameter :: nGC_96 = 209
  integer, parameter :: nGC_95 = 210
  integer, parameter :: nGC_94 = 211
  integer, parameter :: nGC_93 = 212
  integer, parameter :: nGC_92 = 213
  integer, parameter :: nGC_91 = 214
  integer, parameter :: nGC_90 = 215
  integer, parameter :: nGC_21785 = 216
  integer, parameter :: nGC_21784 = 217
  integer, parameter :: nGC_21787 = 218
  integer, parameter :: nGC_21786 = 219
  integer, parameter :: nGC_21781 = 220
  integer, parameter :: nGC_21780 = 221
  integer, parameter :: nGC_21783 = 222
  integer, parameter :: nGC_21782 = 223
  integer, parameter :: nGC_21788 = 224
  integer, parameter :: nGC_21543 = 225
  integer, parameter :: nGC_77 = 226
  integer, parameter :: nGC_76 = 227
  integer, parameter :: nGC_71 = 228
  integer, parameter :: nGC_70 = 229
  integer, parameter :: nGC_73 = 230
  integer, parameter :: nGC_72 = 231
  integer, parameter :: nGC_34716 = 232
  integer, parameter :: nGC_21548 = 233
  integer, parameter :: nGC_79 = 234
  integer, parameter :: nGC_78 = 235
  integer, parameter :: nGC_TS_GC_345_Hl = 236
  integer, parameter :: nGC_21169 = 237
  integer, parameter :: nGC_21168 = 238
  integer, parameter :: nGC_21165 = 239
  integer, parameter :: nGC_21164 = 240
  integer, parameter :: nGC_21167 = 241
  integer, parameter :: nGC_21166 = 242
  integer, parameter :: nGC_21163 = 243
  integer, parameter :: nGC_21769 = 244
  integer, parameter :: nGC_218 = 245
  integer, parameter :: nGC_219 = 246
  integer, parameter :: nGC_214 = 247
  integer, parameter :: nGC_215 = 248
  integer, parameter :: nGC_216 = 249
  integer, parameter :: nGC_217 = 250
  integer, parameter :: nGC_210 = 251
  integer, parameter :: nGC_211 = 252
  integer, parameter :: nGC_212 = 253
  integer, parameter :: nGC_213 = 254
  integer, parameter :: nGC_20829 = 255
  integer, parameter :: nGC_20823 = 256
  integer, parameter :: nGC_368 = 257
  integer, parameter :: nGC_369 = 258
  integer, parameter :: nGC_360 = 259
  integer, parameter :: nGC_361 = 260
  integer, parameter :: nGC_363 = 261
  integer, parameter :: nGC_364 = 262
  integer, parameter :: nGC_365 = 263
  integer, parameter :: nGC_366 = 264
  integer, parameter :: nGC_367 = 265
  integer, parameter :: nGC_541 = 266
  integer, parameter :: nGC_543 = 267
  integer, parameter :: nGC_545 = 268
  integer, parameter :: nGC_547 = 269
  integer, parameter :: nGC_21378 = 270
  integer, parameter :: nGC_21374 = 271
  integer, parameter :: nGC_21375 = 272
  integer, parameter :: nGC_21376 = 273
  integer, parameter :: nGC_21377 = 274
  integer, parameter :: nGC_21370 = 275
  integer, parameter :: nGC_21371 = 276
  integer, parameter :: nGC_21372 = 277
  integer, parameter :: nGC_21373 = 278
  integer, parameter :: nGC_144 = 279
  integer, parameter :: nGC_145 = 280
  integer, parameter :: nGC_146 = 281
  integer, parameter :: nGC_147 = 282
  integer, parameter :: nGC_140 = 283
  integer, parameter :: nGC_141 = 284
  integer, parameter :: nGC_142 = 285
  integer, parameter :: nGC_143 = 286
  integer, parameter :: nGC_149 = 287
  integer, parameter :: nGC_20953 = 288
  integer, parameter :: nGC_20952 = 289
  integer, parameter :: nGC_20951 = 290
  integer, parameter :: nGC_20950 = 291
  integer, parameter :: nGC_20957 = 292
  integer, parameter :: nGC_20956 = 293
  integer, parameter :: nGC_20955 = 294
  integer, parameter :: nGC_20954 = 295
  integer, parameter :: nGC_20959 = 296
  integer, parameter :: nGC_20958 = 297
  integer, parameter :: nGC_21923 = 298
  integer, parameter :: nGC_781 = 299
  integer, parameter :: nGC_MI = 300
  integer, parameter :: nGC_MM = 301
  integer, parameter :: nGC_33401 = 302
  integer, parameter :: nGC_334 = 303
  integer, parameter :: nGC_MW = 304
  integer, parameter :: nGC_33423 = 305
  integer, parameter :: nGC_33931 = 306
  integer, parameter :: nGC_33424 = 307
  integer, parameter :: nGC_TS_GC_172_Hl = 308
  integer, parameter :: nGC_89 = 309
  integer, parameter :: nGC_TS_GC_172_Hh = 310
  integer, parameter :: nGC_80 = 311
  integer, parameter :: nGC_81 = 312
  integer, parameter :: nGC_82 = 313
  integer, parameter :: nGC_83 = 314
  integer, parameter :: nGC_84 = 315
  integer, parameter :: nGC_85 = 316
  integer, parameter :: nGC_86 = 317
  integer, parameter :: nGC_87 = 318
  integer, parameter :: nGC_66 = 319
  integer, parameter :: nGC_67 = 320
  integer, parameter :: nGC_64 = 321
  integer, parameter :: nGC_65 = 322
  integer, parameter :: nGC_62 = 323
  integer, parameter :: nGC_63 = 324
  integer, parameter :: nGC_21570 = 325
  integer, parameter :: nGC_21571 = 326
  integer, parameter :: nGC_34704 = 327
  integer, parameter :: nGC_22687 = 328
  integer, parameter :: nGC_68 = 329
  integer, parameter :: nGC_21579 = 330
  integer, parameter :: nGC_21289 = 331
  integer, parameter :: nGC_35146 = 332
  integer, parameter :: nGC_35147 = 333
  integer, parameter :: nGC_7407 = 334
  integer, parameter :: nGC_21688 = 335
  integer, parameter :: nGC_21689 = 336
  integer, parameter :: nGC_21685 = 337
  integer, parameter :: nGC_21686 = 338
  integer, parameter :: nGC_21680 = 339
  integer, parameter :: nGC_21681 = 340
  integer, parameter :: nGC_21682 = 341
  integer, parameter :: nGC_21683 = 342
  integer, parameter :: nGC_43129 = 343
  integer, parameter :: nGC_22849 = 344
  integer, parameter :: nGC_34141 = 345
  integer, parameter :: nGC_32281 = 346
  integer, parameter :: nGC_35924 = 347
  integer, parameter :: nGC_209 = 348
  integer, parameter :: nGC_208 = 349
  integer, parameter :: nGC_203 = 350
  integer, parameter :: nGC_202 = 351
  integer, parameter :: nGC_201 = 352
  integer, parameter :: nGC_200 = 353
  integer, parameter :: nGC_207 = 354
  integer, parameter :: nGC_21753 = 355
  integer, parameter :: nGC_205 = 356
  integer, parameter :: nGC_204 = 357
  integer, parameter :: nGC_34523 = 358
  integer, parameter :: nGC_377 = 359
  integer, parameter :: nGC_376 = 360
  integer, parameter :: nGC_375 = 361
  integer, parameter :: nGC_374 = 362
  integer, parameter :: nGC_373 = 363
  integer, parameter :: nGC_372 = 364
  integer, parameter :: nGC_371 = 365
  integer, parameter :: nGC_370 = 366
  integer, parameter :: nGC_20768 = 367
  integer, parameter :: nGC_20769 = 368
  integer, parameter :: nGC_379 = 369
  integer, parameter :: nGC_378 = 370
  integer, parameter :: nGC_559 = 371
  integer, parameter :: nGC_557 = 372
  integer, parameter :: nGC_555 = 373
  integer, parameter :: nGC_553 = 374
  integer, parameter :: nGC_551 = 375
  integer, parameter :: nGC_21369 = 376
  integer, parameter :: nGC_21368 = 377
  integer, parameter :: nGC_153 = 378
  integer, parameter :: nGC_152 = 379
  integer, parameter :: nGC_151 = 380
  integer, parameter :: nGC_150 = 381
  integer, parameter :: nGC_157 = 382
  integer, parameter :: nGC_156 = 383
  integer, parameter :: nGC_155 = 384
  integer, parameter :: nGC_154 = 385
  integer, parameter :: nGC_159 = 386
  integer, parameter :: nGC_158 = 387
  integer, parameter :: nGC_20966 = 388
  integer, parameter :: nGC_20967 = 389
  integer, parameter :: nGC_20964 = 390
  integer, parameter :: nGC_20965 = 391
  integer, parameter :: nGC_20962 = 392
  integer, parameter :: nGC_20963 = 393
  integer, parameter :: nGC_20960 = 394
  integer, parameter :: nGC_20961 = 395
  integer, parameter :: nGC_20968 = 396
  integer, parameter :: nGC_22690 = 397
  integer, parameter :: nGC_1661 = 398
  integer, parameter :: nGC_21213 = 399
  integer, parameter :: nGC_21212 = 400
  integer, parameter :: nGC_21214 = 401
  integer, parameter :: nGC_21219 = 402
  integer, parameter :: nGC_21218 = 403
  integer, parameter :: nGC_MW_GF = 404
  integer, parameter :: nGC_33962 = 405
  integer, parameter :: nGC_33963 = 406
  integer, parameter :: nGC_36198 = 407
  integer, parameter :: nGC_21519 = 408
  integer, parameter :: nGC_32119 = 409
  integer, parameter :: nGC_21147 = 410
  integer, parameter :: nGC_21517 = 411
  integer, parameter :: nGC_230 = 412
  integer, parameter :: nGC_35554 = 413
  integer, parameter :: nGC_231 = 414
  integer, parameter :: nGC_21512 = 415
  integer, parameter :: nGC_236 = 416
  integer, parameter :: nGC_TS_GC_173_Hh = 417
  integer, parameter :: nGC_21142 = 418
  integer, parameter :: nGC_21141 = 419
  integer, parameter :: nGC_21140 = 420
  integer, parameter :: nGC_TS_GC_342_Hl = 421
  integer, parameter :: nGC_332 = 422
  integer, parameter :: nGC_22506 = 423
  integer, parameter :: nGC_22505 = 424
  integer, parameter :: nGC_21569 = 425
  integer, parameter :: nGC_21568 = 426
  integer, parameter :: nGC_330 = 427
  integer, parameter :: nGC_337 = 428
  integer, parameter :: nGC_21563 = 429
  integer, parameter :: nGC_21562 = 430
  integer, parameter :: nGC_21565 = 431
  integer, parameter :: nGC_21564 = 432
  integer, parameter :: nGC_21567 = 433
  integer, parameter :: nGC_336 = 434
  integer, parameter :: nGC_53 = 435
  integer, parameter :: nGC_52 = 436
  integer, parameter :: nGC_51 = 437
  integer, parameter :: nGC_50 = 438
  integer, parameter :: nGC_57 = 439
  integer, parameter :: nGC_56 = 440
  integer, parameter :: nGC_55 = 441
  integer, parameter :: nGC_54 = 442
  integer, parameter :: nGC_59 = 443
  integer, parameter :: nGC_58 = 444
  integer, parameter :: nGC_21854 = 445
  integer, parameter :: nGC_21856 = 446
  integer, parameter :: nGC_MC = 447
  integer, parameter :: nGC_MB = 448
  integer, parameter :: nGC_32853 = 449
  integer, parameter :: nGC_21699 = 450
  integer, parameter :: nGC_21697 = 451
  integer, parameter :: nGC_21696 = 452
  integer, parameter :: nGC_21695 = 453
  integer, parameter :: nGC_21694 = 454
  integer, parameter :: nGC_21693 = 455
  integer, parameter :: nGC_21691 = 456
  integer, parameter :: nGC_21690 = 457
  integer, parameter :: nGC_ME = 458
  integer, parameter :: nGC_MD = 459
  integer, parameter :: nGC_MZ = 460
  integer, parameter :: nGC_37506 = 461
  integer, parameter :: nGC_TS_GC_363_Hl = 462
  integer, parameter :: nGC_32218 = 463
  integer, parameter :: nGC_MS = 464
  integer, parameter :: nGC_21180 = 465
  integer, parameter :: nGC_21740 = 466
  integer, parameter :: nGC_34048 = 467
  integer, parameter :: nGC_21747 = 468
  integer, parameter :: nGC_21746 = 469
  integer, parameter :: nGC_21749 = 470
  integer, parameter :: nGC_MU = 471
  integer, parameter :: nGC_MT = 472
  integer, parameter :: nGC_34994 = 473
  integer, parameter :: nGC_34995 = 474
  integer, parameter :: nGC_33099 = 475
  integer, parameter :: nGC_33252 = 476
  integer, parameter :: nGC_TS_GC_224_Hl = 477
  integer, parameter :: nGC_TS_GC_351_Hl = 478
  integer, parameter :: nGC_302 = 479
  integer, parameter :: nGC_303 = 480
  integer, parameter :: nGC_300 = 481
  integer, parameter :: nGC_301 = 482
  integer, parameter :: nGC_306 = 483
  integer, parameter :: nGC_20800 = 484
  integer, parameter :: nGC_304 = 485
  integer, parameter :: nGC_20802 = 486
  integer, parameter :: nGC_308 = 487
  integer, parameter :: nGC_309 = 488
  integer, parameter :: nGC_34862 = 489
  integer, parameter :: nGC_523 = 490
  integer, parameter :: nGC_527 = 491
  integer, parameter :: nGC_525 = 492
  integer, parameter :: nGC_21352 = 493
  integer, parameter :: nGC_21353 = 494
  integer, parameter :: nGC_21350 = 495
  integer, parameter :: nGC_21351 = 496
  integer, parameter :: nGC_21354 = 497
  integer, parameter :: nGC_21355 = 498
  integer, parameter :: nGC_TS_GC_215_Hl = 499
  integer, parameter :: nGC_TS_GC_215_Hh = 500
  integer, parameter :: nGC_20979 = 501
  integer, parameter :: nGC_20978 = 502
  integer, parameter :: nGC_20975 = 503
  integer, parameter :: nGC_20974 = 504
  integer, parameter :: nGC_20977 = 505
  integer, parameter :: nGC_20976 = 506
  integer, parameter :: nGC_32983 = 507
  integer, parameter :: nGC_32746 = 508
  integer, parameter :: nGC_40507 = 509
  integer, parameter :: nGC_33674 = 510
  integer, parameter :: nGC_33675 = 511
  integer, parameter :: nGC_21226 = 512
  integer, parameter :: nGC_21227 = 513
  integer, parameter :: nGC_21228 = 514
  integer, parameter :: nGC_21229 = 515
  integer, parameter :: nGC_20842 = 516
  integer, parameter :: nGC_581 = 517
  integer, parameter :: nGC_32619 = 518
  integer, parameter :: nGC_32618 = 519
  integer, parameter :: nGC_34202 = 520
  integer, parameter :: nGC_22608 = 521
  integer, parameter :: nGC_TS_GC_375_Hl = 522
  integer, parameter :: nGC_21518 = 523
  integer, parameter :: nGC_21514 = 524
  integer, parameter :: nGC_21515 = 525
  integer, parameter :: nGC_21516 = 526
  integer, parameter :: nGC_TS_GC_173_Hl = 527
  integer, parameter :: nGC_21510 = 528
  integer, parameter :: nGC_21511 = 529
  integer, parameter :: nGC_21513 = 530
  integer, parameter :: nGC_34724 = 531
  integer, parameter :: nGC_48 = 532
  integer, parameter :: nGC_49 = 533
  integer, parameter :: nGC_44 = 534
  integer, parameter :: nGC_46 = 535
  integer, parameter :: nGC_47 = 536
  integer, parameter :: nGC_40 = 537
  integer, parameter :: nGC_41 = 538
  integer, parameter :: nGC_42 = 539
  integer, parameter :: nGC_43 = 540
  integer, parameter :: nGC_2013 = 541
  integer, parameter :: nGC_2015 = 542
  integer, parameter :: nGC_33836 = 543
  integer, parameter :: nGC_21420 = 544
  integer, parameter :: nGC_21421 = 545
  integer, parameter :: nGC_21422 = 546
  integer, parameter :: nGC_21423 = 547
  integer, parameter :: nGC_21424 = 548
  integer, parameter :: nGC_32918 = 549
  integer, parameter :: nGC_21734 = 550
  integer, parameter :: nGC_21735 = 551
  integer, parameter :: nGC_21736 = 552
  integer, parameter :: nGC_21737 = 553
  integer, parameter :: nGC_35051 = 554
  integer, parameter :: nGC_33243 = 555
  integer, parameter :: nGC_TS_GC_348_Hh = 556
  integer, parameter :: nGC_311 = 557
  integer, parameter :: nGC_310 = 558
  integer, parameter :: nGC_313 = 559
  integer, parameter :: nGC_312 = 560
  integer, parameter :: nGC_315 = 561
  integer, parameter :: nGC_314 = 562
  integer, parameter :: nGC_317 = 563
  integer, parameter :: nGC_316 = 564
  integer, parameter :: nGC_319 = 565
  integer, parameter :: nGC_318 = 566
  integer, parameter :: nGC_21643 = 567
  integer, parameter :: nGC_21644 = 568
  integer, parameter :: nGC_21645 = 569
  integer, parameter :: nGC_21646 = 570
  integer, parameter :: nGC_21647 = 571
  integer, parameter :: nGC_539 = 572
  integer, parameter :: nGC_32443 = 573
  integer, parameter :: nGC_531 = 574
  integer, parameter :: nGC_32448 = 575
  integer, parameter :: nGC_535 = 576
  integer, parameter :: nGC_537 = 577
  integer, parameter :: nGC_21340 = 578
  integer, parameter :: nGC_TS_GC_234_Hl = 579
  integer, parameter :: nGC_20908 = 580
  integer, parameter :: nGC_20909 = 581
  integer, parameter :: nGC_20904 = 582
  integer, parameter :: nGC_20905 = 583
  integer, parameter :: nGC_20906 = 584
  integer, parameter :: nGC_20907 = 585
  integer, parameter :: nGC_20900 = 586
  integer, parameter :: nGC_20901 = 587
  integer, parameter :: nGC_20902 = 588
  integer, parameter :: nGC_20903 = 589
  integer, parameter :: nGC_34981 = 590
  integer, parameter :: nGC_37353 = 591
  integer, parameter :: nGC_21738 = 592
  integer, parameter :: nGC_21739 = 593
  integer, parameter :: nGC_21239 = 594
  integer, parameter :: nGC_21238 = 595
  integer, parameter :: nGC_33663 = 596
  integer, parameter :: nGC_33064 = 597
  integer, parameter :: nGC_35467 = 598
  integer, parameter :: nGC_54637 = 599
  integer, parameter :: nGC_54638 = 600
  integer, parameter :: nGC_36119 = 601
  integer, parameter :: nGC_36114 = 602
  integer, parameter :: nGC_88 = 603
  integer, parameter :: nGC_22670 = 604
  integer, parameter :: nGC_33501 = 605
  integer, parameter :: nGC_33492 = 606
  integer, parameter :: nGC_45266 = 607
  integer, parameter :: nGC_22072 = 608
  integer, parameter :: nGC_22073 = 609
  integer, parameter :: nGC_22071 = 610
  integer, parameter :: nGC_21509 = 611
  integer, parameter :: nGC_21508 = 612
  integer, parameter :: nGC_21507 = 613
  integer, parameter :: nGC_21506 = 614
  integer, parameter :: nGC_22703 = 615
  integer, parameter :: nGC_22704 = 616
  integer, parameter :: nGC_22705 = 617
  integer, parameter :: nGC_21501 = 618
  integer, parameter :: nGC_39 = 619
  integer, parameter :: nGC_38 = 620
  integer, parameter :: nGC_31 = 621
  integer, parameter :: nGC_30 = 622
  integer, parameter :: nGC_33 = 623
  integer, parameter :: nGC_32 = 624
  integer, parameter :: nGC_35 = 625
  integer, parameter :: nGC_34 = 626
  integer, parameter :: nGC_37 = 627
  integer, parameter :: nGC_36 = 628
  integer, parameter :: nGC_TS_GC_43_Hh = 629
  integer, parameter :: nGC_21648 = 630
  integer, parameter :: nGC_21649 = 631
  integer, parameter :: nGC_20745 = 632
  integer, parameter :: nGC_21439 = 633
  integer, parameter :: nGC_21438 = 634
  integer, parameter :: nGC_21576 = 635
  integer, parameter :: nGC_21577 = 636
  integer, parameter :: nGC_21574 = 637
  integer, parameter :: nGC_21575 = 638
  integer, parameter :: nGC_21572 = 639
  integer, parameter :: nGC_21573 = 640
  integer, parameter :: nGC_61 = 641
  integer, parameter :: nGC_22850 = 642
  integer, parameter :: nGC_22851 = 643
  integer, parameter :: nGC_22852 = 644
  integer, parameter :: nGC_22853 = 645
  integer, parameter :: nGC_22854 = 646
  integer, parameter :: nGC_22855 = 647
  integer, parameter :: nGC_22856 = 648
  integer, parameter :: nGC_22857 = 649
  integer, parameter :: nGC_22858 = 650
  integer, parameter :: nGC_22859 = 651
  integer, parameter :: nGC_21724 = 652
  integer, parameter :: nGC_21723 = 653
  integer, parameter :: nGC_21722 = 654
  integer, parameter :: nGC_21721 = 655
  integer, parameter :: nGC_21720 = 656
  integer, parameter :: nGC_21578 = 657
  integer, parameter :: nGC_69 = 658
  integer, parameter :: nGC_20753 = 659
  integer, parameter :: nGC_21874 = 660
  integer, parameter :: nGC_20755 = 661
  integer, parameter :: nGC_20754 = 662
  integer, parameter :: nGC_21659 = 663
  integer, parameter :: nGC_21658 = 664
  integer, parameter :: nGC_328 = 665
  integer, parameter :: nGC_329 = 666
  integer, parameter :: nGC_324 = 667
  integer, parameter :: nGC_325 = 668
  integer, parameter :: nGC_326 = 669
  integer, parameter :: nGC_21650 = 670
  integer, parameter :: nGC_320 = 671
  integer, parameter :: nGC_321 = 672
  integer, parameter :: nGC_21655 = 673
  integer, parameter :: nGC_323 = 674
  integer, parameter :: nGC_339 = 675
  integer, parameter :: nGC_32455 = 676
  integer, parameter :: nGC_MTA = 677
  integer, parameter :: nGC_32459 = 678
  integer, parameter :: nGC_188 = 679
  integer, parameter :: nGC_35494 = 680
  integer, parameter :: nGC_180 = 681
  integer, parameter :: nGC_TS_GC_214_Hh = 682
  integer, parameter :: nGC_20915 = 683
  integer, parameter :: nGC_183 = 684
  integer, parameter :: nGC_184 = 685
  integer, parameter :: nGC_185 = 686
  integer, parameter :: nGC_186 = 687
  integer, parameter :: nGC_20910 = 688
  integer, parameter :: nGC_533 = 689
  integer, parameter :: nGC_615 = 690
  integer, parameter :: nGC_32156 = 691
  integer, parameter :: nGC_32150 = 692
  integer, parameter :: nGC_21240 = 693
  integer, parameter :: nGC_21088 = 694
  integer, parameter :: nGC_21089 = 695
  integer, parameter :: nGC_32153 = 696
  integer, parameter :: nGC_21086 = 697
  integer, parameter :: nGC_4199 = 698
  integer, parameter :: nGC_21085 = 699
  integer, parameter :: nGC_21882 = 700
  integer, parameter :: nGC_21883 = 701
  integer, parameter :: nGC_21880 = 702
  integer, parameter :: nGC_21881 = 703
  integer, parameter :: nGC_35816 = 704
  integer, parameter :: nGC_21884 = 705
  integer, parameter :: nGC_21684 = 706
  integer, parameter :: nGC_21396 = 707
  integer, parameter :: nGC_21394 = 708
  integer, parameter :: nGC_21395 = 709
  integer, parameter :: nGC_21392 = 710
  integer, parameter :: nGC_21393 = 711
  integer, parameter :: nGC_21390 = 712
  integer, parameter :: nGC_21391 = 713
  integer, parameter :: nGC_21868 = 714
  integer, parameter :: nGC_21869 = 715
  integer, parameter :: nGC_21687 = 716
  integer, parameter :: nGC_21861 = 717
  integer, parameter :: nGC_21862 = 718
  integer, parameter :: nGC_21863 = 719
  integer, parameter :: nGC_21864 = 720
  integer, parameter :: nGC_21865 = 721
  integer, parameter :: nGC_21866 = 722
  integer, parameter :: nGC_21867 = 723
  integer, parameter :: nGC_22728 = 724
  integer, parameter :: nGC_TS_GC_179_Hl = 725
  integer, parameter :: nGC_32121 = 726
  integer, parameter :: nGC_32120 = 727
  integer, parameter :: nGC_32122 = 728
  integer, parameter :: nGC_22729 = 729
  integer, parameter :: nGC_22667 = 730
  integer, parameter :: nGC_22661 = 731
  integer, parameter :: nGC_22668 = 732
  integer, parameter :: nGC_33512 = 733
  integer, parameter :: nGC_21530 = 734
  integer, parameter :: nGC_21537 = 735
  integer, parameter :: nGC_21538 = 736
  integer, parameter :: nGC_21539 = 737
  integer, parameter :: nGC_22717 = 738
  integer, parameter :: nGC_28 = 739
  integer, parameter :: nGC_29 = 740
  integer, parameter :: nGC_22 = 741
  integer, parameter :: nGC_23 = 742
  integer, parameter :: nGC_20 = 743
  integer, parameter :: nGC_21 = 744
  integer, parameter :: nGC_26 = 745
  integer, parameter :: nGC_27 = 746
  integer, parameter :: nGC_24 = 747
  integer, parameter :: nGC_25 = 748
  integer, parameter :: nGC_32338 = 749
  integer, parameter :: nGC_14 = 750
  integer, parameter :: nGC_21406 = 751
  integer, parameter :: nGC_21407 = 752
  integer, parameter :: nGC_21404 = 753
  integer, parameter :: nGC_21405 = 754
  integer, parameter :: nGC_21402 = 755
  integer, parameter :: nGC_21403 = 756
  integer, parameter :: nGC_21408 = 757
  integer, parameter :: nGC_21409 = 758
  integer, parameter :: nGC_TS_GC_235_Hh = 759
  integer, parameter :: nGC_32936 = 760
  integer, parameter :: nGC_32933 = 761
  integer, parameter :: nGC_21718 = 762
  integer, parameter :: nGC_21719 = 763
  integer, parameter :: nGC_22847 = 764
  integer, parameter :: nGC_22846 = 765
  integer, parameter :: nGC_22845 = 766
  integer, parameter :: nGC_22844 = 767
  integer, parameter :: nGC_21712 = 768
  integer, parameter :: nGC_21713 = 769
  integer, parameter :: nGC_21710 = 770
  integer, parameter :: nGC_21711 = 771
  integer, parameter :: nGC_21716 = 772
  integer, parameter :: nGC_21717 = 773
  integer, parameter :: nGC_21714 = 774
  integer, parameter :: nGC_21715 = 775
  integer, parameter :: nGC_35079 = 776
  integer, parameter :: nGC_34070 = 777
  integer, parameter :: nGC_34078 = 778
  integer, parameter :: nGC_38227 = 779
  integer, parameter :: nGC_38228 = 780
  integer, parameter :: nGC_1235 = 781
  integer, parameter :: nGC_20728 = 782
  integer, parameter :: nGC_20729 = 783
  integer, parameter :: nGC_21230 = 784
  integer, parameter :: nGC_20724 = 785
  integer, parameter :: nGC_20725 = 786
  integer, parameter :: nGC_20726 = 787
  integer, parameter :: nGC_20727 = 788
  integer, parameter :: nGC_20720 = 789
  integer, parameter :: nGC_20721 = 790
  integer, parameter :: nGC_20722 = 791
  integer, parameter :: nGC_20723 = 792
  integer, parameter :: nGC_TS_GC_32_Hl = 793
  integer, parameter :: nGC_338 = 794
  integer, parameter :: nGC_21668 = 795
  integer, parameter :: nGC_21666 = 796
  integer, parameter :: nGC_21667 = 797
  integer, parameter :: nGC_21664 = 798
  integer, parameter :: nGC_21665 = 799
  integer, parameter :: nGC_21662 = 800
  integer, parameter :: nGC_21663 = 801
  integer, parameter :: nGC_335 = 802
  integer, parameter :: nGC_21661 = 803
  integer, parameter :: nGC_33195 = 804
  integer, parameter :: nGC_197 = 805
  integer, parameter :: nGC_196 = 806
  integer, parameter :: nGC_195 = 807
  integer, parameter :: nGC_194 = 808
  integer, parameter :: nGC_193 = 809
  integer, parameter :: nGC_192 = 810
  integer, parameter :: nGC_191 = 811
  integer, parameter :: nGC_190 = 812
  integer, parameter :: nGC_199 = 813
  integer, parameter :: nGC_198 = 814
  integer, parameter :: nGC_20922 = 815
  integer, parameter :: nGC_20923 = 816
  integer, parameter :: nGC_20921 = 817
  integer, parameter :: nGC_20927 = 818
  integer, parameter :: nGC_20924 = 819
  integer, parameter :: nGC_20928 = 820
  integer, parameter :: nGC_609 = 821
  integer, parameter :: nGC_607 = 822
  integer, parameter :: nGC_605 = 823
  integer, parameter :: nGC_603 = 824
  integer, parameter :: nGC_15 = 825
  integer, parameter :: nGC_601 = 826
  integer, parameter :: nGC_33681 = 827
  integer, parameter :: nGC_33680 = 828
  integer, parameter :: nGC_12 = 829
  integer, parameter :: nGC_21099 = 830
  integer, parameter :: nGC_21098 = 831
  integer, parameter :: nGC_21095 = 832
  integer, parameter :: nGC_21094 = 833
  integer, parameter :: nGC_21097 = 834
  integer, parameter :: nGC_21096 = 835
  integer, parameter :: nGC_21091 = 836
  integer, parameter :: nGC_21090 = 837
  integer, parameter :: nGC_21093 = 838
  integer, parameter :: nGC_21092 = 839
  integer, parameter :: nGC_513 = 840
  integer, parameter :: nGC_517 = 841
  integer, parameter :: nGC_515 = 842
  integer, parameter :: nGC_519 = 843
  integer, parameter :: nGC_22723 = 844
  integer, parameter :: nGC_5123 = 845
  integer, parameter :: nGC_22720 = 846
  integer, parameter :: nGC_22721 = 847
  integer, parameter :: nGC_21895 = 848
  integer, parameter :: nGC_21894 = 849
  integer, parameter :: nGC_21897 = 850
  integer, parameter :: nGC_21896 = 851
  integer, parameter :: nGC_21891 = 852
  integer, parameter :: nGC_21893 = 853
  integer, parameter :: nGC_21892 = 854
  integer, parameter :: nGC_21899 = 855
  integer, parameter :: nGC_21898 = 856
  integer, parameter :: nGC_21387 = 857
  integer, parameter :: nGC_21386 = 858
  integer, parameter :: nGC_21389 = 859
  integer, parameter :: nGC_21388 = 860
  integer, parameter :: nGC_21754 = 861
  integer, parameter :: nGC_21879 = 862
  integer, parameter :: nGC_21878 = 863
  integer, parameter :: nGC_21873 = 864
  integer, parameter :: nGC_21872 = 865
  integer, parameter :: nGC_21871 = 866
  integer, parameter :: nGC_21870 = 867
  integer, parameter :: nGC_21877 = 868
  integer, parameter :: nGC_21876 = 869
  integer, parameter :: nGC_21875 = 870
  integer, parameter :: nGC_206 = 871
  integer, parameter :: nGC_249 = 872
  integer, parameter :: nGC_21750 = 873
  integer, parameter :: nGC_21751 = 874
  integer, parameter :: nGC_22274 = 875
  integer, parameter :: nGC_22275 = 876
  integer, parameter :: nGC_22278 = 877
  integer, parameter :: nGC_21146 = 878
  integer, parameter :: nGC_333 = 879
  integer, parameter :: nGC_17 = 880
  integer, parameter :: nGC_16 = 881
  integer, parameter :: nGC_21526 = 882
  integer, parameter :: nGC_13 = 883
  integer, parameter :: nGC_53374 = 884
  integer, parameter :: nGC_11 = 885
  integer, parameter :: nGC_10 = 886
  integer, parameter :: nGC_21528 = 887
  integer, parameter :: nGC_19 = 888
  integer, parameter :: nGC_18 = 889
  integer, parameter :: nGC_21144 = 890
  integer, parameter :: nGC_22650 = 891
  integer, parameter :: nGC_22651 = 892
  integer, parameter :: nGC_22657 = 893
  integer, parameter :: nGC_22655 = 894
  integer, parameter :: nGC_21419 = 895
  integer, parameter :: nGC_21418 = 896
  integer, parameter :: nGC_21411 = 897
  integer, parameter :: nGC_21410 = 898
  integer, parameter :: nGC_21413 = 899
  integer, parameter :: nGC_21412 = 900
  integer, parameter :: nGC_21415 = 901
  integer, parameter :: nGC_21414 = 902
  integer, parameter :: nGC_21417 = 903
  integer, parameter :: nGC_21416 = 904
  integer, parameter :: nGC_32928 = 905
  integer, parameter :: nGC_32925 = 906
  integer, parameter :: nGC_32749 = 907
  integer, parameter :: nGC_1691 = 908
  integer, parameter :: nGC_1693 = 909
  integer, parameter :: nGC_21709 = 910
  integer, parameter :: nGC_21708 = 911
  integer, parameter :: nGC_21705 = 912
  integer, parameter :: nGC_21704 = 913
  integer, parameter :: nGC_21707 = 914
  integer, parameter :: nGC_21706 = 915
  integer, parameter :: nGC_21701 = 916
  integer, parameter :: nGC_21700 = 917
  integer, parameter :: nGC_21703 = 918
  integer, parameter :: nGC_21702 = 919
  integer, parameter :: nGC_21937 = 920
  integer, parameter :: nGC_521 = 921
  integer, parameter :: nGC_35661 = 922
  integer, parameter :: nGC_32811 = 923
  integer, parameter :: nGC_20760 = 924
  integer, parameter :: nGC_20739 = 925
  integer, parameter :: nGC_20738 = 926
  integer, parameter :: nGC_20737 = 927
  integer, parameter :: nGC_20736 = 928
  integer, parameter :: nGC_20735 = 929
  integer, parameter :: nGC_TS_GC_44_Hh = 930
  integer, parameter :: nGC_20733 = 931
  integer, parameter :: nGC_20732 = 932
  integer, parameter :: nGC_20731 = 933
  integer, parameter :: nGC_20730 = 934
  integer, parameter :: nGC_21675 = 935
  integer, parameter :: nGC_21674 = 936
  integer, parameter :: nGC_21677 = 937
  integer, parameter :: nGC_21676 = 938
  integer, parameter :: nGC_21679 = 939
  integer, parameter :: nGC_21678 = 940
  integer, parameter :: nGC_20767 = 941
  integer, parameter :: nGC_21555 = 942
  integer, parameter :: nGC_21520 = 943
  integer, parameter :: nGC_TS_GC_233_Hh = 944
  integer, parameter :: nGC_33323 = 945
  integer, parameter :: nGC_TS_GC_233_Hl = 946
  integer, parameter :: nGC_40510 = 947
  integer, parameter :: nGC_40514 = 948
  integer, parameter :: nGC_331 = 949
  integer, parameter :: nGC_294 = 950
  integer, parameter :: nGC_295 = 951
  integer, parameter :: nGC_296 = 952
  integer, parameter :: nGC_297 = 953
  integer, parameter :: nGC_290 = 954
  integer, parameter :: nGC_291 = 955
  integer, parameter :: nGC_292 = 956
  integer, parameter :: nGC_293 = 957
  integer, parameter :: nGC_298 = 958
  integer, parameter :: nGC_299 = 959
  integer, parameter :: nGC_34330 = 960
  integer, parameter :: nGC_40281 = 961
  integer, parameter :: nGC_TS_GC_354_Hh = 962
  integer, parameter :: nGC_21262 = 963
  integer, parameter :: nGC_21263 = 964
  integer, parameter :: nGC_21260 = 965
  integer, parameter :: nGC_21261 = 966
  integer, parameter :: nGC_TS_GC_329_Hl = 967
  integer, parameter :: nGC_34930 = 968
  integer, parameter :: nGC_34931 = 969
  integer, parameter :: nGC_20948 = 970
  integer, parameter :: nGC_21062 = 971
  integer, parameter :: nGC_21064 = 972
  integer, parameter :: nGC_21065 = 973
  integer, parameter :: nGC_271 = 974
  integer, parameter :: nGC_32127 = 975
  integer, parameter :: nGC_362 = 976
  integer, parameter :: nGC_37018 = 977
  integer, parameter :: nGC_1121 = 978
  integer, parameter :: nGC_37012 = 979
  integer, parameter :: nGC_37013 = 980
  integer, parameter :: nGC_37010 = 981
  integer, parameter :: nGC_37011 = 982
  integer, parameter :: nGC_36115 = 983
  integer, parameter :: nGC_TS_GC_19_Hh = 984
  integer, parameter :: nGC_TS_GC_336_Hh = 985
  integer, parameter :: nGC_32492 = 986
  integer, parameter :: nGC_32498 = 987
  integer, parameter :: nGC_21745 = 988
  integer, parameter :: nGC_21848 = 989
  integer, parameter :: nGC_21846 = 990
  integer, parameter :: nGC_21847 = 991
  integer, parameter :: nGC_21845 = 992
  integer, parameter :: nGC_33807 = 993
  integer, parameter :: nGC_34368 = 994
  integer, parameter :: nGC_42858 = 995
  integer, parameter :: nGC_32141 = 996
  integer, parameter :: nGC_32148 = 997
  integer, parameter :: nGC_21288 = 998
  integer, parameter :: nGC_22267 = 999
  integer, parameter :: nGC_22265 = 1000
  integer, parameter :: nGC_22269 = 1001
  integer, parameter :: nGC_21285 = 1002
  integer, parameter :: nGC_21286 = 1003
  integer, parameter :: nGC_21287 = 1004
  integer, parameter :: nGC_22489 = 1005
  integer, parameter :: nGC_22488 = 1006
  integer, parameter :: nGC_187 = 1007
  integer, parameter :: nGC_22487 = 1008
  integer, parameter :: nGC_22486 = 1009
  integer, parameter :: nGC_22485 = 1010
  integer, parameter :: nGC_859 = 1011
  integer, parameter :: nGC_22006 = 1012
  integer, parameter :: nGC_22004 = 1013
  integer, parameter :: nGC_22002 = 1014
  integer, parameter :: nGC_22000 = 1015
  integer, parameter :: nGC_22009 = 1016
  integer, parameter :: nGC_22731 = 1017
  integer, parameter :: nGC_22733 = 1018
  integer, parameter :: nGC_33396 = 1019
  integer, parameter :: nGC_22138 = 1020
  integer, parameter :: nGC_22649 = 1021
  integer, parameter :: nGC_22645 = 1022
  integer, parameter :: nGC_21468 = 1023
  integer, parameter :: nGC_21469 = 1024
  integer, parameter :: nGC_21465 = 1025
  integer, parameter :: nGC_21466 = 1026
  integer, parameter :: nGC_21467 = 1027
  integer, parameter :: nGC_21460 = 1028
  integer, parameter :: nGC_21461 = 1029
  integer, parameter :: nGC_21462 = 1030
  integer, parameter :: nGC_21463 = 1031
  integer, parameter :: nGC_35789 = 1032
  integer, parameter :: nGC_34652 = 1033
  integer, parameter :: nGC_TS_GC_33_Hl = 1034
  integer, parameter :: nGC_TS_GC_33_Hh = 1035
  integer, parameter :: nGC_22868 = 1036
  integer, parameter :: nGC_39426 = 1037
  integer, parameter :: nGC_22860 = 1038
  integer, parameter :: nGC_22863 = 1039
  integer, parameter :: nGC_22862 = 1040
  integer, parameter :: nGC_22865 = 1041
  integer, parameter :: nGC_22864 = 1042
  integer, parameter :: nGC_22867 = 1043
  integer, parameter :: nGC_253 = 1044
  integer, parameter :: nGC_46754 = 1045
  integer, parameter :: nGC_35091 = 1046
  integer, parameter :: nGC_TS_GC_17_Hl = 1047
  integer, parameter :: nGC_TS_GC_17_Hh = 1048
  integer, parameter :: nGC_20746 = 1049
  integer, parameter :: nGC_33201 = 1050
  integer, parameter :: nGC_20707 = 1051
  integer, parameter :: nGC_20708 = 1052
  integer, parameter :: nGC_20709 = 1053
  integer, parameter :: nGC_21604 = 1054
  integer, parameter :: nGC_21605 = 1055
  integer, parameter :: nGC_21606 = 1056
  integer, parameter :: nGC_21607 = 1057
  integer, parameter :: nGC_21603 = 1058
  integer, parameter :: nGC_21608 = 1059
  integer, parameter :: nGC_21609 = 1060
  integer, parameter :: nGC_51663 = 1061
  integer, parameter :: nGC_TS_GC_175_Hh = 1062
  integer, parameter :: nGC_51669 = 1063
  integer, parameter :: nGC_283 = 1064
  integer, parameter :: nGC_22681 = 1065
  integer, parameter :: nGC_281 = 1066
  integer, parameter :: nGC_34322 = 1067
  integer, parameter :: nGC_287 = 1068
  integer, parameter :: nGC_286 = 1069
  integer, parameter :: nGC_285 = 1070
  integer, parameter :: nGC_284 = 1071
  integer, parameter :: nGC_34329 = 1072
  integer, parameter :: nGC_34328 = 1073
  integer, parameter :: nGC_289 = 1074
  integer, parameter :: nGC_288 = 1075
  integer, parameter :: nGC_22682 = 1076
  integer, parameter :: nGC_TS_GC_366_Hh = 1077
  integer, parameter :: nGC_22684 = 1078
  integer, parameter :: nGC_21077 = 1079
  integer, parameter :: nGC_21076 = 1080
  integer, parameter :: nGC_21078 = 1081
  integer, parameter :: nGC_33029 = 1082
  integer, parameter :: nGC_20899 = 1083
  integer, parameter :: nGC_21211 = 1084
  integer, parameter :: nGC_280 = 1085
  integer, parameter :: nGC_21217 = 1086
  integer, parameter :: nGC_21216 = 1087
  integer, parameter :: nGC_21215 = 1088
  integer, parameter :: nGC_33157 = 1089
  integer, parameter :: nGC_45269 = 1090
  integer, parameter :: nGC_21851 = 1091
  integer, parameter :: nGC_21850 = 1092
  integer, parameter :: nGC_21853 = 1093
  integer, parameter :: nGC_21852 = 1094
  integer, parameter :: nGC_21855 = 1095
  integer, parameter :: nGC_TS_GC_174_Hl = 1096
  integer, parameter :: nGC_TS_GC_32_Hh = 1097
  integer, parameter :: nGC_1571 = 1098
  integer, parameter :: nGC_32173 = 1099
  integer, parameter :: nGC_20734 = 1100
  integer, parameter :: nGC_127 = 1101
  integer, parameter :: nGC_32772 = 1102
  integer, parameter :: nGC_32777 = 1103
  integer, parameter :: nGC_21299 = 1104
  integer, parameter :: nGC_21298 = 1105
  integer, parameter :: nGC_21293 = 1106
  integer, parameter :: nGC_21292 = 1107
  integer, parameter :: nGC_21291 = 1108
  integer, parameter :: nGC_21290 = 1109
  integer, parameter :: nGC_21297 = 1110
  integer, parameter :: nGC_21505 = 1111
  integer, parameter :: nGC_21295 = 1112
  integer, parameter :: nGC_21294 = 1113
  integer, parameter :: nGC_21504 = 1114
  integer, parameter :: nGC_21779 = 1115
  integer, parameter :: nGC_21503 = 1116
  integer, parameter :: nGC_21502 = 1117
  integer, parameter :: nGC_22707 = 1118
  integer, parameter :: nGC_33780 = 1119
  integer, parameter :: nGC_33837 = 1120
  integer, parameter :: nGC_21770 = 1121
  integer, parameter :: nGC_21771 = 1122
  integer, parameter :: nGC_TS_GC_180_Hl = 1123
  integer, parameter :: nGC_32307 = 1124
  integer, parameter :: nGC_32306 = 1125
  integer, parameter :: nGC_21823 = 1126
  integer, parameter :: nGC_22107 = 1127
  integer, parameter :: nGC_22105 = 1128
  integer, parameter :: nGC_22103 = 1129
  integer, parameter :: nGC_21479 = 1130
  integer, parameter :: nGC_21478 = 1131
  integer, parameter :: nGC_21477 = 1132
  integer, parameter :: nGC_21476 = 1133
  integer, parameter :: nGC_21475 = 1134
  integer, parameter :: nGC_21474 = 1135
  integer, parameter :: nGC_21473 = 1136
  integer, parameter :: nGC_21472 = 1137
  integer, parameter :: nGC_21471 = 1138
  integer, parameter :: nGC_21470 = 1139
  integer, parameter :: nGC_21296 = 1140
  integer, parameter :: nGC_35263 = 1141
  integer, parameter :: nGC_36209 = 1142
  integer, parameter :: nGC_35315 = 1143
  integer, parameter :: nGC_21582 = 1144
  integer, parameter :: nGC_20715 = 1145
  integer, parameter :: nGC_20714 = 1146
  integer, parameter :: nGC_20717 = 1147
  integer, parameter :: nGC_20716 = 1148
  integer, parameter :: nGC_20711 = 1149
  integer, parameter :: nGC_20710 = 1150
  integer, parameter :: nGC_20713 = 1151
  integer, parameter :: nGC_20712 = 1152
  integer, parameter :: nGC_35880 = 1153
  integer, parameter :: nGC_20719 = 1154
  integer, parameter :: nGC_20718 = 1155
  integer, parameter :: nGC_21617 = 1156
  integer, parameter :: nGC_21616 = 1157
  integer, parameter :: nGC_21615 = 1158
  integer, parameter :: nGC_21614 = 1159
  integer, parameter :: nGC_21613 = 1160
  integer, parameter :: nGC_21612 = 1161
  integer, parameter :: nGC_21611 = 1162
  integer, parameter :: nGC_21610 = 1163
  integer, parameter :: nGC_21619 = 1164
  integer, parameter :: nGC_21618 = 1165
  integer, parameter :: nGC_32763 = 1166
  integer, parameter :: nGC_511 = 1167
  integer, parameter :: nGC_34135 = 1168
  integer, parameter :: nGC_382 = 1169
  integer, parameter :: nGC_383 = 1170
  integer, parameter :: nGC_380 = 1171
  integer, parameter :: nGC_381 = 1172
  integer, parameter :: nGC_386 = 1173
  integer, parameter :: nGC_384 = 1174
  integer, parameter :: nGC_385 = 1175
  integer, parameter :: nGC_33304 = 1176
  integer, parameter :: nGC_33302 = 1177
  integer, parameter :: nGC_33303 = 1178
  integer, parameter :: nGC_33301 = 1179
  integer, parameter :: nGC_21103 = 1180
  integer, parameter :: nGC_21102 = 1181
  integer, parameter :: nGC_21101 = 1182
  integer, parameter :: nGC_21100 = 1183
  integer, parameter :: nGC_21107 = 1184
  integer, parameter :: nGC_21106 = 1185
  integer, parameter :: nGC_21105 = 1186
  integer, parameter :: nGC_21104 = 1187
  integer, parameter :: nGC_278 = 1188
  integer, parameter :: nGC_279 = 1189
  integer, parameter :: nGC_276 = 1190
  integer, parameter :: nGC_277 = 1191
  integer, parameter :: nGC_274 = 1192
  integer, parameter :: nGC_275 = 1193
  integer, parameter :: nGC_272 = 1194
  integer, parameter :: nGC_273 = 1195
  integer, parameter :: nGC_270 = 1196
  integer, parameter :: nGC_37178 = 1197
  integer, parameter :: nGC_32784 = 1198
  integer, parameter :: nGC_MZ_GF = 1199
  integer, parameter :: nGC_21047 = 1200
  integer, parameter :: nGC_21042 = 1201
  integer, parameter :: nGC_21043 = 1202
  integer, parameter :: nGC_21041 = 1203
  integer, parameter :: nGC_21048 = 1204
  integer, parameter :: nGC_21049 = 1205
  integer, parameter :: nGC_20782 = 1206
  integer, parameter :: nGC_20889 = 1207
  integer, parameter :: nGC_20888 = 1208
  integer, parameter :: nGC_20835 = 1209
  integer, parameter :: nGC_20887 = 1210
  integer, parameter :: nGC_20780 = 1211
  integer, parameter :: nGC_20781 = 1212
  integer, parameter :: nGC_597 = 1213
  integer, parameter :: nGC_20787 = 1214
  integer, parameter :: nGC_20832 = 1215
  integer, parameter :: nGC_2221 = 1216
  integer, parameter :: nGC_20833 = 1217
  integer, parameter :: nGC_126 = 1218
  integer, parameter :: nGC_124 = 1219
  integer, parameter :: nGC_125 = 1220
  integer, parameter :: nGC_122 = 1221
  integer, parameter :: nGC_123 = 1222
  integer, parameter :: nGC_120 = 1223
  integer, parameter :: nGC_121 = 1224
  integer, parameter :: nGC_128 = 1225
  integer, parameter :: nGC_129 = 1226
  integer, parameter :: nGC_21824 = 1227
  integer, parameter :: nGC_21825 = 1228
  integer, parameter :: nGC_21826 = 1229
  integer, parameter :: nGC_21827 = 1230
  integer, parameter :: nGC_21820 = 1231
  integer, parameter :: nGC_21821 = 1232
  integer, parameter :: nGC_21822 = 1233
  integer, parameter :: nGC_21828 = 1234
  integer, parameter :: nGC_21829 = 1235
  integer, parameter :: nGC_34216 = 1236
  integer, parameter :: nGC_MMW_GF = 1237
  integer, parameter :: nGC_TS_GC_18_Hl = 1238
  integer, parameter :: nGC_34213 = 1239
  integer, parameter :: nGC_22240 = 1240
  integer, parameter :: nGC_22243 = 1241
  integer, parameter :: nGC_22246 = 1242
  integer, parameter :: nGC_21910 = 1243
  integer, parameter :: nGC_21911 = 1244
  integer, parameter :: nGC_21912 = 1245
  integer, parameter :: nGC_21913 = 1246
  integer, parameter :: nGC_21914 = 1247
  integer, parameter :: nGC_21915 = 1248
  integer, parameter :: nGC_21916 = 1249
  integer, parameter :: nGC_21917 = 1250
  integer, parameter :: nGC_21918 = 1251
  integer, parameter :: nGC_21919 = 1252
  integer, parameter :: nGC_TS_GC_16_Hh = 1253
  integer, parameter :: nGC_TS_GC_16_Hl = 1254
  integer, parameter :: nGC_I = 1255
  integer, parameter :: nGC_33552 = 1256
  integer, parameter :: nGC_33797 = 1257
  integer, parameter :: nGC_33823 = 1258
  integer, parameter :: nGC_33822 = 1259
  integer, parameter :: nGC_TS_GC_253_Hl = 1260
  integer, parameter :: nGC_TS_GC_62_Hl = 1261
  integer, parameter :: nGC_TS_GC_62_Hh = 1262
  integer, parameter :: nGC_181 = 1263
  integer, parameter :: nGC_32373 = 1264
  integer, parameter :: nGC_3 = 1265
  integer, parameter :: nGC_2 = 1266
  integer, parameter :: nGC_1 = 1267
  integer, parameter :: nGC_7 = 1268
  integer, parameter :: nGC_5 = 1269
  integer, parameter :: nGC_4 = 1270
  integer, parameter :: nGC_9 = 1271
  integer, parameter :: nGC_8 = 1272
  integer, parameter :: nGC_34717 = 1273
  integer, parameter :: nGC_22113 = 1274
  integer, parameter :: nGC_22115 = 1275
  integer, parameter :: nGC_33487 = 1276
  integer, parameter :: nGC_22119 = 1277
  integer, parameter :: nGC_21442 = 1278
  integer, parameter :: nGC_21443 = 1279
  integer, parameter :: nGC_21440 = 1280
  integer, parameter :: nGC_21446 = 1281
  integer, parameter :: nGC_21444 = 1282
  integer, parameter :: nGC_21445 = 1283
  integer, parameter :: nGC_TS_GC_34_Hl = 1284
  integer, parameter :: nGC_32207 = 1285
  integer, parameter :: nGC_22030 = 1286
  integer, parameter :: nGC_21307 = 1287
  integer, parameter :: nGC_36210 = 1288
  integer, parameter :: nGC_39537 = 1289
  integer, parameter :: nGC_39536 = 1290
  integer, parameter :: nGC_2325 = 1291
  integer, parameter :: nGC_21060 = 1292
  integer, parameter :: nGC_38418 = 1293
  integer, parameter :: nGC_21061 = 1294
  integer, parameter :: nGC_21063 = 1295
  integer, parameter :: nGC_21594 = 1296
  integer, parameter :: nGC_21595 = 1297
  integer, parameter :: nGC_21596 = 1298
  integer, parameter :: nGC_21590 = 1299
  integer, parameter :: nGC_21066 = 1300
  integer, parameter :: nGC_34239 = 1301
  integer, parameter :: nGC_21593 = 1302
  integer, parameter :: nGC_34235 = 1303
  integer, parameter :: nGC_33220 = 1304
  integer, parameter :: nGC_TS_GC_36_Hh = 1305
  integer, parameter :: nGC_2353 = 1306
  integer, parameter :: nGC_TS_GC_36_Hl = 1307
  integer, parameter :: nGC_21628 = 1308
  integer, parameter :: nGC_21629 = 1309
  integer, parameter :: nGC_21622 = 1310
  integer, parameter :: nGC_48103 = 1311
  integer, parameter :: nGC_21620 = 1312
  integer, parameter :: nGC_21621 = 1313
  integer, parameter :: nGC_21626 = 1314
  integer, parameter :: nGC_21627 = 1315
  integer, parameter :: nGC_21624 = 1316
  integer, parameter :: nGC_21625 = 1317
  integer, parameter :: nGC_34691 = 1318
  integer, parameter :: nGC_34690 = 1319
  integer, parameter :: nGC_TS_GC_372_Hh = 1320
  integer, parameter :: nGC_33317 = 1321
  integer, parameter :: nGC_45 = 1322
  integer, parameter :: nGC_20949 = 1323
  integer, parameter :: nGC_21138 = 1324
  integer, parameter :: nGC_21139 = 1325
  integer, parameter :: nGC_21136 = 1326
  integer, parameter :: nGC_21137 = 1327
  integer, parameter :: nGC_21134 = 1328
  integer, parameter :: nGC_21135 = 1329
  integer, parameter :: nGC_21131 = 1330
  integer, parameter :: nGC_269 = 1331
  integer, parameter :: nGC_268 = 1332
  integer, parameter :: nGC_265 = 1333
  integer, parameter :: nGC_264 = 1334
  integer, parameter :: nGC_267 = 1335
  integer, parameter :: nGC_266 = 1336
  integer, parameter :: nGC_261 = 1337
  integer, parameter :: nGC_260 = 1338
  integer, parameter :: nGC_263 = 1339
  integer, parameter :: nGC_262 = 1340
  integer, parameter :: nGC_20980 = 1341
  integer, parameter :: nGC_20981 = 1342
  integer, parameter :: nGC_20982 = 1343
  integer, parameter :: nGC_20988 = 1344
  integer, parameter :: nGC_20989 = 1345
  integer, parameter :: nGC_32571 = 1346
  integer, parameter :: nGC_21051 = 1347
  integer, parameter :: nGC_21050 = 1348
  integer, parameter :: nGC_21053 = 1349
  integer, parameter :: nGC_21052 = 1350
  integer, parameter :: nGC_37019 = 1351
  integer, parameter :: nGC_20870 = 1352
  integer, parameter :: nGC_20871 = 1353
  integer, parameter :: nGC_32680 = 1354
  integer, parameter :: nGC_32682 = 1355
  integer, parameter :: nGC_37068 = 1356
  integer, parameter :: nGC_6 = 1357
  integer, parameter :: nGC_135 = 1358
  integer, parameter :: nGC_134 = 1359
  integer, parameter :: nGC_137 = 1360
  integer, parameter :: nGC_136 = 1361
  integer, parameter :: nGC_131 = 1362
  integer, parameter :: nGC_130 = 1363
  integer, parameter :: nGC_133 = 1364
  integer, parameter :: nGC_132 = 1365
  integer, parameter :: nGC_139 = 1366
  integer, parameter :: nGC_138 = 1367
  integer, parameter :: nGC_21837 = 1368
  integer, parameter :: nGC_21836 = 1369
  integer, parameter :: nGC_21835 = 1370
  integer, parameter :: nGC_21834 = 1371
  integer, parameter :: nGC_21833 = 1372
  integer, parameter :: nGC_21832 = 1373
  integer, parameter :: nGC_21831 = 1374
  integer, parameter :: nGC_21830 = 1375
  integer, parameter :: nGC_21839 = 1376
  integer, parameter :: nGC_21838 = 1377
  integer, parameter :: nGC_TS_GC_23_Hl = 1378
  integer, parameter :: nGC_TS_GC_23_Hh = 1379
  integer, parameter :: nGC_22239 = 1380
  integer, parameter :: nGC_22234 = 1381
  integer, parameter :: nGC_22235 = 1382
  integer, parameter :: nGC_22237 = 1383
  integer, parameter :: nGC_22230 = 1384
  integer, parameter :: nGC_22232 = 1385
  integer, parameter :: nGC_22233 = 1386
  integer, parameter :: nGC_21903 = 1387
  integer, parameter :: nGC_21902 = 1388
  integer, parameter :: nGC_21901 = 1389
  integer, parameter :: nGC_21900 = 1390
  integer, parameter :: nGC_21907 = 1391
  integer, parameter :: nGC_21906 = 1392
  integer, parameter :: nGC_21905 = 1393
  integer, parameter :: nGC_21904 = 1394
  integer, parameter :: nGC_TS_GC_46_Hh = 1395
  integer, parameter :: nGC_21909 = 1396
  integer, parameter :: nGC_21908 = 1397
  integer, parameter :: nGC_TS_GC_46_Hl = 1398
  integer, parameter :: nGC_867 = 1399
  integer, parameter :: nGC_33486 = 1400
  integer, parameter :: nGC_32274 = 1401
  integer, parameter :: nGC_36753 = 1402
  integer, parameter :: nGC_21527 = 1403
  integer, parameter :: nGC_22052 = 1404
  integer, parameter :: nGC_1429 = 1405
  integer, parameter :: nGC_22582 = 1406
  integer, parameter :: nGC_22583 = 1407
  integer, parameter :: nGC_22580 = 1408
  integer, parameter :: nGC_22053 = 1409
  integer, parameter :: nGC_22584 = 1410
  integer, parameter :: nGC_22585 = 1411
  integer, parameter :: nGC_22054 = 1412
  integer, parameter :: nGC_33818 = 1413
  integer, parameter :: nGC_22589 = 1414
  integer, parameter :: nGC_22056 = 1415
  integer, parameter :: nGC_282 = 1416
  integer, parameter :: nGC_22057 = 1417
  integer, parameter :: nGC_22568 = 1418
  integer, parameter :: nGC_22569 = 1419
  integer, parameter :: nGC_22560 = 1420
  integer, parameter :: nGC_22562 = 1421
  integer, parameter :: nGC_22563 = 1422
  integer, parameter :: nGC_22564 = 1423
  integer, parameter :: nGC_22567 = 1424
  integer, parameter :: nGC_37867 = 1425
  integer, parameter :: nGC_21441 = 1426
  integer, parameter :: nGC_21496 = 1427
  integer, parameter :: nGC_36446 = 1428
  integer, parameter :: nGC_36447 = 1429
  integer, parameter :: nGC_22694 = 1430
  integer, parameter :: nGC_36442 = 1431
  integer, parameter :: nGC_36440 = 1432
  integer, parameter :: nGC_36441 = 1433
  integer, parameter :: nGC_22169 = 1434
  integer, parameter :: nGC_21455 = 1435
  integer, parameter :: nGC_21454 = 1436
  integer, parameter :: nGC_21457 = 1437
  integer, parameter :: nGC_21456 = 1438
  integer, parameter :: nGC_21453 = 1439
  integer, parameter :: nGC_21452 = 1440
  integer, parameter :: nGC_21459 = 1441
  integer, parameter :: nGC_21458 = 1442
  integer, parameter :: nGC_20803 = 1443
  integer, parameter :: nGC_244 = 1444
  integer, parameter :: nGC_35819 = 1445
  integer, parameter :: nGC_243 = 1446
  integer, parameter :: nGC_21566 = 1447
  integer, parameter :: nGC_242 = 1448
  integer, parameter :: nGC_36228 = 1449
  integer, parameter :: nGC_36229 = 1450
  integer, parameter :: nGC_32214 = 1451
  integer, parameter :: nGC_32219 = 1452
  integer, parameter :: nGC_36997 = 1453
  integer, parameter :: nGC_21653 = 1454
  integer, parameter :: nGC_21652 = 1455
  integer, parameter :: nGC_21651 = 1456
  integer, parameter :: nGC_TS_GC_42_Hh = 1457
  integer, parameter :: nGC_3209 = 1458
  integer, parameter :: nGC_32989 = 1459
  integer, parameter :: nGC_327 = 1460
  integer, parameter :: nGC_21657 = 1461
  integer, parameter :: nGC_32987 = 1462
  integer, parameter :: nGC_32986 = 1463
  integer, parameter :: nGC_21656 = 1464
  integer, parameter :: nGC_20690 = 1465
  integer, parameter :: nGC_20691 = 1466
  integer, parameter :: nGC_20692 = 1467
  integer, parameter :: nGC_20693 = 1468
  integer, parameter :: nGC_20694 = 1469
  integer, parameter :: nGC_322 = 1470
  integer, parameter :: nGC_20696 = 1471
  integer, parameter :: nGC_20697 = 1472
  integer, parameter :: nGC_21654 = 1473
  integer, parameter :: nGC_21587 = 1474
  integer, parameter :: nGC_21586 = 1475
  integer, parameter :: nGC_21585 = 1476
  integer, parameter :: nGC_21584 = 1477
  integer, parameter :: nGC_21583 = 1478
  integer, parameter :: nGC_22391 = 1479
  integer, parameter :: nGC_21581 = 1480
  integer, parameter :: nGC_21580 = 1481
  integer, parameter :: nGC_21849 = 1482
  integer, parameter :: nGC_35335 = 1483
  integer, parameter :: nGC_35334 = 1484
  integer, parameter :: nGC_21589 = 1485
  integer, parameter :: nGC_21588 = 1486
  integer, parameter :: nGC_35622 = 1487
  integer, parameter :: nGC_35621 = 1488
  integer, parameter :: nGC_35620 = 1489
  integer, parameter :: nGC_3117 = 1490
  integer, parameter :: nGC_21840 = 1491
  integer, parameter :: nGC_21635 = 1492
  integer, parameter :: nGC_21634 = 1493
  integer, parameter :: nGC_21637 = 1494
  integer, parameter :: nGC_21636 = 1495
  integer, parameter :: nGC_21631 = 1496
  integer, parameter :: nGC_21630 = 1497
  integer, parameter :: nGC_21633 = 1498
  integer, parameter :: nGC_21632 = 1499
  integer, parameter :: nGC_34114 = 1500
  integer, parameter :: nGC_34115 = 1501
  integer, parameter :: nGC_TS_GC_243_Hl = 1502
  integer, parameter :: nGC_21660 = 1503
  integer, parameter :: nGC_35753 = 1504
  integer, parameter :: nGC_42856 = 1505
  integer, parameter :: nGC_42857 = 1506
  integer, parameter :: nGC_21529 = 1507
  integer, parameter :: nGC_1393 = 1508
  integer, parameter :: nGC_32683 = 1509
  integer, parameter :: nGC_258 = 1510
  integer, parameter :: nGC_259 = 1511
  integer, parameter :: nGC_250 = 1512
  integer, parameter :: nGC_251 = 1513
  integer, parameter :: nGC_252 = 1514
  integer, parameter :: nGC_36192 = 1515
  integer, parameter :: nGC_254 = 1516
  integer, parameter :: nGC_255 = 1517
  integer, parameter :: nGC_256 = 1518
  integer, parameter :: nGC_257 = 1519
  integer, parameter :: nGC_20997 = 1520
  integer, parameter :: nGC_20996 = 1521
  integer, parameter :: nGC_20995 = 1522
  integer, parameter :: nGC_20994 = 1523
  integer, parameter :: nGC_20993 = 1524
  integer, parameter :: nGC_20992 = 1525
  integer, parameter :: nGC_20991 = 1526
  integer, parameter :: nGC_20990 = 1527
  integer, parameter :: nGC_20999 = 1528
  integer, parameter :: nGC_20998 = 1529
  integer, parameter :: nGC_21028 = 1530
  integer, parameter :: nGC_21029 = 1531
  integer, parameter :: nGC_21024 = 1532
  integer, parameter :: nGC_32513 = 1533
  integer, parameter :: nGC_21020 = 1534
  integer, parameter :: nGC_21021 = 1535
  integer, parameter :: nGC_21022 = 1536
  integer, parameter :: nGC_21023 = 1537
  integer, parameter :: nGC_40159 = 1538
  integer, parameter :: nGC_22463 = 1539
  integer, parameter :: nGC_40157 = 1540
  integer, parameter :: nGC_22304 = 1541
  integer, parameter :: nGC_20867 = 1542
  integer, parameter :: nGC_20866 = 1543
  integer, parameter :: nGC_TS_GC_254_Hh = 1544
  integer, parameter :: nGC_20869 = 1545
  integer, parameter :: nGC_20868 = 1546
  integer, parameter :: nGC_32998 = 1547
  integer, parameter :: nGC_22301 = 1548
  integer, parameter :: nGC_22302 = 1549
  integer, parameter :: nGC_TS_GC_63_Hh = 1550
  integer, parameter :: nGC_TS_GC_63_Hl = 1551
  integer, parameter :: nGC_34807 = 1552
  integer, parameter :: nGC_21330 = 1553
  integer, parameter :: nGC_21331 = 1554
  integer, parameter :: nGC_21332 = 1555
  integer, parameter :: nGC_21333 = 1556
  integer, parameter :: nGC_21334 = 1557
  integer, parameter :: nGC_21335 = 1558
  integer, parameter :: nGC_21336 = 1559
  integer, parameter :: nGC_21337 = 1560
  integer, parameter :: nGC_21338 = 1561
  integer, parameter :: nGC_21339 = 1562
  integer, parameter :: nGC_21698 = 1563
  integer, parameter :: nGC_100 = 1564
  integer, parameter :: nGC_101 = 1565
  integer, parameter :: nGC_102 = 1566
  integer, parameter :: nGC_103 = 1567
  integer, parameter :: nGC_104 = 1568
  integer, parameter :: nGC_105 = 1569
  integer, parameter :: nGC_106 = 1570
  integer, parameter :: nGC_107 = 1571
  integer, parameter :: nGC_108 = 1572
  integer, parameter :: nGC_109 = 1573
  integer, parameter :: nGC_189 = 1574
  integer, parameter :: nGC_21692 = 1575
  integer, parameter :: nGC_32181 = 1576
  integer, parameter :: nGC_32186 = 1577
  integer, parameter :: nGC_32189 = 1578
  integer, parameter :: nGC_32744 = 1579
  integer, parameter :: nGC_22228 = 1580
  integer, parameter :: nGC_22227 = 1581
  integer, parameter :: nGC_22226 = 1582
  integer, parameter :: nGC_22223 = 1583
  integer, parameter :: nGC_22222 = 1584
  integer, parameter :: nGC_22221 = 1585
  integer, parameter :: nGC_21936 = 1586
  integer, parameter :: nGC_21752 = 1587
  integer, parameter :: nGC_21934 = 1588
  integer, parameter :: nGC_21935 = 1589
  integer, parameter :: nGC_21932 = 1590
  integer, parameter :: nGC_21933 = 1591
  integer, parameter :: nGC_21930 = 1592
  integer, parameter :: nGC_21931 = 1593
  integer, parameter :: nGC_37051 = 1594
  integer, parameter :: nGC_182 = 1595
  integer, parameter :: nGC_21938 = 1596
  integer, parameter :: nGC_21939 = 1597
  integer, parameter :: nGC_TS_GC_242_Hl = 1598
  integer, parameter :: nGC_20914 = 1599
  integer, parameter :: nGC_20913 = 1600
  integer, parameter :: nGC_20912 = 1601
  integer, parameter :: nGC_20911 = 1602
  integer, parameter :: nGC_TS_GC_357_Hl = 1603
  integer, parameter :: nGC_22595 = 1604
  integer, parameter :: nGC_22594 = 1605
  integer, parameter :: nGC_22597 = 1606
  integer, parameter :: nGC_22596 = 1607
  integer, parameter :: nGC_22591 = 1608
  integer, parameter :: nGC_22590 = 1609
  integer, parameter :: nGC_22593 = 1610
  integer, parameter :: nGC_22592 = 1611
  integer, parameter :: nGC_22599 = 1612
  integer, parameter :: nGC_22598 = 1613
  integer, parameter :: nGC_21808 = 1614
  integer, parameter :: nGC_21809 = 1615
  integer, parameter :: nGC_22356 = 1616
  integer, parameter :: nGC_22355 = 1617
  integer, parameter :: nGC_21802 = 1618
  integer, parameter :: nGC_21803 = 1619
  integer, parameter :: nGC_21800 = 1620
  integer, parameter :: nGC_21801 = 1621
  integer, parameter :: nGC_21806 = 1622
  integer, parameter :: nGC_21807 = 1623
  integer, parameter :: nGC_21804 = 1624
  integer, parameter :: nGC_21805 = 1625
  integer, parameter :: nGC_22579 = 1626
  integer, parameter :: nGC_22571 = 1627
  integer, parameter :: nGC_22570 = 1628
  integer, parameter :: nGC_22577 = 1629
  integer, parameter :: nGC_22576 = 1630
  integer, parameter :: nGC_22575 = 1631
  integer, parameter :: nGC_22574 = 1632
  integer, parameter :: nGC_32352 = 1633
  integer, parameter :: nGC_32353 = 1634
  integer, parameter :: nGC_32359 = 1635
  integer, parameter :: nGC_21591 = 1636
  integer, parameter :: nGC_22688 = 1637
  integer, parameter :: nGC_148 = 1638
  integer, parameter :: nGC_21592 = 1639
  integer, parameter :: nGC_8013 = 1640
  integer, parameter :: nGC_36451 = 1641
  integer, parameter :: nGC_22683 = 1642
  integer, parameter :: nGC_22685 = 1643
  integer, parameter :: nGC_22176 = 1644
  integer, parameter :: nGC_22175 = 1645
  integer, parameter :: nGC_22174 = 1646
  integer, parameter :: nGC_22173 = 1647
  integer, parameter :: nGC_22172 = 1648
  integer, parameter :: nGC_22171 = 1649
  integer, parameter :: nGC_22170 = 1650
  integer, parameter :: nGC_45347 = 1651
  integer, parameter :: nGC_22179 = 1652
  integer, parameter :: nGC_22178 = 1653
  integer, parameter :: nGC_611 = 1654
  integer, parameter :: nGC_591 = 1655
  integer, parameter :: nGC_32226 = 1656
  integer, parameter :: nGC_32227 = 1657
  integer, parameter :: nGC_22165 = 1658
  integer, parameter :: nGC_32220 = 1659
  integer, parameter :: nGC_32221 = 1660
  integer, parameter :: nGC_20683 = 1661
  integer, parameter :: nGC_20686 = 1662
  integer, parameter :: nGC_20685 = 1663
  integer, parameter :: nGC_20684 = 1664
  integer, parameter :: nGC_20689 = 1665
  integer, parameter :: nGC_TS_GC_178_Hh = 1666
  integer, parameter :: nGC_35619 = 1667
  integer, parameter :: nGC_TS_GC_178_Hl = 1668
  integer, parameter :: nGC_34212 = 1669
  integer, parameter :: nGC_35616 = 1670
  integer, parameter :: nGC_35617 = 1671
  integer, parameter :: nGC_20695 = 1672
  integer, parameter :: nGC_39601 = 1673
  integer, parameter :: nGC_32427 = 1674
  integer, parameter :: nGC_35618 = 1675
  integer, parameter :: nGC_TS_GC_35_Hl = 1676
  integer, parameter :: nGC_21488 = 1677
  integer, parameter :: nGC_21489 = 1678
  integer, parameter :: nGC_21486 = 1679
  integer, parameter :: nGC_21487 = 1680
  integer, parameter :: nGC_21484 = 1681
  integer, parameter :: nGC_21485 = 1682
  integer, parameter :: nGC_21482 = 1683
  integer, parameter :: nGC_21483 = 1684
  integer, parameter :: nGC_21480 = 1685
  integer, parameter :: nGC_21481 = 1686
  integer, parameter :: nGC_21974 = 1687
  integer, parameter :: nGC_39465 = 1688
  integer, parameter :: nGC_39464 = 1689
  integer, parameter :: nGC_60 = 1690
  integer, parameter :: nGC_22163 = 1691
  integer, parameter :: nGC_247 = 1692
  integer, parameter :: nGC_246 = 1693
  integer, parameter :: nGC_245 = 1694
  integer, parameter :: nGC_33106 = 1695
  integer, parameter :: nGC_21150 = 1696
  integer, parameter :: nGC_21151 = 1697
  integer, parameter :: nGC_241 = 1698
  integer, parameter :: nGC_240 = 1699
  integer, parameter :: nGC_34217 = 1700
  integer, parameter :: nGC_248 = 1701
  integer, parameter :: nGC_22730 = 1702
  integer, parameter :: nGC_32516 = 1703
  integer, parameter :: nGC_21087 = 1704
  integer, parameter :: nGC_20784 = 1705
  integer, parameter :: nGC_21623 = 1706
  integer, parameter :: nGC_21034 = 1707
  integer, parameter :: nGC_21033 = 1708
  integer, parameter :: nGC_21032 = 1709
  integer, parameter :: nGC_21031 = 1710
  integer, parameter :: nGC_21030 = 1711
  integer, parameter :: nGC_20856 = 1712
  integer, parameter :: nGC_20857 = 1713
  integer, parameter :: nGC_20854 = 1714
  integer, parameter :: nGC_20855 = 1715
  integer, parameter :: nGC_20852 = 1716
  integer, parameter :: nGC_20853 = 1717
  integer, parameter :: nGC_20850 = 1718
  integer, parameter :: nGC_20851 = 1719
  integer, parameter :: nGC_118 = 1720
  integer, parameter :: nGC_32424 = 1721
  integer, parameter :: nGC_34321 = 1722
  integer, parameter :: nGC_21744 = 1723
  integer, parameter :: nGC_33117 = 1724
  integer, parameter :: nGC_21327 = 1725
  integer, parameter :: nGC_21329 = 1726
  integer, parameter :: nGC_21328 = 1727
  integer, parameter :: nGC_TS_GC_360_Hh = 1728
  integer, parameter :: nGC_37604 = 1729
  integer, parameter :: nGC_119 = 1730
  integer, parameter :: nGC_21748 = 1731
  integer, parameter :: nGC_117 = 1732
  integer, parameter :: nGC_116 = 1733
  integer, parameter :: nGC_115 = 1734
  integer, parameter :: nGC_114 = 1735
  integer, parameter :: nGC_113 = 1736
  integer, parameter :: nGC_112 = 1737
  integer, parameter :: nGC_111 = 1738
  integer, parameter :: nGC_110 = 1739
  integer, parameter :: nGC_TS_GC_378_Hh = 1740
  integer, parameter :: nGC_22212 = 1741
  integer, parameter :: nGC_22213 = 1742
  integer, parameter :: nGC_22210 = 1743
  integer, parameter :: nGC_32737 = 1744
  integer, parameter :: nGC_22216 = 1745
  integer, parameter :: nGC_22214 = 1746
  integer, parameter :: nGC_41507 = 1747
  integer, parameter :: nGC_3867 = 1748
  integer, parameter :: nGC_TS_GC_47_Hh = 1749
  integer, parameter :: nGC_TS_GC_47_Hl = 1750
  integer, parameter :: nGC_32640 = 1751
  integer, parameter :: nGC_44110 = 1752
  integer, parameter :: nGC_22365 = 1753
  integer, parameter :: nGC_22363 = 1754
  integer, parameter :: nGC_22368 = 1755
  integer, parameter :: nGC_22548 = 1756
  integer, parameter :: nGC_22549 = 1757
  integer, parameter :: nGC_22546 = 1758
  integer, parameter :: nGC_22547 = 1759
  integer, parameter :: nGC_22544 = 1760
  integer, parameter :: nGC_22545 = 1761
  integer, parameter :: nGC_22542 = 1762
  integer, parameter :: nGC_22543 = 1763
  integer, parameter :: nGC_22540 = 1764
  integer, parameter :: nGC_22541 = 1765
  integer, parameter :: nGC_TS_GC_52_Hh = 1766
  integer, parameter :: nGC_32344 = 1767
  integer, parameter :: nGC_32347 = 1768
  integer, parameter :: nGC_32346 = 1769
  integer, parameter :: nGC_TS_GC_52_Hl = 1770
  integer, parameter :: nGC_22148 = 1771
  integer, parameter :: nGC_22149 = 1772
  integer, parameter :: nGC_33908 = 1773
  integer, parameter :: nGC_22142 = 1774
  integer, parameter :: nGC_22143 = 1775
  integer, parameter :: nGC_22140 = 1776
  integer, parameter :: nGC_22147 = 1777
  integer, parameter :: nGC_22144 = 1778
  integer, parameter :: nGC_22145 = 1779
  integer, parameter :: nGC_TS_GC_22_Hh = 1780
  integer, parameter :: nGC_2539 = 1781
  integer, parameter :: nGC_32239 = 1782
  integer, parameter :: nGC_22211 = 1783
  integer, parameter :: nGC_22132 = 1784
  integer, parameter :: nGC_32230 = 1785
  integer, parameter :: nGC_32234 = 1786
  integer, parameter :: nGC_32237 = 1787
  integer, parameter :: nGC_22217 = 1788
  integer, parameter :: nGC_22130 = 1789
  integer, parameter :: nGC_22641 = 1790
  integer, parameter :: nGC_22136 = 1791
  integer, parameter :: nGC_36732 = 1792
  integer, parameter :: nGC_36736 = 1793
  integer, parameter :: nGC_22134 = 1794
  integer, parameter :: nGC_22218 = 1795
  integer, parameter :: nGC_35283 = 1796
  integer, parameter :: nGC_35285 = 1797
  integer, parameter :: nGC_35284 = 1798
  integer, parameter :: nGC_35286 = 1799
  integer, parameter :: nGC_35289 = 1800
  integer, parameter :: nGC_35288 = 1801
  integer, parameter :: nGC_2199 = 1802
  integer, parameter :: nGC_34774 = 1803
  integer, parameter :: nGC_34773 = 1804
  integer, parameter :: nGC_35198 = 1805
  integer, parameter :: nGC_35195 = 1806
  integer, parameter :: nGC_35197 = 1807
  integer, parameter :: nGC_35196 = 1808
  integer, parameter :: nGC_3463 = 1809
  integer, parameter :: nGC_34179 = 1810
  integer, parameter :: nGC_33341 = 1811
  integer, parameter :: nGC_35973 = 1812
  integer, parameter :: nGC_35971 = 1813
  integer, parameter :: nGC_35975 = 1814
  integer, parameter :: nGC_35974 = 1815
  integer, parameter :: nGC_2847 = 1816
  integer, parameter :: nGC_34952 = 1817
  integer, parameter :: nGC_34955 = 1818
  integer, parameter :: nGC_TS_GC_369_Hl = 1819
  integer, parameter :: nGC_34157 = 1820
  integer, parameter :: nGC_5885 = 1821
  integer, parameter :: nGC_32435 = 1822
  integer, parameter :: nGC_TS_GC_49_Hl = 1823
  integer, parameter :: nGC_41665 = 1824
  integer, parameter :: nGC_41660 = 1825
  integer, parameter :: nGC_33125 = 1826
  integer, parameter :: nGC_10341 = 1827
  integer, parameter :: nGC_37146 = 1828
  integer, parameter :: nGC_22205 = 1829
  integer, parameter :: nGC_22204 = 1830
  integer, parameter :: nGC_22207 = 1831
  integer, parameter :: nGC_22206 = 1832
  integer, parameter :: nGC_22201 = 1833
  integer, parameter :: nGC_22203 = 1834
  integer, parameter :: nGC_21954 = 1835
  integer, parameter :: nGC_22208 = 1836
  integer, parameter :: nGC_21953 = 1837
  integer, parameter :: nGC_22447 = 1838
  integer, parameter :: nGC_22446 = 1839
  integer, parameter :: nGC_33752 = 1840
  integer, parameter :: nGC_TS_GC_213_Hl = 1841
  integer, parameter :: nGC_32659 = 1842
  integer, parameter :: nGC_32658 = 1843
  integer, parameter :: nGC_32653 = 1844
  integer, parameter :: nGC_22370 = 1845
  integer, parameter :: nGC_22372 = 1846
  integer, parameter :: nGC_32654 = 1847
  integer, parameter :: nGC_TS_GC_179_Hh = 1848
  integer, parameter :: nGC_22551 = 1849
  integer, parameter :: nGC_22550 = 1850
  integer, parameter :: nGC_22553 = 1851
  integer, parameter :: nGC_22552 = 1852
  integer, parameter :: nGC_22555 = 1853
  integer, parameter :: nGC_22554 = 1854
  integer, parameter :: nGC_22557 = 1855
  integer, parameter :: nGC_22556 = 1856
  integer, parameter :: nGC_22559 = 1857
  integer, parameter :: nGC_22558 = 1858
  integer, parameter :: nGC_56629 = 1859
  integer, parameter :: nGC_36439 = 1860
  integer, parameter :: nGC_22155 = 1861
  integer, parameter :: nGC_22156 = 1862
  integer, parameter :: nGC_22151 = 1863
  integer, parameter :: nGC_22150 = 1864
  integer, parameter :: nGC_22152 = 1865
  integer, parameter :: nGC_TS_GC_41_Hl = 1866
  integer, parameter :: nGC_32248 = 1867
  integer, parameter :: nGC_33993 = 1868
  integer, parameter :: nGC_32240 = 1869
  integer, parameter :: nGC_32241 = 1870
  integer, parameter :: nGC_32242 = 1871
  integer, parameter :: nGC_32243 = 1872
  integer, parameter :: nGC_52273 = 1873
  integer, parameter :: nGC_36727 = 1874
  integer, parameter :: nGC_36728 = 1875
  integer, parameter :: nGC_34766 = 1876
  integer, parameter :: nGC_32882 = 1877
  integer, parameter :: nGC_32345 = 1878
  integer, parameter :: nGC_35361 = 1879
  integer, parameter :: nGC_35365 = 1880
  integer, parameter :: nGC_TS_GC_241_Hl = 1881
  integer, parameter :: nGC_36545 = 1882
  integer, parameter :: nGC_36544 = 1883
  integer, parameter :: nGC_32398 = 1884
  integer, parameter :: nGC_32395 = 1885
  integer, parameter :: nGC_32864 = 1886
  integer, parameter :: nGC_38283 = 1887
  integer, parameter :: nGC_34497 = 1888
  integer, parameter :: nGC_3271 = 1889
  integer, parameter :: nGC_TS_GC_38_Hl = 1890
  integer, parameter :: nGC_33358 = 1891
  integer, parameter :: nGC_57437 = 1892
  integer, parameter :: nGC_TS_GC_77_Hl = 1893
  integer, parameter :: nGC_TS_GC_77_Hh = 1894
  integer, parameter :: nGC_35011 = 1895
  integer, parameter :: nGC_34948 = 1896
  integer, parameter :: nGC_22146 = 1897
  integer, parameter :: nGC_34947 = 1898
  integer, parameter :: nGC_37930 = 1899
  integer, parameter :: nGC_33992 = 1900
  integer, parameter :: nGC_32402 = 1901
  integer, parameter :: nGC_37621 = 1902
  integer, parameter :: nGC_5093 = 1903
  integer, parameter :: nGC_5091 = 1904
  integer, parameter :: nGC_32710 = 1905
  integer, parameter :: nGC_32711 = 1906
  integer, parameter :: nGC_32714 = 1907
  integer, parameter :: nGC_37717 = 1908
  integer, parameter :: nGC_57381 = 1909
  integer, parameter :: nGC_22098 = 1910
  integer, parameter :: nGC_22099 = 1911
  integer, parameter :: nGC_22096 = 1912
  integer, parameter :: nGC_22097 = 1913
  integer, parameter :: nGC_TS_GC_236_Hh = 1914
  integer, parameter :: nGC_TS_GC_236_Hl = 1915
  integer, parameter :: nGC_32669 = 1916
  integer, parameter :: nGC_32666 = 1917
  integer, parameter :: nGC_32667 = 1918
  integer, parameter :: nGC_22306 = 1919
  integer, parameter :: nGC_22300 = 1920
  integer, parameter :: nGC_32663 = 1921
  integer, parameter :: nGC_32660 = 1922
  integer, parameter :: nGC_22303 = 1923
  integer, parameter :: nGC_22524 = 1924
  integer, parameter :: nGC_22525 = 1925
  integer, parameter :: nGC_22526 = 1926
  integer, parameter :: nGC_22527 = 1927
  integer, parameter :: nGC_22520 = 1928
  integer, parameter :: nGC_22521 = 1929
  integer, parameter :: nGC_22522 = 1930
  integer, parameter :: nGC_22523 = 1931
  integer, parameter :: nGC_22528 = 1932
  integer, parameter :: nGC_22529 = 1933
  integer, parameter :: nGC_1263 = 1934
  integer, parameter :: nGC_56630 = 1935
  integer, parameter :: nGC_33432 = 1936
  integer, parameter :: nGC_33433 = 1937
  integer, parameter :: nGC_22410 = 1938
  integer, parameter :: nGC_22411 = 1939
  integer, parameter :: nGC_22413 = 1940
  integer, parameter :: nGC_22638 = 1941
  integer, parameter :: nGC_22639 = 1942
  integer, parameter :: nGC_52641 = 1943
  integer, parameter :: nGC_22630 = 1944
  integer, parameter :: nGC_22631 = 1945
  integer, parameter :: nGC_22632 = 1946
  integer, parameter :: nGC_22634 = 1947
  integer, parameter :: nGC_22635 = 1948
  integer, parameter :: nGC_22636 = 1949
  integer, parameter :: nGC_22637 = 1950
  integer, parameter :: nGC_32256 = 1951
  integer, parameter :: nGC_32252 = 1952
  integer, parameter :: nGC_44910 = 1953
  integer, parameter :: nGC_44915 = 1954
  integer, parameter :: nGC_TS_GC_40_Hl = 1955
  integer, parameter :: nGC_TS_GC_333_Hl = 1956
  integer, parameter :: nGC_TS_GC_53_Hl = 1957
  integer, parameter :: nGC_32890 = 1958
  integer, parameter :: nGC_TS_GC_53_Hh = 1959
  integer, parameter :: nGC_32899 = 1960
  integer, parameter :: nGC_33718 = 1961
  integer, parameter :: nGC_32381 = 1962
  integer, parameter :: nGC_32387 = 1963
  integer, parameter :: nGC_32872 = 1964
  integer, parameter :: nGC_34622 = 1965
  integer, parameter :: nGC_32611 = 1966
  integer, parameter :: nGC_34155 = 1967
  integer, parameter :: nGC_35714 = 1968
  integer, parameter :: nGC_38631 = 1969
  integer, parameter :: nGC_38744 = 1970
  integer, parameter :: nGC_38743 = 1971
  integer, parameter :: nGC_32753 = 1972
  integer, parameter :: nGC_TS_GC_250_Hh = 1973
  integer, parameter :: nGC_35000 = 1974
  integer, parameter :: nGC_32527 = 1975
  integer, parameter :: nGC_32526 = 1976
  integer, parameter :: nGC_32521 = 1977
  integer, parameter :: nGC_32522 = 1978
  integer, parameter :: nGC_32528 = 1979
  integer, parameter :: nGC_34447 = 1980
  integer, parameter :: nGC_32412 = 1981
  integer, parameter :: nGC_34842 = 1982
  integer, parameter :: nGC_33380 = 1983
  integer, parameter :: nGC_33381 = 1984
  integer, parameter :: nGC_10329 = 1985
  integer, parameter :: nGC_10327 = 1986
  integer, parameter :: nGC_10323 = 1987
  integer, parameter :: nGC_10321 = 1988
  integer, parameter :: nGC_22643 = 1989
  integer, parameter :: nGC_32709 = 1990
  integer, parameter :: nGC_32700 = 1991
  integer, parameter :: nGC_33654 = 1992
  integer, parameter :: nGC_21973 = 1993
  integer, parameter :: nGC_21970 = 1994
  integer, parameter :: nGC_21971 = 1995
  integer, parameter :: nGC_33652 = 1996
  integer, parameter :: nGC_33653 = 1997
  integer, parameter :: nGC_21978 = 1998
  integer, parameter :: nGC_21979 = 1999
  integer, parameter :: nGC_789 = 2000
  integer, parameter :: nGC_22131 = 2001
  integer, parameter :: nGC_21998 = 2002
  integer, parameter :: nGC_21999 = 2003
  integer, parameter :: nGC_21990 = 2004
  integer, parameter :: nGC_21991 = 2005
  integer, parameter :: nGC_21992 = 2006
  integer, parameter :: nGC_21993 = 2007
  integer, parameter :: nGC_21994 = 2008
  integer, parameter :: nGC_21995 = 2009
  integer, parameter :: nGC_21996 = 2010
  integer, parameter :: nGC_21997 = 2011
  integer, parameter :: nGC_22191 = 2012
  integer, parameter :: nGC_57395 = 2013
  integer, parameter :: nGC_22086 = 2014
  integer, parameter :: nGC_22085 = 2015
  integer, parameter :: nGC_22083 = 2016
  integer, parameter :: nGC_22081 = 2017
  integer, parameter :: nGC_22080 = 2018
  integer, parameter :: nGC_22192 = 2019
  integer, parameter :: nGC_22317 = 2020
  integer, parameter :: nGC_22312 = 2021
  integer, parameter :: nGC_22311 = 2022
  integer, parameter :: nGC_22310 = 2023
  integer, parameter :: nGC_22537 = 2024
  integer, parameter :: nGC_22536 = 2025
  integer, parameter :: nGC_22535 = 2026
  integer, parameter :: nGC_22534 = 2027
  integer, parameter :: nGC_22533 = 2028
  integer, parameter :: nGC_22532 = 2029
  integer, parameter :: nGC_22531 = 2030
  integer, parameter :: nGC_22530 = 2031
  integer, parameter :: nGC_22539 = 2032
  integer, parameter :: nGC_22538 = 2033
  integer, parameter :: nGC_1271 = 2034
  integer, parameter :: nGC_33426 = 2035
  integer, parameter :: nGC_33425 = 2036
  integer, parameter :: nGC_22407 = 2037
  integer, parameter :: nGC_22409 = 2038
  integer, parameter :: nGC_22408 = 2039
  integer, parameter :: nGC_22629 = 2040
  integer, parameter :: nGC_22628 = 2041
  integer, parameter :: nGC_22623 = 2042
  integer, parameter :: nGC_22622 = 2043
  integer, parameter :: nGC_22621 = 2044
  integer, parameter :: nGC_22620 = 2045
  integer, parameter :: nGC_22627 = 2046
  integer, parameter :: nGC_22626 = 2047
  integer, parameter :: nGC_22625 = 2048
  integer, parameter :: nGC_22624 = 2049
  integer, parameter :: nGC_TS_GC_37_Hh = 2050
  integer, parameter :: nGC_32260 = 2051
  integer, parameter :: nGC_32267 = 2052
  integer, parameter :: nGC_32264 = 2053
  integer, parameter :: nGC_41933 = 2054
  integer, parameter :: nGC_53380 = 2055
  integer, parameter :: nGC_34709 = 2056
  integer, parameter :: nGC_35498 = 2057
  integer, parameter :: nGC_35148 = 2058
  integer, parameter :: nGC_35149 = 2059
  integer, parameter :: nGC_3383 = 2060
  integer, parameter :: nGC_34146 = 2061
  integer, parameter :: nGC_32282 = 2062
  integer, parameter :: nGC_TS_GC_261_Hl = 2063
  integer, parameter :: nGC_34451 = 2064
  integer, parameter :: nGC_32468 = 2065
  integer, parameter :: nGC_33391 = 2066
  integer, parameter :: nGC_10319 = 2067
  integer, parameter :: nGC_60780 = 2068
  integer, parameter :: nGC_21964 = 2069
  integer, parameter :: nGC_21967 = 2070
  integer, parameter :: nGC_21961 = 2071
  integer, parameter :: nGC_21963 = 2072
  integer, parameter :: nGC_21962 = 2073
  integer, parameter :: nGC_21969 = 2074
  integer, parameter :: nGC_22695 = 2075
  integer, parameter :: nGC_40656 = 2076
  integer, parameter :: nGC_22160 = 2077
  integer, parameter :: nGC_40654 = 2078
  integer, parameter :: nGC_22693 = 2079
  integer, parameter :: nGC_21972 = 2080
  integer, parameter :: nGC_21989 = 2081
  integer, parameter :: nGC_21988 = 2082
  integer, parameter :: nGC_21983 = 2083
  integer, parameter :: nGC_21982 = 2084
  integer, parameter :: nGC_21981 = 2085
  integer, parameter :: nGC_21980 = 2086
  integer, parameter :: nGC_21987 = 2087
  integer, parameter :: nGC_21986 = 2088
  integer, parameter :: nGC_21985 = 2089
  integer, parameter :: nGC_21984 = 2090
  integer, parameter :: nGC_22515 = 2091
  integer, parameter :: nGC_33707 = 2092
  integer, parameter :: nGC_22514 = 2093
  integer, parameter :: nGC_22517 = 2094
  integer, parameter :: nGC_22511 = 2095
  integer, parameter :: nGC_22510 = 2096
  integer, parameter :: nGC_22513 = 2097
  integer, parameter :: nGC_37177 = 2098
  integer, parameter :: nGC_22512 = 2099
  integer, parameter :: nGC_TS_GC_332_Hh = 2100
  integer, parameter :: nGC_22186 = 2101
  integer, parameter :: nGC_22184 = 2102
  integer, parameter :: nGC_22185 = 2103
  integer, parameter :: nGC_22182 = 2104
  integer, parameter :: nGC_22183 = 2105
  integer, parameter :: nGC_42825 = 2106
  integer, parameter :: nGC_22181 = 2107
  integer, parameter :: nGC_42828 = 2108
  integer, parameter :: nGC_22189 = 2109
  integer, parameter :: nGC_22436 = 2110
  integer, parameter :: nGC_22437 = 2111
  integer, parameter :: nGC_22434 = 2112
  integer, parameter :: nGC_22433 = 2113
  integer, parameter :: nGC_22438 = 2114
  integer, parameter :: nGC_22618 = 2115
  integer, parameter :: nGC_22619 = 2116
  integer, parameter :: nGC_22616 = 2117
  integer, parameter :: nGC_22617 = 2118
  integer, parameter :: nGC_22614 = 2119
  integer, parameter :: nGC_22615 = 2120
  integer, parameter :: nGC_22612 = 2121
  integer, parameter :: nGC_22613 = 2122
  integer, parameter :: nGC_22610 = 2123
  integer, parameter :: nGC_22611 = 2124
  integer, parameter :: nGC_35555 = 2125
  integer, parameter :: nGC_32271 = 2126
  integer, parameter :: nGC_32278 = 2127
  integer, parameter :: nGC_39031 = 2128
  integer, parameter :: nGC_22058 = 2129
  integer, parameter :: nGC_22059 = 2130
  integer, parameter :: nGC_22508 = 2131
  integer, parameter :: nGC_22509 = 2132
  integer, parameter :: nGC_58398 = 2133
  integer, parameter :: nGC_22502 = 2134
  integer, parameter :: nGC_22503 = 2135
  integer, parameter :: nGC_22500 = 2136
  integer, parameter :: nGC_22501 = 2137
  integer, parameter :: nGC_33896 = 2138
  integer, parameter :: nGC_33897 = 2139
  integer, parameter :: nGC_22504 = 2140
  integer, parameter :: nGC_34732 = 2141
  integer, parameter :: nGC_35150 = 2142
  integer, parameter :: nGC_35489 = 2143
  integer, parameter :: nGC_35488 = 2144
  integer, parameter :: nGC_32856 = 2145
  integer, parameter :: nGC_35535 = 2146
  integer, parameter :: nGC_32299 = 2147
  integer, parameter :: nGC_32293 = 2148
  integer, parameter :: nGC_32290 = 2149
  integer, parameter :: nGC_38162 = 2150
  integer, parameter :: nGC_38161 = 2151
  integer, parameter :: nGC_38160 = 2152
  integer, parameter :: nGC_3285 = 2153
  integer, parameter :: nGC_43065 = 2154
  integer, parameter :: nGC_43066 = 2155
  integer, parameter :: nGC_22082 = 2156
  integer, parameter :: nGC_33730 = 2157
  integer, parameter :: nGC_33090 = 2158
  integer, parameter :: nGC_33095 = 2159
  integer, parameter :: nGC_TS_GC_224_Hh = 2160
  integer, parameter :: nGC_32501 = 2161
  integer, parameter :: nGC_1879 = 2162
  integer, parameter :: nGC_32474 = 2163
  integer, parameter :: nGC_1675 = 2164
  integer, parameter :: nGC_22251 = 2165
  integer, parameter :: nGC_TS_GC_246_Hl = 2166
  integer, parameter :: nGC_33072 = 2167
  integer, parameter :: nGC_33075 = 2168
  integer, parameter :: nGC_37981 = 2169
  integer, parameter :: nGC_37982 = 2170
  integer, parameter :: nGC_37983 = 2171
  integer, parameter :: nGC_37984 = 2172
  integer, parameter :: nGC_57482 = 2173
  integer, parameter :: nGC_37986 = 2174
  integer, parameter :: nGC_37987 = 2175
  integer, parameter :: nGC_TS_GC_48_Hh = 2176
  integer, parameter :: nGC_22376 = 2177
  integer, parameter :: nGC_22335 = 2178
  integer, parameter :: nGC_22334 = 2179
  integer, parameter :: nGC_22336 = 2180
  integer, parameter :: nGC_22331 = 2181
  integer, parameter :: nGC_22330 = 2182
  integer, parameter :: nGC_22333 = 2183
  integer, parameter :: nGC_22339 = 2184
  integer, parameter :: nGC_22338 = 2185
  integer, parameter :: nGC_37182 = 2186
  integer, parameter :: nGC_22199 = 2187
  integer, parameter :: nGC_22198 = 2188
  integer, parameter :: nGC_36161 = 2189
  integer, parameter :: nGC_22190 = 2190
  integer, parameter :: nGC_22193 = 2191
  integer, parameter :: nGC_36162 = 2192
  integer, parameter :: nGC_22195 = 2193
  integer, parameter :: nGC_22194 = 2194
  integer, parameter :: nGC_22197 = 2195
  integer, parameter :: nGC_22196 = 2196
  integer, parameter :: nGC_TS_GC_249_Hh = 2197
  integer, parameter :: nGC_22601 = 2198
  integer, parameter :: nGC_22600 = 2199
  integer, parameter :: nGC_22603 = 2200
  integer, parameter :: nGC_22602 = 2201
  integer, parameter :: nGC_22605 = 2202
  integer, parameter :: nGC_22604 = 2203
  integer, parameter :: nGC_22607 = 2204
  integer, parameter :: nGC_22606 = 2205
  integer, parameter :: nGC_22609 = 2206
  integer, parameter :: nGC_39027 = 2207
  integer, parameter :: nGC_22698 = 2208
  integer, parameter :: nGC_22048 = 2209
  integer, parameter :: nGC_22519 = 2210
  integer, parameter :: nGC_22518 = 2211
  integer, parameter :: nGC_58386 = 2212
  integer, parameter :: nGC_22041 = 2213
  integer, parameter :: nGC_22040 = 2214
  integer, parameter :: nGC_22047 = 2215
  integer, parameter :: nGC_22046 = 2216
  integer, parameter :: nGC_39598 = 2217
  integer, parameter :: nGC_22699 = 2218
  integer, parameter :: nGC_36909 = 2219
  integer, parameter :: nGC_34725 = 2220
  integer, parameter :: nGC_34727 = 2221
  integer, parameter :: nGC_34726 = 2222
  integer, parameter :: nGC_34723 = 2223
  integer, parameter :: nGC_34722 = 2224
  integer, parameter :: nGC_33682 = 2225
  integer, parameter :: nGC_TS_GC_20_Hl = 2226
  integer, parameter :: nGC_TS_GC_20_Hh = 2227
  integer, parameter :: nGC_41668 = 2228
  integer, parameter :: nGC_42109 = 2229
  integer, parameter :: nGC_32828 = 2230
  integer, parameter :: nGC_32829 = 2231
  integer, parameter :: nGC_41664 = 2232
  integer, parameter :: nGC_TS_GC_252_Hl = 2233
  integer, parameter :: nGC_34182 = 2234
  integer, parameter :: nGC_38159 = 2235
  integer, parameter :: nGC_35900 = 2236
  integer, parameter :: nGC_35905 = 2237
  integer, parameter :: nGC_43071 = 2238
  integer, parameter :: nGC_34502 = 2239
  integer, parameter :: nGC_33087 = 2240
  integer, parameter :: nGC_33246 = 2241
  integer, parameter :: nGC_37401 = 2242
  integer, parameter :: nGC_34475 = 2243
  integer, parameter :: nGC_34474 = 2244
  integer, parameter :: nGC_57927 = 2245
  integer, parameter :: nGC_33660 = 2246
  integer, parameter :: nGC_32596 = 2247
  integer, parameter :: nGC_32597 = 2248
  integer, parameter :: nGC_32598 = 2249
  integer, parameter :: nGC_32599 = 2250
  integer, parameter :: nGC_33065 = 2251
  integer, parameter :: nGC_37985 = 2252
  integer, parameter :: nGC_33475 = 2253
  integer, parameter :: nGC_22458 = 2254
  integer, parameter :: nGC_22459 = 2255
  integer, parameter :: nGC_32138 = 2256
  integer, parameter :: nGC_22454 = 2257
  integer, parameter :: nGC_22455 = 2258
  integer, parameter :: nGC_32134 = 2259
  integer, parameter :: nGC_22457 = 2260
  integer, parameter :: nGC_22450 = 2261
  integer, parameter :: nGC_22451 = 2262
  integer, parameter :: nGC_32131 = 2263
  integer, parameter :: nGC_22298 = 2264
  integer, parameter :: nGC_22299 = 2265
  integer, parameter :: nGC_22292 = 2266
  integer, parameter :: nGC_22293 = 2267
  integer, parameter :: nGC_22290 = 2268
  integer, parameter :: nGC_22291 = 2269
  integer, parameter :: nGC_22296 = 2270
  integer, parameter :: nGC_22297 = 2271
  integer, parameter :: nGC_22294 = 2272
  integer, parameter :: nGC_22295 = 2273
  integer, parameter :: nGC_22674 = 2274
  integer, parameter :: nGC_22675 = 2275
  integer, parameter :: nGC_22676 = 2276
  integer, parameter :: nGC_22677 = 2277
  integer, parameter :: nGC_22671 = 2278
  integer, parameter :: nGC_22672 = 2279
  integer, parameter :: nGC_32726 = 2280
  integer, parameter :: nGC_22678 = 2281
  integer, parameter :: nGC_22679 = 2282
  integer, parameter :: nGC_32723 = 2283
  integer, parameter :: nGC_21959 = 2284
  integer, parameter :: nGC_36022 = 2285
  integer, parameter :: nGC_22364 = 2286
  integer, parameter :: nGC_36755 = 2287
  integer, parameter :: nGC_22202 = 2288
  integer, parameter :: nGC_22078 = 2289
  integer, parameter :: nGC_22079 = 2290
  integer, parameter :: nGC_22076 = 2291
  integer, parameter :: nGC_22077 = 2292
  integer, parameter :: nGC_22070 = 2293
  integer, parameter :: nGC_22708 = 2294
  integer, parameter :: nGC_22709 = 2295
  integer, parameter :: nGC_22700 = 2296
  integer, parameter :: nGC_22702 = 2297
  integer, parameter :: nGC_22706 = 2298
  integer, parameter :: nGC_22673 = 2299
  integer, parameter :: nGC_36624 = 2300
  integer, parameter :: nGC_42112 = 2301
  integer, parameter :: nGC_3351 = 2302
  integer, parameter :: nGC_44886 = 2303
  integer, parameter :: nGC_32901 = 2304
  integer, parameter :: nGC_32907 = 2305
  integer, parameter :: nGC_32904 = 2306
  integer, parameter :: nGC_36245 = 2307
  integer, parameter :: nGC_38415 = 2308
  integer, parameter :: nGC_35821 = 2309
  integer, parameter :: nGC_35822 = 2310
  integer, parameter :: nGC_TS_GC_339_Hh = 2311
  integer, parameter :: nGC_32456 = 2312
  integer, parameter :: nGC_33184 = 2313
  integer, parameter :: nGC_33898 = 2314
  integer, parameter :: nGC_34310 = 2315
  integer, parameter :: nGC_34311 = 2316
  integer, parameter :: nGC_32587 = 2317
  integer, parameter :: nGC_32581 = 2318
  integer, parameter :: nGC_22371 = 2319
  integer, parameter :: nGC_1855 = 2320
  integer, parameter :: nGC_37217 = 2321
  integer, parameter :: nGC_32639 = 2322
  integer, parameter :: nGC_32636 = 2323
  integer, parameter :: nGC_33461 = 2324
  integer, parameter :: nGC_22449 = 2325
  integer, parameter :: nGC_22448 = 2326
  integer, parameter :: nGC_32129 = 2327
  integer, parameter :: nGC_32128 = 2328
  integer, parameter :: nGC_22445 = 2329
  integer, parameter :: nGC_22442 = 2330
  integer, parameter :: nGC_22441 = 2331
  integer, parameter :: nGC_22440 = 2332
  integer, parameter :: nGC_22289 = 2333
  integer, parameter :: nGC_22288 = 2334
  integer, parameter :: nGC_22284 = 2335
  integer, parameter :: nGC_22287 = 2336
  integer, parameter :: nGC_22281 = 2337
  integer, parameter :: nGC_22280 = 2338
  integer, parameter :: nGC_22283 = 2339
  integer, parameter :: nGC_22282 = 2340
  integer, parameter :: nGC_22666 = 2341
  integer, parameter :: nGC_22665 = 2342
  integer, parameter :: nGC_22664 = 2343
  integer, parameter :: nGC_22663 = 2344
  integer, parameter :: nGC_22662 = 2345
  integer, parameter :: nGC_22660 = 2346
  integer, parameter :: nGC_22669 = 2347
  integer, parameter :: nGC_33998 = 2348
  integer, parameter :: nGC_22061 = 2349
  integer, parameter :: nGC_22060 = 2350
  integer, parameter :: nGC_22063 = 2351
  integer, parameter :: nGC_22062 = 2352
  integer, parameter :: nGC_22065 = 2353
  integer, parameter :: nGC_22064 = 2354
  integer, parameter :: nGC_45271 = 2355
  integer, parameter :: nGC_22066 = 2356
  integer, parameter :: nGC_22069 = 2357
  integer, parameter :: nGC_22068 = 2358
  integer, parameter :: nGC_22719 = 2359
  integer, parameter :: nGC_22718 = 2360
  integer, parameter :: nGC_22713 = 2361
  integer, parameter :: nGC_22712 = 2362
  integer, parameter :: nGC_22711 = 2363
  integer, parameter :: nGC_22710 = 2364
  integer, parameter :: nGC_22716 = 2365
  integer, parameter :: nGC_22715 = 2366
  integer, parameter :: nGC_22714 = 2367
  integer, parameter :: nGC_32331 = 2368
  integer, parameter :: nGC_34982 = 2369
  integer, parameter :: nGC_32335 = 2370
  integer, parameter :: nGC_34679 = 2371
  integer, parameter :: nGC_38422 = 2372
  integer, parameter :: nGC_38423 = 2373
  integer, parameter :: nGC_TS_GC_251_Hh = 2374
  integer, parameter :: nGC_38956 = 2375
  integer, parameter :: nGC_38957 = 2376
  integer, parameter :: nGC_35072 = 2377
  integer, parameter :: nGC_35070 = 2378
  integer, parameter :: nGC_35071 = 2379
  integer, parameter :: nGC_38229 = 2380
  integer, parameter :: nGC_34414 = 2381
  integer, parameter :: nGC_37513 = 2382
  integer, parameter :: nGC_50592 = 2383
  integer, parameter :: nGC_50593 = 2384
  integer, parameter :: nGC_34309 = 2385
  integer, parameter :: nGC_34302 = 2386
  integer, parameter :: nGC_34307 = 2387
  integer, parameter :: nGC_33683 = 2388
  integer, parameter :: nGC_33684 = 2389
  integer, parameter :: nGC_33688 = 2390
  integer, parameter :: nGC_40618 = 2391
  integer, parameter :: nGC_40619 = 2392
  integer, parameter :: nGC_33045 = 2393
  integer, parameter :: nGC_33048 = 2394
  integer, parameter :: nGC_22726 = 2395
  integer, parameter :: nGC_40186 = 2396
  integer, parameter :: nGC_40187 = 2397
  integer, parameter :: nGC_37022 = 2398
  integer, parameter :: nGC_TS_GC_39_Hh = 2399
  integer, parameter :: nGC_1487 = 2400
  integer, parameter :: nGC_32484 = 2401
  integer, parameter :: nGC_22384 = 2402
  integer, parameter :: nGC_22385 = 2403
  integer, parameter :: nGC_22386 = 2404
  integer, parameter :: nGC_22387 = 2405
  integer, parameter :: nGC_22380 = 2406
  integer, parameter :: nGC_22381 = 2407
  integer, parameter :: nGC_22383 = 2408
  integer, parameter :: nGC_22388 = 2409
  integer, parameter :: nGC_22389 = 2410
  integer, parameter :: nGC_33459 = 2411
  integer, parameter :: nGC_22472 = 2412
  integer, parameter :: nGC_22473 = 2413
  integer, parameter :: nGC_22470 = 2414
  integer, parameter :: nGC_22471 = 2415
  integer, parameter :: nGC_22476 = 2416
  integer, parameter :: nGC_22477 = 2417
  integer, parameter :: nGC_22474 = 2418
  integer, parameter :: nGC_22475 = 2419
  integer, parameter :: nGC_22478 = 2420
  integer, parameter :: nGC_22479 = 2421
  integer, parameter :: nGC_22270 = 2422
  integer, parameter :: nGC_22271 = 2423
  integer, parameter :: nGC_22272 = 2424
  integer, parameter :: nGC_22273 = 2425
  integer, parameter :: nGC_22276 = 2426
  integer, parameter :: nGC_22277 = 2427
  integer, parameter :: nGC_22279 = 2428
  integer, parameter :: nGC_41564 = 2429
  integer, parameter :: nGC_22498 = 2430
  integer, parameter :: nGC_22499 = 2431
  integer, parameter :: nGC_22490 = 2432
  integer, parameter :: nGC_22491 = 2433
  integer, parameter :: nGC_22492 = 2434
  integer, parameter :: nGC_22493 = 2435
  integer, parameter :: nGC_22494 = 2436
  integer, parameter :: nGC_22495 = 2437
  integer, parameter :: nGC_22496 = 2438
  integer, parameter :: nGC_22497 = 2439
  integer, parameter :: nGC_22014 = 2440
  integer, parameter :: nGC_22015 = 2441
  integer, parameter :: nGC_22016 = 2442
  integer, parameter :: nGC_22017 = 2443
  integer, parameter :: nGC_22010 = 2444
  integer, parameter :: nGC_22011 = 2445
  integer, parameter :: nGC_22012 = 2446
  integer, parameter :: nGC_22013 = 2447
  integer, parameter :: nGC_22018 = 2448
  integer, parameter :: nGC_22019 = 2449
  integer, parameter :: nGC_39544 = 2450
  integer, parameter :: nGC_53379 = 2451
  integer, parameter :: nGC_22727 = 2452
  integer, parameter :: nGC_22724 = 2453
  integer, parameter :: nGC_22725 = 2454
  integer, parameter :: nGC_22722 = 2455
  integer, parameter :: nGC_53681 = 2456
  integer, parameter :: nGC_35684 = 2457
  integer, parameter :: nGC_53686 = 2458
  integer, parameter :: nGC_32323 = 2459
  integer, parameter :: nGC_32322 = 2460
  integer, parameter :: nGC_32320 = 2461
  integer, parameter :: nGC_32325 = 2462
  integer, parameter :: nGC_32324 = 2463
  integer, parameter :: nGC_36315 = 2464
  integer, parameter :: nGC_22128 = 2465
  integer, parameter :: nGC_22129 = 2466
  integer, parameter :: nGC_22658 = 2467
  integer, parameter :: nGC_22659 = 2468
  integer, parameter :: nGC_22652 = 2469
  integer, parameter :: nGC_22653 = 2470
  integer, parameter :: nGC_22125 = 2471
  integer, parameter :: nGC_22654 = 2472
  integer, parameter :: nGC_22127 = 2473
  integer, parameter :: nGC_22120 = 2474
  integer, parameter :: nGC_22121 = 2475
  integer, parameter :: nGC_22656 = 2476
  integer, parameter :: nGC_32922 = 2477
  integer, parameter :: nGC_22126 = 2478
  integer, parameter :: nGC_TS_GC_245_Hh = 2479
  integer, parameter :: nGC_35069 = 2480
  integer, parameter :: nGC_38230 = 2481
  integer, parameter :: nGC_34240 = 2482
  integer, parameter :: nGC_35662 = 2483
  integer, parameter :: nGC_58449 = 2484
  integer, parameter :: nGC_40511 = 2485
  integer, parameter :: nGC_40513 = 2486
  integer, parameter :: nGC_40512 = 2487
  integer, parameter :: nGC_50585 = 2488
  integer, parameter :: nGC_50584 = 2489
  integer, parameter :: nGC_34337 = 2490
  integer, parameter :: nGC_34331 = 2491
  integer, parameter :: nGC_40284 = 2492
  integer, parameter :: nGC_22516 = 2493
  integer, parameter :: nGC_34935 = 2494
  integer, parameter :: nGC_34936 = 2495
  integer, parameter :: nGC_33034 = 2496
  integer, parameter :: nGC_33035 = 2497
  integer, parameter :: nGC_33032 = 2498
  integer, parameter :: nGC_33033 = 2499
  integer, parameter :: nGC_32495 = 2500
  integer, parameter :: nGC_33142 = 2501
  integer, parameter :: nGC_22397 = 2502
  integer, parameter :: nGC_22396 = 2503
  integer, parameter :: nGC_22395 = 2504
  integer, parameter :: nGC_22394 = 2505
  integer, parameter :: nGC_22393 = 2506
  integer, parameter :: nGC_22392 = 2507
  integer, parameter :: nGC_22390 = 2508
  integer, parameter :: nGC_22399 = 2509
  integer, parameter :: nGC_36120 = 2510
  integer, parameter :: nGC_22465 = 2511
  integer, parameter :: nGC_22464 = 2512
  integer, parameter :: nGC_32145 = 2513
  integer, parameter :: nGC_22466 = 2514
  integer, parameter :: nGC_22461 = 2515
  integer, parameter :: nGC_22460 = 2516
  integer, parameter :: nGC_22462 = 2517
  integer, parameter :: nGC_22469 = 2518
  integer, parameter :: nGC_22468 = 2519
  integer, parameter :: nGC_22263 = 2520
  integer, parameter :: nGC_22262 = 2521
  integer, parameter :: nGC_22261 = 2522
  integer, parameter :: nGC_22260 = 2523
  integer, parameter :: nGC_22266 = 2524
  integer, parameter :: nGC_22264 = 2525
  integer, parameter :: nGC_60289 = 2526
  integer, parameter :: nGC_22268 = 2527
  integer, parameter :: nGC_22456 = 2528
  integer, parameter :: nGC_22483 = 2529
  integer, parameter :: nGC_22482 = 2530
  integer, parameter :: nGC_22481 = 2531
  integer, parameter :: nGC_22480 = 2532
  integer, parameter :: nGC_22484 = 2533
  integer, parameter :: nGC_22452 = 2534
  integer, parameter :: nGC_22453 = 2535
  integer, parameter :: nGC_33848 = 2536
  integer, parameter :: nGC_22007 = 2537
  integer, parameter :: nGC_22005 = 2538
  integer, parameter :: nGC_22003 = 2539
  integer, parameter :: nGC_22001 = 2540
  integer, parameter :: nGC_22008 = 2541
  integer, parameter :: nGC_22732 = 2542
  integer, parameter :: nGC_22735 = 2543
  integer, parameter :: nGC_22734 = 2544
  integer, parameter :: nGC_22737 = 2545
  integer, parameter :: nGC_22736 = 2546
  integer, parameter :: nGC_22738 = 2547
  integer, parameter :: nGC_32317 = 2548
  integer, parameter :: nGC_32313 = 2549
  integer, parameter :: nGC_35470 = 2550
  integer, parameter :: nGC_22139 = 2551
  integer, parameter :: nGC_TS_GC_384_Hh = 2552
  integer, parameter :: nGC_22648 = 2553
  integer, parameter :: nGC_22133 = 2554
  integer, parameter :: nGC_22644 = 2555
  integer, parameter :: nGC_22647 = 2556
  integer, parameter :: nGC_22646 = 2557
  integer, parameter :: nGC_22137 = 2558
  integer, parameter :: nGC_22640 = 2559
  integer, parameter :: nGC_22135 = 2560
  integer, parameter :: nGC_22642 = 2561
  integer, parameter :: nGC_34657 = 2562
  integer, parameter :: nGC_34653 = 2563
  integer, parameter :: nGC_32957 = 2564
  integer, parameter :: nGC_39427 = 2565
  integer, parameter :: nGC_39429 = 2566
  integer, parameter :: nGC_39428 = 2567
  integer, parameter :: nGC_22866 = 2568
  integer, parameter :: nGC_35093 = 2569
  integer, parameter :: nGC_35871 = 2570
  integer, parameter :: nGC_33207 = 2571
  integer, parameter :: nGC_33204 = 2572
  integer, parameter :: nGC_TS_GC_272_Hh = 2573
  integer, parameter :: nGC_38110 = 2574
  integer, parameter :: nGC_51668 = 2575
  integer, parameter :: nGC_58589 = 2576
  integer, parameter :: nGC_34320 = 2577
  integer, parameter :: nGC_34323 = 2578
  integer, parameter :: nGC_22680 = 2579
  integer, parameter :: nGC_36452 = 2580
  integer, parameter :: nGC_32799 = 2581
  integer, parameter :: nGC_32552 = 2582
  integer, parameter :: nGC_32553 = 2583
  integer, parameter :: nGC_32554 = 2584
  integer, parameter :: nGC_32555 = 2585
  integer, parameter :: nGC_36456 = 2586
  integer, parameter :: nGC_33023 = 2587
  integer, parameter :: nGC_37222 = 2588
  integer, parameter :: nGC_40162 = 2589
  integer, parameter :: nGC_33642 = 2590
  integer, parameter :: nGC_33158 = 2591
  integer, parameter :: nGC_22507 = 2592
  integer, parameter :: nGC_21968 = 2593
  integer, parameter :: nGC_32178 = 2594
  integer, parameter :: nGC_58388 = 2595
  integer, parameter :: nGC_32172 = 2596
  integer, parameter :: nGC_TS_GC_45_Hl = 2597
  integer, parameter :: nGC_32174 = 2598
  integer, parameter :: nGC_32175 = 2599
  integer, parameter :: nGC_32779 = 2600
  integer, parameter :: nGC_22256 = 2601
  integer, parameter :: nGC_22257 = 2602
  integer, parameter :: nGC_22254 = 2603
  integer, parameter :: nGC_22255 = 2604
  integer, parameter :: nGC_22252 = 2605
  integer, parameter :: nGC_22253 = 2606
  integer, parameter :: nGC_22250 = 2607
  integer, parameter :: nGC_22701 = 2608
  integer, parameter :: nGC_1979 = 2609
  integer, parameter :: nGC_22258 = 2610
  integer, parameter :: nGC_22259 = 2611
  integer, parameter :: nGC_33549 = 2612
  integer, parameter :: nGC_22038 = 2613
  integer, parameter :: nGC_22039 = 2614
  integer, parameter :: nGC_33838 = 2615
  integer, parameter :: nGC_22032 = 2616
  integer, parameter :: nGC_22033 = 2617
  integer, parameter :: nGC_22031 = 2618
  integer, parameter :: nGC_22036 = 2619
  integer, parameter :: nGC_22037 = 2620
  integer, parameter :: nGC_22034 = 2621
  integer, parameter :: nGC_22035 = 2622
  integer, parameter :: nGC_TS_GC_244_Hh = 2623
  integer, parameter :: nGC_32309 = 2624
  integer, parameter :: nGC_32308 = 2625
  integer, parameter :: nGC_22024 = 2626
  integer, parameter :: nGC_22108 = 2627
  integer, parameter :: nGC_22109 = 2628
  integer, parameter :: nGC_22106 = 2629
  integer, parameter :: nGC_22104 = 2630
  integer, parameter :: nGC_33495 = 2631
  integer, parameter :: nGC_22102 = 2632
  integer, parameter :: nGC_22100 = 2633
  integer, parameter :: nGC_22101 = 2634
  integer, parameter :: nGC_39633 = 2635
  integer, parameter :: nGC_39636 = 2636
  integer, parameter :: nGC_39638 = 2637
  integer, parameter :: nGC_39639 = 2638
  integer, parameter :: nGC_35266 = 2639
  integer, parameter :: nGC_35264 = 2640
  integer, parameter :: nGC_36204 = 2641
  integer, parameter :: nGC_36201 = 2642
  integer, parameter :: nGC_36202 = 2643
  integer, parameter :: nGC_36203 = 2644
  integer, parameter :: nGC_36233 = 2645
  integer, parameter :: nGC_35080 = 2646
  integer, parameter :: nGC_35319 = 2647
  integer, parameter :: nGC_33238 = 2648
  integer, parameter :: nGC_38589 = 2649
  integer, parameter :: nGC_35881 = 2650
  integer, parameter :: nGC_22327 = 2651
  integer, parameter :: nGC_43408 = 2652
  integer, parameter :: nGC_38109 = 2653
  integer, parameter :: nGC_32767 = 2654
  integer, parameter :: nGC_33300 = 2655
  integer, parameter :: nGC_32785 = 2656
  integer, parameter :: nGC_37496 = 2657
  integer, parameter :: nGC_37074 = 2658
  integer, parameter :: nGC_37075 = 2659
  integer, parameter :: nGC_37077 = 2660
  integer, parameter :: nGC_37071 = 2661
  integer, parameter :: nGC_37073 = 2662
  integer, parameter :: nGC_58159 = 2663
  integer, parameter :: nGC_40716 = 2664
  integer, parameter :: nGC_TS_GC_180_Hh = 2665
  integer, parameter :: nGC_32165 = 2666
  integer, parameter :: nGC_32167 = 2667
  integer, parameter :: nGC_32160 = 2668
  integer, parameter :: nGC_22249 = 2669
  integer, parameter :: nGC_22248 = 2670
  integer, parameter :: nGC_22241 = 2671
  integer, parameter :: nGC_22242 = 2672
  integer, parameter :: nGC_22245 = 2673
  integer, parameter :: nGC_22244 = 2674
  integer, parameter :: nGC_22247 = 2675
  integer, parameter :: nGC_32764 = 2676
  integer, parameter :: nGC_44019 = 2677
  integer, parameter :: nGC_35341 = 2678
  integer, parameter :: nGC_22029 = 2679
  integer, parameter :: nGC_22028 = 2680
  integer, parameter :: nGC_22025 = 2681
  integer, parameter :: nGC_33826 = 2682
  integer, parameter :: nGC_33824 = 2683
  integer, parameter :: nGC_22021 = 2684
  integer, parameter :: nGC_22020 = 2685
  integer, parameter :: nGC_22023 = 2686
  integer, parameter :: nGC_22022 = 2687
  integer, parameter :: nGC_32377 = 2688
  integer, parameter :: nGC_32370 = 2689
  integer, parameter :: nGC_22180 = 2690
  integer, parameter :: nGC_36678 = 2691
  integer, parameter :: nGC_22111 = 2692
  integer, parameter :: nGC_22110 = 2693
  integer, parameter :: nGC_22112 = 2694
  integer, parameter :: nGC_22114 = 2695
  integer, parameter :: nGC_22117 = 2696
  integer, parameter :: nGC_22118 = 2697
  integer, parameter :: nGC_22027 = 2698
  integer, parameter :: nGC_22026 = 2699
  integer, parameter :: nGC_36216 = 2700
  integer, parameter :: nGC_36215 = 2701
  integer, parameter :: nGC_32991 = 2702
  integer, parameter :: nGC_33221 = 2703
  integer, parameter :: nGC_34692 = 2704
  integer, parameter :: nGC_34694 = 2705
  integer, parameter :: nGC_32574 = 2706
  integer, parameter :: nGC_41848 = 2707
  integer, parameter :: nGC_32681 = 2708
  integer, parameter :: nGC_58001 = 2709
  integer, parameter :: nGC_32196 = 2710
  integer, parameter :: nGC_33953 = 2711
  integer, parameter :: nGC_22238 = 2712
  integer, parameter :: nGC_22236 = 2713
  integer, parameter :: nGC_22231 = 2714
  integer, parameter :: nGC_33899 = 2715
  integer, parameter :: nGC_22116 = 2716
  integer, parameter :: nGC_22050 = 2717
  integer, parameter :: nGC_22051 = 2718
  integer, parameter :: nGC_22581 = 2719
  integer, parameter :: nGC_22586 = 2720
  integer, parameter :: nGC_22587 = 2721
  integer, parameter :: nGC_22588 = 2722
  integer, parameter :: nGC_22055 = 2723
  integer, parameter :: nGC_22340 = 2724
  integer, parameter :: nGC_22341 = 2725
  integer, parameter :: nGC_22342 = 2726
  integer, parameter :: nGC_22343 = 2727
  integer, parameter :: nGC_22344 = 2728
  integer, parameter :: nGC_22345 = 2729
  integer, parameter :: nGC_22346 = 2730
  integer, parameter :: nGC_22347 = 2731
  integer, parameter :: nGC_32600 = 2732
  integer, parameter :: nGC_22349 = 2733
  integer, parameter :: nGC_22561 = 2734
  integer, parameter :: nGC_22565 = 2735
  integer, parameter :: nGC_22566 = 2736
  integer, parameter :: nGC_32364 = 2737
  integer, parameter :: nGC_22696 = 2738
  integer, parameter :: nGC_22697 = 2739
  integer, parameter :: nGC_22166 = 2740
  integer, parameter :: nGC_22167 = 2741
  integer, parameter :: nGC_22692 = 2742
  integer, parameter :: nGC_36443 = 2743
  integer, parameter :: nGC_22162 = 2744
  integer, parameter :: nGC_22691 = 2745
  integer, parameter :: nGC_22168 = 2746
  integer, parameter :: nGC_33968 = 2747
  integer, parameter :: nGC_33969 = 2748
  integer, parameter :: nGC_32211 = 2749
  integer, parameter :: nGC_36998 = 2750
  integer, parameter :: nGC_36999 = 2751
  integer, parameter :: nGC_32215 = 2752
  integer, parameter :: nGC_32988 = 2753
  integer, parameter :: nGC_35624 = 2754
  integer, parameter :: nGC_35623 = 2755
  integer, parameter :: nGC_36536 = 2756
  integer, parameter :: nGC_59333 = 2757
  integer, parameter :: nGC_35757 = 2758
  integer, parameter :: nGC_37874 = 2759
  integer, parameter :: nGC_38492 = 2760
  integer, parameter :: nGC_37870 = 2761
  integer, parameter :: nGC_37871 = 2762
  integer, parameter :: nGC_22091 = 2763
  integer, parameter :: nGC_4265 = 2764
  integer, parameter :: nGC_22467 = 2765
  integer, parameter :: nGC_22309 = 2766
  integer, parameter :: nGC_43605 = 2767
  integer, parameter :: nGC_22305 = 2768
  integer, parameter :: nGC_57423 = 2769
  integer, parameter :: nGC_33105 = 2770
  integer, parameter :: nGC_33107 = 2771
  integer, parameter :: nGC_33102 = 2772
  integer, parameter :: nGC_33108 = 2773
  integer, parameter :: nGC_33109 = 2774
  integer, parameter :: nGC_TS_GC_381_Hl = 2775
  integer, parameter :: nGC_32183 = 2776
  integer, parameter :: nGC_22229 = 2777
  integer, parameter :: nGC_22225 = 2778
  integer, parameter :: nGC_22224 = 2779
  integer, parameter :: nGC_22220 = 2780
  integer, parameter :: nGC_58301 = 2781
  integer, parameter :: nGC_33578 = 2782
  integer, parameter :: nGC_33776 = 2783
  integer, parameter :: nGC_33779 = 2784
  integer, parameter :: nGC_22353 = 2785
  integer, parameter :: nGC_22352 = 2786
  integer, parameter :: nGC_22351 = 2787
  integer, parameter :: nGC_22350 = 2788
  integer, parameter :: nGC_22357 = 2789
  integer, parameter :: nGC_22354 = 2790
  integer, parameter :: nGC_22359 = 2791
  integer, parameter :: nGC_22358 = 2792
  integer, parameter :: nGC_22578 = 2793
  integer, parameter :: nGC_22573 = 2794
  integer, parameter :: nGC_22572 = 2795
  integer, parameter :: nGC_32356 = 2796
  integer, parameter :: nGC_32354 = 2797
  integer, parameter :: nGC_32355 = 2798
  integer, parameter :: nGC_38180 = 2799
  integer, parameter :: nGC_22689 = 2800
  integer, parameter :: nGC_33970 = 2801
  integer, parameter :: nGC_36453 = 2802
  integer, parameter :: nGC_33972 = 2803
  integer, parameter :: nGC_36455 = 2804
  integer, parameter :: nGC_36454 = 2805
  integer, parameter :: nGC_36457 = 2806
  integer, parameter :: nGC_22686 = 2807
  integer, parameter :: nGC_22177 = 2808
  integer, parameter :: nGC_22164 = 2809
  integer, parameter :: nGC_32228 = 2810
  integer, parameter :: nGC_32229 = 2811
  integer, parameter :: nGC_35290 = 2812
  integer, parameter :: nGC_35291 = 2813
  integer, parameter :: nGC_35340 = 2814
  integer, parameter :: nGC_34218 = 2815
  integer, parameter :: nGC_35342 = 2816
  integer, parameter :: nGC_39603 = 2817
  integer, parameter :: nGC_39602 = 2818
  integer, parameter :: nGC_39605 = 2819
  integer, parameter :: nGC_39604 = 2820
  integer, parameter :: nGC_22161 = 2821
  integer, parameter :: nGC_TS_GC_35_Hh = 2822
  integer, parameter :: nGC_39467 = 2823
  integer, parameter :: nGC_39466 = 2824
  integer, parameter :: nGC_21975 = 2825
  integer, parameter :: nGC_22418 = 2826
  integer, parameter :: nGC_TS_GC_21_Hl = 2827
  integer, parameter :: nGC_34360 = 2828
  integer, parameter :: nGC_34363 = 2829
  integer, parameter :: nGC_32518 = 2830
  integer, parameter :: nGC_32519 = 2831
  integer, parameter :: nGC_37463 = 2832
  integer, parameter :: nGC_37462 = 2833
  integer, parameter :: nGC_43344 = 2834
  integer, parameter :: nGC_32420 = 2835
  integer, parameter :: nGC_57747 = 2836
  integer, parameter :: nGC_34810 = 2837
  integer, parameter :: nGC_33110 = 2838
  integer, parameter :: nGC_37605 = 2839
  integer, parameter :: nGC_32848 = 2840
  integer, parameter :: nGC_32846 = 2841
  integer, parameter :: nGC_33900 = 2842
  integer, parameter :: nGC_32845 = 2843
  integer, parameter :: nGC_22316 = 2844
  integer, parameter :: nGC_40160 = 2845
  integer, parameter :: nGC_32430 = 2846
  integer, parameter :: nGC_22042 = 2847
  integer, parameter :: nGC_33253 = 2848
  integer, parameter :: nGC_35882 = 2849
  integer, parameter :: nGC_41666 = 2850
  integer, parameter :: nGC_41667 = 2851
  integer, parameter :: nGC_37879 = 2852
  integer, parameter :: nGC_38590 = 2853
  integer, parameter :: nGC_32632 = 2854
  integer, parameter :: nGC_34145 = 2855
  integer, parameter :: nGC_34144 = 2856
  integer, parameter :: nGC_34147 = 2857
  integer, parameter :: nGC_41508 = 2858
  integer, parameter :: nGC_22215 = 2859
  integer, parameter :: nGC_50586 = 2860
  integer, parameter :: nGC_58112 = 2861
  integer, parameter :: nGC_22219 = 2862
  integer, parameter :: nGC_38231 = 2863
  integer, parameter :: nGC_32130 = 2864
  integer, parameter :: nGC_37635 = 2865
  integer, parameter :: nGC_36217 = 2866
  integer, parameter :: nGC_22049 = 2867
  integer, parameter :: nGC_32847 = 2868
  integer, parameter :: nGC_35003 = 2869
  integer, parameter :: nGC_35002 = 2870
  integer, parameter :: nGC_35001 = 2871
  integer, parameter :: nGC_38111 = 2872
  integer, parameter :: nGC_22045 = 2873
  integer, parameter :: nGC_35004 = 2874
  integer, parameter :: nGC_37147 = 2875
  integer, parameter :: nGC_32990 = 2876
  integer, parameter :: nGC_34071 = 2877
  integer, parameter :: nGC_37020 = 2878
  integer, parameter :: nGC_33989 = 2879
  integer, parameter :: nGC_35925 = 2880
  integer, parameter :: nGC_35926 = 2881
  integer, parameter :: nGC_37785 = 2882
  integer, parameter :: nGC_33139 = 2883
  integer, parameter :: nGC_35883 = 2884
  integer, parameter :: nGC_22326 = 2885
  integer, parameter :: nGC_34932 = 2886
  integer, parameter :: nGC_58377 = 2887
  integer, parameter :: nGC_34934 = 2888
  integer, parameter :: nGC_36021 = 2889
  integer, parameter :: nGC_33382 = 2890
  integer, parameter :: nGC_21958 = 2891
  integer, parameter :: nGC_22200 = 2892
  integer, parameter :: nGC_36754 = 2893
  integer, parameter :: nGC_33971 = 2894
  integer, parameter :: nGC_21955 = 2895
  integer, parameter :: nGC_21956 = 2896
  integer, parameter :: nGC_21957 = 2897
  integer, parameter :: nGC_22209 = 2898
  integer, parameter :: nGC_21951 = 2899
  integer, parameter :: nGC_21952 = 2900
  integer, parameter :: nGC_22366 = 2901
  integer, parameter :: nGC_22367 = 2902
  integer, parameter :: nGC_44113 = 2903
  integer, parameter :: nGC_34524 = 2904
  integer, parameter :: nGC_22362 = 2905
  integer, parameter :: nGC_60170 = 2906
  integer, parameter :: nGC_22360 = 2907
  integer, parameter :: nGC_22361 = 2908
  integer, parameter :: nGC_22285 = 2909
  integer, parameter :: nGC_34442 = 2910
  integer, parameter :: nGC_22075 = 2911
  integer, parameter :: nGC_22369 = 2912
  integer, parameter :: nGC_37988 = 2913
  integer, parameter :: nGC_33781 = 2914
  integer, parameter :: nGC_22382 = 2915
  integer, parameter :: nGC_37000 = 2916
  integer, parameter :: nGC_38163 = 2917
  integer, parameter :: nGC_22088 = 2918
  integer, parameter :: nGC_33999 = 2919
  integer, parameter :: nGC_38164 = 2920
  integer, parameter :: nGC_38493 = 2921
  integer, parameter :: nGC_32718 = 2922
  integer, parameter :: nGC_32719 = 2923
  integer, parameter :: nGC_32341 = 2924
  integer, parameter :: nGC_39468 = 2925
  integer, parameter :: nGC_34696 = 2926
  integer, parameter :: nGC_35265 = 2927
  integer, parameter :: nGC_32717 = 2928
  integer, parameter :: nGC_33308 = 2929
  integer, parameter :: nGC_37989 = 2930
  integer, parameter :: nGC_22379 = 2931
  integer, parameter :: nGC_22378 = 2932
  integer, parameter :: nGC_34072 = 2933
  integer, parameter :: nGC_34049 = 2934
  integer, parameter :: nGC_22402 = 2935
  integer, parameter :: nGC_22373 = 2936
  integer, parameter :: nGC_22141 = 2937
  integer, parameter :: nGC_22375 = 2938
  integer, parameter :: nGC_22374 = 2939
  integer, parameter :: nGC_22377 = 2940
  integer, parameter :: nGC_35200 = 2941
  integer, parameter :: nGC_40161 = 2942
  integer, parameter :: nGC_34693 = 2943
  integer, parameter :: nGC_35025 = 2944
  integer, parameter :: nGC_45272 = 2945
  integer, parameter :: nGC_22067 = 2946
  integer, parameter :: nGC_33215 = 2947
  integer, parameter :: nGC_41981 = 2948
  integer, parameter :: nGC_36270 = 2949
  integer, parameter :: nGC_40188 = 2950
  integer, parameter :: nGC_21965 = 2951
  integer, parameter :: nGC_34863 = 2952
  integer, parameter :: nGC_57803 = 2953
  integer, parameter :: nGC_32877 = 2954
  integer, parameter :: nGC_33098 = 2955
  integer, parameter :: nGC_35039 = 2956
  integer, parameter :: nGC_46182 = 2957
  integer, parameter :: nGC_22398 = 2958
  integer, parameter :: nGC_21966 = 2959
  integer, parameter :: nGC_33254 = 2960
  integer, parameter :: nGC_34695 = 2961
  integer, parameter :: nGC_22094 = 2962
  integer, parameter :: nGC_22095 = 2963
  integer, parameter :: nGC_22090 = 2964
  integer, parameter :: nGC_33721 = 2965
  integer, parameter :: nGC_22092 = 2966
  integer, parameter :: nGC_22093 = 2967
  integer, parameter :: nGC_61589 = 2968
  integer, parameter :: nGC_22286 = 2969
  integer, parameter :: nGC_22159 = 2970
  integer, parameter :: nGC_22158 = 2971
  integer, parameter :: nGC_22154 = 2972
  integer, parameter :: nGC_22157 = 2973
  integer, parameter :: nGC_22307 = 2974
  integer, parameter :: nGC_34500 = 2975
  integer, parameter :: nGC_22153 = 2976
  integer, parameter :: nGC_40273 = 2977
  integer, parameter :: nGC_36733 = 2978
  integer, parameter :: nGC_36734 = 2979
  integer, parameter :: nGC_36735 = 2980
  integer, parameter :: nGC_32905 = 2981
  integer, parameter :: nGC_36737 = 2982
  integer, parameter :: nGC_36738 = 2983
  integer, parameter :: nGC_36121 = 2984
  integer, parameter :: nGC_36569 = 2985
  integer, parameter :: nGC_32620 = 2986
  integer, parameter :: nGC_37076 = 2987
  integer, parameter :: nGC_35287 = 2988
  integer, parameter :: nGC_22313 = 2989
  integer, parameter :: nGC_22044 = 2990
  integer, parameter :: nGC_34864 = 2991
  integer, parameter :: nGC_57656 = 2992
  integer, parameter :: nGC_34476 = 2993
  integer, parameter :: nGC_22444 = 2994
  integer, parameter :: nGC_32249 = 2995
  integer, parameter :: nGC_22089 = 2996
  integer, parameter :: nGC_32704 = 2997
  integer, parameter :: nGC_22087 = 2998
  integer, parameter :: nGC_22084 = 2999
  integer, parameter :: nGC_58717 = 3000
  integer, parameter :: nGC_32450 = 3001
  integer, parameter :: nGC_34776 = 3002
  integer, parameter :: nGC_34777 = 3003
  integer, parameter :: nGC_32687 = 3004
  integer, parameter :: nGC_34775 = 3005
  integer, parameter :: nGC_32602 = 3006
  integer, parameter :: nGC_21960 = 3007
  integer, parameter :: nGC_22319 = 3008
  integer, parameter :: nGC_22318 = 3009
  integer, parameter :: nGC_35636 = 3010
  integer, parameter :: nGC_52276 = 3011
  integer, parameter :: nGC_22315 = 3012
  integer, parameter :: nGC_22314 = 3013
  integer, parameter :: nGC_35353 = 3014
  integer, parameter :: nGC_37084 = 3015
  integer, parameter :: nGC_36314 = 3016
  integer, parameter :: nGC_22443 = 3017
  integer, parameter :: nGC_22412 = 3018
  integer, parameter :: nGC_35215 = 3019
  integer, parameter :: nGC_35199 = 3020
  integer, parameter :: nGC_22415 = 3021
  integer, parameter :: nGC_22416 = 3022
  integer, parameter :: nGC_22417 = 3023
  integer, parameter :: nGC_44775 = 3024
  integer, parameter :: nGC_22414 = 3025
  integer, parameter :: nGC_22325 = 3026
  integer, parameter :: nGC_57952 = 3027
  integer, parameter :: nGC_22124 = 3028
  integer, parameter :: nGC_37772 = 3029
  integer, parameter :: nGC_52644 = 3030
  integer, parameter :: nGC_38425 = 3031
  integer, parameter :: nGC_58805 = 3032
  integer, parameter :: nGC_22324 = 3033
  integer, parameter :: nGC_38112 = 3034
  integer, parameter :: nGC_39249 = 3035
  integer, parameter :: nGC_34219 = 3036
  integer, parameter :: nGC_32686 = 3037
  integer, parameter :: nGC_21976 = 3038
  integer, parameter :: nGC_33159 = 3039
  integer, parameter :: nGC_59251 = 3040
  integer, parameter :: nGC_22419 = 3041
  integer, parameter :: nGC_34761 = 3042
  integer, parameter :: nGC_22308 = 3043
  integer, parameter :: nGC_22122 = 3044
  integer, parameter :: nGC_21977 = 3045
  integer, parameter :: nGC_22322 = 3046
  integer, parameter :: nGC_22323 = 3047
  integer, parameter :: nGC_22320 = 3048
  integer, parameter :: nGC_22321 = 3049
  integer, parameter :: nGC_33427 = 3050
  integer, parameter :: nGC_32601 = 3051
  integer, parameter :: nGC_32884 = 3052
  integer, parameter :: nGC_33932 = 3053
  integer, parameter :: nGC_33782 = 3054
  integer, parameter :: nGC_33783 = 3055
  integer, parameter :: nGC_22328 = 3056
  integer, parameter :: nGC_22329 = 3057
  integer, parameter :: nGC_34172 = 3058
  integer, parameter :: nGC_22403 = 3059
  integer, parameter :: nGC_36546 = 3060
  integer, parameter :: nGC_22401 = 3061
  integer, parameter :: nGC_22400 = 3062
  integer, parameter :: nGC_37179 = 3063
  integer, parameter :: nGC_22406 = 3064
  integer, parameter :: nGC_22405 = 3065
  integer, parameter :: nGC_22404 = 3066
  integer, parameter :: nGC_32802 = 3067
  integer, parameter :: nGC_32800 = 3068
  integer, parameter :: nGC_32287 = 3069
  integer, parameter :: nGC_32392 = 3070
  integer, parameter :: nGC_32807 = 3071
  integer, parameter :: nGC_37354 = 3072
  integer, parameter :: nGC_37356 = 3073
  integer, parameter :: nGC_22123 = 3074
  integer, parameter :: nGC_33263 = 3075
  integer, parameter :: nGC_34097 = 3076
  integer, parameter :: nGC_38424 = 3077
  integer, parameter :: nGC_32757 = 3078
  integer, parameter :: nGC_32193 = 3079
  integer, parameter :: nGC_34051 = 3080
  integer, parameter :: nGC_33665 = 3081
  integer, parameter :: nGC_33664 = 3082
  integer, parameter :: nGC_33667 = 3083
  integer, parameter :: nGC_34050 = 3084
  integer, parameter :: nGC_43103 = 3085
  integer, parameter :: nGC_22187 = 3086
  integer, parameter :: nGC_22337 = 3087
  integer, parameter :: nGC_33666 = 3088
  integer, parameter :: nGC_32310 = 3089
  integer, parameter :: nGC_22332 = 3090
  integer, parameter :: nGC_35725 = 3091
  integer, parameter :: nGC_33825 = 3092
  integer, parameter :: nGC_59204 = 3093
  integer, parameter :: nGC_32950 = 3094
  integer, parameter :: nGC_34205 = 3095
  integer, parameter :: nGC_22188 = 3096
  integer, parameter :: nGC_34332 = 3097
  integer, parameter :: nGC_34000 = 3098
  integer, parameter :: nGC_34001 = 3099
  integer, parameter :: nGC_34002 = 3100
  integer, parameter :: nGC_22435 = 3101
  integer, parameter :: nGC_22432 = 3102
  integer, parameter :: nGC_32384 = 3103
  integer, parameter :: nGC_22430 = 3104
  integer, parameter :: nGC_22431 = 3105
  integer, parameter :: nGC_34008 = 3106
  integer, parameter :: nGC_39641 = 3107
  integer, parameter :: nGC_34312 = 3108
  integer, parameter :: nGC_22439 = 3109
  integer, parameter :: nGC_34477 = 3110
  integer, parameter :: nGC_38295 = 3111
  integer, parameter :: nGC_22074 = 3112
  integer, parameter :: nGC_33307 = 3113
  integer, parameter :: nGC_34953 = 3114
  integer, parameter :: nGC_32505 = 3115
  integer, parameter :: nGC_33954 = 3116
  integer, parameter :: nGC_34956 = 3117
  integer, parameter :: nGC_34957 = 3118
  integer, parameter :: nGC_34954 = 3119
  integer, parameter :: nGC_57458 = 3120
  integer, parameter :: nGC_43130 = 3121
  integer, parameter :: nGC_33933 = 3122
  integer, parameter :: nGC_39148 = 3123
  integer, parameter :: nGC_37055 = 3124
  integer, parameter :: nGC_33403 = 3125
  integer, parameter :: nGC_32621 = 3126
  integer, parameter :: nGC_46755 = 3127
  integer, parameter :: nGC_22429 = 3128
  integer, parameter :: nGC_22428 = 3129
  integer, parameter :: nGC_34623 = 3130
  integer, parameter :: nGC_34624 = 3131
  integer, parameter :: nGC_33292 = 3132
  integer, parameter :: nGC_22421 = 3133
  integer, parameter :: nGC_22420 = 3134
  integer, parameter :: nGC_22423 = 3135
  integer, parameter :: nGC_22422 = 3136
  integer, parameter :: nGC_22425 = 3137
  integer, parameter :: nGC_22424 = 3138
  integer, parameter :: nGC_22427 = 3139
  integer, parameter :: nGC_22426 = 3140
  integer, parameter :: nGC_35018 = 3141
  integer, parameter :: nGC_34542 = 3142
  integer, parameter :: nGC_44649 = 3143
  integer, parameter :: nGC_39640 = 3144
  integer, parameter :: nGC_22043 = 3145
  integer, parameter :: nGC_22348 = 3146
  integer, parameter :: nGC_32801 = 3147
  integer, parameter :: nGC_35015 = 3148
  integer, parameter :: nGC_33143 = 3149
  integer, parameter :: nGC_34958 = 3150
  integer, parameter :: nGC_36756 = 3151
  integer, parameter :: nGC_36757 = 3152
  integer, parameter :: nGC_37355 = 3153
  integer, parameter :: nGC_32720 = 3154
  integer, parameter :: nGC_59207 = 3155
  integer, parameter :: nGC_58847 = 3156
  integer, parameter :: nGC_37021 = 3157
  integer, parameter :: nGC_34501 = 3158
  integer, parameter :: nGC_37180 = 3159
  integer, parameter :: nGC_37181 = 3160
  integer, parameter :: nGC_34525 = 3161
  integer, parameter :: nGC_40189 = 3162
  integer, parameter :: nGC_39539 = 3163
  integer, parameter :: nGC_39538 = 3164
  integer, parameter :: nGC_32622 = 3165
  integer, parameter :: nGC_34478 = 3166
  integer, parameter :: nGC_34933 = 3167
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
