!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_21921) = -2d0*cima*sb**4d0
      coupl(nGC_21920) = -2d0*cb**4d0*cima
      coupl(nGC_21925) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_21924) = 8d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4  &
                          - cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0  &
                          + l5*sb**2d0)
      coupl(nGC_21926) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_21815) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21814) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21817) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_21816) = 2d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb** &
                         4d0*l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb** &
                         2d0 + 6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 &
                          + 6d0*cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - &
                         l4*sb**4d0 - l5*sb**4d0)
      coupl(nGC_21811) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21764) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(&
                         cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_21929) = cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_21928) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_21922) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_75) = -ca**2d0*cima*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0*sa**  &
                      2d0/(4d0*sw**2d0)
      coupl(nGC_21927) = -cima*ee**2d0*(ca*sb - cb*sa)/sw
      coupl(nGC_74) = -2d0*cb**4d0*cima*l5 - 2d0*cb**2d0*cima*l1*sb**2d0 - 2d0*&
                      cb**2d0*cima*l2*sb**2d0 + 4d0*cb**2d0*cima*l3*sb**2d0 +  &
                      4d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cima*l5*sb**4d0
      coupl(nGC_21464) = cima*cw*ee/sw
      coupl(nGC_20804) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
      coupl(nGC_21789) = cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**4d0*&
                         l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0  &
                          - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 -  &
                         6d0*cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*&
                         sb**4d0 + l5*sb**4d0)
      coupl(nGC_20801) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_307) = -ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0 - ca*cb*&
                       cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - ca*cb*cima*l2*sb*  &
                       vev2 + ca*cb*cima*l3*sb*vev2 + ca*cima*ee**2d0*sb**2d0* &
                       vev1/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev1/2d0 + ca*  &
                       cima*l5*sb**2d0*vev1/2d0 + cb**2d0*cima*ee**2d0*sa*vev2 &
                       /(4d0*sw**2d0) + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0* &
                       cima*l5*sa*vev2/2d0 - cb*cima*ee**2d0*sa*sb*vev1/(2d0*sw&
                       **2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1  &
                        - cima*ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0) - cima*l4*&
                       sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/2d0
      coupl(nGC_21491) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_21490) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
      coupl(nGC_21493) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_21492) = cima*ee**2d0*(ca*cb + sa*sb)/cw
      coupl(nGC_21495) = sqrt(2d0)*cb/2d0
      coupl(nGC_21494) = sqrt(2d0)*(cb*yup2 - sb*yup1)/2d0
      coupl(nGC_21497) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_21542) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_21499) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21498) = sqrt(2d0)*cima*(ca*yt1 + sa*yt2)/2d0
      coupl(nGC_305) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*l4*vev2/2d0&
                        - cb**3d0*l5*vev2/2d0 - cb**2d0*ee**2d0*sb*vev1/(4d0*sw&
                       **2d0) - cb**2d0*l4*sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0&
                        + cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) + cb*l4*sb**2d0&
                       *vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 - ee**2d0*sb**3d0*   &
                       vev1/(4d0*sw**2d0) - l4*sb**3d0*vev1/2d0 + l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_21541) = -cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_21540) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_21547) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw  &
                         )*(cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_21546) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(&
                         cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_21545) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_21544) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_21549) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_232) = cb*cima*ee**2d0*vev2/(2d0*cw) - cima*ee**2d0*sb*vev1/(  &
                       2d0*cw)
      coupl(nGC_233) = -ca**3d0*cima*l3*vev2 - ca**3d0*cima*l4*vev2 - ca**3d0* &
                       cima*l5*vev2 + 3d0*ca**2d0*cima*l1*sa*vev1 - 2d0*ca**2d0&
                       *cima*l3*sa*vev1 - 2d0*ca**2d0*cima*l4*sa*vev1 - 2d0*ca &
                       **2d0*cima*l5*sa*vev1 - 3d0*ca*cima*l2*sa**2d0*vev2 +   &
                       2d0*ca*cima*l3*sa**2d0*vev2 + 2d0*ca*cima*l4*sa**2d0*   &
                       vev2 + 2d0*ca*cima*l5*sa**2d0*vev2 + cima*l3*sa**3d0*   &
                       vev1 + cima*l4*sa**3d0*vev1 + cima*l5*sa**3d0*vev1
      coupl(nGC_21145) = -sqrt(2d0)*cb/2d0
      coupl(nGC_21143) = sqrt(2d0)*(cb*yd13x3 + sb*yb2)/2d0
      coupl(nGC_237) = -cb*cima*ee**2d0*vev1/(2d0*cw) - cima*ee**2d0*sb*vev2/( &
                       2d0*cw)
      coupl(nGC_234) = -3d0*ca**3d0*cima*l2*vev2 + 3d0*ca**2d0*cima*l3*sa*vev1 &
                        + 3d0*ca**2d0*cima*l4*sa*vev1 + 3d0*ca**2d0*cima*l5*sa*&
                       vev1 - 3d0*ca*cima*l3*sa**2d0*vev2 - 3d0*ca*cima*l4*sa**&
                       2d0*vev2 - 3d0*ca*cima*l5*sa**2d0*vev2 + 3d0*cima*l1*sa &
                       **3d0*vev1
      coupl(nGC_235) = -3d0*ca**3d0*cima*l1*vev1 - 3d0*ca**2d0*cima*l3*sa*vev2 &
                        - 3d0*ca**2d0*cima*l4*sa*vev2 - 3d0*ca**2d0*cima*l5*sa*&
                       vev2 - 3d0*ca*cima*l3*sa**2d0*vev1 - 3d0*ca*cima*l4*sa**&
                       2d0*vev1 - 3d0*ca*cima*l5*sa**2d0*vev1 - 3d0*cima*l2*sa &
                       **3d0*vev2
      coupl(nGC_238) = cb*cima*ee**2d0*vev1/(2d0*cw) + cima*ee**2d0*sb*vev2/(  &
                       2d0*cw)
      coupl(nGC_239) = -cb**3d0*ee**2d0*vev2/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb&
                       *vev1/(4d0*cw**2d0) - cb*ee**2d0*sb**2d0*vev2/(4d0*cw** &
                       2d0) + ee**2d0*sb**3d0*vev1/(4d0*cw**2d0)
      coupl(nGC_21149) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_21148) = cima*sb
      coupl(nGC_21000) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0  &
                         )/(cw**2d0*sw)
      coupl(nGC_21001) = -2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + &
                         sw)/(cw*sw)
      coupl(nGC_20849) = -cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_589) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_20841) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_20840) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_587) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*vev2&
                       )/(cw**2d0*sw**2d0)
      coupl(nGC_583) = -sqrt(2d0)*sb/2d0
      coupl(nGC_348) = -sqrt(2d0)*ca*cima*ydo1/2d0 - sqrt(2d0)*cima*sa*ydo2/2d0
      coupl(nGC_349) = -cb*cima*ydo1 - cima*sb*ydo2
      coupl(nGC_346) = -cb*cima*ydo2 + cima*sb*ydo1
      coupl(nGC_347) = -sqrt(2d0)*cb*ydo2/2d0 + sqrt(2d0)*sb*ydo1/2d0
      coupl(nGC_344) = -sqrt(2d0)*cb*yb2/2d0 + sqrt(2d0)*sb*yd13x3/2d0
      coupl(nGC_345) = -sqrt(2d0)*ca*cima*ydo2/2d0 + sqrt(2d0)*cima*sa*ydo1/2d0
      coupl(nGC_342) = -sqrt(2d0)*ca*cima*yb2/2d0 + sqrt(2d0)*cima*sa*yd13x3/2d0
      coupl(nGC_343) = -cb*cima*yb2 + cima*sb*yd13x3
      coupl(nGC_340) = -cb*cima*yd13x3 - cima*sb*yb2
      coupl(nGC_341) = -sqrt(2d0)*cb*yd13x3/2d0 - sqrt(2d0)*sb*yb2/2d0
      coupl(nGC_567) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca*&
                       cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*   &
                       vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0&
                       *l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*   &
                       vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)/2d0
      coupl(nGC_565) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l2*sa*sb - 2d0*cb*l3*sa*sb)/2d0
      coupl(nGC_563) = cima*(2d0*ca*cb*l1*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4*sa &
                        - cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
      coupl(nGC_561) = ca*cb*cima*sb*vev1
      coupl(nGC_21314) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca&
                         *cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb -  &
                         2d0*ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5* &
                         sa**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_21312) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_21313) = cb*cima*sa**2d0*sb
      coupl(nGC_21310) = -ca**2d0*cb*cima*sb
      coupl(nGC_21311) = -cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa* &
                         sb**2d0 - cb*sa**2d0*sb)
      coupl(nGC_168) = -cb**4d0*cima*ee**2d0/(2d0*sw**2d0) - cb**4d0*cima*l2 - &
                       cb**2d0*cima*ee**2d0*sb**2d0/sw**2d0 - 2d0*cb**2d0*cima*&
                       l3*sb**2d0 - 2d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cb**2d0* &
                       cima*l5*sb**2d0 - cima*ee**2d0*sb**4d0/(2d0*sw**2d0) -  &
                       cima*l1*sb**4d0
      coupl(nGC_169) = -cb**4d0*cima*ee**2d0/(2d0*sw**2d0) - cb**4d0*cima*l1 - &
                       cb**2d0*cima*ee**2d0*sb**2d0/sw**2d0 - 2d0*cb**2d0*cima*&
                       l3*sb**2d0 - 2d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cb**2d0* &
                       cima*l5*sb**2d0 - cima*ee**2d0*sb**4d0/(2d0*sw**2d0) -  &
                       cima*l2*sb**4d0
      coupl(nGC_162) = -cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l3 - &
                       cb**4d0*cima*l4 - cb**4d0*cima*ee**2d0/(4d0*cw**2d0) -  &
                       cb**2d0*cima*ee**2d0*sb**2d0/(2d0*sw**2d0) - 2d0*cb**2d0&
                       *cima*l1*sb**2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb &
                       **2d0*cima*l3*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 +   &
                       4d0*cb**2d0*cima*l5*sb**2d0 - cb**2d0*cima*ee**2d0*sb** &
                       2d0/(2d0*cw**2d0) - cima*ee**2d0*sb**4d0/(4d0*sw**2d0   &
                       ) - cima*l3*sb**4d0 - cima*l4*sb**4d0 - cima*ee**2d0*sb &
                       **4d0/(4d0*cw**2d0)
      coupl(nGC_163) = -cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l4/  &
                       2d0 - cb**4d0*cima*l5/2d0 - cb**2d0*cima*ee**2d0*sb**2d0&
                       /(2d0*sw**2d0) - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima*&
                       l2*sb**2d0 + 2d0*cb**2d0*cima*l3*sb**2d0 + cb**2d0*cima*&
                       l4*sb**2d0 + cb**2d0*cima*l5*sb**2d0 - cima*ee**2d0*sb**&
                       4d0/(4d0*sw**2d0) - cima*l4*sb**4d0/2d0 - cima*l5*sb**  &
                       4d0/2d0
      coupl(nGC_160) = -cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - 2d0*cb**4d0*cima* &
                       l2 - cb**4d0*cima*ee**2d0/(4d0*cw**2d0) - cb**2d0*cima* &
                       ee**2d0*sb**2d0/(2d0*sw**2d0) - 4d0*cb**2d0*cima*l3*sb**&
                       2d0 - 4d0*cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*&
                       sb**2d0 - cb**2d0*cima*ee**2d0*sb**2d0/(2d0*cw**2d0) -  &
                       cima*ee**2d0*sb**4d0/(4d0*sw**2d0) - 2d0*cima*l1*sb**4d0&
                        - cima*ee**2d0*sb**4d0/(4d0*cw**2d0)
      coupl(nGC_161) = -cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - 2d0*cb**4d0*cima* &
                       l1 - cb**4d0*cima*ee**2d0/(4d0*cw**2d0) - cb**2d0*cima* &
                       ee**2d0*sb**2d0/(2d0*sw**2d0) - 4d0*cb**2d0*cima*l3*sb**&
                       2d0 - 4d0*cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*&
                       sb**2d0 - cb**2d0*cima*ee**2d0*sb**2d0/(2d0*cw**2d0) -  &
                       cima*ee**2d0*sb**4d0/(4d0*sw**2d0) - 2d0*cima*l2*sb**4d0&
                        - cima*ee**2d0*sb**4d0/(4d0*cw**2d0)
      coupl(nGC_166) = cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l3 -  &
                       cb**4d0*cima*l4 + cb**4d0*cima*ee**2d0/(4d0*cw**2d0) +  &
                       cb**2d0*cima*ee**2d0*sb**2d0/(2d0*sw**2d0) - 2d0*cb**2d0&
                       *cima*l1*sb**2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb &
                       **2d0*cima*l3*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 +   &
                       4d0*cb**2d0*cima*l5*sb**2d0 + cb**2d0*cima*ee**2d0*sb** &
                       2d0/(2d0*cw**2d0) + cima*ee**2d0*sb**4d0/(4d0*sw**2d0   &
                       ) - cima*l3*sb**4d0 - cima*l4*sb**4d0 + cima*ee**2d0*sb &
                       **4d0/(4d0*cw**2d0)
      coupl(nGC_167) = cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l4/2d0&
                        - cb**4d0*cima*l5/2d0 + cb**2d0*cima*ee**2d0*sb**2d0/( &
                       2d0*sw**2d0) - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima*l2&
                       *sb**2d0 + 2d0*cb**2d0*cima*l3*sb**2d0 + cb**2d0*cima*l4&
                       *sb**2d0 + cb**2d0*cima*l5*sb**2d0 + cima*ee**2d0*sb**  &
                       4d0/(4d0*sw**2d0) - cima*l4*sb**4d0/2d0 - cima*l5*sb**  &
                       4d0/2d0
      coupl(nGC_164) = cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l2 +  &
                       cb**2d0*cima*ee**2d0*sb**2d0/(2d0*sw**2d0) - 2d0*cb**2d0&
                       *cima*l3*sb**2d0 - 2d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cb &
                       **2d0*cima*l5*sb**2d0 + cima*ee**2d0*sb**4d0/(4d0*sw**  &
                       2d0) - cima*l1*sb**4d0
      coupl(nGC_165) = cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l1 +  &
                       cb**2d0*cima*ee**2d0*sb**2d0/(2d0*sw**2d0) - 2d0*cb**2d0&
                       *cima*l3*sb**2d0 - 2d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cb &
                       **2d0*cima*l5*sb**2d0 + cima*ee**2d0*sb**4d0/(4d0*sw**  &
                       2d0) - cima*l2*sb**4d0
      coupl(nGC_21819) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_21818) = 4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_MHA) = -cMHA**2d0*cima
      coupl(nGC_MHC) = -cMHC**2d0*cima
      coupl(nGC_MHL) = -cMHL**2d0*cima
      coupl(nGC_MHH) = -cMHH**2d0*cima
      coupl(nGC_21813) = -2d0*cb*cima*sb**3d0
      coupl(nGC_21812) = 2d0*cb**3d0*cima*sb
      coupl(nGC_21792) = -cb*cima*sb**3d0
      coupl(nGC_21793) = -cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21790) = -cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21791) = cb**3d0*cima*sb
      coupl(nGC_21796) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21797) = 2d0*cb*cima*sb**3d0
      coupl(nGC_21794) = -cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21795) = cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0* &
                         l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0  &
                          + 6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 +  &
                         6d0*cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*&
                         sb**4d0 - l5*sb**4d0)
      coupl(nGC_21798) = -2d0*cb**3d0*cima*sb
      coupl(nGC_21799) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21550) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca** &
                         2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*&
                         sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0&
                         *l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 &
                          + l5*sa**2d0*sb**2d0)
      coupl(nGC_21551) = -ca*cima*sa*sb**2d0
      coupl(nGC_21552) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_21553) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_21554) = ca*cb**2d0*cima*sa
      coupl(nGC_2475) = -coupl(nGC_347)
      coupl(nGC_21178) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_21179) = 2d0*cima*ee**2d0/sw
      coupl(nGC_593) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev1 + sa*vev2)/(cw**3d0*sw**2d0)
      coupl(nGC_21172) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0  &
                         )/(cw*sw**2d0)
      coupl(nGC_21173) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(&
                         cw**2d0*sw)
      coupl(nGC_21170) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_21171) = cima*(ca*cb**2d0*l3*vev1 + ca*cb**2d0*l4*vev1 - ca*cb &
                         **2d0*l5*vev1 - 2d0*ca*cb*l5*sb*vev2 + ca*l1*sb**2d0* &
                         vev1 + cb**2d0*l2*sa*vev2 - 2d0*cb*l5*sa*sb*vev1 + l3*&
                         sa*sb**2d0*vev2 + l4*sa*sb**2d0*vev2 - l5*sa*sb**2d0* &
                         vev2)
      coupl(nGC_21174) = 2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw +  &
                         sw)/(cw*sw)
      coupl(nGC_221) = -cb**2d0*cima*cw*ee**2d0/sw + cb**2d0*cima*ee**2d0*sw/cw&
                        - cima*cw*ee**2d0*sb**2d0/sw + cima*ee**2d0*sb**2d0*sw/&
                       cw
      coupl(nGC_220) = cb**2d0*cima*cw*ee**2d0/sw - cb**2d0*cima*ee**2d0*sw/cw &
                        + cima*cw*ee**2d0*sb**2d0/sw - cima*ee**2d0*sb**2d0*sw/&
                       cw
      coupl(nGC_223) = -ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - ca**2d0*  &
                       cima*ee**2d0 - ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) - cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) - cima*ee&
                       **2d0*sa**2d0 - cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_222) = -ca**2d0*cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - ca**2d0*  &
                       cima*ee**2d0/2d0 - ca**2d0*cima*ee**2d0*sw**2d0/(4d0*cw &
                       **2d0) - cima*cw**2d0*ee**2d0*sa**2d0/(4d0*sw**2d0) -   &
                       cima*ee**2d0*sa**2d0/2d0 - cima*ee**2d0*sa**2d0*sw**2d0 &
                       /(4d0*cw**2d0)
      coupl(nGC_225) = -cb**2d0*cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - cb**2d0*  &
                       cima*ee**2d0/2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(4d0*cw &
                       **2d0) - cima*cw**2d0*ee**2d0*sb**2d0/(4d0*sw**2d0) -   &
                       cima*ee**2d0*sb**2d0/2d0 - cima*ee**2d0*sb**2d0*sw**2d0 &
                       /(4d0*cw**2d0)
      coupl(nGC_224) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*   &
                       cima*ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) + cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee&
                       **2d0*sa**2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_227) = -cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cb**2d0*  &
                       cima*ee**2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) - cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) - cima*ee&
                       **2d0*sb**2d0 - cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_226) = -cb**2d0*cima*cw**2d0*ee**2d0/(4d0*sw**2d0) + cb**2d0*  &
                       cima*ee**2d0/2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(4d0*cw &
                       **2d0) - cima*cw**2d0*ee**2d0*sb**2d0/(4d0*sw**2d0) +   &
                       cima*ee**2d0*sb**2d0/2d0 - cima*ee**2d0*sb**2d0*sw**2d0 &
                       /(4d0*cw**2d0)
      coupl(nGC_229) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cb**2d0*   &
                       cima*ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) + cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) - cima*ee&
                       **2d0*sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_228) = -cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cb**2d0*  &
                       cima*ee**2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) - cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) + cima*ee&
                       **2d0*sb**2d0 - cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_21772) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_21015) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_21014) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_21017) = sqrt(2d0)*sb/2d0
      coupl(nGC_21016) = sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
      coupl(nGC_21011) = cima*sb
      coupl(nGC_21010) = cima*(cb*ym1 + sb*ym2)
      coupl(nGC_21013) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_21012) = -cb*cima
      coupl(nGC_21019) = -cima*(cb*ym2 - sb*ym1)
      coupl(nGC_21018) = -sqrt(2d0)*cb/2d0
      coupl(nGC_20788) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_20789) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_20838) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_20839) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_20834) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_20783) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
      coupl(nGC_20836) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_20837) = cima*ee/3d0
      coupl(nGC_20786) = cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**2d0
      coupl(nGC_20831) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**  &
                         2d0)
      coupl(nGC_595) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_20785) = -cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
      coupl(nGC_359) = -sqrt(2d0)*cb*ym2/2d0 + sqrt(2d0)*sb*ym1/2d0
      coupl(nGC_358) = -cb*cima*ym2 + cima*sb*ym1
      coupl(nGC_355) = -cb*cima*ye1 - cima*sb*ye2
      coupl(nGC_354) = -sqrt(2d0)*ca*cima*ye1/2d0 - sqrt(2d0)*cima*sa*ye2/2d0
      coupl(nGC_357) = -sqrt(2d0)*ca*cima*ym2/2d0 + sqrt(2d0)*cima*sa*ym1/2d0
      coupl(nGC_356) = -sqrt(2d0)*cb*ye1/2d0 - sqrt(2d0)*sb*ye2/2d0
      coupl(nGC_351) = -sqrt(2d0)*ca*cima*ye2/2d0 + sqrt(2d0)*cima*sa*ye1/2d0
      coupl(nGC_350) = -sqrt(2d0)*cb*ydo1/2d0 - sqrt(2d0)*sb*ydo2/2d0
      coupl(nGC_353) = -sqrt(2d0)*cb*ye2/2d0 + sqrt(2d0)*sb*ye1/2d0
      coupl(nGC_352) = -cb*cima*ye2 + cima*sb*ye1
      coupl(nGC_575) = sqrt(2d0)*cb/2d0
      coupl(nGC_571) = sqrt(2d0)*sb/2d0
      coupl(nGC_573) = sqrt(2d0)*(cb*yt2 - sb*yt1)/2d0
      coupl(nGC_579) = sqrt(2d0)*cb/2d0
      coupl(nGC_20830) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_21309) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca** &
                         2d0*cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l2*sb** &
                         2d0 - ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**  &
                         2d0*l5*sb**2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa** &
                         2d0 - cb**2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**  &
                         2d0*l5*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb** &
                         2d0 + l4*sa**2d0*sb**2d0 - l5*sa**2d0*sb**2d0)
      coupl(nGC_21308) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_21301) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_21300) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_21303) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_21302) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_21305) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_21304) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_21306) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_179) = ca*cb*cima*ee/(2d0*sw) + cima*ee*sa*sb/(2d0*sw)
      coupl(nGC_178) = -ca*cb*cima*ee/(2d0*sw) - cima*ee*sa*sb/(2d0*sw)
      coupl(nGC_20945) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_20946) = -2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*&
                         cb*l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - &
                         ca*l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*&
                         vev1 - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*&
                         sb*vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_20947) = -ca*cima*sb**2d0*vev2
      coupl(nGC_171) = cb**4d0*cima*ee**2d0/(2d0*sw**2d0) - 2d0*cb**4d0*cima*l1&
                        + cb**4d0*cima*ee**2d0/(2d0*cw**2d0) + cb**2d0*cima*ee &
                       **2d0*sb**2d0/sw**2d0 - 4d0*cb**2d0*cima*l3*sb**2d0 -   &
                       4d0*cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**  &
                       2d0 + cb**2d0*cima*ee**2d0*sb**2d0/cw**2d0 + cima*ee**  &
                       2d0*sb**4d0/(2d0*sw**2d0) - 2d0*cima*l2*sb**4d0 + cima* &
                       ee**2d0*sb**4d0/(2d0*cw**2d0)
      coupl(nGC_170) = cb**4d0*cima*ee**2d0/(2d0*sw**2d0) - 2d0*cb**4d0*cima*l2&
                        + cb**4d0*cima*ee**2d0/(2d0*cw**2d0) + cb**2d0*cima*ee &
                       **2d0*sb**2d0/sw**2d0 - 4d0*cb**2d0*cima*l3*sb**2d0 -   &
                       4d0*cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**  &
                       2d0 + cb**2d0*cima*ee**2d0*sb**2d0/cw**2d0 + cima*ee**  &
                       2d0*sb**4d0/(2d0*sw**2d0) - 2d0*cima*l1*sb**4d0 + cima* &
                       ee**2d0*sb**4d0/(2d0*cw**2d0)
      coupl(nGC_173) = ca*cima*ee*sb/(2d0*sw) - cb*cima*ee*sa/(2d0*sw)
      coupl(nGC_172) = -ca*cima*ee*sb/(2d0*sw) + cb*cima*ee*sa/(2d0*sw)
      coupl(nGC_175) = ca*cima*ee**2d0*sb/(2d0*sw) - cb*cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_174) = -ca*cima*ee**2d0*sb/(2d0*sw) + cb*cima*ee**2d0*sa/(2d0* &
                       sw)
      coupl(nGC_177) = ca*cima*ee**2d0*sb/sw - cb*cima*ee**2d0*sa/sw
      coupl(nGC_176) = -ca*cima*ee**2d0*sb/sw + cb*cima*ee**2d0*sa/sw
      coupl(nGC_21945) = sqrt(2d0)*sb/2d0
      coupl(nGC_21944) = sqrt(2d0)*cb/2d0
      coupl(nGC_21943) = sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
      coupl(nGC_21942) = 12d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 &
                          - cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0  &
                          + l5*sb**2d0)
      coupl(nGC_21941) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21940) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_773) = cima/(2d0*cMW)
      coupl(nGC_777) = -cima/(2d0*cMW)
      coupl(nGC_21763) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw  &
                         )*(cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    end subroutine fill_couplings_mdl1
end module fill_couplings1
