!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_21766) = 4d0*cima*ee**2d0
      coupl(nGC_21765) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)**&
                         2d0/(cw**2d0*sw**2d0)
      coupl(nGC_99) = -cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0*sb**  &
                      2d0/(2d0*sw**2d0)
      coupl(nGC_98) = -cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0*sb**  &
                      2d0/(4d0*sw**2d0)
      coupl(nGC_97) = ca*cb*cima*cw*ee**2d0/(2d0*sw**2d0) - ca*cb*cima*ee**2d0 &
                      /(2d0*cw) + cima*cw*ee**2d0*sa*sb/(2d0*sw**2d0) - cima*ee&
                      **2d0*sa*sb/(2d0*cw)
      coupl(nGC_96) = -ca*cb*cima*cw*ee**2d0/(2d0*sw**2d0) - ca*cb*cima*ee**2d0&
                      /(2d0*cw) - cima*cw*ee**2d0*sa*sb/(2d0*sw**2d0) - cima*ee&
                      **2d0*sa*sb/(2d0*cw)
      coupl(nGC_95) = ca*cb*cima*cw*ee**2d0/(4d0*sw**2d0) + ca*cb*cima*ee**2d0 &
                      /(4d0*cw) + cima*cw*ee**2d0*sa*sb/(4d0*sw**2d0) + cima*ee&
                      **2d0*sa*sb/(4d0*cw)
      coupl(nGC_94) = -ca*cb*cima*cw*ee**2d0/(4d0*sw**2d0) + ca*cb*cima*ee**2d0&
                      /(4d0*cw) - cima*cw*ee**2d0*sa*sb/(4d0*sw**2d0) + cima*ee&
                      **2d0*sa*sb/(4d0*cw)
      coupl(nGC_93) = ca*cb*ee**2d0/(2d0*sw**2d0) + ee**2d0*sa*sb/(2d0*sw**2d0)
      coupl(nGC_92) = ca*cb*ee**2d0/(4d0*sw**2d0) + ee**2d0*sa*sb/(4d0*sw**2d0)
      coupl(nGC_91) = -ca*cb*ee**2d0/(4d0*sw**2d0) - ee**2d0*sa*sb/(4d0*sw**2d0)
      coupl(nGC_90) = -ca*cb*ee**2d0/(2d0*sw**2d0) - ee**2d0*sa*sb/(2d0*sw**2d0)
      coupl(nGC_21785) = cb*cima*sb**3d0
      coupl(nGC_21784) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21787) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21786) = -cb**3d0*cima*sb
      coupl(nGC_21781) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_21780) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_21783) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_21782) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_21788) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21543) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_77) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sa**2d0&
                      /(2d0*sw**2d0)
      coupl(nGC_76) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0*sa**  &
                      2d0/(2d0*sw**2d0)
      coupl(nGC_71) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - 2d0*cb**2d0*cima*l1*&
                      sb**2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*&
                      l3*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 4d0*cb**2d0*  &
                      cima*l5*sb**2d0 - cima*l3*sb**4d0 - cima*l4*sb**4d0
      coupl(nGC_70) = -cb**4d0*cima*l3 - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima&
                      *l2*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 2d0*cb**2d0* &
                      cima*l5*sb**2d0 - cima*l3*sb**4d0
      coupl(nGC_73) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - cb**4d0*cima*l5 -   &
                      3d0*cb**2d0*cima*l1*sb**2d0 - 3d0*cb**2d0*cima*l2*sb**2d0&
                       + 4d0*cb**2d0*cima*l3*sb**2d0 + 4d0*cb**2d0*cima*l4*sb**&
                      2d0 + 4d0*cb**2d0*cima*l5*sb**2d0 - cima*l3*sb**4d0 -    &
                      cima*l4*sb**4d0 - cima*l5*sb**4d0
      coupl(nGC_72) = -cb**4d0*cima*l4/2d0 - cb**4d0*cima*l5/2d0 - cb**2d0*cima&
                      *l1*sb**2d0 - cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*&
                      l3*sb**2d0 + cb**2d0*cima*l4*sb**2d0 + cb**2d0*cima*l5*sb&
                      **2d0 - cima*l4*sb**4d0/2d0 - cima*l5*sb**4d0/2d0
      coupl(nGC_21548) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0  &
                         )**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_79) = -ca*ee**2d0*sb/(4d0*sw**2d0) + cb*ee**2d0*sa/(4d0*sw**2d0)
      coupl(nGC_78) = -ca*ee**2d0*sb/(2d0*sw**2d0) + cb*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_21169) = cima*sa*sb**2d0*vev1
      coupl(nGC_21168) = cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa &
                          - cb**2d0*l5*sa + l1*sa*sb**2d0)
      coupl(nGC_21165) = -ca*cb**2d0*cima*vev2
      coupl(nGC_21164) = 2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca* &
                         cb*l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - &
                         ca*l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*&
                         vev1 - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*&
                         sb*vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_21167) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + ca*l4*sb**2d0  &
                          - ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_21166) = cima*(2d0*ca*cb*sb*vev1 + ca*sb**2d0*vev2 - cb**2d0*sa&
                         *vev1 - 2d0*cb*sa*sb*vev2)
      coupl(nGC_21163) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_21769) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_218) = -cb**2d0*cima*cw*ee/(2d0*sw) + cb**2d0*cima*ee*sw/(2d0* &
                       cw) - cima*cw*ee*sb**2d0/(2d0*sw) + cima*ee*sb**2d0*sw/(&
                       2d0*cw)
      coupl(nGC_219) = cb**2d0*cima*cw*ee**2d0/(2d0*sw) - cb**2d0*cima*ee**2d0*&
                       sw/(2d0*cw) + cima*cw*ee**2d0*sb**2d0/(2d0*sw) - cima*ee&
                       **2d0*sb**2d0*sw/(2d0*cw)
      coupl(nGC_214) = ca*cw*ee*sb/(2d0*sw) + ca*ee*sb*sw/(2d0*cw) - cb*cw*ee* &
                       sa/(2d0*sw) - cb*ee*sa*sw/(2d0*cw)
      coupl(nGC_215) = -ca*cb*cw*ee/(2d0*sw) - ca*cb*ee*sw/(2d0*cw) - cw*ee*sa*&
                       sb/(2d0*sw) - ee*sa*sb*sw/(2d0*cw)
      coupl(nGC_216) = ca*cb*cw*ee/(2d0*sw) + ca*cb*ee*sw/(2d0*cw) + cw*ee*sa* &
                       sb/(2d0*sw) + ee*sa*sb*sw/(2d0*cw)
      coupl(nGC_217) = cb**2d0*cima*cw*ee/(2d0*sw) - cb**2d0*cima*ee*sw/(2d0*cw&
                       ) + cima*cw*ee*sb**2d0/(2d0*sw) - cima*ee*sb**2d0*sw/(  &
                       2d0*cw)
      coupl(nGC_210) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_211) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_212) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_213) = -ca*cw*ee*sb/(2d0*sw) - ca*ee*sb*sw/(2d0*cw) + cb*cw*ee*&
                       sa/(2d0*sw) + cb*ee*sa*sw/(2d0*cw)
      coupl(nGC_20829) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
      coupl(nGC_20823) = -2d0*cima*ee/3d0
      coupl(nGC_368) = -sqrt(2d0)*cb*yd12x2/2d0 - sqrt(2d0)*sb*ys2/2d0
      coupl(nGC_369) = -sqrt(2d0)*ca*cima*yt2/2d0 + sqrt(2d0)*cima*sa*yt1/2d0
      coupl(nGC_360) = -sqrt(2d0)*ca*cima*ym1/2d0 - sqrt(2d0)*cima*sa*ym2/2d0
      coupl(nGC_361) = -cb*cima*ym1 - cima*sb*ym2
      coupl(nGC_363) = -sqrt(2d0)*ca*cima*ys2/2d0 + sqrt(2d0)*cima*sa*yd12x2/2d0
      coupl(nGC_364) = -cb*cima*ys2 + cima*sb*yd12x2
      coupl(nGC_365) = -sqrt(2d0)*cb*ys2/2d0 + sqrt(2d0)*sb*yd12x2/2d0
      coupl(nGC_366) = -sqrt(2d0)*ca*cima*yd12x2/2d0 - sqrt(2d0)*cima*sa*ys2/2d0
      coupl(nGC_367) = -cb*cima*yd12x2 - cima*sb*ys2
      coupl(nGC_541) = cima*sa*sb**2d0*vev1
      coupl(nGC_543) = cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l1*sa*&
                       sb**2d0)
      coupl(nGC_545) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb*&
                       l5*sa*sb)
      coupl(nGC_547) = cima*(ca*cb**2d0*l3*vev1 - ca*cb*l4*sb*vev2 - ca*cb*l5* &
                       sb*vev2 + ca*l1*sb**2d0*vev1 + cb**2d0*l2*sa*vev2 - cb* &
                       l4*sa*sb*vev1 - cb*l5*sa*sb*vev1 + l3*sa*sb**2d0*vev2)
      coupl(nGC_21378) = -sqrt(2d0)*cima*(ca*ys2 - sa*yd12x2)/2d0
      coupl(nGC_21374) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
      coupl(nGC_21375) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
      coupl(nGC_21376) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_21377) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21370) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_21371) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
      coupl(nGC_21372) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_21373) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_144) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - ca*cb*cima*ee &
                       **2d0*sa*sb/sw**2d0 - 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca* &
                       cb*cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cima*ee**  &
                       2d0*sa**2d0*sb**2d0/(2d0*sw**2d0) - cima*l1*sa**2d0*sb**&
                       2d0
      coupl(nGC_145) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l2 - ca**2d0*cb**2d0*cima*ee**2d0/(2d0*cw**  &
                       2d0) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0&
                        + ca**2d0*cima*l5*sb**2d0 - ca*cb*cima*ee**2d0*sa*sb/sw&
                       **2d0 - 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**2d0*sa*&
                       sb/cw**2d0 - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4* &
                       sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*ee**2d0*sa**2d0&
                       *sb**2d0/(2d0*sw**2d0) - cima*l1*sa**2d0*sb**2d0 - cima*&
                       ee**2d0*sa**2d0*sb**2d0/(2d0*cw**2d0)
      coupl(nGC_146) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - ca*cb*cima*ee &
                       **2d0*sa*sb/sw**2d0 - 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca* &
                       cb*cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cima*ee**  &
                       2d0*sa**2d0*sb**2d0/(2d0*sw**2d0) - cima*l2*sa**2d0*sb**&
                       2d0
      coupl(nGC_147) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l1 - ca**2d0*cb**2d0*cima*ee**2d0/(2d0*cw**  &
                       2d0) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0&
                        + ca**2d0*cima*l5*sb**2d0 - ca*cb*cima*ee**2d0*sa*sb/sw&
                       **2d0 - 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**2d0*sa*&
                       sb/cw**2d0 - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4* &
                       sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*ee**2d0*sa**2d0&
                       *sb**2d0/(2d0*sw**2d0) - cima*l2*sa**2d0*sb**2d0 - cima*&
                       ee**2d0*sa**2d0*sb**2d0/(2d0*cw**2d0)
      coupl(nGC_140) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 + ca*cb*cima*ee &
                       **2d0*sa*sb/(2d0*sw**2d0) - 2d0*ca*cb*cima*l4*sa*sb -   &
                       2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 + cima&
                       *ee**2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l2*sa**2d0&
                       *sb**2d0
      coupl(nGC_141) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l1 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0&
                        + ca**2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa*sb/( &
                       2d0*sw**2d0) - 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) - cb**2d0*cima*l3*sa**2d0 - cb**&
                       2d0*cima*l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 + cima*ee &
                       **2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l2*sa**2d0*sb&
                       **2d0 + cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_142) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 + ca**  &
                       2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 + &
                       ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**2d0) - ca*cb*cima*l1* &
                       sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb + &
                       cb**2d0*cima*l4*sa**2d0/2d0 + cb**2d0*cima*l5*sa**2d0/  &
                       2d0 + cima*ee**2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*&
                       l4*sa**2d0*sb**2d0/2d0 - cima*l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_143) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l5 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) + ca**2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa* &
                       sb/(2d0*sw**2d0) - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2* &
                       sa*sb + 2d0*ca*cb*cima*l3*sa*sb + 2d0*ca*cb*cima*l4*sa* &
                       sb - 2d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb &
                       /(2d0*cw**2d0) + cb**2d0*cima*l5*sa**2d0 + cima*ee**2d0*&
                       sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l5*sa**2d0*sb**2d0 &
                        + cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_149) = -ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) + ca*cb**2d0*l4*sb/&
                       2d0 - ca*cb**2d0*l5*sb/2d0 - ca*ee**2d0*sb**3d0/(4d0*sw &
                       **2d0) + ca*l4*sb**3d0/2d0 - ca*l5*sb**3d0/2d0 + cb**3d0&
                       *ee**2d0*sa/(4d0*sw**2d0) - cb**3d0*l4*sa/2d0 + cb**3d0*&
                       l5*sa/2d0 + cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - cb*l4*&
                       sa*sb**2d0/2d0 + cb*l5*sa*sb**2d0/2d0
      coupl(nGC_20953) = cima*(ca*cb**2d0*l1*vev1 + 2d0*ca*cb*l5*sb*vev2 + ca* &
                         l3*sb**2d0*vev1 + ca*l4*sb**2d0*vev1 - ca*l5*sb**2d0* &
                         vev1 + cb**2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb** &
                         2d0*l5*sa*vev2 + 2d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*&
                         vev2)
      coupl(nGC_20952) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_20951) = cb**2d0*cima*sa*vev1
      coupl(nGC_20950) = cima*(-2d0*ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa*sb**2d0&
                          + l4*sa*sb**2d0 - l5*sa*sb**2d0)
      coupl(nGC_20957) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_20956) = -ca*cb**2d0*cima*sa
      coupl(nGC_20955) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                         2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*&
                         sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0&
                         *l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 &
                          + l5*sa**2d0*sb**2d0)
      coupl(nGC_20954) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_20959) = ca*cima*sa*sb**2d0
      coupl(nGC_20958) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_21923) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_781) = 1d0/(2d0*cMZ)
      coupl(nGC_MI) = -cima
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_334) = cb*cima*yc2 - cima*sb*yc1
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_89) = ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) + ca*cima*ee**2d0*sb &
                      /(2d0*cw) - cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) - cb*cima&
                      *ee**2d0*sa/(2d0*cw)
      coupl(nGC_80) = ca*ee**2d0*sb/(4d0*sw**2d0) - cb*ee**2d0*sa/(4d0*sw**2d0)
      coupl(nGC_81) = ca*ee**2d0*sb/(2d0*sw**2d0) - cb*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_82) = -ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) - ca*cima*ee**2d0*sb&
                      /(4d0*cw) + cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) + cb*cima&
                      *ee**2d0*sa/(4d0*cw)
      coupl(nGC_83) = -ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) + ca*cima*ee**2d0*sb&
                      /(4d0*cw) + cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) - cb*cima&
                      *ee**2d0*sa/(4d0*cw)
      coupl(nGC_84) = ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) - ca*cima*ee**2d0*sb &
                      /(4d0*cw) - cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) + cb*cima&
                      *ee**2d0*sa/(4d0*cw)
      coupl(nGC_85) = ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) + ca*cima*ee**2d0*sb &
                      /(4d0*cw) - cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) - cb*cima&
                      *ee**2d0*sa/(4d0*cw)
      coupl(nGC_86) = -ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) - ca*cima*ee**2d0*sb&
                      /(2d0*cw) + cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) + cb*cima&
                      *ee**2d0*sa/(2d0*cw)
      coupl(nGC_87) = -ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) + ca*cima*ee**2d0*sb&
                      /(2d0*cw) + cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) - cb*cima&
                      *ee**2d0*sa/(2d0*cw)
      coupl(nGC_66) = -3d0*cb**4d0*cima*l2 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*&
                      cb**2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 -  &
                      3d0*cima*l1*sb**4d0
      coupl(nGC_67) = -cb**4d0*cima*l1 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**&
                      2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*&
                      l2*sb**4d0
      coupl(nGC_64) = -cb**4d0*cima*l2 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**&
                      2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*&
                      l1*sb**4d0
      coupl(nGC_65) = -2d0*cb**4d0*cima*l2 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*&
                      cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 -  &
                      2d0*cima*l1*sb**4d0
      coupl(nGC_62) = ca*cb**3d0*l4/2d0 - ca*cb**3d0*l5/2d0 + ca*cb*l4*sb**2d0/&
                      2d0 - ca*cb*l5*sb**2d0/2d0 + cb**2d0*l4*sa*sb/2d0 - cb** &
                      2d0*l5*sa*sb/2d0 + l4*sa*sb**3d0/2d0 - l5*sa*sb**3d0/2d0
      coupl(nGC_63) = -ca*cb**3d0*l4/2d0 + ca*cb**3d0*l5/2d0 - ca*cb*l4*sb**2d0&
                      /2d0 + ca*cb*l5*sb**2d0/2d0 - cb**2d0*l4*sa*sb/2d0 + cb**&
                      2d0*l5*sa*sb/2d0 - l4*sa*sb**3d0/2d0 + l5*sa*sb**3d0/2d0
      coupl(nGC_21570) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*&
                         ca*cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**  &
                         2d0*vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 -  &
                         cb**2d0*l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*&
                         sa*sb*vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)/&
                         2d0
      coupl(nGC_21571) = cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_68) = -2d0*cb**4d0*cima*l1 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*&
                      cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 -  &
                      2d0*cima*l2*sb**4d0
      coupl(nGC_21579) = -cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb** &
                         2d0 - 2d0*cb*sa**2d0*sb)
      coupl(nGC_21289) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0&
                         *sw**2d0)
      coupl(nGC_7407) = -coupl(nGC_213)
      coupl(nGC_21688) = -3d0*ca*cima*sa**2d0*vev2
      coupl(nGC_21689) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa &
                         **2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_21685) = -sqrt(2d0)*cb/2d0
      coupl(nGC_21686) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa &
                         **2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_21680) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_21681) = -ca**2d0*cima*sb**2d0
      coupl(nGC_21682) = 2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb &
                         **2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca&
                         *l3*sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_21683) = -sqrt(2d0)*sb/2d0
      coupl(nGC_209) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_208) = cima*ee*sw/cw
      coupl(nGC_203) = cima*cw*ee**2d0/sw
      coupl(nGC_202) = -cima*cw*ee**2d0/sw
      coupl(nGC_201) = 2d0*cima*cw*ee/sw
      coupl(nGC_200) = -2d0*cima*cw*ee/sw
      coupl(nGC_207) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_21753) = sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
      coupl(nGC_205) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_204) = -2d0*cima*cw*ee**2d0/sw
      coupl(nGC_377) = -sqrt(2d0)*cb*ytau2/2d0 + sqrt(2d0)*sb*ytau1/2d0
      coupl(nGC_376) = -cb*cima*ytau2 + cima*sb*ytau1
      coupl(nGC_375) = -sqrt(2d0)*ca*cima*ytau2/2d0 + sqrt(2d0)*cima*sa*ytau1/ &
                       2d0
      coupl(nGC_374) = sqrt(2d0)*cb*yt1/2d0 + sqrt(2d0)*sb*yt2/2d0
      coupl(nGC_373) = cb*cima*yt1 + cima*sb*yt2
      coupl(nGC_372) = -sqrt(2d0)*ca*cima*yt1/2d0 - sqrt(2d0)*cima*sa*yt2/2d0
      coupl(nGC_371) = sqrt(2d0)*cb*yt2/2d0 - sqrt(2d0)*sb*yt1/2d0
      coupl(nGC_370) = cb*cima*yt2 - cima*sb*yt1
      coupl(nGC_20768) = -cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*&
                         cw**2d0*sw)
      coupl(nGC_20769) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(2d0*&
                         cw*sw)
      coupl(nGC_379) = -cb*cima*ytau1 - cima*sb*ytau2
      coupl(nGC_378) = -sqrt(2d0)*ca*cima*ytau1/2d0 - sqrt(2d0)*cima*sa*ytau2/ &
                       2d0
      coupl(nGC_559) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
      coupl(nGC_557) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
      coupl(nGC_555) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_553) = -cb*cima*sa*sb*vev2
      coupl(nGC_551) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 + 2d0*ca* &
                       cb*l4*sb*vev2 + 2d0*ca*cb*l5*sb*vev2 - ca*l1*sb**2d0*   &
                       vev1 + ca*l3*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb**2d0&
                       *l3*sa*vev2 + 2d0*cb*l4*sa*sb*vev1 + 2d0*cb*l5*sa*sb*   &
                       vev1 + l2*sa*sb**2d0*vev2 - l3*sa*sb**2d0*vev2)
      coupl(nGC_21369) = cima*ee**2d0/sw
      coupl(nGC_21368) = -cima*cw*ee**2d0/sw**2d0
      coupl(nGC_153) = ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) - ca*cb**2d0*l4*sb/ &
                       2d0 + ca*cb**2d0*l5*sb/2d0 + ca*ee**2d0*sb**3d0/(4d0*sw &
                       **2d0) - ca*l4*sb**3d0/2d0 + ca*l5*sb**3d0/2d0 - cb**3d0&
                       *ee**2d0*sa/(4d0*sw**2d0) + cb**3d0*l4*sa/2d0 - cb**3d0*&
                       l5*sa/2d0 - cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + cb*l4*&
                       sa*sb**2d0/2d0 - cb*l5*sa*sb**2d0/2d0
      coupl(nGC_152) = ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) + ca*cb**2d0*l4*sb/ &
                       2d0 - ca*cb**2d0*l5*sb/2d0 + ca*ee**2d0*sb**3d0/(4d0*sw &
                       **2d0) + ca*l4*sb**3d0/2d0 - ca*l5*sb**3d0/2d0 - cb**3d0&
                       *ee**2d0*sa/(4d0*sw**2d0) - cb**3d0*l4*sa/2d0 + cb**3d0*&
                       l5*sa/2d0 - cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - cb*l4*&
                       sa*sb**2d0/2d0 + cb*l5*sa*sb**2d0/2d0
      coupl(nGC_151) = ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) - ca*cb**2d0*ee**2d0&
                       *sb/(4d0*cw**2d0) + ca*ee**2d0*sb**3d0/(4d0*sw**2d0) -  &
                       ca*ee**2d0*sb**3d0/(4d0*cw**2d0) - cb**3d0*ee**2d0*sa/( &
                       4d0*sw**2d0) + cb**3d0*ee**2d0*sa/(4d0*cw**2d0) - cb*ee &
                       **2d0*sa*sb**2d0/(4d0*sw**2d0) + cb*ee**2d0*sa*sb**2d0/(&
                       4d0*cw**2d0)
      coupl(nGC_150) = -ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) - ca*cb**2d0*l4*sb/&
                       2d0 + ca*cb**2d0*l5*sb/2d0 - ca*ee**2d0*sb**3d0/(4d0*sw &
                       **2d0) - ca*l4*sb**3d0/2d0 + ca*l5*sb**3d0/2d0 + cb**3d0&
                       *ee**2d0*sa/(4d0*sw**2d0) + cb**3d0*l4*sa/2d0 - cb**3d0*&
                       l5*sa/2d0 + cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + cb*l4*&
                       sa*sb**2d0/2d0 - cb*l5*sa*sb**2d0/2d0
      coupl(nGC_157) = ca*cb**3d0*ee**2d0/(4d0*sw**2d0) - ca*cb**3d0*ee**2d0/( &
                       4d0*cw**2d0) + ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) - ca*&
                       cb*ee**2d0*sb**2d0/(4d0*cw**2d0) + cb**2d0*ee**2d0*sa*sb&
                       /(4d0*sw**2d0) - cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) +  &
                       ee**2d0*sa*sb**3d0/(4d0*sw**2d0) - ee**2d0*sa*sb**3d0/( &
                       4d0*cw**2d0)
      coupl(nGC_156) = -ca*cb**3d0*ee**2d0/(4d0*sw**2d0) - ca*cb**3d0*l4/2d0 + &
                       ca*cb**3d0*l5/2d0 - ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0  &
                       ) - ca*cb*l4*sb**2d0/2d0 + ca*cb*l5*sb**2d0/2d0 - cb**  &
                       2d0*ee**2d0*sa*sb/(4d0*sw**2d0) - cb**2d0*l4*sa*sb/2d0  &
                        + cb**2d0*l5*sa*sb/2d0 - ee**2d0*sa*sb**3d0/(4d0*sw**  &
                       2d0) - l4*sa*sb**3d0/2d0 + l5*sa*sb**3d0/2d0
      coupl(nGC_155) = -ca*cb**3d0*ee**2d0/(4d0*sw**2d0) + ca*cb**3d0*l4/2d0 - &
                       ca*cb**3d0*l5/2d0 - ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0  &
                       ) + ca*cb*l4*sb**2d0/2d0 - ca*cb*l5*sb**2d0/2d0 - cb**  &
                       2d0*ee**2d0*sa*sb/(4d0*sw**2d0) + cb**2d0*l4*sa*sb/2d0  &
                        - cb**2d0*l5*sa*sb/2d0 - ee**2d0*sa*sb**3d0/(4d0*sw**  &
                       2d0) + l4*sa*sb**3d0/2d0 - l5*sa*sb**3d0/2d0
      coupl(nGC_154) = -ca*cb**3d0*ee**2d0/(4d0*sw**2d0) + ca*cb**3d0*ee**2d0/(&
                       4d0*cw**2d0) - ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca*&
                       cb*ee**2d0*sb**2d0/(4d0*cw**2d0) - cb**2d0*ee**2d0*sa*sb&
                       /(4d0*sw**2d0) + cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) -  &
                       ee**2d0*sa*sb**3d0/(4d0*sw**2d0) + ee**2d0*sa*sb**3d0/( &
                       4d0*cw**2d0)
      coupl(nGC_159) = ca*cb**3d0*ee**2d0/(4d0*sw**2d0) - ca*cb**3d0*l4/2d0 +  &
                       ca*cb**3d0*l5/2d0 + ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0  &
                       ) - ca*cb*l4*sb**2d0/2d0 + ca*cb*l5*sb**2d0/2d0 + cb**  &
                       2d0*ee**2d0*sa*sb/(4d0*sw**2d0) - cb**2d0*l4*sa*sb/2d0  &
                        + cb**2d0*l5*sa*sb/2d0 + ee**2d0*sa*sb**3d0/(4d0*sw**  &
                       2d0) - l4*sa*sb**3d0/2d0 + l5*sa*sb**3d0/2d0
      coupl(nGC_158) = ca*cb**3d0*ee**2d0/(4d0*sw**2d0) + ca*cb**3d0*l4/2d0 -  &
                       ca*cb**3d0*l5/2d0 + ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0  &
                       ) + ca*cb*l4*sb**2d0/2d0 - ca*cb*l5*sb**2d0/2d0 + cb**  &
                       2d0*ee**2d0*sa*sb/(4d0*sw**2d0) + cb**2d0*l4*sa*sb/2d0  &
                        - cb**2d0*l5*sa*sb/2d0 + ee**2d0*sa*sb**3d0/(4d0*sw**  &
                       2d0) + l4*sa*sb**3d0/2d0 - l5*sa*sb**3d0/2d0
      coupl(nGC_20966) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
      coupl(nGC_20967) = -cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_20964) = cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_20965) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
      coupl(nGC_20962) = -cb*cima
      coupl(nGC_20963) = cima*sb
      coupl(nGC_20960) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca** &
                         2d0*l1*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa*&
                         sb - 4d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0 - cb**2d0&
                         *l3*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
      coupl(nGC_20961) = cima*(cb*ye1 + sb*ye2)
      coupl(nGC_20968) = cima*ee**2d0*(cb*vev2 - sb*vev1)/sw
      coupl(nGC_1661) = -coupl(nGC_172)
      coupl(nGC_21213) = -cb*cima
      coupl(nGC_21212) = cima*sb
      coupl(nGC_21214) = sqrt(2d0)*(cb*ytau1 + sb*ytau2)/2d0
      coupl(nGC_21219) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_21218) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_21519) = -sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
      coupl(nGC_21147) = cb*cima
      coupl(nGC_21517) = -sqrt(2d0)*cb/2d0
      coupl(nGC_230) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cb**2d0*   &
                       cima*ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) + cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) + cima*ee&
                       **2d0*sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_231) = -cb*cima*ee**2d0*vev2/(2d0*cw) + cima*ee**2d0*sb*vev1/( &
                       2d0*cw)
      coupl(nGC_21512) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_236) = -ca**3d0*cima*l3*vev1 - ca**3d0*cima*l4*vev1 - ca**3d0* &
                       cima*l5*vev1 - 3d0*ca**2d0*cima*l2*sa*vev2 + 2d0*ca**2d0&
                       *cima*l3*sa*vev2 + 2d0*ca**2d0*cima*l4*sa*vev2 + 2d0*ca &
                       **2d0*cima*l5*sa*vev2 - 3d0*ca*cima*l1*sa**2d0*vev1 +   &
                       2d0*ca*cima*l3*sa**2d0*vev1 + 2d0*ca*cima*l4*sa**2d0*   &
                       vev1 + 2d0*ca*cima*l5*sa**2d0*vev1 - cima*l3*sa**3d0*   &
                       vev2 - cima*l4*sa**3d0*vev2 - cima*l5*sa**3d0*vev2
      coupl(nGC_21142) = -cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb* &
                         l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*&
                         l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*   &
                         vev1 - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*&
                         sb*vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_21141) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_21140) = ca*cb*cima*sb*vev1
      coupl(nGC_332) = ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) + ca*cima*ee &
                       **2d0*vev1 + ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0  &
                       ) + cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) + cima*ee&
                       **2d0*sa*vev2 + cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**  &
                       2d0)
      coupl(nGC_21569) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
      coupl(nGC_21568) = -cb*cima*sa*sb*vev1
      coupl(nGC_330) = -ca*cima*cw**2d0*ee**2d0*vev1/(4d0*sw**2d0) - ca*cima*ee&
                       **2d0*vev1/2d0 - ca*cima*ee**2d0*sw**2d0*vev1/(4d0*cw** &
                       2d0) - cima*cw**2d0*ee**2d0*sa*vev2/(4d0*sw**2d0) - cima&
                       *ee**2d0*sa*vev2/2d0 - cima*ee**2d0*sa*sw**2d0*vev2/(4d0&
                       *cw**2d0)
      coupl(nGC_337) = cb*cima*yc1 + cima*sb*yc2
      coupl(nGC_21563) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - 2d0* &
                         ca*cb*l4*sb*vev1 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**  &
                         2d0*vev2 + ca*l3*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 -  &
                         cb**2d0*l3*sa*vev1 + 2d0*cb*l4*sa*sb*vev2 + 2d0*cb*l5*&
                         sa*sb*vev2 - l1*sa*sb**2d0*vev1 + l3*sa*sb**2d0*vev1)
      coupl(nGC_21562) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_21565) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
    end subroutine fill_couplings_mdl2
end module fill_couplings2
