!******************************************************************************!
!                                                                              !
!    fill_couplings4.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings4.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl4()
      coupl(nGC_21881) = -2d0*cb**4d0*cima
      coupl(nGC_21884) = -8d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4&
                          + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0  &
                          - l5*sb**2d0)
      coupl(nGC_21684) = -sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
      coupl(nGC_21396) = -cb*cima
      coupl(nGC_21394) = -cima*sb
      coupl(nGC_21395) = -cima*(cb*ydo2 - sb*ydo1)
      coupl(nGC_21392) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 +  &
                         ca*cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb  &
                          - 2d0*ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0* &
                         l5*sa**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_21393) = 2d0*cima*gs**2d0
      coupl(nGC_21390) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_21391) = ca**2d0*cb*cima*sb
      coupl(nGC_21868) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa &
                         **2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_21869) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa &
                         **2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_21687) = 3d0*ca**2d0*cima*sa*vev1
      coupl(nGC_21861) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_21862) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_21863) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_21864) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_21865) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa &
                         **2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_21866) = -3d0*ca*cima*sa**2d0*vev1
      coupl(nGC_21867) = -3d0*ca**2d0*cima*sa*vev2
      coupl(nGC_21530) = sqrt(2d0)*cima*(ca*ym1 + sa*ym2)/2d0
      coupl(nGC_21537) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
      coupl(nGC_21538) = ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_21539) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_28) = -2d0*cb**2d0*cima*ee**2d0 - 2d0*cima*ee**2d0*sb**2d0
      coupl(nGC_29) = 2d0*cb**2d0*cima*ee**2d0 + 2d0*cima*ee**2d0*sb**2d0
      coupl(nGC_22) = ca*cima*ee**2d0*sb/(2d0*cw) - cb*cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_23) = -ca*cb*cima*ee**2d0/(2d0*cw) - cima*ee**2d0*sa*sb/(2d0*cw)
      coupl(nGC_20) = -ca**4d0*cima*l3 - ca**4d0*cima*l4 - ca**4d0*cima*l5 -   &
                      3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**2d0*cima*l2*sa**2d0&
                       + 4d0*ca**2d0*cima*l3*sa**2d0 + 4d0*ca**2d0*cima*l4*sa**&
                      2d0 + 4d0*ca**2d0*cima*l5*sa**2d0 - cima*l3*sa**4d0 -    &
                      cima*l4*sa**4d0 - cima*l5*sa**4d0
      coupl(nGC_21) = -ca*cima*ee**2d0*sb/(2d0*cw) + cb*cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_26) = cb**2d0*cima*ee + cima*ee*sb**2d0
      coupl(nGC_27) = -cb**2d0*cima*ee**2d0 - cima*ee**2d0*sb**2d0
      coupl(nGC_24) = ca*cb*cima*ee**2d0/(2d0*cw) + cima*ee**2d0*sa*sb/(2d0*cw)
      coupl(nGC_25) = -cb**2d0*cima*ee - cima*ee*sb**2d0
      coupl(nGC_14) = -cima*gs**2d0
      coupl(nGC_21406) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_21407) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + ca**4d0*l4 + ca**&
                         4d0*l5 + 3d0*ca**2d0*l1*sa**2d0 + 3d0*ca**2d0*l2*sa** &
                         2d0 - 6d0*ca**2d0*l3*sa**2d0 - 6d0*ca**2d0*l4*sa**2d0 &
                          - 6d0*ca**2d0*l5*sa**2d0 - l1*sa**4d0 + l3*sa**4d0 + &
                         l4*sa**4d0 + l5*sa**4d0)
      coupl(nGC_21404) = -3d0*ca**3d0*cima*sa
      coupl(nGC_21405) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_21402) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_21403) = 3d0*ca*cima*sa**3d0
      coupl(nGC_21408) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_21409) = ee**2d0*(cb**2d0 + sb**2d0)/sw
      coupl(nGC_21718) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_21719) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca** &
                         2d0*cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa&
                          + 2d0*ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa &
                         **2d0*sb + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_21712) = -cima*(-2d0*ca**2d0*cb*l4*sb - 2d0*ca**2d0*cb*l5*sb + &
                         ca*cb**2d0*l1*sa + ca*cb**2d0*l2*sa - 2d0*ca*cb**2d0* &
                         l3*sa - ca*l1*sa*sb**2d0 - ca*l2*sa*sb**2d0 + 2d0*ca* &
                         l3*sa*sb**2d0 + 2d0*cb*l4*sa**2d0*sb + 2d0*cb*l5*sa** &
                         2d0*sb)
      coupl(nGC_21713) = -ca*cb*cima*sa*sb
      coupl(nGC_21710) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca** &
                         2d0*cb*l3*sb - 2d0*ca**2d0*cb*l4*sb + 2d0*ca**2d0*cb* &
                         l5*sb - 4d0*ca*cb**2d0*l5*sa + 4d0*ca*l5*sa*sb**2d0 - &
                         cb*l1*sa**2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**  &
                         2d0*sb + 2d0*cb*l4*sa**2d0*sb - 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_21711) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_21716) = -ca*cb*cima*sa*sb
      coupl(nGC_21717) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca** &
                         2d0*cb*l3*sb - 2d0*ca*cb**2d0*l4*sa - 2d0*ca*cb**2d0* &
                         l5*sa + 2d0*ca*l4*sa*sb**2d0 + 2d0*ca*l5*sa*sb**2d0 - &
                         cb*l1*sa**2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**  &
                         2d0*sb)
      coupl(nGC_21714) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
      coupl(nGC_21715) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
      coupl(nGC_1235) = -coupl(nGC_26)
      coupl(nGC_20728) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20729) = -cb**2d0*cima*sb**2d0
      coupl(nGC_21230) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_20724) = -3d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20725) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_20726) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_20727) = -6d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 &
                          - 2d0*l4 - 2d0*l5)
      coupl(nGC_20720) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20721) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 &
                          - 2d0*l4 - 2d0*l5)
      coupl(nGC_20722) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_20723) = -3d0*cb**2d0*cima*sb**2d0
      coupl(nGC_338) = sqrt(2d0)*cb*yc1/2d0 + sqrt(2d0)*sb*yc2/2d0
      coupl(nGC_21668) = 2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa -  &
                         ca*cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa&
                          - ca*l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb**&
                         2d0 - ca*l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_21666) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_21667) = -ca**2d0*cb**2d0*cima
      coupl(nGC_21664) = -cima*sa**2d0*sb**2d0
      coupl(nGC_21665) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa**&
                         2d0)
      coupl(nGC_21662) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_21663) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**  &
                         2d0*cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa&
                          + 2d0*ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa &
                         **2d0*sb + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_335) = sqrt(2d0)*cb*yc2/2d0 - sqrt(2d0)*sb*yc1/2d0
      coupl(nGC_21661) = -sqrt(2d0)*cima*(ca*yup2 - sa*yup1)/2d0
      coupl(nGC_197) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_196) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_195) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_194) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_193) = -cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_192) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_191) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_190) = cima*ee**2d0/sw**2d0
      coupl(nGC_199) = cima*cw*ee/sw
      coupl(nGC_198) = -cima*cw*ee/sw
      coupl(nGC_20922) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_20923) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_20921) = cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_20927) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**3d0
      coupl(nGC_20924) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_20928) = -cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
      coupl(nGC_609) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_607) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev2 - sa*vev1)/(cw**3d0*sw**2d0)
      coupl(nGC_605) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*   &
                       vev2)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_603) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
      coupl(nGC_15) = cima*gs**2d0
      coupl(nGC_601) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1&
                       )/(cw**2d0*sw**2d0)
      coupl(nGC_12) = -gs
      coupl(nGC_21099) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_21098) = -cima*sb
      coupl(nGC_21095) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_21094) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_21097) = -cb*cima
      coupl(nGC_21096) = -cima*(cb*ytau2 - sb*ytau1)
      coupl(nGC_21091) = -ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw**2d0* &
                         sw)
      coupl(nGC_21090) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*  &
                         vev2)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_21093) = ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw*sw**2d0)
      coupl(nGC_21092) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_513) = -cb**2d0*cima*sa*vev2
      coupl(nGC_517) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_515) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_519) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_5123) = -coupl(nGC_184)
      coupl(nGC_21895) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21894) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21897) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21896) = -12d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0* &
                         l4 + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0&
                          - l5*sb**2d0)
      coupl(nGC_21891) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21893) = -3d0*cb**4d0*cima
      coupl(nGC_21892) = -3d0*cima*sb**4d0
      coupl(nGC_21899) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_21898) = -sqrt(2d0)*cima*(ca*yt2 - sa*yt1)/2d0
      coupl(nGC_21387) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**  &
                         2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l1*sb** &
                         2d0 + ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**  &
                         2d0*l5*sb**2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa** &
                         2d0 + cb**2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**  &
                         2d0*l5*sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb** &
                         2d0 - l4*sa**2d0*sb**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_21386) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_21389) = cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb&
                         **2d0 - cb*sa**2d0*sb)
      coupl(nGC_21388) = -cb*cima*sa**2d0*sb
      coupl(nGC_21754) = sqrt(2d0)*sb/2d0
      coupl(nGC_21879) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21878) = -4d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4&
                          + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0  &
                          - l5*sb**2d0)
      coupl(nGC_21873) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21872) = -cima*(3d0*ca**3d0*l2*vev2 - 2d0*ca**3d0*l3*vev2 - 2d0&
                         *ca**3d0*l4*vev2 - 2d0*ca**3d0*l5*vev2 + 6d0*ca**2d0* &
                         l1*sa*vev1 - 7d0*ca**2d0*l3*sa*vev1 - 7d0*ca**2d0*l4* &
                         sa*vev1 - 7d0*ca**2d0*l5*sa*vev1 - 6d0*ca*l2*sa**2d0* &
                         vev2 + 7d0*ca*l3*sa**2d0*vev2 + 7d0*ca*l4*sa**2d0*vev2&
                          + 7d0*ca*l5*sa**2d0*vev2 - 3d0*l1*sa**3d0*vev1 + 2d0*&
                         l3*sa**3d0*vev1 + 2d0*l4*sa**3d0*vev1 + 2d0*l5*sa**3d0&
                         *vev1)
      coupl(nGC_21871) = -cima*sa*(3d0*ca**2d0*l2 - 2d0*ca**2d0*l3 - 2d0*ca**  &
                         2d0*l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5&
                         *sa**2d0)
      coupl(nGC_21870) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0* &
                         l1*sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*&
                         sa**2d0)
      coupl(nGC_21877) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21876) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21875) = -cb**4d0*cima
      coupl(nGC_206) = cima*ee*sw/(3d0*cw)
      coupl(nGC_249) = -ca*cb**2d0*cima*l1*vev1 - ca*cb*cima*l4*sb*vev2 - ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l3*sb**2d0*vev1 - cb**2d0*   &
                       cima*l3*sa*vev2 - cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*&
                       sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_21750) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0 + l4*sa**2d0 +  &
                         l5*sa**2d0)
      coupl(nGC_21751) = 3d0*cima*(ca**3d0*l3*vev1 + ca**3d0*l4*vev1 + ca**3d0*&
                         l5*vev1 + 3d0*ca**2d0*l2*sa*vev2 - 2d0*ca**2d0*l3*sa* &
                         vev2 - 2d0*ca**2d0*l4*sa*vev2 - 2d0*ca**2d0*l5*sa*vev2&
                          + 3d0*ca*l1*sa**2d0*vev1 - 2d0*ca*l3*sa**2d0*vev1 -  &
                         2d0*ca*l4*sa**2d0*vev1 - 2d0*ca*l5*sa**2d0*vev1 + l3* &
                         sa**3d0*vev2 + l4*sa**3d0*vev2 + l5*sa**3d0*vev2)
      coupl(nGC_21146) = cima*(cb*yt2 - sb*yt1)
      coupl(nGC_333) = -sqrt(2d0)*ca*cima*yc2/2d0 + sqrt(2d0)*cima*sa*yc1/2d0
      coupl(nGC_17) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca &
                      **3d0*cima*l4*sa - 3d0*ca**3d0*cima*l5*sa - 3d0*ca*cima* &
                      l2*sa**3d0 + 3d0*ca*cima*l3*sa**3d0 + 3d0*ca*cima*l4*sa**&
                      3d0 + 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_16) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca&
                      **3d0*cima*l4*sa + 3d0*ca**3d0*cima*l5*sa + 3d0*ca*cima* &
                      l1*sa**3d0 - 3d0*ca*cima*l3*sa**3d0 - 3d0*ca*cima*l4*sa**&
                      3d0 - 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_21526) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
      coupl(nGC_13) = cima*gs
      coupl(nGC_11) = -2d0*gs
      coupl(nGC_10) = 2d0*cima*ee**2d0
      coupl(nGC_21528) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_19) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*&
                      ca**2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 -  &
                      3d0*cima*l2*sa**4d0
      coupl(nGC_18) = -3d0*ca**4d0*cima*l2 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*&
                      ca**2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 -  &
                      3d0*cima*l1*sa**4d0
      coupl(nGC_21144) = sqrt(2d0)*sb/2d0
      coupl(nGC_21419) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_21418) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb**2d0*l4*vev2 + ca*cb&
                         **2d0*l5*vev2 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0* &
                         vev2 + cb**2d0*l1*sa*vev1 + 2d0*cb*l5*sa*sb*vev2 + l3*&
                         sa*sb**2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0* &
                         vev1)
      coupl(nGC_21411) = 2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*&
                         cb*l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + &
                         ca*l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*&
                         vev2 + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*&
                         sb*vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_21410) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_21413) = -cima*(2d0*ca*cb*sb*vev2 - ca*sb**2d0*vev1 - cb**2d0* &
                         sa*vev2 + 2d0*cb*sa*sb*vev1)
      coupl(nGC_21412) = -cima*sa*sb**2d0*vev2
      coupl(nGC_21415) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + ca*l4*sb**2d0  &
                          - ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_21414) = -cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa&
                          - cb**2d0*l5*sa + l2*sa*sb**2d0)
      coupl(nGC_21417) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_21416) = -ca*cb**2d0*cima*vev1
      coupl(nGC_1691) = coupl(nGC_191)/2d0
      coupl(nGC_1693) = -coupl(nGC_191)
      coupl(nGC_21709) = -ca*cb*cima*sa*sb
      coupl(nGC_21708) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_21705) = -cima*(-4d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa + ca* &
                         cb**2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa - 2d0*ca*cb**2d0*&
                         l4*sa + 2d0*ca*cb**2d0*l5*sa - ca*l1*sa*sb**2d0 - ca* &
                         l2*sa*sb**2d0 + 2d0*ca*l3*sa*sb**2d0 + 2d0*ca*l4*sa*sb&
                         **2d0 - 2d0*ca*l5*sa*sb**2d0 + 4d0*cb*l5*sa**2d0*sb)
      coupl(nGC_21704) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_21707) = -cima*(ca**2d0*cb**2d0 - ca**2d0*sb**2d0 + 2d0*ca*cb* &
                         sa*sb - cb**2d0*sa**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_21706) = -ca*cb*cima*sa*sb
      coupl(nGC_21701) = -cb*cima
      coupl(nGC_21700) = -2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca* &
                         cb**2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + &
                         ca*l3*sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb&
                         )
      coupl(nGC_21703) = -cima*(cb*ys2 - sb*yd12x2)
      coupl(nGC_21702) = -cima*sb
      coupl(nGC_21937) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_521) = -ca*cima*sb**2d0*vev1
      coupl(nGC_20760) = -2d0*gs
      coupl(nGC_20739) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 &
                          - 2d0*l4 - 2d0*l5)
      coupl(nGC_20738) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_20737) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20736) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20735) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20733) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 &
                          - 2d0*l4 - 2d0*l5)
      coupl(nGC_20732) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
      coupl(nGC_20731) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
      coupl(nGC_20730) = -cb**2d0*cima*sb**2d0
      coupl(nGC_21675) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_21674) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_21677) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb&
                         **2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca&
                         *l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
      coupl(nGC_21676) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_21679) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_21678) = -cb**2d0*cima*sa**2d0
      coupl(nGC_20767) = cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0* &
                         cw*sw**2d0)
      coupl(nGC_21555) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**  &
                         2d0*l2*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*&
                         sb + 4d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb**2d0&
                         *l3*sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_21520) = 4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
      coupl(nGC_331) = -ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) - ca*cima*ee&
                       **2d0*vev1 - ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0  &
                       ) - cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) - cima*ee&
                       **2d0*sa*vev2 - cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**  &
                       2d0)
      coupl(nGC_294) = -ca*cb**2d0*cima*l5*vev2 - ca*cb*cima*ee**2d0*sb*vev1/( &
                       4d0*sw**2d0) + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*&
                       vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 -  &
                       ca*cb*cima*ee**2d0*sb*vev1/(4d0*cw**2d0) - ca*cima*ee** &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + ca*cima*l5*sb**2d0*vev2&
                        - ca*cima*ee**2d0*sb**2d0*vev2/(4d0*cw**2d0) + cb**2d0*&
                       cima*ee**2d0*sa*vev1/(4d0*sw**2d0) - cb**2d0*cima*l5*sa*&
                       vev1 + cb**2d0*cima*ee**2d0*sa*vev1/(4d0*cw**2d0) + cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb&
                       *vev2 + cb*cima*l3*sa*sb*vev2 + cb*cima*l4*sa*sb*vev2 - &
                       cb*cima*l5*sa*sb*vev2 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*&
                       cw**2d0) + cima*l5*sa*sb**2d0*vev1
      coupl(nGC_295) = -ca*cb**2d0*cima*l3*vev2 + ca*cb*cima*ee**2d0*sb*vev1/( &
                       4d0*sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*&
                       vev1 + ca*cima*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - ca* &
                       cima*l2*sb**2d0*vev2 - cb**2d0*cima*ee**2d0*sa*vev1/(4d0&
                       *sw**2d0) + cb**2d0*cima*l1*sa*vev1 - cb*cima*ee**2d0*sa&
                       *sb*vev2/(4d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima&
                       *l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_296) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(4d0* &
                       sw**2d0) - 2d0*ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**  &
                       2d0*sb*vev1/(4d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2&
                       /(4d0*sw**2d0) - ca*cima*l2*sb**2d0*vev2 + ca*cima*ee** &
                       2d0*sb**2d0*vev2/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa&
                       *vev1/(4d0*sw**2d0) + cb**2d0*cima*l1*sa*vev1 - cb**2d0*&
                       cima*ee**2d0*sa*vev1/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*&
                       sb*vev2/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev2 - cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*cw**2d0) + cima*l3*sa*sb** &
                       2d0*vev1 + cima*l4*sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*&
                       vev1
      coupl(nGC_297) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0 + ca*cb*&
                       cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*cima*l1*sb*  &
                       vev1 - ca*cb*cima*l3*sb*vev1 + ca*cima*ee**2d0*sb**2d0* &
                       vev2/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2/2d0 + ca*  &
                       cima*l5*sb**2d0*vev2/2d0 - cb**2d0*cima*ee**2d0*sa*vev1 &
                       /(4d0*sw**2d0) - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0* &
                       cima*l5*sa*vev1/2d0 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw&
                       **2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2  &
                        + cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l4*&
                       sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/2d0
    end subroutine fill_couplings_mdl4
end module fill_couplings4
