!******************************************************************************!
!                                                                              !
!    fill_couplings6.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings6.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl6()
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_7) = -cima*ee**2d0
      coupl(nGC_5) = -2d0*cima*ee
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -2d0*cima*ee**2d0
      coupl(nGC_8) = cima*ee**2d0
      coupl(nGC_21442) = -3d0*ca**4d0*cima
      coupl(nGC_21443) = -3d0*cima*sa**4d0
      coupl(nGC_21440) = cima*ee*sw/(3d0*cw)
      coupl(nGC_21446) = 12d0*ca*cima*sa*(ca**2d0*l1 - ca**2d0*l3 - ca**2d0*l4 &
                          - ca**2d0*l5 - l2*sa**2d0 + l3*sa**2d0 + l4*sa**2d0  &
                          + l5*sa**2d0)
      coupl(nGC_21444) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_21445) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_21307) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_2325) = -coupl(nGC_356)
      coupl(nGC_21060) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_21061) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca** &
                         2d0*l2*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa*&
                         sb - 4d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0 - cb**2d0&
                         *l3*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
      coupl(nGC_21063) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_21594) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_21595) = ca*cima*sa*sb**2d0
      coupl(nGC_21596) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca** &
                         2d0*cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l1*sb** &
                         2d0 - ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**  &
                         2d0*l5*sb**2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa** &
                         2d0 - cb**2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**  &
                         2d0*l5*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb** &
                         2d0 + l4*sa**2d0*sb**2d0 - l5*sa**2d0*sb**2d0)
      coupl(nGC_21590) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_21066) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                         2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*&
                         sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0&
                         *l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 &
                          + l5*sa**2d0*sb**2d0)
      coupl(nGC_21593) = cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**  &
                         2d0 - 2d0*cb*sa**2d0*sb)
      coupl(nGC_2353) = -coupl(nGC_377)
      coupl(nGC_21628) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_21629) = -cima*sa**2d0*sb**2d0
      coupl(nGC_21622) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_21620) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l1*sa*sb -  &
                         cb*l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
      coupl(nGC_21621) = -cb*cima*sa*sb*vev1
      coupl(nGC_21626) = -ca**2d0*cb**2d0*cima
      coupl(nGC_21627) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_21624) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_21625) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca* &
                         cb**2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - &
                         ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb&
                         )
      coupl(nGC_45) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l2*sb**2d0 + 2d0*&
                      ca*cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l1*sa**2d0 - cima*l3*sa**2d0*sb**2d0
      coupl(nGC_20949) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5  &
                          + ca*l2*sb**2d0 - 2d0*cb*l5*sa*sb)
      coupl(nGC_21138) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l2*sa*sb -  &
                         cb*l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
      coupl(nGC_21139) = cima*(ca*cb*l1*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb*&
                         l5*sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
      coupl(nGC_21136) = -cb*cima*sa*sb*vev2
      coupl(nGC_21137) = -cima*(ca*cb**2d0*vev2 - ca*cb*sb*vev1 - ca*sb**2d0*  &
                         vev2 + cb**2d0*sa*vev1 + cb*sa*sb*vev2 - sa*sb**2d0*  &
                         vev1)
      coupl(nGC_21134) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_21135) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 - ca*cb &
                         **2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 4d0*ca*cb*l5*sb* &
                         vev2 - ca*l1*sb**2d0*vev1 + ca*l3*sb**2d0*vev1 + ca*l4&
                         *sb**2d0*vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l2*sa*   &
                         vev2 + cb**2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb** &
                         2d0*l5*sa*vev2 + 4d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*&
                         vev2 - l3*sa*sb**2d0*vev2 - l4*sa*sb**2d0*vev2 + l5*sa&
                         *sb**2d0*vev2)
      coupl(nGC_21131) = 2d0*cima*ee**2d0
      coupl(nGC_269) = cb*cima*cw*ee**2d0*vev2/(2d0*sw**2d0) - cb*cima*ee**2d0*&
                       vev2/(2d0*cw) - cima*cw*ee**2d0*sb*vev1/(2d0*sw**2d0) + &
                       cima*ee**2d0*sb*vev1/(2d0*cw)
      coupl(nGC_268) = -cb*cima*cw*ee**2d0*vev2/(2d0*sw**2d0) - cb*cima*ee**2d0&
                       *vev2/(2d0*cw) + cima*cw*ee**2d0*sb*vev1/(2d0*sw**2d0   &
                       ) + cima*ee**2d0*sb*vev1/(2d0*cw)
      coupl(nGC_265) = cb*ee**2d0*vev2/(2d0*sw**2d0) - ee**2d0*sb*vev1/(2d0*sw &
                       **2d0)
      coupl(nGC_264) = cb*ee**2d0*vev2/(4d0*sw**2d0) - ee**2d0*sb*vev1/(4d0*sw &
                       **2d0)
      coupl(nGC_267) = cb*cima*cw*ee**2d0*vev2/(4d0*sw**2d0) + cb*cima*ee**2d0*&
                       vev2/(4d0*cw) - cima*cw*ee**2d0*sb*vev1/(4d0*sw**2d0) - &
                       cima*ee**2d0*sb*vev1/(4d0*cw)
      coupl(nGC_266) = -cb*cima*cw*ee**2d0*vev2/(4d0*sw**2d0) + cb*cima*ee**2d0&
                       *vev2/(4d0*cw) + cima*cw*ee**2d0*sb*vev1/(4d0*sw**2d0   &
                       ) - cima*ee**2d0*sb*vev1/(4d0*cw)
      coupl(nGC_261) = ca*cima*ee**2d0*vev2/(2d0*sw**2d0) - cima*ee**2d0*sa*   &
                       vev1/(2d0*sw**2d0)
      coupl(nGC_260) = -ca*cima*ee**2d0*vev2/(2d0*sw**2d0) + cima*ee**2d0*sa*  &
                       vev1/(2d0*sw**2d0)
      coupl(nGC_263) = -cb*ee**2d0*vev2/(4d0*sw**2d0) + ee**2d0*sb*vev1/(4d0*sw&
                       **2d0)
      coupl(nGC_262) = -cb*ee**2d0*vev2/(2d0*sw**2d0) + ee**2d0*sb*vev1/(2d0*sw&
                       **2d0)
      coupl(nGC_20980) = -sqrt(2d0)*cima*(ca*ye2 - sa*ye1)/2d0
      coupl(nGC_20981) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_20982) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_20988) = -cima*(cb*ye2 - sb*ye1)
      coupl(nGC_20989) = -cima*sb
      coupl(nGC_21051) = sqrt(2d0)*sb/2d0
      coupl(nGC_21050) = cima*(cb*yd12x2 + sb*ys2)
      coupl(nGC_21053) = sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
      coupl(nGC_21052) = -sqrt(2d0)*cb/2d0
      coupl(nGC_20870) = cima*sb
      coupl(nGC_20871) = -cb*cima
      coupl(nGC_6) = 2d0*cima*ee
      coupl(nGC_135) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*cima*l4*&
                       sb + ca**2d0*cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb &
                       /(2d0*cw**2d0) - ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0&
                       ) - 2d0*ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*&
                       sa/(2d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw** &
                       2d0) + 2d0*ca*cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb&
                       **2d0/(2d0*cw**2d0) - cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw&
                       **2d0) - cb*cima*l2*sa**2d0*sb + cb*cima*l3*sa**2d0*sb  &
                        + cb*cima*l4*sa**2d0*sb - cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_134) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) - ca*cb**2d0*cima*l4*sa - ca*cb**&
                       2d0*cima*l5*sa + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) + ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*l2*sa** &
                       2d0*sb + cb*cima*l3*sa**2d0*sb
      coupl(nGC_137) = -ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l5 - ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**&
                       2d0*cima*l5*sb**2d0 + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*&
                       cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/sw**2d0 - ca*cb*cima&
                       *l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa* &
                       sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb  &
                        - ca*cb*cima*ee**2d0*sa*sb/cw**2d0 + cb**2d0*cima*ee** &
                       2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*cima*l5*sa**2d0 + cb&
                       **2d0*cima*ee**2d0*sa**2d0/(4d0*cw**2d0) - cima*ee**2d0*&
                       sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l5*sa**2d0*sb**2d0 &
                        - cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_136) = -ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 + ca**  &
                       2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**2d0*cima*l4&
                       *sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 - ca*cb*cima*&
                       ee**2d0*sa*sb/sw**2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima&
                       *l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb + cb**2d0*cima*ee** &
                       2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*cima*l4*sa**2d0/2d0 &
                        + cb**2d0*cima*l5*sa**2d0/2d0 - cima*ee**2d0*sa**2d0*sb&
                       **2d0/(4d0*sw**2d0) - cima*l4*sa**2d0*sb**2d0/2d0 - cima&
                       *l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_131) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb*cima*l4*&
                       sb - ca**2d0*cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb &
                       /(2d0*cw**2d0) + ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0&
                       ) + 2d0*ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*&
                       sa/(2d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw** &
                       2d0) - 2d0*ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb&
                       **2d0/(2d0*cw**2d0) + cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw&
                       **2d0) + cb*cima*l1*sa**2d0*sb - cb*cima*l3*sa**2d0*sb  &
                        - cb*cima*l4*sa**2d0*sb + cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_130) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - 2d0*ca**2d0*&
                       cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw**2d0 &
                       ) + ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) + ca*cb**  &
                       2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cb**2d0*cima&
                       *l4*sa + ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0&
                       *sa/(2d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**&
                       2d0) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 +  &
                       ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 - ca*cima*&
                       ee**2d0*sa*sb**2d0/(2d0*cw**2d0) + cb*cima*ee**2d0*sa** &
                       2d0*sb/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_133) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + 2d0*ca**2d0* &
                       cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw**2d0 &
                       ) - ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) - ca*cb**  &
                       2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cb**2d0*cima&
                       *l4*sa - ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0&
                       *sa/(2d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**&
                       2d0) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 -  &
                       ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 + ca*cima*&
                       ee**2d0*sa*sb**2d0/(2d0*cw**2d0) - cb*cima*ee**2d0*sa** &
                       2d0*sb/(2d0*sw**2d0) - 2d0*cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_132) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) - ca*cb**2d0*cima*l2*sa + ca*cb**&
                       2d0*cima*l3*sa + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*l4*sa** &
                       2d0*sb - cb*cima*l5*sa**2d0*sb
      coupl(nGC_139) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l2 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0&
                        + ca**2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa*sb/( &
                       2d0*sw**2d0) - 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) - cb**2d0*cima*l3*sa**2d0 - cb**&
                       2d0*cima*l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 + cima*ee &
                       **2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l1*sa**2d0*sb&
                       **2d0 + cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_138) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 + ca*cb*cima*ee &
                       **2d0*sa*sb/(2d0*sw**2d0) - 2d0*ca*cb*cima*l4*sa*sb -   &
                       2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 + cima&
                       *ee**2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l1*sa**2d0&
                       *sb**2d0
      coupl(nGC_21837) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_21836) = 3d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb** &
                         4d0*l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb** &
                         2d0 + 6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 &
                          + 6d0*cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - &
                         l4*sb**4d0 - l5*sb**4d0)
      coupl(nGC_21835) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21834) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21833) = -3d0*cb*cima*sb**3d0
      coupl(nGC_21832) = 3d0*cb**3d0*cima*sb
      coupl(nGC_21831) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21830) = 3d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**&
                         4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb** &
                         2d0 - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 &
                          - 6d0*cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + &
                         l4*sb**4d0 + l5*sb**4d0)
      coupl(nGC_21839) = cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_21838) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_21903) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_21902) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_21901) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_21900) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_21907) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_21906) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_21905) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_21904) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_21909) = -cb**4d0*cima
      coupl(nGC_21908) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_867) = -coupl(nGC_365)
      coupl(nGC_21527) = -ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_1429) = -coupl(nGC_215)
      coupl(nGC_282) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(2d0* &
                       sw**2d0) + 2d0*ca*cb*cima*l5*sb*vev2 + ca*cb*cima*ee**  &
                       2d0*sb*vev2/(2d0*cw**2d0) - ca*cima*ee**2d0*sb**2d0*vev1&
                       /(2d0*sw**2d0) - ca*cima*l1*sb**2d0*vev1 - ca*cima*ee** &
                       2d0*sb**2d0*vev1/(2d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa&
                       *vev2/(2d0*sw**2d0) - cb**2d0*cima*l2*sa*vev2 - cb**2d0*&
                       cima*ee**2d0*sa*vev2/(2d0*cw**2d0) + cb*cima*ee**2d0*sa*&
                       sb*vev1/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev1 + cb* &
                       cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0) - cima*l3*sa*sb** &
                       2d0*vev2 - cima*l4*sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*&
                       vev2
      coupl(nGC_21441) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_21496) = sqrt(2d0)*sb/2d0
      coupl(nGC_21455) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_21454) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_21457) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_21456) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_21453) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_21452) = -cima*ee
      coupl(nGC_21459) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw  &
                         )*(cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_21458) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3 &
                          - 2d0*l4 - 2d0*l5)
      coupl(nGC_20803) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_244) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/ &
                       2d0 + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 + ca&
                       *cima*l4*sb**2d0*vev2/2d0 + ca*cima*l5*sb**2d0*vev2/2d0 &
                        - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*l5*sa*vev1&
                       /2d0 - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/  &
                       2d0
      coupl(nGC_243) = -ca*cb**2d0*cima*l2*vev2 + ca*cb*cima*l4*sb*vev1 + ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l3*sb**2d0*vev2 + cb**2d0*   &
                       cima*l3*sa*vev1 - cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*&
                       sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_21566) = -cima*(2d0*ca*cb*l2*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4*&
                         sa - cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/  &
                         2d0
      coupl(nGC_242) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 - 2d0*ca*cb*cima*l5*sb*vev1 - ca*  &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*l1*sa*vev1 + 2d0*cb*&
                       cima*l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1 + cima*l4* &
                       sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*vev1
      coupl(nGC_21653) = cima*(ca*cb**2d0*vev1 + 2d0*ca*cb*sb*vev2 + 2d0*cb*sa*&
                         sb*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_21652) = -cb**2d0*cima*sa*vev2
      coupl(nGC_21651) = -2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca&
                         *cb*l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1  &
                          + ca*l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*&
                         sb*vev2 + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*&
                         sa*sb*vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_3209) = -coupl(nGC_383)
      coupl(nGC_327) = -ca*cima*cw**2d0*ee**2d0*vev2/(4d0*sw**2d0) - ca*cima*ee&
                       **2d0*vev2/2d0 - ca*cima*ee**2d0*sw**2d0*vev2/(4d0*cw** &
                       2d0) + cima*cw**2d0*ee**2d0*sa*vev1/(4d0*sw**2d0) + cima&
                       *ee**2d0*sa*vev1/2d0 + cima*ee**2d0*sa*sw**2d0*vev1/(4d0&
                       *cw**2d0)
      coupl(nGC_21657) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_21656) = -ca*cima*sb**2d0*vev1
      coupl(nGC_20690) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw**2d0)
      coupl(nGC_20691) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw)
      coupl(nGC_20692) = cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_20693) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/cw
      coupl(nGC_20694) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_322) = cb*cima*ee**2d0*vev2/(2d0*sw) - cima*ee**2d0*sb*vev1/(  &
                       2d0*sw)
      coupl(nGC_20696) = cima*ee**2d0*(ca*sb - cb*sa)/sw
      coupl(nGC_20697) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_21654) = -cima*(-2d0*ca*cb*l5*sb + cb**2d0*l2*sa + l3*sa*sb**  &
                         2d0 + l4*sa*sb**2d0 - l5*sa*sb**2d0)
      coupl(nGC_21587) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_21586) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_21585) = -cb*cima*sa**2d0*sb
      coupl(nGC_21584) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**  &
                         2d0*l1*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*&
                         sb + 4d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**2d0&
                         *l3*sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_21583) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_21581) = ca*cb**2d0*cima*sa
      coupl(nGC_21580) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_21849) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_21589) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca** &
                         2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*&
                         sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0&
                         *l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 &
                          + l5*sa**2d0*sb**2d0)
      coupl(nGC_21588) = ca**2d0*cb*cima*sb
      coupl(nGC_3117) = -coupl(nGC_353)
      coupl(nGC_21840) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_21635) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_21634) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa**&
                         2d0)
      coupl(nGC_21637) = -2d0*cima*(2d0*ca**2d0*cb*l5*sb - ca*cb**2d0*l2*sa +  &
                         ca*cb**2d0*l3*sa + ca*cb**2d0*l4*sa - ca*cb**2d0*l5*sa&
                          + ca*l1*sa*sb**2d0 - ca*l3*sa*sb**2d0 - ca*l4*sa*sb**&
                         2d0 + ca*l5*sa*sb**2d0 - 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_21636) = -cima*sa**2d0*sb**2d0
      coupl(nGC_21631) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_21630) = -2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb&
                         **2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca&
                         *l3*sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_21633) = -ca**2d0*cb**2d0*cima
      coupl(nGC_21632) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca**&
                         2d0*cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa&
                          - 2d0*ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa &
                         **2d0*sb - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_21660) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21529) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1393) = -coupl(nGC_344)
      coupl(nGC_258) = -cb**3d0*l4*vev1/2d0 + cb**3d0*l5*vev1/2d0 - cb**2d0*l4*&
                       sb*vev2/2d0 + cb**2d0*l5*sb*vev2/2d0 - cb*l4*sb**2d0*   &
                       vev1/2d0 + cb*l5*sb**2d0*vev1/2d0 - l4*sb**3d0*vev2/2d0 &
                        + l5*sb**3d0*vev2/2d0
      coupl(nGC_259) = -ca*cima*ee**2d0*vev2/(4d0*sw**2d0) + cima*ee**2d0*sa*  &
                       vev1/(4d0*sw**2d0)
      coupl(nGC_250) = -ca*cb**2d0*cima*l1*vev1 - 2d0*ca*cb*cima*l5*sb*vev2 -  &
                       ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca* &
                       cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0&
                       *cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 - 2d0*cb*cima&
                       *l5*sa*sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_251) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*l4*sb*vev2 + ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l1*sb**2d0*vev1 - cb**2d0*   &
                       cima*l2*sa*vev2 + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*&
                       sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_252) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/ &
                       2d0 - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca&
                       *cima*l4*sb**2d0*vev1/2d0 + ca*cima*l5*sb**2d0*vev1/2d0 &
                        + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0*cima*l5*sa*vev2&
                       /2d0 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 -  &
                       cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/  &
                       2d0
      coupl(nGC_254) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 + 2d0*ca*cb*cima*l5*sb*vev2 - ca*  &
                       cima*l1*sb**2d0*vev1 - cb**2d0*cima*l2*sa*vev2 + 2d0*cb*&
                       cima*l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2 - cima*l4* &
                       sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*vev2
      coupl(nGC_255) = -cb**3d0*ee**2d0*vev1/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb&
                       *vev2/(4d0*cw**2d0) - cb*ee**2d0*sb**2d0*vev1/(4d0*cw** &
                       2d0) - ee**2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_256) = cb**3d0*ee**2d0*vev1/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*&
                       vev2/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0*vev1/(4d0*cw**  &
                       2d0) + ee**2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_257) = cb**3d0*l4*vev1/2d0 - cb**3d0*l5*vev1/2d0 + cb**2d0*l4* &
                       sb*vev2/2d0 - cb**2d0*l5*sb*vev2/2d0 + cb*l4*sb**2d0*   &
                       vev1/2d0 - cb*l5*sb**2d0*vev1/2d0 + l4*sb**3d0*vev2/2d0 &
                        - l5*sb**3d0*vev2/2d0
      coupl(nGC_20997) = -sqrt(2d0)*sb/2d0
      coupl(nGC_20996) = -sqrt(2d0)*(cb*ye2 - sb*ye1)/2d0
      coupl(nGC_20995) = -4d0*cima*ee**2d0/sw**2d0
      coupl(nGC_20994) = 4d0*cima*ee**2d0/sw**3d0
      coupl(nGC_20993) = cb*cima
      coupl(nGC_20992) = -cima*sb
      coupl(nGC_20991) = -cima*(cb*yc1 + sb*yc2)
      coupl(nGC_20990) = -cb*cima
      coupl(nGC_20999) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(&
                         cw*sw**2d0)
      coupl(nGC_20998) = -sqrt(2d0)*cb/2d0
      coupl(nGC_21028) = -sqrt(2d0)*(cb*ym2 - sb*ym1)/2d0
      coupl(nGC_21029) = -sqrt(2d0)*cb/2d0
      coupl(nGC_21024) = cb*cima
      coupl(nGC_21020) = -cb*cima
      coupl(nGC_21021) = -cima*sb
      coupl(nGC_21022) = -cima*(cb*yup1 + sb*yup2)
      coupl(nGC_21023) = -cima*sb
      coupl(nGC_20867) = sqrt(2d0)*cima*(ca*yd13x3 + sa*yb2)/2d0
      coupl(nGC_20866) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_20869) = cima*(cb*yd13x3 + sb*yb2)
      coupl(nGC_20868) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21330) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_21331) = 3d0*ca**3d0*cima*sa
      coupl(nGC_21332) = -3d0*ca*cima*sa**3d0
      coupl(nGC_21333) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_21334) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_21335) = 3d0*cima*(ca**4d0*l1 - ca**4d0*l3 - ca**4d0*l4 - ca** &
                         4d0*l5 - 3d0*ca**2d0*l1*sa**2d0 - 3d0*ca**2d0*l2*sa** &
                         2d0 + 6d0*ca**2d0*l3*sa**2d0 + 6d0*ca**2d0*l4*sa**2d0 &
                          + 6d0*ca**2d0*l5*sa**2d0 + l2*sa**4d0 - l3*sa**4d0 - &
                         l4*sa**4d0 - l5*sa**4d0)
      coupl(nGC_21336) = 2d0*cima*cw*ee/sw**2d0
      coupl(nGC_21337) = -2d0*cima*ee/sw
      coupl(nGC_21338) = -2d0*cima*cw*ee/sw
      coupl(nGC_21339) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_21698) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_100) = cb**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sb**  &
                       2d0/(2d0*sw**2d0)
      coupl(nGC_101) = cb**2d0*cima*ee**2d0/sw**2d0 + cima*ee**2d0*sb**2d0/sw**&
                       2d0
      coupl(nGC_102) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/ &
                       2d0 - ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca** &
                       2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 + &
                       ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**2d0) - ca*cb*cima*l1* &
                       sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb - &
                       cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*   &
                       cima*l4*sa**2d0/2d0 + cb**2d0*cima*l5*sa**2d0/2d0 - cima&
                       *l4*sa**2d0*sb**2d0/2d0 - cima*l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_103) = -ca**2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) + ca**2d0*cima*l5*sb**2d0 - ca**2d0*cima*&
                       ee**2d0*sb**2d0/(4d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb&
                       /(2d0*sw**2d0) - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*&
                       sb + 2d0*ca*cb*cima*l3*sa*sb + 2d0*ca*cb*cima*l4*sa*sb  &
                        - 2d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb/( &
                       2d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0&
                       ) + cb**2d0*cima*l5*sa**2d0 - cb**2d0*cima*ee**2d0*sa** &
                       2d0/(4d0*cw**2d0) - cima*l5*sa**2d0*sb**2d0
      coupl(nGC_104) = -ca**2d0*cb**2d0*cima*l3 + ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 - ca*cb*cima*ee&
                       **2d0*sa*sb/(2d0*sw**2d0) + 2d0*ca*cb*cima*l4*sa*sb +   &
                       2d0*ca*cb*cima*l5*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0&
                       *sb**2d0
      coupl(nGC_105) = -ca**2d0*cb**2d0*cima*l3 + ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 - ca*cb*cima*ee&
                       **2d0*sa*sb/(2d0*sw**2d0) + 2d0*ca*cb*cima*l4*sa*sb +   &
                       2d0*ca*cb*cima*l5*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0&
                       *sb**2d0
      coupl(nGC_106) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 + ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       4d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 + ca**2d0*cima*ee&
                       **2d0*sb**2d0/(4d0*cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/(&
                       2d0*sw**2d0) + 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l2*sa**2d0 + cb**2d0*cima*ee&
                       **2d0*sa**2d0/(4d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - &
                       cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
    end subroutine fill_couplings_mdl6
end module fill_couplings6
