!******************************************************************************!
!                                                                              !
!    fill_ctcouplings18.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings18.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings18
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl18()
      coupl(nGC_32501) = coupl(nGC_33)*dZGMinus
      coupl(nGC_32474) = coupl(nGC_175)*dZAZ_QED2/2d0 + coupl(nGC_22)*         &
                         dZHMinus_QED2/2d0 + coupl(nGC_22)*dZHh_QED2/2d0 +     &
                         coupl(nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_22)*      &
                         dZZ_QED2/2d0 + coupl(nGC_22533) + coupl(nGC_23)*      &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_23)*dZHlHh_QED2/  &
                         2d0
      coupl(nGC_22251) = coupl(nGC_13)**2d0*coupl(nGC_381)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_246_Hl) = -coupl(nGC_246)*dtHl_QED1/cMHL**2d0
      coupl(nGC_33072) = coupl(nGC_22526) + coupl(nGC_32)*dZHlHh_QED2 + coupl( &
                         nGC_37)*dZGMinusHMinus_QED2 + coupl(nGC_44)*          &
                         dZHMinus_QED2 + coupl(nGC_44)*dZHh_QED2
      coupl(nGC_33075) = coupl(nGC_187)*dZHMinus_QED2/2d0 + coupl(nGC_187)*    &
                         dZHa_QED2/2d0 + coupl(nGC_22555)
      coupl(nGC_37981) = coupl(nGC_338)*dZG0/2d0
      coupl(nGC_37982) = coupl(nGC_338)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_37983) = coupl(nGC_338)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_37984) = -coupl(nGC_22668) - coupl(nGC_37983)
      coupl(nGC_57482) = -coupl(nGC_22160)
      coupl(nGC_37986) = -coupl(nGC_37981)
      coupl(nGC_37987) = coupl(nGC_22667) + coupl(nGC_335)*dZHaG0_QED2/2d0
      coupl(nGC_TS_GC_48_Hh) = -coupl(nGC_48)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22376) = (-4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_340)**2d0 &
                          - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_349)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_367)**2d0&
                          + 5d0*Nc*cima*coupl(nGC_206)*coupl(nGC_210)*coupl(   &
                         nGC_340)**2d0 + 5d0*Nc*cima*coupl(nGC_206)*coupl(     &
                         nGC_210)*coupl(nGC_349)**2d0 + 5d0*Nc*cima*coupl(     &
                         nGC_206)*coupl(nGC_210)*coupl(nGC_367)**2d0 - 4d0*Nc* &
                         cima*coupl(nGC_207)**2d0*coupl(nGC_337)**2d0 - 4d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_385)**2d0 + 5d0*Nc*&
                         cima*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_337)**2d0&
                          + 5d0*Nc*cima*coupl(nGC_207)*coupl(nGC_209)*coupl(   &
                         nGC_373)**2d0 + 5d0*Nc*cima*coupl(nGC_207)*coupl(     &
                         nGC_209)*coupl(nGC_385)**2d0 - 4d0*Nc*cima*coupl(     &
                         nGC_209)**2d0*coupl(nGC_337)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_209)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_209)**2d0*coupl(nGC_385)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_340)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_349)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_367)**2d0 + 3d0*cima*coupl(   &
                         nGC_100)*coupl(nGC_195) - 4d0*cima*coupl(nGC_208)**2d0&
                         *coupl(nGC_355)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*  &
                         coupl(nGC_361)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*   &
                         coupl(nGC_379)**2d0 + 5d0*cima*coupl(nGC_208)*coupl(  &
                         nGC_212)*coupl(nGC_355)**2d0 + 5d0*cima*coupl(nGC_208 &
                         )*coupl(nGC_212)*coupl(nGC_361)**2d0 + 5d0*cima*coupl(&
                         nGC_208)*coupl(nGC_212)*coupl(nGC_379)**2d0 - 4d0*cima&
                         *coupl(nGC_212)**2d0*coupl(nGC_355)**2d0 - 4d0*cima*  &
                         coupl(nGC_212)**2d0*coupl(nGC_361)**2d0 - 4d0*cima*   &
                         coupl(nGC_212)**2d0*coupl(nGC_379)**2d0 + 3d0*coupl(  &
                         nGC_100)*coupl(nGC_199)**2d0 + 3d0*coupl(nGC_100)*    &
                         coupl(nGC_2539)**2d0)/(24d0*pi**2d0)
      coupl(nGC_22335) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_336)*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_339)*coupl(nGC_340) + Nc*cima*coupl&
                         (nGC_1)*coupl(nGC_197)*coupl(nGC_348)*coupl(nGC_349   &
                         ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_366 &
                         )*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_1)*coupl(    &
                         nGC_197)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_384)*coupl(     &
                         nGC_385) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_336)*coupl(nGC_337) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_2)*coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*  &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_348)*coupl(&
                         nGC_349) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_366)*coupl(nGC_367) + Nc*cima*coupl(nGC_197 &
                         )*coupl(nGC_2)*coupl(nGC_372)*coupl(nGC_373) + Nc*cima&
                         *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_384)*coupl(    &
                         nGC_385) + 6d0*cima*coupl(nGC_180)*coupl(nGC_5091) +  &
                         cima*coupl(nGC_197)*coupl(nGC_354)*coupl(nGC_355)*    &
                         coupl(nGC_4) + cima*coupl(nGC_197)*coupl(nGC_360)*    &
                         coupl(nGC_361)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_378)*coupl(nGC_379)*coupl(nGC_4) + 6d0*cima*&
                         coupl(nGC_202)*coupl(nGC_23) + 6d0*coupl(nGC_180)*    &
                         coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*coupl( &
                         nGC_23)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_22334) = cima*(-8d0*Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(      &
                         nGC_340)*coupl(nGC_343) - 8d0*Nc*coupl(nGC_1)*coupl(  &
                         nGC_206)*coupl(nGC_346)*coupl(nGC_349) - 8d0*Nc*coupl(&
                         nGC_1)*coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) + &
                         5d0*Nc*coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_334)*    &
                         coupl(nGC_337) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_207)*  &
                         coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_1)*  &
                         coupl(nGC_207)*coupl(nGC_382)*coupl(nGC_385) - 8d0*Nc*&
                         coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_334)*coupl(     &
                         nGC_337) - 8d0*Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(  &
                         nGC_370)*coupl(nGC_373) - 8d0*Nc*coupl(nGC_1)*coupl(  &
                         nGC_209)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(&
                         nGC_1)*coupl(nGC_210)*coupl(nGC_340)*coupl(nGC_343) + &
                         5d0*Nc*coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_346)*    &
                         coupl(nGC_349) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_210)*  &
                         coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_2)*  &
                         coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) + 5d0*Nc*&
                         coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_346)*coupl(     &
                         nGC_349) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_206)*coupl(  &
                         nGC_364)*coupl(nGC_367) - 8d0*Nc*coupl(nGC_2)*coupl(  &
                         nGC_207)*coupl(nGC_334)*coupl(nGC_337) - 8d0*Nc*coupl(&
                         nGC_2)*coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_373) - &
                         8d0*Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_382)*    &
                         coupl(nGC_385) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_209)*  &
                         coupl(nGC_334)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_2)*  &
                         coupl(nGC_209)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*&
                         coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_382)*coupl(     &
                         nGC_385) - 8d0*Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(  &
                         nGC_340)*coupl(nGC_343) - 8d0*Nc*coupl(nGC_2)*coupl(  &
                         nGC_210)*coupl(nGC_346)*coupl(nGC_349) - 8d0*Nc*coupl(&
                         nGC_2)*coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_367) - &
                         8d0*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_355)*coupl&
                         (nGC_4) - 8d0*coupl(nGC_208)*coupl(nGC_358)*coupl(    &
                         nGC_361)*coupl(nGC_4) - 8d0*coupl(nGC_208)*coupl(     &
                         nGC_376)*coupl(nGC_379)*coupl(nGC_4) + 5d0*coupl(     &
                         nGC_212)*coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_4) + &
                         5d0*coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361)*coupl&
                         (nGC_4) + 5d0*coupl(nGC_212)*coupl(nGC_376)*coupl(    &
                         nGC_379)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_22336) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_333)*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_340)*coupl(nGC_342) + Nc*cima*coupl&
                         (nGC_1)*coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_349   &
                         ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363 &
                         )*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_1)*coupl(    &
                         nGC_197)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_381)*coupl(     &
                         nGC_385) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_333)*coupl(nGC_337) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*  &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_345)*coupl(&
                         nGC_349) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_363)*coupl(nGC_367) + Nc*cima*coupl(nGC_197 &
                         )*coupl(nGC_2)*coupl(nGC_369)*coupl(nGC_373) + Nc*cima&
                         *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_381)*coupl(    &
                         nGC_385) + 6d0*cima*coupl(nGC_174)*coupl(nGC_5091) +  &
                         cima*coupl(nGC_197)*coupl(nGC_351)*coupl(nGC_355)*    &
                         coupl(nGC_4) + cima*coupl(nGC_197)*coupl(nGC_357)*    &
                         coupl(nGC_361)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_375)*coupl(nGC_379)*coupl(nGC_4) + 6d0*cima*&
                         coupl(nGC_202)*coupl(nGC_21) + 6d0*coupl(nGC_174)*    &
                         coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*coupl( &
                         nGC_21)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_22331) = (Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_206) + Nc*cima*  &
                         coupl(nGC_1)**3d0*coupl(nGC_209) + Nc*cima*coupl(nGC_2&
                         )**3d0*coupl(nGC_207) + Nc*cima*coupl(nGC_2)**3d0*    &
                         coupl(nGC_210) - 2d0*cima*coupl(nGC_199)*coupl(nGC_3  &
                         )**3d0 + cima*coupl(nGC_205)*coupl(nGC_9) + cima*coupl&
                         (nGC_208)*coupl(nGC_4)**3d0 + cima*coupl(nGC_211)*    &
                         coupl(nGC_4)**3d0 - 2d0*cima*coupl(nGC_2539)*coupl(   &
                         nGC_3285)**3d0 + coupl(nGC_199)*coupl(nGC_3)*coupl(   &
                         nGC_9) + coupl(nGC_205)*coupl(nGC_3)**2d0 + coupl(    &
                         nGC_205)*coupl(nGC_3285)**2d0 + coupl(nGC_2539)*coupl(&
                         nGC_3285)*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_22330) = (2d0*Nc*cima*coupl(nGC_1)**4d0 + 2d0*Nc*cima*coupl(   &
                         nGC_2)**4d0 - 2d0*cima*coupl(nGC_3)**4d0 - 2d0*cima*  &
                         coupl(nGC_3285)**4d0 + 2d0*cima*coupl(nGC_4)**4d0 +   &
                         cima*coupl(nGC_9)**2d0 + 2d0*coupl(nGC_3)**2d0*coupl( &
                         nGC_9) + 2d0*coupl(nGC_3285)**2d0*coupl(nGC_9))/(8d0* &
                         pi**2d0)
      coupl(nGC_22333) = cima*coupl(nGC_197)*(-4d0*Nc*coupl(nGC_1)*coupl(      &
                         nGC_3209)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_1)*coupl( &
                         nGC_337)*coupl(nGC_3383) + Nc*coupl(nGC_1)*coupl(     &
                         nGC_340)*coupl(nGC_344) + Nc*coupl(nGC_1)*coupl(      &
                         nGC_347)*coupl(nGC_349) + Nc*coupl(nGC_1)*coupl(      &
                         nGC_365)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_1)*coupl(  &
                         nGC_373)*coupl(nGC_789) + Nc*coupl(nGC_2)*coupl(      &
                         nGC_3209)*coupl(nGC_385) + Nc*coupl(nGC_2)*coupl(     &
                         nGC_337)*coupl(nGC_3383) - 4d0*Nc*coupl(nGC_2)*coupl( &
                         nGC_340)*coupl(nGC_344) - 4d0*Nc*coupl(nGC_2)*coupl(  &
                         nGC_347)*coupl(nGC_349) - 4d0*Nc*coupl(nGC_2)*coupl(  &
                         nGC_365)*coupl(nGC_367) + Nc*coupl(nGC_2)*coupl(      &
                         nGC_373)*coupl(nGC_789) + coupl(nGC_353)*coupl(nGC_355&
                         )*coupl(nGC_4) + coupl(nGC_359)*coupl(nGC_361)*coupl( &
                         nGC_4) + coupl(nGC_377)*coupl(nGC_379)*coupl(nGC_4))/(&
                         48d0*pi**2d0)
      coupl(nGC_22339) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_336)*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_339)*coupl(nGC_340) + Nc*cima*coupl&
                         (nGC_1)*coupl(nGC_197)*coupl(nGC_348)*coupl(nGC_349   &
                         ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_366 &
                         )*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_1)*coupl(    &
                         nGC_197)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_384)*coupl(     &
                         nGC_385) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_336)*coupl(nGC_337) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_2)*coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*  &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_348)*coupl(&
                         nGC_349) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_366)*coupl(nGC_367) + Nc*cima*coupl(nGC_197 &
                         )*coupl(nGC_2)*coupl(nGC_372)*coupl(nGC_373) + Nc*cima&
                         *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_384)*coupl(    &
                         nGC_385) + 6d0*cima*coupl(nGC_180)*coupl(nGC_5091) +  &
                         cima*coupl(nGC_197)*coupl(nGC_354)*coupl(nGC_355)*    &
                         coupl(nGC_4) + cima*coupl(nGC_197)*coupl(nGC_360)*    &
                         coupl(nGC_361)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_378)*coupl(nGC_379)*coupl(nGC_4) + 6d0*cima*&
                         coupl(nGC_202)*coupl(nGC_23) + 6d0*coupl(nGC_180)*    &
                         coupl(nGC_3)*coupl(nGC_3285) + 6d0*coupl(nGC_199)*    &
                         coupl(nGC_23)*coupl(nGC_3285))/(48d0*pi**2d0)
      coupl(nGC_22338) = cima*coupl(nGC_197)*(Nc*coupl(nGC_1)*coupl(nGC_1393)* &
                         coupl(nGC_340) + Nc*coupl(nGC_1)*coupl(nGC_2475)*coupl&
                         (nGC_349) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_335)*coupl( &
                         nGC_337) + Nc*coupl(nGC_1)*coupl(nGC_367)*coupl(      &
                         nGC_867) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_371)*coupl(  &
                         nGC_373) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_383)*coupl(  &
                         nGC_385) - 4d0*Nc*coupl(nGC_1393)*coupl(nGC_2)*coupl( &
                         nGC_340) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_2475)*coupl( &
                         nGC_349) + Nc*coupl(nGC_2)*coupl(nGC_335)*coupl(      &
                         nGC_337) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_367)*coupl(  &
                         nGC_867) + Nc*coupl(nGC_2)*coupl(nGC_371)*coupl(      &
                         nGC_373) + Nc*coupl(nGC_2)*coupl(nGC_383)*coupl(      &
                         nGC_385) + coupl(nGC_2221)*coupl(nGC_361)*coupl(nGC_4 &
                         ) + coupl(nGC_2353)*coupl(nGC_379)*coupl(nGC_4) +     &
                         coupl(nGC_3117)*coupl(nGC_355)*coupl(nGC_4))/(48d0*pi &
                         **2d0)
      coupl(nGC_37182) = -coupl(nGC_37177)
      coupl(nGC_22199) = coupl(nGC_13)**2d0*coupl(nGC_339)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22198) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_339) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_339) - coupl(nGC_339&
                         )**3d0 - coupl(nGC_339)*coupl(nGC_341)**2d0 - coupl(  &
                         nGC_339)*coupl(nGC_342)**2d0 - coupl(nGC_339)*coupl(  &
                         nGC_344)**2d0 - coupl(nGC_340)*coupl(nGC_372)*coupl(  &
                         nGC_373) - coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372&
                         ))/(32d0*pi**2d0)
      coupl(nGC_36161) = coupl(nGC_22707) + coupl(nGC_261)*dZHl_QED2/2d0 +     &
                         coupl(nGC_261)*dZWMinus_QED2 + coupl(nGC_272)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_TS_GC_77_Hl)
      coupl(nGC_22190) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_383) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_383) - coupl(       &
                         nGC_2475)*coupl(nGC_346)*coupl(nGC_382) - coupl(      &
                         nGC_2475)*coupl(nGC_349)*coupl(nGC_385) - coupl(      &
                         nGC_3209)*coupl(nGC_381)**2d0 - coupl(nGC_3209)*coupl(&
                         nGC_383)**2d0 - coupl(nGC_3209)*coupl(nGC_384)**2d0 - &
                         coupl(nGC_3209)*coupl(nGC_386)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22193) = (12d0*Nc*cMB*coupl(nGC_339)**2d0*coupl(nGC_342) + 12d0&
                         *Nc*cMC*coupl(nGC_333)*coupl(nGC_336)**2d0 + 12d0*Nc* &
                         cMD*coupl(nGC_345)*coupl(nGC_348)**2d0 + 12d0*Nc*cMS* &
                         coupl(nGC_363)*coupl(nGC_366)**2d0 + 12d0*Nc*cMT*coupl&
                         (nGC_369)*coupl(nGC_372)**2d0 + 12d0*Nc*cMU*coupl(    &
                         nGC_381)*coupl(nGC_384)**2d0 + 12d0*cME*coupl(nGC_351 &
                         )*coupl(nGC_354)**2d0 + 12d0*cMM*coupl(nGC_357)*coupl(&
                         nGC_360)**2d0 + 12d0*cMTA*coupl(nGC_375)*coupl(nGC_378&
                         )**2d0 + cima*coupl(nGC_224)*coupl(nGC_329) + 2d0*cima&
                         *coupl(nGC_261)*coupl(nGC_77))/(16d0*pi**2d0)
      coupl(nGC_36162) = coupl(nGC_329)*dZZA_QED2/2d0
      coupl(nGC_22195) = (-2d0*Nc*cMB*coupl(nGC_197)**2d0*coupl(nGC_339) - 2d0*&
                         Nc*cMC*coupl(nGC_197)**2d0*coupl(nGC_336) - 2d0*Nc*cMD&
                         *coupl(nGC_197)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl&
                         (nGC_197)**2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(     &
                         nGC_197)**2d0*coupl(nGC_372) - 2d0*Nc*cMU*coupl(      &
                         nGC_197)**2d0*coupl(nGC_384) - 2d0*cME*coupl(nGC_197  &
                         )**2d0*coupl(nGC_354) - 2d0*cMM*coupl(nGC_197)**2d0*  &
                         coupl(nGC_360) - 2d0*cMTA*coupl(nGC_197)**2d0*coupl(  &
                         nGC_378) + 2d0*cima*coupl(nGC_1691)*coupl(nGC_272) +  &
                         cima*coupl(nGC_195)*coupl(nGC_332) + 2d0*coupl(       &
                         nGC_1675)*coupl(nGC_199)*coupl(nGC_332) + 2d0*coupl(  &
                         nGC_198)*coupl(nGC_2539)*coupl(nGC_272) + 2d0*coupl(  &
                         nGC_272)*coupl(nGC_3285)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_22194) = (12d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_342)**2d0 + 12d0&
                         *Nc*cMC*coupl(nGC_333)**2d0*coupl(nGC_336) + 12d0*Nc* &
                         cMD*coupl(nGC_345)**2d0*coupl(nGC_348) + 12d0*Nc*cMS* &
                         coupl(nGC_363)**2d0*coupl(nGC_366) + 12d0*Nc*cMT*coupl&
                         (nGC_369)**2d0*coupl(nGC_372) + 12d0*Nc*cMU*coupl(    &
                         nGC_381)**2d0*coupl(nGC_384) + 12d0*cME*coupl(nGC_351 &
                         )**2d0*coupl(nGC_354) + 12d0*cMM*coupl(nGC_357)**2d0* &
                         coupl(nGC_360) + 12d0*cMTA*coupl(nGC_375)**2d0*coupl( &
                         nGC_378) + cima*coupl(nGC_224)*coupl(nGC_332) + 2d0*  &
                         cima*coupl(nGC_272)*coupl(nGC_77))/(16d0*pi**2d0)
      coupl(nGC_22197) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_339) - coupl(nGC_1121&
                         )**2d0*coupl(nGC_339) - coupl(nGC_1393)**2d0*coupl(   &
                         nGC_339) + 8d0*coupl(nGC_206)*coupl(nGC_209)*coupl(   &
                         nGC_339) - coupl(nGC_339)**3d0 - coupl(nGC_339)*coupl(&
                         nGC_342)**2d0 - coupl(nGC_340)*coupl(nGC_372)*coupl(  &
                         nGC_373) - coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372&
                         ))/(32d0*pi**2d0)
      coupl(nGC_22196) = (-2d0*Nc*cMB*coupl(nGC_206)**2d0*coupl(nGC_339) + 2d0*&
                         Nc*cMB*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_339) - &
                         2d0*Nc*cMB*coupl(nGC_209)**2d0*coupl(nGC_339) - 2d0*Nc&
                         *cMC*coupl(nGC_207)**2d0*coupl(nGC_336) + 2d0*Nc*cMC* &
                         coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_336) - 2d0*Nc*&
                         cMC*coupl(nGC_210)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*  &
                         coupl(nGC_206)**2d0*coupl(nGC_348) + 2d0*Nc*cMD*coupl(&
                         nGC_206)*coupl(nGC_209)*coupl(nGC_348) - 2d0*Nc*cMD*  &
                         coupl(nGC_209)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl(&
                         nGC_206)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl(      &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_366) - 2d0*Nc*cMS*  &
                         coupl(nGC_209)**2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(&
                         nGC_207)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(      &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_372) - 2d0*Nc*cMT*  &
                         coupl(nGC_210)**2d0*coupl(nGC_372) - 2d0*Nc*cMU*coupl(&
                         nGC_207)**2d0*coupl(nGC_384) + 2d0*Nc*cMU*coupl(      &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_384) - 2d0*Nc*cMU*  &
                         coupl(nGC_210)**2d0*coupl(nGC_384) - 2d0*cME*coupl(   &
                         nGC_208)**2d0*coupl(nGC_354) + 2d0*cME*coupl(nGC_208)*&
                         coupl(nGC_211)*coupl(nGC_354) - 2d0*cME*coupl(nGC_211 &
                         )**2d0*coupl(nGC_354) - 2d0*cMM*coupl(nGC_208)**2d0*  &
                         coupl(nGC_360) + 2d0*cMM*coupl(nGC_208)*coupl(nGC_211 &
                         )*coupl(nGC_360) - 2d0*cMM*coupl(nGC_211)**2d0*coupl( &
                         nGC_360) - 2d0*cMTA*coupl(nGC_208)**2d0*coupl(nGC_378 &
                         ) + 2d0*cMTA*coupl(nGC_208)*coupl(nGC_211)*coupl(     &
                         nGC_378) - 2d0*cMTA*coupl(nGC_211)**2d0*coupl(nGC_378 &
                         ) + cima*coupl(nGC_195)*coupl(nGC_272) + coupl(nGC_199&
                         )**2d0*coupl(nGC_272) + coupl(nGC_2539)**2d0*coupl(   &
                         nGC_272))/(8d0*pi**2d0)
      coupl(nGC_TS_GC_249_Hh) = -coupl(nGC_249)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22601) = coupl(nGC_21394)*dydo2_QED1_QCD2 + coupl(nGC_21396)*  &
                         dydo1_QED1_QCD2
      coupl(nGC_22600) = coupl(nGC_21297)*dyup1_QED1_QCD2 + coupl(nGC_21298)*  &
                         dyup2_QED1_QCD2
      coupl(nGC_22603) = coupl(nGC_21701)*dyd12x2_QED1_QCD2 + coupl(nGC_21702)*&
                         dys2_QED1_QCD2
      coupl(nGC_22602) = coupl(nGC_21394)*dydo2_QED3 + coupl(nGC_21395)*db_QED2&
                          + coupl(nGC_21396)*dydo1_QED3
      coupl(nGC_22605) = coupl(nGC_21603)*db_QED2 + coupl(nGC_21604)*dyc1_QED3 &
                          + coupl(nGC_21605)*dyc2_QED3
      coupl(nGC_22604) = coupl(nGC_21701)*dyd12x2_QED3 + coupl(nGC_21702)*     &
                         dys2_QED3 + coupl(nGC_21703)*db_QED2
      coupl(nGC_22607) = coupl(nGC_21146)*db_QED2 + coupl(nGC_21147)*dyt1_QED3 &
                          + coupl(nGC_21148)*dyt2_QED3
      coupl(nGC_22606) = coupl(nGC_21604)*dyc1_QED1_QCD2 + coupl(nGC_21605)*   &
                         dyc2_QED1_QCD2
      coupl(nGC_22609) = coupl(nGC_21238)*db_QED2 + coupl(nGC_21239)*          &
                         dyd13x3_QED3 + coupl(nGC_21240)*dyb2_QED3
      coupl(nGC_39027) = coupl(nGC_244)*dZGMinus/2d0
      coupl(nGC_22698) = coupl(nGC_21452)*dZee_QED2
      coupl(nGC_22048) = (Nc*coupl(nGC_206)*coupl(nGC_340)**2d0 + Nc*coupl(    &
                         nGC_206)*coupl(nGC_349)**2d0 + Nc*coupl(nGC_206)*coupl&
                         (nGC_367)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_337)**2d0&
                          - Nc*coupl(nGC_207)*coupl(nGC_373)**2d0 - Nc*coupl(  &
                         nGC_207)*coupl(nGC_385)**2d0 + Nc*coupl(nGC_209)*coupl&
                         (nGC_337)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_373)**2d0&
                          + Nc*coupl(nGC_209)*coupl(nGC_385)**2d0 - Nc*coupl(  &
                         nGC_210)*coupl(nGC_340)**2d0 - Nc*coupl(nGC_210)*coupl&
                         (nGC_349)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_367)**2d0&
                          + coupl(nGC_208)*coupl(nGC_355)**2d0 + coupl(nGC_208 &
                         )*coupl(nGC_361)**2d0 + coupl(nGC_208)*coupl(nGC_379  &
                         )**2d0 - coupl(nGC_212)*coupl(nGC_355)**2d0 - coupl(  &
                         nGC_212)*coupl(nGC_361)**2d0 - coupl(nGC_212)*coupl(  &
                         nGC_379)**2d0)/(24d0*pi**2d0)
      coupl(nGC_22519) = coupl(nGC_20722)*dl3_QED4 + coupl(nGC_20723)*dl1_QED4 &
                          + coupl(nGC_20724)*dl2_QED4 + coupl(nGC_20725)*      &
                         dl5_QED4 + coupl(nGC_20726)*dl4_QED4 + coupl(nGC_20727&
                         )*db_QED2
      coupl(nGC_22518) = coupl(nGC_21879)*dl3_QED4 + coupl(nGC_21880)*dl1_QED4 &
                          + coupl(nGC_21881)*dl2_QED4 + coupl(nGC_21882)*      &
                         dl5_QED4 + coupl(nGC_21883)*dl4_QED4 + coupl(nGC_21884&
                         )*db_QED2
      coupl(nGC_58386) = -coupl(nGC_22312)
    end subroutine fill_CTcouplings_mdl18
end module fill_ctcouplings18
