!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_33674) = coupl(nGC_371)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_33675) = coupl(nGC_371)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_32619) = coupl(nGC_336)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_32618) = coupl(nGC_336)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_34202) = coupl(nGC_237)*dZGMinus/2d0
      coupl(nGC_22608) = coupl(nGC_21147)*dyt1_QED1_QCD2 + coupl(nGC_21148)*   &
                         dyt2_QED1_QCD2
      coupl(nGC_TS_GC_375_Hl) = -coupl(nGC_375)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_173_Hl) = -coupl(nGC_173)*dtHl_QED1/cMHL**2d0
      coupl(nGC_34724) = -coupl(nGC_34720)
      coupl(nGC_33836) = coupl(nGC_360)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_32918) = coupl(nGC_54)*dZG0/2d0
      coupl(nGC_35051) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_33243) = coupl(nGC_175)*dZGMinus/2d0
      coupl(nGC_TS_GC_348_Hh) = -coupl(nGC_348)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32443) = coupl(nGC_220)*(dZGMinusHMinus_QED2 +                 &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_32448) = coupl(nGC_361)*dZGMinus/2d0
      coupl(nGC_TS_GC_234_Hl) = -coupl(nGC_234)*dtHl_QED1/cMHL**2d0
      coupl(nGC_34981) = coupl(nGC_70)*dZGMinus
      coupl(nGC_37353) = coupl(nGC_377)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_33663) = coupl(nGC_209)*dZbL_QCD2
      coupl(nGC_33064) = coupl(nGC_218)*(dZGMinusHMinus_QED2 +                 &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_35467) = coupl(nGC_53)*dZGMinus/2d0
      coupl(nGC_54637) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_54638) = -coupl(nGC_54637)
      coupl(nGC_36119) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_36114) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_22670) = coupl(nGC_571)*dyt2_QED3 + coupl(nGC_573)*db_QED2 +   &
                         coupl(nGC_575)*dyt1_QED3
      coupl(nGC_33501) = coupl(nGC_212)*dZZA_QED2/2d0
      coupl(nGC_33492) = coupl(nGC_63)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_45266) = coupl(nGC_179)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_22072) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_361)/(4d0*pi**&
                         2d0)
      coupl(nGC_22073) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_379)/(4d0*pi**&
                         2d0)
      coupl(nGC_22071) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_355)/(4d0*pi**&
                         2d0)
      coupl(nGC_22703) = coupl(nGC_21817)*dsw_QED2 + coupl(nGC_21818)*dcw_QED2 &
                          + coupl(nGC_21819)*dZee_QED2
      coupl(nGC_22704) = coupl(nGC_20785)*dsw_QED2 + coupl(nGC_20786)*dZee_QED2
      coupl(nGC_22705) = coupl(nGC_20977)*dsw_QED2 + coupl(nGC_20978)*dcw_QED2 &
                          + coupl(nGC_20979)*dZee_QED2
      coupl(nGC_TS_GC_43_Hh) = -coupl(nGC_43)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22850) = -cima*dMM_QED2
      coupl(nGC_22851) = -cima*dMTA_QED2
      coupl(nGC_22852) = -cima*dMU_QED2
      coupl(nGC_22853) = -cima*dMU_QCD2
      coupl(nGC_22854) = -cima*dMC_QED2
      coupl(nGC_22855) = -cima*dMC_QCD2
      coupl(nGC_22856) = -cima*dMT_QED2
      coupl(nGC_22857) = -cima*dMT_QCD2
      coupl(nGC_22858) = -cima*dMD_QED2
      coupl(nGC_22859) = -cima*dMD_QCD2
      coupl(nGC_32455) = coupl(nGC_71)*dZGMinus
      coupl(nGC_32459) = dZGMinusHMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
      coupl(nGC_35494) = coupl(nGC_34)*dZGMinus/2d0
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
