!******************************************************************************!
!                                                                              !
!    fill_ctcouplings22.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings22.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings22
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl22()
      coupl(nGC_22716) = coupl(nGC_21486)*dcw_QED2 + coupl(nGC_21487)*db_QED2  &
                          + coupl(nGC_21488)*dZee_QED2 + coupl(nGC_21489)*     &
                         da_QED2
      coupl(nGC_22715) = coupl(nGC_20829)*dcw_QED2 + coupl(nGC_20830)*db_QED2  &
                          + coupl(nGC_20831)*dsw_QED2 + coupl(nGC_20832)*      &
                         dZee_QED2 + coupl(nGC_20833)*da_QED2
      coupl(nGC_22714) = coupl(nGC_20767)*dsw_QED2 + coupl(nGC_20768)*dcw_QED2 &
                          + coupl(nGC_20769)*dZee_QED2
      coupl(nGC_32331) = coupl(nGC_180)*dZAZ_QED2/2d0 + coupl(nGC_21)*         &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_22)*dZHhHl_QED2/  &
                         2d0 + coupl(nGC_22716) + coupl(nGC_23)*dZHMinus_QED2/ &
                         2d0 + coupl(nGC_23)*dZHl_QED2/2d0 + coupl(nGC_23)*    &
                         dZWMinus_QED2/2d0 + coupl(nGC_23)*dZZ_QED2/2d0
      coupl(nGC_34982) = coupl(nGC_22520) + coupl(nGC_54)*dZHMinusGMinus_QED2  &
                          + coupl(nGC_55)*dZG0Ha_QED2 + coupl(nGC_70)*dZHa_QED2
      coupl(nGC_32335) = coupl(nGC_196)*dZZ_QED2 + coupl(nGC_204)*dZAZ_QED2 +  &
                         coupl(nGC_22703)
      coupl(nGC_34679) = coupl(nGC_100)*dZG0
      coupl(nGC_38422) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_206)*dZZA_QED2/2d0
      coupl(nGC_38423) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_209)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_251_Hh) = -coupl(nGC_251)*dtHh_QED1/cMHH**2d0
      coupl(nGC_38956) = coupl(nGC_213)*dZG0Ha_QED2/2d0 + coupl(nGC_214)*      &
                         dZHhHl_QED2/2d0 + coupl(nGC_215)*dZHa_QED2/2d0 + coupl&
                         (nGC_215)*dZHl_QED2/2d0 + coupl(nGC_215)*dZZ_QED2/2d0 &
                          + coupl(nGC_22712)
      coupl(nGC_38957) = -coupl(nGC_38956)
      coupl(nGC_35072) = coupl(nGC_22622) + coupl(nGC_343)*dZbR_QCD2/2d0 +     &
                         coupl(nGC_343)*dZtL_QCD2/2d0
      coupl(nGC_35070) = coupl(nGC_22621) + coupl(nGC_340)*dZGMinusHMinus_QED2/&
                         2d0 + coupl(nGC_343)*dZHMinus_QED2/2d0 + coupl(nGC_343&
                         )*dZbR_QED2/2d0 + coupl(nGC_343)*dZtL_QED2/2d0
      coupl(nGC_35071) = coupl(nGC_22620) + coupl(nGC_370)*dZbL_QCD2/2d0 +     &
                         coupl(nGC_370)*dZtR_QCD2/2d0
      coupl(nGC_38229) = coupl(nGC_22629) + coupl(nGC_38228)
      coupl(nGC_34414) = coupl(nGC_187)*dZAZ_QED2/2d0 + coupl(nGC_22501) +     &
                         coupl(nGC_31)*dZHMinus_QED2/2d0 + coupl(nGC_31)*      &
                         dZHa_QED2/2d0 + coupl(nGC_31)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_31)*dZZ_QED2/2d0
      coupl(nGC_37513) = coupl(nGC_16)*dZHh_QED2/2d0 + 3d0*coupl(nGC_16)*      &
                         dZHl_QED2/2d0 + coupl(nGC_18)*dZHlHh_QED2/2d0 + 3d0*  &
                         coupl(nGC_20)*dZHhHl_QED2/2d0 + coupl(nGC_22539)
      coupl(nGC_50592) = coupl(nGC_45266) - coupl(nGC_45271)
      coupl(nGC_50593) = -coupl(nGC_45269)
      coupl(nGC_34309) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_210)*dZZA_QED2/2d0
      coupl(nGC_34302) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_34307) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_33683) = -coupl(nGC_33674) - coupl(nGC_33682)
      coupl(nGC_33684) = coupl(nGC_33674) + coupl(nGC_33682)
      coupl(nGC_33688) = coupl(nGC_22518) + 2d0*coupl(nGC_56)*                 &
                         dZGMinusHMinus_QED2 + 2d0*coupl(nGC_65)*dZHMinus_QED2
      coupl(nGC_40618) = coupl(nGC_35816) - coupl(nGC_35821)
      coupl(nGC_40619) = -coupl(nGC_35819)
      coupl(nGC_33045) = coupl(nGC_22)*dZGMinus/2d0
      coupl(nGC_33048) = coupl(nGC_22)*dZHl_QED2/2d0 + coupl(nGC_22533) + coupl&
                         (nGC_24)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_24)*     &
                         dZHhHl_QED2/2d0
      coupl(nGC_22726) = coupl(nGC_21900)*dsw_QED2 + coupl(nGC_21901)*dcw_QED2 &
                          + coupl(nGC_21902)*dZee_QED2
      coupl(nGC_40186) = coupl(nGC_211)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZtauMinusL_QED2
      coupl(nGC_40187) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZtauMinusR_QED2
      coupl(nGC_37022) = coupl(nGC_22863) + coupl(nGC_37013)
      coupl(nGC_TS_GC_39_Hh) = -coupl(nGC_39)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32484) = coupl(nGC_174)*dZHMinus_QED2/2d0 + coupl(nGC_174)*    &
                         dZHh_QED2/2d0 + coupl(nGC_181)*dZGMinusHMinus_QED2/2d0&
                          + coupl(nGC_181)*dZHlHh_QED2/2d0 + coupl(nGC_22560)
      coupl(nGC_22384) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1)*coupl( &
                         nGC_206) + coupl(nGC_1)*coupl(nGC_209) + coupl(nGC_2)*&
                         coupl(nGC_207) + coupl(nGC_2)*coupl(nGC_210))/(32d0*pi&
                         **2d0)
      coupl(nGC_22385) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(&
                         nGC_206) - coupl(nGC_1)*coupl(nGC_209) - coupl(nGC_2)*&
                         coupl(nGC_207) - coupl(nGC_2)*coupl(nGC_210))/(32d0*pi&
                         **2d0*Nc)
      coupl(nGC_22386) = 5d0*cima*(Nc*coupl(nGC_1393)*coupl(nGC_340)*coupl(    &
                         nGC_343)*coupl(nGC_344) + Nc*coupl(nGC_1393)*coupl(   &
                         nGC_343)*coupl(nGC_373)*coupl(nGC_789) + Nc*coupl(    &
                         nGC_1393)*coupl(nGC_344)*coupl(nGC_370)*coupl(nGC_373 &
                         ) + Nc*coupl(nGC_2475)*coupl(nGC_3209)*coupl(nGC_346)*&
                         coupl(nGC_385) + Nc*coupl(nGC_2475)*coupl(nGC_346)*   &
                         coupl(nGC_347)*coupl(nGC_349) + Nc*coupl(nGC_2475)*   &
                         coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_385) + Nc*    &
                         coupl(nGC_3209)*coupl(nGC_346)*coupl(nGC_349)*coupl(  &
                         nGC_383) + Nc*coupl(nGC_3209)*coupl(nGC_382)*coupl(   &
                         nGC_383)*coupl(nGC_385) + Nc*coupl(nGC_334)*coupl(    &
                         nGC_335)*coupl(nGC_337)*coupl(nGC_3383) + Nc*coupl(   &
                         nGC_334)*coupl(nGC_335)*coupl(nGC_365)*coupl(nGC_367  &
                         ) + Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_365)*  &
                         coupl(nGC_867) + Nc*coupl(nGC_335)*coupl(nGC_3383)*   &
                         coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(nGC_337)*    &
                         coupl(nGC_3383)*coupl(nGC_364)*coupl(nGC_867) + Nc*   &
                         coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_371)*coupl(   &
                         nGC_789) + Nc*coupl(nGC_340)*coupl(nGC_344)*coupl(    &
                         nGC_370)*coupl(nGC_371) + Nc*coupl(nGC_347)*coupl(    &
                         nGC_349)*coupl(nGC_382)*coupl(nGC_383) + Nc*coupl(    &
                         nGC_364)*coupl(nGC_365)*coupl(nGC_367)*coupl(nGC_867  &
                         ) + Nc*coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_373)*  &
                         coupl(nGC_789) + coupl(nGC_2221)*coupl(nGC_358)*coupl(&
                         nGC_359)*coupl(nGC_361) + coupl(nGC_2353)*coupl(      &
                         nGC_376)*coupl(nGC_377)*coupl(nGC_379) + coupl(       &
                         nGC_3117)*coupl(nGC_352)*coupl(nGC_353)*coupl(nGC_355 &
                         ))/(24d0*pi**2d0)
      coupl(nGC_22387) = cima*(5d0*Nc*coupl(nGC_1393)*coupl(nGC_339)*coupl(    &
                         nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1393)*coupl&
                         (nGC_339)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl&
                         (nGC_1393)*coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_2475)*coupl(nGC_346)*coupl(      &
                         nGC_348)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_2475)*coupl&
                         (nGC_346)*coupl(nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl&
                         (nGC_2475)*coupl(nGC_348)*coupl(nGC_382)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_3209)*coupl(nGC_346)*coupl(      &
                         nGC_348)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_3209)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_384) + 5d0*Nc*coupl&
                         (nGC_3209)*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_336&
                         )*coupl(nGC_337) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_335&
                         )*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_334&
                         )*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_3383) + 5d0*&
                         Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_365)*coupl(&
                         nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(&
                         nGC_365)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_334)*coupl(&
                         nGC_337)*coupl(nGC_366)*coupl(nGC_867) + 5d0*Nc*coupl(&
                         nGC_335)*coupl(nGC_336)*coupl(nGC_364)*coupl(nGC_367  &
                         ) + 5d0*Nc*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_364&
                         )*coupl(nGC_867) + 5d0*Nc*coupl(nGC_336)*coupl(       &
                         nGC_3383)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_337)*coupl(nGC_3383)*coupl(nGC_364)*coupl(nGC_366&
                         ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_343&
                         )*coupl(nGC_344) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340&
                         )*coupl(nGC_370)*coupl(nGC_371) + 5d0*Nc*coupl(nGC_339&
                         )*coupl(nGC_343)*coupl(nGC_373)*coupl(nGC_789) + 5d0* &
                         Nc*coupl(nGC_339)*coupl(nGC_344)*coupl(nGC_370)*coupl(&
                         nGC_373) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343)*coupl(&
                         nGC_371)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_340)*coupl(&
                         nGC_343)*coupl(nGC_372)*coupl(nGC_789) + 5d0*Nc*coupl(&
                         nGC_340)*coupl(nGC_344)*coupl(nGC_370)*coupl(nGC_372  &
                         ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_348&
                         )*coupl(nGC_349) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349&
                         )*coupl(nGC_383)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_347&
                         )*coupl(nGC_348)*coupl(nGC_382)*coupl(nGC_385) + 5d0* &
                         Nc*coupl(nGC_347)*coupl(nGC_349)*coupl(nGC_382)*coupl(&
                         nGC_384) + 5d0*Nc*coupl(nGC_348)*coupl(nGC_349)*coupl(&
                         nGC_382)*coupl(nGC_383) + 5d0*Nc*coupl(nGC_364)*coupl(&
                         nGC_365)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(&
                         nGC_364)*coupl(nGC_366)*coupl(nGC_367)*coupl(nGC_867  &
                         ) + 5d0*Nc*coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_372&
                         )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_370)*coupl(nGC_372&
                         )*coupl(nGC_373)*coupl(nGC_789) + 5d0*Nc*coupl(nGC_382&
                         )*coupl(nGC_383)*coupl(nGC_384)*coupl(nGC_385) + 6d0* &
                         coupl(nGC_180)*coupl(nGC_187) + 5d0*coupl(nGC_2221)*  &
                         coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_361) + 6d0*   &
                         coupl(nGC_23)*coupl(nGC_31) + 5d0*coupl(nGC_2353)*    &
                         coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_379) + 5d0*   &
                         coupl(nGC_3117)*coupl(nGC_352)*coupl(nGC_354)*coupl(  &
                         nGC_355) + 5d0*coupl(nGC_352)*coupl(nGC_353)*coupl(   &
                         nGC_354)*coupl(nGC_355) + 5d0*coupl(nGC_358)*coupl(   &
                         nGC_359)*coupl(nGC_360)*coupl(nGC_361) + 5d0*coupl(   &
                         nGC_376)*coupl(nGC_377)*coupl(nGC_378)*coupl(nGC_379  &
                         ))/(48d0*pi**2d0)
      coupl(nGC_22380) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_337)**2d0&
                          - coupl(nGC_340)**2d0 - coupl(nGC_349)**2d0 - coupl( &
                         nGC_367)**2d0 - coupl(nGC_373)**2d0 - coupl(nGC_385)**&
                         2d0)/(32d0*pi**2d0)
      coupl(nGC_22381) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_337)**2d0 &
                          + coupl(nGC_340)**2d0 + coupl(nGC_349)**2d0 + coupl( &
                         nGC_367)**2d0 + coupl(nGC_373)**2d0 + coupl(nGC_385)**&
                         2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22383) = 5d0*cima*(Nc*coupl(nGC_334)**3d0*coupl(nGC_337) + Nc* &
                         coupl(nGC_340)*coupl(nGC_343)**3d0 + Nc*coupl(nGC_346 &
                         )**3d0*coupl(nGC_349) + Nc*coupl(nGC_364)**3d0*coupl( &
                         nGC_367) + Nc*coupl(nGC_370)**3d0*coupl(nGC_373) + Nc*&
                         coupl(nGC_382)**3d0*coupl(nGC_385) + coupl(nGC_352)** &
                         3d0*coupl(nGC_355) + coupl(nGC_358)**3d0*coupl(nGC_361&
                         ) + coupl(nGC_376)**3d0*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_22388) = cima*(5d0*Nc*coupl(nGC_1393)*coupl(nGC_340)*coupl(    &
                         nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1393)*coupl&
                         (nGC_342)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl&
                         (nGC_1393)*coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_2475)*coupl(nGC_345)*coupl(      &
                         nGC_346)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_2475)*coupl&
                         (nGC_345)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl&
                         (nGC_2475)*coupl(nGC_346)*coupl(nGC_381)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_3209)*coupl(nGC_345)*coupl(      &
                         nGC_346)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_3209)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_381) + 5d0*Nc*coupl&
                         (nGC_3209)*coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_335&
                         )*coupl(nGC_337) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334&
                         )*coupl(nGC_337)*coupl(nGC_3383) + 5d0*Nc*coupl(      &
                         nGC_333)*coupl(nGC_334)*coupl(nGC_365)*coupl(nGC_367  &
                         ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_335)*coupl(nGC_364&
                         )*coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337&
                         )*coupl(nGC_364)*coupl(nGC_867) + 5d0*Nc*coupl(nGC_333&
                         )*coupl(nGC_3383)*coupl(nGC_364)*coupl(nGC_367) + 5d0*&
                         Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_363)*coupl(&
                         nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(&
                         nGC_363)*coupl(nGC_365) + 5d0*Nc*coupl(nGC_334)*coupl(&
                         nGC_337)*coupl(nGC_363)*coupl(nGC_867) + 5d0*Nc*coupl(&
                         nGC_337)*coupl(nGC_3383)*coupl(nGC_363)*coupl(nGC_364 &
                         ) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_343&
                         )*coupl(nGC_344) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342&
                         )*coupl(nGC_370)*coupl(nGC_371) + 5d0*Nc*coupl(nGC_340&
                         )*coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_371) + 5d0* &
                         Nc*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_369)*coupl(&
                         nGC_789) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_344)*coupl(&
                         nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_342)*coupl(&
                         nGC_343)*coupl(nGC_373)*coupl(nGC_789) + 5d0*Nc*coupl(&
                         nGC_342)*coupl(nGC_344)*coupl(nGC_370)*coupl(nGC_373  &
                         ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_347&
                         )*coupl(nGC_349) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_347&
                         )*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_345&
                         )*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_383) + 5d0* &
                         Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_381)*coupl(&
                         nGC_383) + 5d0*Nc*coupl(nGC_347)*coupl(nGC_349)*coupl(&
                         nGC_381)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_363)*coupl(&
                         nGC_364)*coupl(nGC_365)*coupl(nGC_367) + 5d0*Nc*coupl(&
                         nGC_363)*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_867  &
                         ) + 5d0*Nc*coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_371&
                         )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_369)*coupl(nGC_370&
                         )*coupl(nGC_373)*coupl(nGC_789) + 5d0*Nc*coupl(nGC_381&
                         )*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385) + 6d0* &
                         coupl(nGC_174)*coupl(nGC_187) + 6d0*coupl(nGC_21)*    &
                         coupl(nGC_31) + 5d0*coupl(nGC_2221)*coupl(nGC_357)*   &
                         coupl(nGC_358)*coupl(nGC_361) + 5d0*coupl(nGC_2353)*  &
                         coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_379) + 5d0*   &
                         coupl(nGC_3117)*coupl(nGC_351)*coupl(nGC_352)*coupl(  &
                         nGC_355) + 5d0*coupl(nGC_351)*coupl(nGC_352)*coupl(   &
                         nGC_353)*coupl(nGC_355) + 5d0*coupl(nGC_357)*coupl(   &
                         nGC_358)*coupl(nGC_359)*coupl(nGC_361) + 5d0*coupl(   &
                         nGC_375)*coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_379  &
                         ))/(48d0*pi**2d0)
      coupl(nGC_22389) = cima*(5d0*Nc*coupl(nGC_334)*coupl(nGC_336)**2d0*coupl(&
                         nGC_337) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(&
                         nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl(&
                         nGC_337)*coupl(nGC_366)**2d0 + 5d0*Nc*coupl(nGC_336)**&
                         2d0*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(     &
                         nGC_336)*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_366  &
                         ) + 5d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_340)*coupl(  &
                         nGC_343) + 5d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_370)* &
                         coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)*&
                         coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_339)*&
                         coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc*&
                         coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_372)**2d0 +   &
                         5d0*Nc*coupl(nGC_346)*coupl(nGC_348)**2d0*coupl(      &
                         nGC_349) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(&
                         nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_346)*coupl(&
                         nGC_349)*coupl(nGC_384)**2d0 + 5d0*Nc*coupl(nGC_348)**&
                         2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(     &
                         nGC_348)*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_384  &
                         ) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_366)**2d0*coupl(  &
                         nGC_367) + 5d0*Nc*coupl(nGC_370)*coupl(nGC_372)**2d0* &
                         coupl(nGC_373) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_384  &
                         )**2d0*coupl(nGC_385) + 6d0*coupl(nGC_175)*coupl(     &
                         nGC_180) + 6d0*coupl(nGC_22)*coupl(nGC_23) + 5d0*coupl&
                         (nGC_352)*coupl(nGC_354)**2d0*coupl(nGC_355) + 5d0*   &
                         coupl(nGC_358)*coupl(nGC_360)**2d0*coupl(nGC_361) +   &
                         5d0*coupl(nGC_376)*coupl(nGC_378)**2d0*coupl(nGC_379  &
                         ))/(24d0*pi**2d0)
      coupl(nGC_33459) = coupl(nGC_247)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_22472) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_336)**2d0 &
                          + coupl(nGC_339)**2d0 + coupl(nGC_348)**2d0 + coupl( &
                         nGC_366)**2d0 + coupl(nGC_372)**2d0 + coupl(nGC_384)**&
                         2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22473) = cima*coupl(nGC_13)**2d0*coupl(nGC_197)**2d0*sq2**2d0/(&
                         32d0*pi**2d0)
      coupl(nGC_22470) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_333)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_342)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_345)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_363)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_369)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_381)**2d0&
                          + 6d0*cima*coupl(nGC_1691)*coupl(nGC_77) + 3d0*cima* &
                         coupl(nGC_195)*coupl(nGC_224) - 8d0*cima*coupl(nGC_197&
                         )**2d0*coupl(nGC_351)**2d0 - 8d0*cima*coupl(nGC_197)**&
                         2d0*coupl(nGC_357)**2d0 - 8d0*cima*coupl(nGC_197)**2d0&
                         *coupl(nGC_375)**2d0 + 6d0*coupl(nGC_1675)*coupl(     &
                         nGC_199)*coupl(nGC_224) + 6d0*coupl(nGC_198)*coupl(   &
                         nGC_2539)*coupl(nGC_77) + 6d0*coupl(nGC_3285)*coupl(  &
                         nGC_4)*coupl(nGC_77))/(48d0*pi**2d0)
      coupl(nGC_22471) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_336)**2d0&
                          - coupl(nGC_339)**2d0 - coupl(nGC_348)**2d0 - coupl( &
                         nGC_366)**2d0 - coupl(nGC_372)**2d0 - coupl(nGC_384)**&
                         2d0)/(16d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl22
end module fill_ctcouplings22
