!******************************************************************************!
!                                                                              !
!    fill_ctcouplings32.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings32.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings32
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl32()
      coupl(nGC_32847) = coupl(nGC_22612) + coupl(nGC_346)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_346)*dZdR_QED2/2d0 + coupl(nGC_346)*        &
                         dZuL_QED2/2d0 + coupl(nGC_349)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_35003) = -coupl(nGC_22646) - coupl(nGC_34995)
      coupl(nGC_35002) = coupl(nGC_34994) + coupl(nGC_35000)
      coupl(nGC_35001) = -coupl(nGC_34994) - coupl(nGC_35000)
      coupl(nGC_38111) = coupl(nGC_32714) + coupl(nGC_38109)
      coupl(nGC_22045) = (coupl(nGC_1)*coupl(nGC_382)**2d0 + coupl(nGC_1)*coupl&
                         (nGC_385)**2d0 + coupl(nGC_1979)*coupl(nGC_2)*coupl(  &
                         nGC_386) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*  &
                         coupl(nGC_207)**2d0 + coupl(nGC_2)*coupl(nGC_3209)*   &
                         coupl(nGC_383) + coupl(nGC_2)*coupl(nGC_381)**2d0 +   &
                         coupl(nGC_2)*coupl(nGC_384)**2d0)/(32d0*pi**2d0)
      coupl(nGC_35004) = coupl(nGC_22646) + coupl(nGC_34995)
      coupl(nGC_37147) = coupl(nGC_22509) + 2d0*coupl(nGC_57)*                 &
                         dZHMinusGMinus_QED2
      coupl(nGC_32990) = coupl(nGC_32987) + coupl(nGC_32988)
      coupl(nGC_34071) = coupl(nGC_173)*dZHMinus_QED2/2d0 + coupl(nGC_173)*    &
                         dZHh_QED2/2d0 + coupl(nGC_173)*dZWMinus_QED2/2d0 +    &
                         coupl(nGC_178)*dZHlHh_QED2/2d0 + coupl(nGC_22696)
      coupl(nGC_37020) = coupl(nGC_22862) + coupl(nGC_TS_GC_339_Hh) + coupl(   &
                         nGC_TS_GC_342_Hl)
      coupl(nGC_33989) = coupl(nGC_221)*dZAZ_QED2 + coupl(nGC_22722) + coupl(  &
                         nGC_229)*dZHMinus_QED2 + coupl(nGC_229)*dZZ_QED2
      coupl(nGC_35925) = coupl(nGC_172)*dZHMinus_QED2/2d0 + coupl(nGC_172)*    &
                         dZHh_QED2/2d0 + coupl(nGC_172)*dZWMinus_QED2/2d0 +    &
                         coupl(nGC_179)*dZHlHh_QED2/2d0 + coupl(nGC_22700)
      coupl(nGC_35926) = coupl(nGC_35924) - coupl(nGC_35925)
      coupl(nGC_37785) = -coupl(nGC_35924) + coupl(nGC_35925)
      coupl(nGC_33139) = coupl(nGC_22693) + coupl(nGC_231)*dZZA_QED2/2d0 +     &
                         coupl(nGC_321)*dZA_QED2/2d0 + coupl(nGC_321)*         &
                         dZHMinus_QED2/2d0 + coupl(nGC_321)*dZWMinus_QED2/2d0  &
                          + coupl(nGC_324)*dZGMinusHMinus_QED2/2d0 + coupl(    &
                         nGC_TS_GC_175_Hh) + coupl(nGC_TS_GC_180_Hl)
      coupl(nGC_35883) = -coupl(nGC_35880)/2d0 + coupl(nGC_35881)
      coupl(nGC_22326) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_197)**2d0 + &
                         9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(   &
                         nGC_2) - 3d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_2  &
                         )**2d0 - 2d0*cima*coupl(nGC_1263)*coupl(nGC_3)*coupl( &
                         nGC_3285)**2d0 - 2d0*cima*coupl(nGC_1675)*coupl(      &
                         nGC_199)*coupl(nGC_3285)**2d0 - 3d0*cima*coupl(nGC_197&
                         )**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_198)*   &
                         coupl(nGC_2539)*coupl(nGC_3)**2d0 + 3d0*cima*coupl(   &
                         nGC_202)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*coupl(     &
                         nGC_3285)*coupl(nGC_4) + 3d0*cima*coupl(nGC_5091)**2d0&
                          + 3d0*coupl(nGC_1263)*coupl(nGC_3285)*coupl(nGC_5091 &
                         ) + 3d0*coupl(nGC_1675)*coupl(nGC_202)*coupl(nGC_3285 &
                         ) + 3d0*coupl(nGC_199)*coupl(nGC_202)*coupl(nGC_3285  &
                         ) + 3d0*coupl(nGC_3)*coupl(nGC_3285)*coupl(nGC_5091   &
                         ))/(24d0*pi**2d0)
      coupl(nGC_34932) = coupl(nGC_22642) + coupl(nGC_347)*dZHa_QED2/2d0 +     &
                         coupl(nGC_350)*dZG0Ha_QED2/2d0
      coupl(nGC_58377) = -coupl(nGC_22077)
      coupl(nGC_34934) = coupl(nGC_34930) + coupl(nGC_34932)
      coupl(nGC_36021) = -coupl(nGC_32779)
      coupl(nGC_33382) = 2d0*coupl(nGC_33380)
      coupl(nGC_21958) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_206) - 3d0*Nc*   &
                         coupl(nGC_1)*coupl(nGC_209) - 3d0*Nc*coupl(nGC_2)*    &
                         coupl(nGC_207) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_210) - &
                         coupl(nGC_199)*coupl(nGC_3) - 3d0*coupl(nGC_208)*coupl&
                         (nGC_4) - 3d0*coupl(nGC_211)*coupl(nGC_4) - coupl(    &
                         nGC_2539)*coupl(nGC_3285))/(48d0*pi**2d0)
      coupl(nGC_22200) = (-coupl(nGC_1271)**2d0*coupl(nGC_336) + 8d0*coupl(    &
                         nGC_2)**2d0*coupl(nGC_336) + 8d0*coupl(nGC_207)*coupl(&
                         nGC_210)*coupl(nGC_336) - coupl(nGC_333)**2d0*coupl(  &
                         nGC_336) - coupl(nGC_334)*coupl(nGC_364)*coupl(nGC_366&
                         ) - coupl(nGC_336)**3d0 - coupl(nGC_336)*coupl(       &
                         nGC_3383)**2d0 - coupl(nGC_337)*coupl(nGC_366)*coupl( &
                         nGC_367))/(32d0*pi**2d0)
      coupl(nGC_36754) = coupl(nGC_22727) + coupl(nGC_4)*dZA_QED2/2d0
      coupl(nGC_33971) = -coupl(nGC_33962) - coupl(nGC_33970)
      coupl(nGC_21955) = cima*(-6d0*Nc*coupl(nGC_1)**2d0 - 6d0*Nc*coupl(nGC_2  &
                         )**2d0 - coupl(nGC_3)**2d0 - coupl(nGC_3285)**2d0 -   &
                         6d0*coupl(nGC_4)**2d0)/(48d0*pi**2d0)
      coupl(nGC_21956) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_3285)**2d0)/(48d0*&
                         pi**2d0)
      coupl(nGC_21957) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 2d0*Nc*cMC**&
                         2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMD**2d0*cima*    &
                         coupl(nGC_1)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1  &
                         )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 2d0*&
                         Nc*cMU**2d0*cima*coupl(nGC_2)**2d0 + 2d0*cME**2d0*cima&
                         *coupl(nGC_4)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_4)** &
                         2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*&
                         cima*coupl(nGC_3)**2d0 + cMW**2d0*cima*coupl(nGC_3285 &
                         )**2d0 - cMW**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_22209) = coupl(nGC_360)*(-coupl(nGC_1879)**2d0 + 8d0*coupl(    &
                         nGC_208)*coupl(nGC_211) - coupl(nGC_2221)**2d0 - coupl&
                         (nGC_357)**2d0 - coupl(nGC_360)**2d0 + 8d0*coupl(nGC_4&
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_21951) = cima*(Nc*coupl(nGC_1121)*coupl(nGC_344) + Nc*coupl(   &
                         nGC_1271)*coupl(nGC_335) + Nc*coupl(nGC_1393)*coupl(  &
                         nGC_341) + Nc*coupl(nGC_1571)*coupl(nGC_347) + Nc*    &
                         coupl(nGC_1979)*coupl(nGC_383) + Nc*coupl(nGC_2475)*  &
                         coupl(nGC_350) + Nc*coupl(nGC_2847)*coupl(nGC_371) +  &
                         Nc*coupl(nGC_3209)*coupl(nGC_386) + Nc*coupl(nGC_338)*&
                         coupl(nGC_3383) + Nc*coupl(nGC_365)*coupl(nGC_4199) + &
                         Nc*coupl(nGC_368)*coupl(nGC_867) + Nc*coupl(nGC_374)* &
                         coupl(nGC_789) + coupl(nGC_1855)*coupl(nGC_377) +     &
                         coupl(nGC_1879)*coupl(nGC_359) + coupl(nGC_2221)*coupl&
                         (nGC_362) + coupl(nGC_2325)*coupl(nGC_353) + coupl(   &
                         nGC_2353)*coupl(nGC_380) + coupl(nGC_3117)*coupl(     &
                         nGC_356))/(48d0*pi**2d0)
      coupl(nGC_21952) = cima*(-Nc*cMB**2d0*coupl(nGC_1121)*coupl(nGC_344) - Nc&
                         *cMB**2d0*coupl(nGC_1393)*coupl(nGC_341) - Nc*cMC**2d0&
                         *coupl(nGC_1271)*coupl(nGC_335) - Nc*cMC**2d0*coupl(  &
                         nGC_338)*coupl(nGC_3383) - Nc*cMD**2d0*coupl(nGC_1571 &
                         )*coupl(nGC_347) - Nc*cMD**2d0*coupl(nGC_2475)*coupl( &
                         nGC_350) - Nc*cMS**2d0*coupl(nGC_365)*coupl(nGC_4199  &
                         ) - Nc*cMS**2d0*coupl(nGC_368)*coupl(nGC_867) - Nc*cMT&
                         **2d0*coupl(nGC_2847)*coupl(nGC_371) - Nc*cMT**2d0*   &
                         coupl(nGC_374)*coupl(nGC_789) - Nc*cMU**2d0*coupl(    &
                         nGC_1979)*coupl(nGC_383) - Nc*cMU**2d0*coupl(nGC_3209 &
                         )*coupl(nGC_386) - cME**2d0*coupl(nGC_2325)*coupl(    &
                         nGC_353) - cME**2d0*coupl(nGC_3117)*coupl(nGC_356) -  &
                         cMM**2d0*coupl(nGC_1879)*coupl(nGC_359) - cMM**2d0*   &
                         coupl(nGC_2221)*coupl(nGC_362) - cMTA**2d0*coupl(     &
                         nGC_1855)*coupl(nGC_377) - cMTA**2d0*coupl(nGC_2353)* &
                         coupl(nGC_380))/(8d0*pi**2d0)
      coupl(nGC_22366) = 5d0*cima*(Nc*coupl(nGC_1121)*coupl(nGC_340)**2d0*coupl&
                         (nGC_344) + Nc*coupl(nGC_1121)*coupl(nGC_340)*coupl(  &
                         nGC_373)*coupl(nGC_789) + Nc*coupl(nGC_1121)*coupl(   &
                         nGC_344)*coupl(nGC_373)**2d0 + Nc*coupl(nGC_1271)*    &
                         coupl(nGC_335)*coupl(nGC_337)**2d0 + Nc*coupl(nGC_1271&
                         )*coupl(nGC_335)*coupl(nGC_367)**2d0 + Nc*coupl(      &
                         nGC_1271)*coupl(nGC_337)*coupl(nGC_367)*coupl(nGC_867 &
                         ) + Nc*coupl(nGC_1393)*coupl(nGC_2847)*coupl(nGC_340)*&
                         coupl(nGC_373) + Nc*coupl(nGC_1393)*coupl(nGC_340)**  &
                         2d0*coupl(nGC_341) + Nc*coupl(nGC_1393)*coupl(nGC_341 &
                         )*coupl(nGC_373)**2d0 + Nc*coupl(nGC_1571)*coupl(     &
                         nGC_3209)*coupl(nGC_349)*coupl(nGC_385) + Nc*coupl(   &
                         nGC_1571)*coupl(nGC_347)*coupl(nGC_349)**2d0 + Nc*    &
                         coupl(nGC_1571)*coupl(nGC_347)*coupl(nGC_385)**2d0 +  &
                         Nc*coupl(nGC_1979)*coupl(nGC_2475)*coupl(nGC_349)*    &
                         coupl(nGC_385) + Nc*coupl(nGC_1979)*coupl(nGC_349)**  &
                         2d0*coupl(nGC_383) + Nc*coupl(nGC_1979)*coupl(nGC_383 &
                         )*coupl(nGC_385)**2d0 + Nc*coupl(nGC_2475)*coupl(     &
                         nGC_349)**2d0*coupl(nGC_350) + Nc*coupl(nGC_2475)*    &
                         coupl(nGC_350)*coupl(nGC_385)**2d0 + Nc*coupl(nGC_2847&
                         )*coupl(nGC_340)**2d0*coupl(nGC_371) + Nc*coupl(      &
                         nGC_2847)*coupl(nGC_371)*coupl(nGC_373)**2d0 + Nc*    &
                         coupl(nGC_3209)*coupl(nGC_349)**2d0*coupl(nGC_386) +  &
                         Nc*coupl(nGC_3209)*coupl(nGC_385)**2d0*coupl(nGC_386  &
                         ) + Nc*coupl(nGC_335)*coupl(nGC_337)*coupl(nGC_367)*  &
                         coupl(nGC_368) + Nc*coupl(nGC_337)**2d0*coupl(nGC_338 &
                         )*coupl(nGC_3383) + Nc*coupl(nGC_337)**2d0*coupl(     &
                         nGC_365)*coupl(nGC_4199) + Nc*coupl(nGC_337)**2d0*    &
                         coupl(nGC_368)*coupl(nGC_867) + Nc*coupl(nGC_337)*    &
                         coupl(nGC_338)*coupl(nGC_365)*coupl(nGC_367) + Nc*    &
                         coupl(nGC_337)*coupl(nGC_3383)*coupl(nGC_367)*coupl(  &
                         nGC_4199) + Nc*coupl(nGC_338)*coupl(nGC_3383)*coupl(  &
                         nGC_367)**2d0 + Nc*coupl(nGC_340)**2d0*coupl(nGC_374)*&
                         coupl(nGC_789) + Nc*coupl(nGC_340)*coupl(nGC_341)*    &
                         coupl(nGC_371)*coupl(nGC_373) + Nc*coupl(nGC_340)*    &
                         coupl(nGC_344)*coupl(nGC_373)*coupl(nGC_374) + Nc*    &
                         coupl(nGC_347)*coupl(nGC_349)*coupl(nGC_385)*coupl(   &
                         nGC_386) + Nc*coupl(nGC_349)*coupl(nGC_350)*coupl(    &
                         nGC_383)*coupl(nGC_385) + Nc*coupl(nGC_365)*coupl(    &
                         nGC_367)**2d0*coupl(nGC_4199) + Nc*coupl(nGC_367)**2d0&
                         *coupl(nGC_368)*coupl(nGC_867) + Nc*coupl(nGC_373)**  &
                         2d0*coupl(nGC_374)*coupl(nGC_789) + coupl(nGC_1855)*  &
                         coupl(nGC_377)*coupl(nGC_379)**2d0 + coupl(nGC_1879)* &
                         coupl(nGC_359)*coupl(nGC_361)**2d0 + coupl(nGC_2221)* &
                         coupl(nGC_361)**2d0*coupl(nGC_362) + coupl(nGC_2325)* &
                         coupl(nGC_353)*coupl(nGC_355)**2d0 + coupl(nGC_2353)* &
                         coupl(nGC_379)**2d0*coupl(nGC_380) + coupl(nGC_3117)* &
                         coupl(nGC_355)**2d0*coupl(nGC_356))/(48d0*pi**2d0)
      coupl(nGC_22367) = cima*(10d0*Nc*coupl(nGC_1121)*coupl(nGC_2847)*coupl(  &
                         nGC_340)*coupl(nGC_373) + 10d0*Nc*coupl(nGC_1121)*    &
                         coupl(nGC_340)**2d0*coupl(nGC_341) + 10d0*Nc*coupl(   &
                         nGC_1121)*coupl(nGC_341)*coupl(nGC_373)**2d0 + 10d0*Nc&
                         *coupl(nGC_1271)*coupl(nGC_337)**2d0*coupl(nGC_338) + &
                         10d0*Nc*coupl(nGC_1271)*coupl(nGC_337)*coupl(nGC_367)*&
                         coupl(nGC_4199) + 10d0*Nc*coupl(nGC_1271)*coupl(      &
                         nGC_338)*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(nGC_1571 &
                         )*coupl(nGC_1979)*coupl(nGC_349)*coupl(nGC_385) + 10d0&
                         *Nc*coupl(nGC_1571)*coupl(nGC_349)**2d0*coupl(nGC_350 &
                         ) + 10d0*Nc*coupl(nGC_1571)*coupl(nGC_350)*coupl(     &
                         nGC_385)**2d0 + 10d0*Nc*coupl(nGC_1979)*coupl(nGC_349 &
                         )**2d0*coupl(nGC_386) + 10d0*Nc*coupl(nGC_1979)*coupl(&
                         nGC_385)**2d0*coupl(nGC_386) + 10d0*Nc*coupl(nGC_2847 &
                         )*coupl(nGC_340)**2d0*coupl(nGC_374) + 10d0*Nc*coupl( &
                         nGC_2847)*coupl(nGC_373)**2d0*coupl(nGC_374) + 10d0*Nc&
                         *coupl(nGC_337)**2d0*coupl(nGC_368)*coupl(nGC_4199) + &
                         10d0*Nc*coupl(nGC_337)*coupl(nGC_338)*coupl(nGC_367)* &
                         coupl(nGC_368) + 10d0*Nc*coupl(nGC_340)*coupl(nGC_341 &
                         )*coupl(nGC_373)*coupl(nGC_374) + 10d0*Nc*coupl(      &
                         nGC_349)*coupl(nGC_350)*coupl(nGC_385)*coupl(nGC_386  &
                         ) + 10d0*Nc*coupl(nGC_367)**2d0*coupl(nGC_368)*coupl( &
                         nGC_4199) + 6d0*coupl(nGC_100)**2d0 + 10d0*coupl(     &
                         nGC_1855)*coupl(nGC_379)**2d0*coupl(nGC_380) + 12d0*  &
                         coupl(nGC_186)*coupl(nGC_187) + 10d0*coupl(nGC_1879)* &
                         coupl(nGC_361)**2d0*coupl(nGC_362) + 3d0*coupl(nGC_229&
                         )*coupl(nGC_230) + 10d0*coupl(nGC_2325)*coupl(nGC_355 &
                         )**2d0*coupl(nGC_356) + 12d0*coupl(nGC_30)*coupl(     &
                         nGC_31))/(48d0*pi**2d0)
      coupl(nGC_44113) = coupl(nGC_22574) + coupl(nGC_242)*dZHl_QED2/2d0 +     &
                         coupl(nGC_250)*dZHhHl_QED2/2d0 + coupl(nGC_253)*      &
                         dZHaG0_QED2 + coupl(nGC_TS_GC_35_Hh) + coupl(         &
                         nGC_TS_GC_49_Hl)
      coupl(nGC_34524) = coupl(nGC_172)*dZHhHl_QED2/2d0 + coupl(nGC_179)*      &
                         dZHMinus_QED2/2d0 + coupl(nGC_179)*dZHl_QED2/2d0 +    &
                         coupl(nGC_179)*dZWMinus_QED2/2d0 + coupl(nGC_22695)
      coupl(nGC_22362) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_342)**&
                         2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(      &
                         nGC_345)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*  &
                         coupl(nGC_363)**2d0 - Nc*cima*coupl(nGC_1)*coupl(     &
                         nGC_209)*coupl(nGC_342)**2d0 - Nc*cima*coupl(nGC_1)*  &
                         coupl(nGC_209)*coupl(nGC_345)**2d0 - Nc*cima*coupl(   &
                         nGC_1)*coupl(nGC_209)*coupl(nGC_363)**2d0 - Nc*cima*  &
                         coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_333)**2d0 - Nc* &
                         cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_369)**2d0  &
                          - Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_381  &
                         )**2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(   &
                         nGC_333)**2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*  &
                         coupl(nGC_369)**2d0 - Nc*cima*coupl(nGC_2)*coupl(     &
                         nGC_210)*coupl(nGC_381)**2d0 + cima*coupl(nGC_205)*   &
                         coupl(nGC_77) - cima*coupl(nGC_208)*coupl(nGC_351)**  &
                         2d0*coupl(nGC_4) - cima*coupl(nGC_208)*coupl(nGC_357  &
                         )**2d0*coupl(nGC_4) - cima*coupl(nGC_208)*coupl(      &
                         nGC_375)**2d0*coupl(nGC_4) - cima*coupl(nGC_211)*coupl&
                         (nGC_351)**2d0*coupl(nGC_4) - cima*coupl(nGC_211)*    &
                         coupl(nGC_357)**2d0*coupl(nGC_4) - cima*coupl(nGC_211 &
                         )*coupl(nGC_375)**2d0*coupl(nGC_4) + coupl(nGC_199)*  &
                         coupl(nGC_3)*coupl(nGC_77) + coupl(nGC_2539)*coupl(   &
                         nGC_3285)*coupl(nGC_77))/(8d0*pi**2d0)
      coupl(nGC_60170) = -coupl(nGC_22161)
      coupl(nGC_22360) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl( &
                         nGC_209) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**  &
                         2d0*coupl(nGC_210) + 9d0*Nc*cima*coupl(nGC_197)**2d0* &
                         coupl(nGC_2)*coupl(nGC_209) - 6d0*Nc*cima*coupl(      &
                         nGC_197)**2d0*coupl(nGC_2)*coupl(nGC_210) + 6d0*cima* &
                         coupl(nGC_194)*coupl(nGC_202) - 6d0*cima*coupl(nGC_197&
                         )**2d0*coupl(nGC_211)*coupl(nGC_4) + 9d0*cima*coupl(  &
                         nGC_197)**2d0*coupl(nGC_212)*coupl(nGC_4) - 8d0*cima* &
                         coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_2539)*coupl(  &
                         nGC_3) - 8d0*cima*coupl(nGC_199)*coupl(nGC_3)*coupl(  &
                         nGC_3285)*coupl(nGC_4) + 6d0*cima*coupl(nGC_2013)*    &
                         coupl(nGC_5091) + 6d0*coupl(nGC_194)*coupl(nGC_2539)* &
                         coupl(nGC_3) + 6d0*coupl(nGC_198)*coupl(nGC_199)*coupl&
                         (nGC_202) + 6d0*coupl(nGC_199)*coupl(nGC_4)*coupl(    &
                         nGC_5091) + 6d0*coupl(nGC_2013)*coupl(nGC_3)*coupl(   &
                         nGC_3285))/(48d0*pi**2d0)
      coupl(nGC_22361) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl( &
                         nGC_209) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**  &
                         2d0*coupl(nGC_210) + 9d0*Nc*cima*coupl(nGC_197)**2d0* &
                         coupl(nGC_2)*coupl(nGC_209) - 6d0*Nc*cima*coupl(      &
                         nGC_197)**2d0*coupl(nGC_2)*coupl(nGC_210) + 6d0*cima* &
                         coupl(nGC_194)*coupl(nGC_202) - 6d0*cima*coupl(nGC_197&
                         )**2d0*coupl(nGC_211)*coupl(nGC_4) + 9d0*cima*coupl(  &
                         nGC_197)**2d0*coupl(nGC_212)*coupl(nGC_4) - 8d0*cima* &
                         coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_2539)*coupl(  &
                         nGC_3) - 8d0*cima*coupl(nGC_199)*coupl(nGC_3)*coupl(  &
                         nGC_3285)*coupl(nGC_4) + 6d0*cima*coupl(nGC_2013)*    &
                         coupl(nGC_5091) + 6d0*coupl(nGC_194)*coupl(nGC_198)*  &
                         coupl(nGC_3) + 6d0*coupl(nGC_199)*coupl(nGC_202)*coupl&
                         (nGC_2539) + 6d0*coupl(nGC_2013)*coupl(nGC_3)*coupl(  &
                         nGC_4) + 6d0*coupl(nGC_2539)*coupl(nGC_3)*coupl(      &
                         nGC_5091))/(48d0*pi**2d0)
      coupl(nGC_22285) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                         nGC_197)**2d0*coupl(nGC_209) + coupl(nGC_1979)*coupl( &
                         nGC_207)*coupl(nGC_386) + 4d0*coupl(nGC_2)**2d0*coupl(&
                         nGC_210) + coupl(nGC_206)*coupl(nGC_346)**2d0 + coupl(&
                         nGC_206)*coupl(nGC_349)**2d0 + coupl(nGC_207)*coupl(  &
                         nGC_3209)*coupl(nGC_383) + coupl(nGC_207)*coupl(      &
                         nGC_381)**2d0 + coupl(nGC_207)*coupl(nGC_384)**2d0 +  &
                         4d0*coupl(nGC_210)**3d0)/(32d0*pi**2d0)
      coupl(nGC_34442) = coupl(nGC_22500) + coupl(nGC_227)*dZHa_QED2
      coupl(nGC_22075) = coupl(nGC_197)*(Nc*coupl(nGC_1121)*coupl(nGC_340) + Nc&
                         *coupl(nGC_1571)*coupl(nGC_349) - Nc*coupl(nGC_337)*  &
                         coupl(nGC_338) + Nc*coupl(nGC_367)*coupl(nGC_4199) -  &
                         Nc*coupl(nGC_373)*coupl(nGC_374) - Nc*coupl(nGC_385)* &
                         coupl(nGC_386) + coupl(nGC_1855)*coupl(nGC_379) +     &
                         coupl(nGC_1879)*coupl(nGC_361) + coupl(nGC_2325)*coupl&
                         (nGC_355))/(24d0*pi**2d0)
      coupl(nGC_22369) = cima*(10d0*Nc*coupl(nGC_1393)*coupl(nGC_340)**2d0*    &
                         coupl(nGC_344) + 10d0*Nc*coupl(nGC_1393)*coupl(nGC_340&
                         )*coupl(nGC_373)*coupl(nGC_789) + 10d0*Nc*coupl(      &
                         nGC_1393)*coupl(nGC_344)*coupl(nGC_373)**2d0 + 10d0*Nc&
                         *coupl(nGC_2475)*coupl(nGC_3209)*coupl(nGC_349)*coupl(&
                         nGC_385) + 10d0*Nc*coupl(nGC_2475)*coupl(nGC_347)*    &
                         coupl(nGC_349)**2d0 + 10d0*Nc*coupl(nGC_2475)*coupl(  &
                         nGC_347)*coupl(nGC_385)**2d0 + 10d0*Nc*coupl(nGC_3209 &
                         )*coupl(nGC_349)**2d0*coupl(nGC_383) + 10d0*Nc*coupl( &
                         nGC_3209)*coupl(nGC_383)*coupl(nGC_385)**2d0 + 10d0*Nc&
                         *coupl(nGC_335)*coupl(nGC_337)**2d0*coupl(nGC_3383) + &
                         10d0*Nc*coupl(nGC_335)*coupl(nGC_337)*coupl(nGC_365)* &
                         coupl(nGC_367) + 10d0*Nc*coupl(nGC_335)*coupl(nGC_3383&
                         )*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(nGC_337)**2d0*  &
                         coupl(nGC_365)*coupl(nGC_867) + 10d0*Nc*coupl(nGC_337 &
                         )*coupl(nGC_3383)*coupl(nGC_367)*coupl(nGC_867) + 10d0&
                         *Nc*coupl(nGC_340)**2d0*coupl(nGC_371)*coupl(nGC_789  &
                         ) + 10d0*Nc*coupl(nGC_340)*coupl(nGC_344)*coupl(      &
                         nGC_371)*coupl(nGC_373) + 10d0*Nc*coupl(nGC_347)*coupl&
                         (nGC_349)*coupl(nGC_383)*coupl(nGC_385) + 10d0*Nc*    &
                         coupl(nGC_365)*coupl(nGC_367)**2d0*coupl(nGC_867) +   &
                         10d0*Nc*coupl(nGC_371)*coupl(nGC_373)**2d0*coupl(     &
                         nGC_789) + 6d0*coupl(nGC_100)**2d0 + 10d0*coupl(      &
                         nGC_2221)*coupl(nGC_359)*coupl(nGC_361)**2d0 + 3d0*   &
                         coupl(nGC_229)*coupl(nGC_230) + 10d0*coupl(nGC_2353)* &
                         coupl(nGC_377)*coupl(nGC_379)**2d0 + 10d0*coupl(      &
                         nGC_3117)*coupl(nGC_353)*coupl(nGC_355)**2d0)/(48d0*pi&
                         **2d0)
      coupl(nGC_37988) = -coupl(nGC_37982) - coupl(nGC_37987)
      coupl(nGC_33781) = -coupl(nGC_33776) - coupl(nGC_33780)
      coupl(nGC_22382) = (5d0*Nc*cima*coupl(nGC_1271)*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_337) - 4d0*Nc*cima*coupl(nGC_1271)*&
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_337) - 4d0*Nc*&
                         cima*coupl(nGC_1271)*coupl(nGC_197)*coupl(nGC_210)*   &
                         coupl(nGC_337) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_1979)*coupl(nGC_207)*coupl(nGC_385) - 4d0*Nc*cima*&
                         coupl(nGC_197)*coupl(nGC_1979)*coupl(nGC_209)*coupl(  &
                         nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_1979)*&
                         coupl(nGC_210)*coupl(nGC_385) + 5d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_341  &
                         ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(  &
                         nGC_349)*coupl(nGC_350) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_367)*coupl(nGC_368) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_2847)*   &
                         coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_2847)*coupl(nGC_373) - 4d0*Nc*cima*&
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl(   &
                         nGC_341) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                         coupl(nGC_349)*coupl(nGC_350) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_367)*coupl(nGC_368  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_2847)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*&
                         coupl(nGC_210)*coupl(nGC_340)*coupl(nGC_341) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_349)*    &
                         coupl(nGC_350) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_367)*coupl(nGC_368) + 6d0*cima*    &
                         coupl(nGC_186)*coupl(nGC_2013) + 6d0*cima*coupl(      &
                         nGC_194)*coupl(nGC_30) + 5d0*cima*coupl(nGC_197)*coupl&
                         (nGC_208)*coupl(nGC_355)*coupl(nGC_356) + 5d0*cima*   &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_361)*coupl(   &
                         nGC_362) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_379)*coupl(nGC_380) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_355)*coupl(nGC_356) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_361)*    &
                         coupl(nGC_362) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_379)*coupl(nGC_380) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_355)*coupl(nGC_356  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_361)*coupl(nGC_362) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_379)*coupl(nGC_380) + 6d0*   &
                         coupl(nGC_186)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl&
                         (nGC_198)*coupl(nGC_199)*coupl(nGC_30))/(48d0*pi**2d0)
      coupl(nGC_37000) = coupl(nGC_36997) + coupl(nGC_36998)
      coupl(nGC_38163) = coupl(nGC_32600) + coupl(nGC_38160)
    end subroutine fill_CTcouplings_mdl32
end module fill_ctcouplings32
