!******************************************************************************!
!                                                                              !
!    fill_ctcouplings36.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings36.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings36
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl36()
      coupl(nGC_32800) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*         &
                         dZtauMinusR_QED2 + coupl(nGC_22737)
      coupl(nGC_32287) = coupl(nGC_22844) + coupl(nGC_MHC)*dZHMinus_QED2 +     &
                         coupl(nGC_TS_GC_243_Hl) + coupl(nGC_TS_GC_251_Hh)
      coupl(nGC_32392) = coupl(nGC_22531) + coupl(nGC_35)*dZG0Ha_QED2/2d0 +    &
                         coupl(nGC_36)*dZHaG0_QED2/2d0 + coupl(nGC_38)*        &
                         dZHlHh_QED2/2d0 + coupl(nGC_39)*dZHhHl_QED2/2d0 +     &
                         coupl(nGC_47)*dZHa_QED2/2d0 + coupl(nGC_47)*dZHh_QED2/&
                         2d0 + coupl(nGC_47)*dZHl_QED2/2d0
      coupl(nGC_32807) = coupl(nGC_22516) + coupl(nGC_54)*dZG0Ha_QED2 + coupl( &
                         nGC_54)*dZGMinusHMinus_QED2 + coupl(nGC_64)*          &
                         dZHMinus_QED2 + coupl(nGC_64)*dZHa_QED2
      coupl(nGC_37354) = coupl(nGC_22664) + coupl(nGC_377)*dZHa_QED2/2d0 +     &
                         coupl(nGC_380)*dZG0Ha_QED2/2d0
      coupl(nGC_37356) = coupl(nGC_37353) + coupl(nGC_37354)
      coupl(nGC_22123) = coupl(nGC_13)**2d0*coupl(nGC_1979)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_33263) = coupl(nGC_100)*dZHa_QED2 + coupl(nGC_100)*            &
                         dZWMinus_QED2 + coupl(nGC_22701)
      coupl(nGC_34097) = coupl(nGC_22652) + coupl(nGC_376)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_376)*dZnu_tauL_QED2/2d0 + coupl(nGC_376)*   &
                         dZtauMinusR_QED2/2d0 + coupl(nGC_379)*                &
                         dZGMinusHMinus_QED2/2d0
      coupl(nGC_38424) = coupl(nGC_37074) + coupl(nGC_38422)
      coupl(nGC_32757) = coupl(nGC_203)*dZZA_QED2/2d0 + coupl(nGC_22689) +     &
                         coupl(nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2&
                         /2d0
      coupl(nGC_32193) = coupl(nGC_174)*dZAZ_QED2/2d0 + coupl(nGC_21)*dZHl_QED2&
                         /2d0 + coupl(nGC_21)*dZWMinus_QED2/2d0 + coupl(nGC_21 &
                         )*dZZ_QED2/2d0 + coupl(nGC_22534) + coupl(nGC_23)*    &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_23)*dZHhHl_QED2/  &
                         2d0
      coupl(nGC_34051) = coupl(nGC_34048) - 2d0*coupl(nGC_34049)
      coupl(nGC_33665) = coupl(nGC_209)*dZZ_QED2/2d0 + coupl(nGC_209)*dZbL_QED2&
                          + coupl(nGC_22734)
      coupl(nGC_33664) = coupl(nGC_206)*dZZ_QED2/2d0 + coupl(nGC_206)*dZbR_QED2&
                          + coupl(nGC_22735)
      coupl(nGC_33667) = coupl(nGC_33106) + coupl(nGC_33665)
      coupl(nGC_34050) = -coupl(nGC_34048)/2d0 + coupl(nGC_34049)
      coupl(nGC_43103) = coupl(nGC_22724) + coupl(nGC_329)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_332)*dZHh_QED2/2d0 + coupl(nGC_332)*dZZ_QED2&
                          + coupl(nGC_TS_GC_224_Hh)
      coupl(nGC_22187) = (-coupl(nGC_1855)**2d0*coupl(nGC_377) + 8d0*coupl(    &
                         nGC_208)*coupl(nGC_211)*coupl(nGC_2353) - coupl(      &
                         nGC_2353)**2d0*coupl(nGC_377) + 8d0*coupl(nGC_2353)*  &
                         coupl(nGC_4)**2d0 - coupl(nGC_375)**2d0*coupl(nGC_377 &
                         ) - coupl(nGC_377)*coupl(nGC_378)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22337) = (Nc*cima*coupl(nGC_1)*coupl(nGC_1121)*coupl(nGC_197)* &
                         coupl(nGC_340) + Nc*cima*coupl(nGC_1)*coupl(nGC_1571)*&
                         coupl(nGC_197)*coupl(nGC_349) - 4d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_197)*coupl(nGC_337)*coupl(nGC_338) + &
                         Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_367)*   &
                         coupl(nGC_4199) - 4d0*Nc*cima*coupl(nGC_1)*coupl(     &
                         nGC_197)*coupl(nGC_373)*coupl(nGC_374) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_385)*coupl(     &
                         nGC_386) - 4d0*Nc*cima*coupl(nGC_1121)*coupl(nGC_197)*&
                         coupl(nGC_2)*coupl(nGC_340) - 4d0*Nc*cima*coupl(      &
                         nGC_1571)*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_349   &
                         ) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_337 &
                         )*coupl(nGC_338) - 4d0*Nc*cima*coupl(nGC_197)*coupl(  &
                         nGC_2)*coupl(nGC_367)*coupl(nGC_4199) + Nc*cima*coupl(&
                         nGC_197)*coupl(nGC_2)*coupl(nGC_373)*coupl(nGC_374) + &
                         Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_385)*   &
                         coupl(nGC_386) + cima*coupl(nGC_1855)*coupl(nGC_197)* &
                         coupl(nGC_379)*coupl(nGC_4) + 6d0*cima*coupl(nGC_187)*&
                         coupl(nGC_5091) + cima*coupl(nGC_1879)*coupl(nGC_197)*&
                         coupl(nGC_361)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_2325)*coupl(nGC_355)*coupl(nGC_4) + 6d0*cima&
                         *coupl(nGC_202)*coupl(nGC_31) + 6d0*coupl(nGC_187)*   &
                         coupl(nGC_3)*coupl(nGC_3285) + 6d0*coupl(nGC_199)*    &
                         coupl(nGC_31)*coupl(nGC_3285))/(48d0*pi**2d0)
      coupl(nGC_33666) = coupl(nGC_33106) + coupl(nGC_33664)
      coupl(nGC_32310) = coupl(nGC_32306) + coupl(nGC_32309)
      coupl(nGC_22332) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_1271)*coupl(     &
                         nGC_197)*coupl(nGC_337) - 4d0*Nc*cima*coupl(nGC_1)*   &
                         coupl(nGC_197)*coupl(nGC_1979)*coupl(nGC_385) - 4d0*Nc&
                         *cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2847)*    &
                         coupl(nGC_373) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                         coupl(nGC_340)*coupl(nGC_341) + Nc*cima*coupl(nGC_1)* &
                         coupl(nGC_197)*coupl(nGC_349)*coupl(nGC_350) + Nc*cima&
                         *coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_367)*coupl(    &
                         nGC_368) + Nc*cima*coupl(nGC_1271)*coupl(nGC_197)*    &
                         coupl(nGC_2)*coupl(nGC_337) + Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_1979)*coupl(nGC_2)*coupl(nGC_385) + Nc*cima*&
                         coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_2847)*coupl(    &
                         nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_340)*coupl(nGC_341) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_2)*coupl(nGC_349)*coupl(nGC_350) - &
                         4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367 &
                         )*coupl(nGC_368) + 6d0*cima*coupl(nGC_186)*coupl(     &
                         nGC_5091) + cima*coupl(nGC_197)*coupl(nGC_355)*coupl( &
                         nGC_356)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(    &
                         nGC_361)*coupl(nGC_362)*coupl(nGC_4) + cima*coupl(    &
                         nGC_197)*coupl(nGC_379)*coupl(nGC_380)*coupl(nGC_4) + &
                         6d0*cima*coupl(nGC_202)*coupl(nGC_30) + 6d0*coupl(    &
                         nGC_186)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198&
                         )*coupl(nGC_3)*coupl(nGC_30))/(48d0*pi**2d0)
      coupl(nGC_35725) = 2d0*coupl(nGC_16)*dZHhHl_QED2 + 2d0*coupl(nGC_18)*    &
                         dZHl_QED2 + coupl(nGC_22515)
      coupl(nGC_33825) = coupl(nGC_32987) + coupl(nGC_33824)
      coupl(nGC_59204) = -coupl(nGC_22095)
      coupl(nGC_32950) = coupl(nGC_174)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_175&
                         )*dZHhHl_QED2/2d0 + coupl(nGC_180)*dZA_QED2/2d0 +     &
                         coupl(nGC_180)*dZHMinus_QED2/2d0 + coupl(nGC_180)*    &
                         dZHl_QED2/2d0 + coupl(nGC_180)*dZWMinus_QED2/2d0 +    &
                         coupl(nGC_22691) + coupl(nGC_23)*dZZA_QED2/2d0
      coupl(nGC_34205) = coupl(nGC_22718) + coupl(nGC_231)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_237)*dZWMinus_QED2/2d0 + coupl(nGC_237&
                         )*dZZ_QED2/2d0 + coupl(nGC_324)*dZAZ_QED2/2d0 + coupl(&
                         nGC_TS_GC_21_Hl) + coupl(nGC_TS_GC_23_Hh)
      coupl(nGC_22188) = (-coupl(nGC_1979)**2d0*coupl(nGC_383) + 8d0*coupl(    &
                         nGC_2)**2d0*coupl(nGC_3209) + 8d0*coupl(nGC_207)*coupl&
                         (nGC_210)*coupl(nGC_3209) - coupl(nGC_3209)**2d0*coupl&
                         (nGC_383) - coupl(nGC_346)*coupl(nGC_347)*coupl(      &
                         nGC_382) - coupl(nGC_347)*coupl(nGC_349)*coupl(nGC_385&
                         ) - coupl(nGC_381)**2d0*coupl(nGC_383) - coupl(nGC_383&
                         )*coupl(nGC_384)**2d0)/(32d0*pi**2d0)
      coupl(nGC_34332) = coupl(nGC_22859) + coupl(nGC_34323)
      coupl(nGC_34000) = coupl(nGC_33992) + coupl(nGC_33998)
      coupl(nGC_34001) = -coupl(nGC_22684) - coupl(nGC_33993)
      coupl(nGC_34002) = coupl(nGC_22684) + coupl(nGC_33993)
      coupl(nGC_22435) = cima*(-4d0*Nc*coupl(nGC_1121)*coupl(nGC_206)**2d0*    &
                         coupl(nGC_344) + 5d0*Nc*coupl(nGC_1121)*coupl(nGC_206 &
                         )*coupl(nGC_209)*coupl(nGC_344) - 4d0*Nc*coupl(       &
                         nGC_1121)*coupl(nGC_209)**2d0*coupl(nGC_344) - 4d0*Nc*&
                         coupl(nGC_1271)*coupl(nGC_207)**2d0*coupl(nGC_335) +  &
                         5d0*Nc*coupl(nGC_1271)*coupl(nGC_207)*coupl(nGC_210)* &
                         coupl(nGC_335) - 4d0*Nc*coupl(nGC_1271)*coupl(nGC_210 &
                         )**2d0*coupl(nGC_335) - 4d0*Nc*coupl(nGC_1393)*coupl( &
                         nGC_206)**2d0*coupl(nGC_341) + 5d0*Nc*coupl(nGC_1393)*&
                         coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_341) - 4d0*Nc*&
                         coupl(nGC_1393)*coupl(nGC_209)**2d0*coupl(nGC_341) -  &
                         4d0*Nc*coupl(nGC_1571)*coupl(nGC_206)**2d0*coupl(     &
                         nGC_347) + 5d0*Nc*coupl(nGC_1571)*coupl(nGC_206)*coupl&
                         (nGC_209)*coupl(nGC_347) - 4d0*Nc*coupl(nGC_1571)*    &
                         coupl(nGC_209)**2d0*coupl(nGC_347) - 4d0*Nc*coupl(    &
                         nGC_1979)*coupl(nGC_207)**2d0*coupl(nGC_383) + 5d0*Nc*&
                         coupl(nGC_1979)*coupl(nGC_207)*coupl(nGC_210)*coupl(  &
                         nGC_383) - 4d0*Nc*coupl(nGC_1979)*coupl(nGC_210)**2d0*&
                         coupl(nGC_383) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(    &
                         nGC_2475)*coupl(nGC_350) - 4d0*Nc*coupl(nGC_206)**2d0*&
                         coupl(nGC_365)*coupl(nGC_4199) - 4d0*Nc*coupl(nGC_206 &
                         )**2d0*coupl(nGC_368)*coupl(nGC_867) + 5d0*Nc*coupl(  &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_2475)*coupl(nGC_350 &
                         ) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_365&
                         )*coupl(nGC_4199) + 5d0*Nc*coupl(nGC_206)*coupl(      &
                         nGC_209)*coupl(nGC_368)*coupl(nGC_867) - 4d0*Nc*coupl(&
                         nGC_207)**2d0*coupl(nGC_2847)*coupl(nGC_371) - 4d0*Nc*&
                         coupl(nGC_207)**2d0*coupl(nGC_3209)*coupl(nGC_386) -  &
                         4d0*Nc*coupl(nGC_207)**2d0*coupl(nGC_338)*coupl(      &
                         nGC_3383) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(nGC_374)*&
                         coupl(nGC_789) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210)*&
                         coupl(nGC_2847)*coupl(nGC_371) + 5d0*Nc*coupl(nGC_207 &
                         )*coupl(nGC_210)*coupl(nGC_3209)*coupl(nGC_386) + 5d0*&
                         Nc*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_338)*coupl(&
                         nGC_3383) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210)*coupl&
                         (nGC_374)*coupl(nGC_789) - 4d0*Nc*coupl(nGC_209)**2d0*&
                         coupl(nGC_2475)*coupl(nGC_350) - 4d0*Nc*coupl(nGC_209 &
                         )**2d0*coupl(nGC_365)*coupl(nGC_4199) - 4d0*Nc*coupl( &
                         nGC_209)**2d0*coupl(nGC_368)*coupl(nGC_867) - 4d0*Nc* &
                         coupl(nGC_210)**2d0*coupl(nGC_2847)*coupl(nGC_371) -  &
                         4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_3209)*coupl(     &
                         nGC_386) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_338)* &
                         coupl(nGC_3383) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(   &
                         nGC_374)*coupl(nGC_789) - 4d0*coupl(nGC_1855)*coupl(  &
                         nGC_208)**2d0*coupl(nGC_377) + 5d0*coupl(nGC_1855)*   &
                         coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_377) - 4d0*   &
                         coupl(nGC_1855)*coupl(nGC_211)**2d0*coupl(nGC_377) -  &
                         4d0*coupl(nGC_1879)*coupl(nGC_208)**2d0*coupl(nGC_359 &
                         ) + 5d0*coupl(nGC_1879)*coupl(nGC_208)*coupl(nGC_211)*&
                         coupl(nGC_359) - 4d0*coupl(nGC_1879)*coupl(nGC_211)** &
                         2d0*coupl(nGC_359) - 4d0*coupl(nGC_208)**2d0*coupl(   &
                         nGC_2221)*coupl(nGC_362) - 4d0*coupl(nGC_208)**2d0*   &
                         coupl(nGC_2325)*coupl(nGC_353) - 4d0*coupl(nGC_208)** &
                         2d0*coupl(nGC_2353)*coupl(nGC_380) - 4d0*coupl(nGC_208&
                         )**2d0*coupl(nGC_3117)*coupl(nGC_356) + 5d0*coupl(    &
                         nGC_208)*coupl(nGC_211)*coupl(nGC_2221)*coupl(nGC_362 &
                         ) + 5d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_2325)*&
                         coupl(nGC_353) + 5d0*coupl(nGC_208)*coupl(nGC_211)*   &
                         coupl(nGC_2353)*coupl(nGC_380) + 5d0*coupl(nGC_208)*  &
                         coupl(nGC_211)*coupl(nGC_3117)*coupl(nGC_356) - 4d0*  &
                         coupl(nGC_211)**2d0*coupl(nGC_2221)*coupl(nGC_362) -  &
                         4d0*coupl(nGC_211)**2d0*coupl(nGC_2325)*coupl(nGC_353 &
                         ) - 4d0*coupl(nGC_211)**2d0*coupl(nGC_2353)*coupl(    &
                         nGC_380) - 4d0*coupl(nGC_211)**2d0*coupl(nGC_3117)*   &
                         coupl(nGC_356))/(24d0*pi**2d0)
      coupl(nGC_22432) = 5d0*cima*(Nc*coupl(nGC_1121)*coupl(nGC_342)**3d0 + Nc*&
                         coupl(nGC_1271)*coupl(nGC_333)**3d0 + Nc*coupl(       &
                         nGC_1571)*coupl(nGC_345)**3d0 + Nc*coupl(nGC_1979)*   &
                         coupl(nGC_381)**3d0 + Nc*coupl(nGC_2847)*coupl(nGC_369&
                         )**3d0 + Nc*coupl(nGC_333)**3d0*coupl(nGC_338) + Nc*  &
                         coupl(nGC_341)*coupl(nGC_342)**3d0 + Nc*coupl(nGC_345 &
                         )**3d0*coupl(nGC_350) + Nc*coupl(nGC_363)**3d0*coupl( &
                         nGC_368) + Nc*coupl(nGC_363)**3d0*coupl(nGC_4199) + Nc&
                         *coupl(nGC_369)**3d0*coupl(nGC_374) + Nc*coupl(nGC_381&
                         )**3d0*coupl(nGC_386) + coupl(nGC_1855)*coupl(nGC_375 &
                         )**3d0 + coupl(nGC_1879)*coupl(nGC_357)**3d0 + coupl( &
                         nGC_2325)*coupl(nGC_351)**3d0 + coupl(nGC_351)**3d0*  &
                         coupl(nGC_356) + coupl(nGC_357)**3d0*coupl(nGC_362) + &
                         coupl(nGC_375)**3d0*coupl(nGC_380))/(8d0*pi**2d0)
      coupl(nGC_32384) = coupl(nGC_22503) + coupl(nGC_28)*dZHMinus_QED2
      coupl(nGC_22430) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1121)*   &
                         coupl(nGC_341) - coupl(nGC_1271)*coupl(nGC_338) -     &
                         coupl(nGC_1571)*coupl(nGC_350) - coupl(nGC_1979)*coupl&
                         (nGC_386) - coupl(nGC_2847)*coupl(nGC_374) - coupl(   &
                         nGC_368)*coupl(nGC_4199))/(16d0*pi**2d0)
      coupl(nGC_22431) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1121)*    &
                         coupl(nGC_341) + coupl(nGC_1271)*coupl(nGC_338) +     &
                         coupl(nGC_1571)*coupl(nGC_350) + coupl(nGC_1979)*coupl&
                         (nGC_386) + coupl(nGC_2847)*coupl(nGC_374) + coupl(   &
                         nGC_368)*coupl(nGC_4199))/(16d0*pi**2d0*Nc)
      coupl(nGC_34008) = coupl(nGC_22538) + coupl(nGC_36)*dZHa_QED2 + coupl(   &
                         nGC_36)*dZHh_QED2/2d0 + coupl(nGC_36)*dZHl_QED2/2d0 + &
                         coupl(nGC_41)*dZHlHh_QED2/2d0 + coupl(nGC_47)*        &
                         dZG0Ha_QED2 + coupl(nGC_48)*dZHhHl_QED2/2d0
      coupl(nGC_39641) = coupl(nGC_37074) + coupl(nGC_39638)
      coupl(nGC_34312) = coupl(nGC_32239) + coupl(nGC_34309)
      coupl(nGC_22439) = (-4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_334)**2d0 &
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_343)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_346)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_364)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_370)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_382)**2d0&
                          + 6d0*cima*coupl(nGC_100)*coupl(nGC_1691) + 3d0*cima*&
                         coupl(nGC_195)*coupl(nGC_229) - 4d0*cima*coupl(nGC_197&
                         )**2d0*coupl(nGC_352)**2d0 - 4d0*cima*coupl(nGC_197)**&
                         2d0*coupl(nGC_358)**2d0 - 4d0*cima*coupl(nGC_197)**2d0&
                         *coupl(nGC_376)**2d0 + 6d0*cima*coupl(nGC_205)*coupl( &
                         nGC_221) + 3d0*cima*coupl(nGC_29)*coupl(nGC_9) + 6d0* &
                         coupl(nGC_100)*coupl(nGC_198)*coupl(nGC_2539) + 6d0*  &
                         coupl(nGC_100)*coupl(nGC_3285)*coupl(nGC_4) + 6d0*    &
                         coupl(nGC_1263)*coupl(nGC_199)*coupl(nGC_221) + 6d0*  &
                         coupl(nGC_1263)*coupl(nGC_29)*coupl(nGC_3) + 6d0*coupl&
                         (nGC_1675)*coupl(nGC_199)*coupl(nGC_229) + 6d0*coupl( &
                         nGC_1675)*coupl(nGC_221)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_34477) = coupl(nGC_22678) + coupl(nGC_381)*dZHl_QED2/2d0 +     &
                         coupl(nGC_384)*dZHhHl_QED2/2d0
      coupl(nGC_38295) = -coupl(nGC_37084)
      coupl(nGC_22074) = (Nc*cMB*coupl(nGC_1121)*coupl(nGC_340)*coupl(nGC_343  &
                         ) + Nc*cMB*coupl(nGC_1121)*coupl(nGC_370)*coupl(      &
                         nGC_373) + Nc*cMB*coupl(nGC_2847)*coupl(nGC_340)*coupl&
                         (nGC_370) + Nc*cMB*coupl(nGC_340)*coupl(nGC_341)*coupl&
                         (nGC_343) + Nc*cMB*coupl(nGC_341)*coupl(nGC_370)*coupl&
                         (nGC_373) + Nc*cMB*coupl(nGC_343)*coupl(nGC_373)*coupl&
                         (nGC_374) + Nc*cMC*coupl(nGC_1271)*coupl(nGC_334)*    &
                         coupl(nGC_337) + Nc*cMC*coupl(nGC_1271)*coupl(nGC_364 &
                         )*coupl(nGC_367) + Nc*cMC*coupl(nGC_334)*coupl(nGC_337&
                         )*coupl(nGC_338) + Nc*cMC*coupl(nGC_334)*coupl(nGC_367&
                         )*coupl(nGC_4199) + Nc*cMC*coupl(nGC_337)*coupl(      &
                         nGC_364)*coupl(nGC_368) + Nc*cMC*coupl(nGC_338)*coupl(&
                         nGC_364)*coupl(nGC_367) + Nc*cMD*coupl(nGC_1571)*coupl&
                         (nGC_346)*coupl(nGC_349) + Nc*cMD*coupl(nGC_1571)*    &
                         coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl(nGC_1979 &
                         )*coupl(nGC_349)*coupl(nGC_382) + Nc*cMD*coupl(nGC_346&
                         )*coupl(nGC_349)*coupl(nGC_350) + Nc*cMD*coupl(nGC_346&
                         )*coupl(nGC_385)*coupl(nGC_386) + Nc*cMD*coupl(nGC_350&
                         )*coupl(nGC_382)*coupl(nGC_385) + Nc*cMS*coupl(       &
                         nGC_1271)*coupl(nGC_334)*coupl(nGC_367) + Nc*cMS*coupl&
                         (nGC_334)*coupl(nGC_337)*coupl(nGC_368) + Nc*cMS*coupl&
                         (nGC_334)*coupl(nGC_337)*coupl(nGC_4199) + Nc*cMS*    &
                         coupl(nGC_337)*coupl(nGC_338)*coupl(nGC_364) + Nc*cMS*&
                         coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368) + Nc*cMS*&
                         coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_4199) + Nc*cMT&
                         *coupl(nGC_1121)*coupl(nGC_340)*coupl(nGC_370) + Nc*  &
                         cMT*coupl(nGC_2847)*coupl(nGC_340)*coupl(nGC_343) + Nc&
                         *cMT*coupl(nGC_2847)*coupl(nGC_370)*coupl(nGC_373) +  &
                         Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_374) + &
                         Nc*cMT*coupl(nGC_341)*coupl(nGC_343)*coupl(nGC_373) + &
                         Nc*cMT*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374) + &
                         Nc*cMU*coupl(nGC_1571)*coupl(nGC_349)*coupl(nGC_382   &
                         ) + Nc*cMU*coupl(nGC_1979)*coupl(nGC_346)*coupl(      &
                         nGC_349) + Nc*cMU*coupl(nGC_1979)*coupl(nGC_382)*coupl&
                         (nGC_385) + Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl&
                         (nGC_386) + Nc*cMU*coupl(nGC_346)*coupl(nGC_350)*coupl&
                         (nGC_385) + Nc*cMU*coupl(nGC_382)*coupl(nGC_385)*coupl&
                         (nGC_386) + cME*coupl(nGC_2325)*coupl(nGC_352)*coupl( &
                         nGC_355) + cME*coupl(nGC_352)*coupl(nGC_355)*coupl(   &
                         nGC_356) + cMM*coupl(nGC_1879)*coupl(nGC_358)*coupl(  &
                         nGC_361) + cMM*coupl(nGC_358)*coupl(nGC_361)*coupl(   &
                         nGC_362) + cMTA*coupl(nGC_1855)*coupl(nGC_376)*coupl( &
                         nGC_379) + cMTA*coupl(nGC_376)*coupl(nGC_379)*coupl(  &
                         nGC_380) + 2d0*cima*coupl(nGC_187)*coupl(nGC_321) +   &
                         2d0*cima*coupl(nGC_231)*coupl(nGC_31))/(16d0*pi**2d0)
      coupl(nGC_33307) = coupl(nGC_32600) + coupl(nGC_33304)
      coupl(nGC_34953) = -coupl(nGC_22625) - coupl(nGC_34948)
      coupl(nGC_32505) = coupl(nGC_22536) + coupl(nGC_33)*dZHh_QED2/2d0 + coupl&
                         (nGC_33)*dZHl_QED2/2d0 + coupl(nGC_42)*dZHhHl_QED2/2d0&
                          + coupl(nGC_45)*dZHlHh_QED2/2d0 + coupl(nGC_46)*     &
                         dZHMinusGMinus_QED2
      coupl(nGC_33954) = -coupl(nGC_33953)
      coupl(nGC_34956) = coupl(nGC_22626) + coupl(nGC_365)*dZHaG0_QED2/2d0
    end subroutine fill_CTcouplings_mdl36
end module fill_ctcouplings36
