!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_TS_GC_233_Hh) = -coupl(nGC_233)*dtHh_QED1/cMHH**2d0
      coupl(nGC_33323) = coupl(nGC_22651) + coupl(nGC_358)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_358)*dZmuMinusR_QED2/2d0 + coupl(nGC_358)*  &
                         dZnu_muL_QED2/2d0 + coupl(nGC_361)*dZGMinusHMinus_QED2&
                         /2d0
      coupl(nGC_TS_GC_233_Hl) = -coupl(nGC_233)*dtHl_QED1/cMHL**2d0
      coupl(nGC_40510) = coupl(nGC_356)*dZG0/2d0
      coupl(nGC_40514) = -coupl(nGC_40510)
      coupl(nGC_34330) = coupl(nGC_22858) + coupl(nGC_TS_GC_345_Hl) + coupl(   &
                         nGC_TS_GC_348_Hh)
      coupl(nGC_40281) = coupl(nGC_58)*dZG0/2d0
      coupl(nGC_TS_GC_354_Hh) = -coupl(nGC_354)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_329_Hl) = -coupl(nGC_329)*dtHl_QED1/cMHL**2d0
      coupl(nGC_34930) = coupl(nGC_347)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_34931) = coupl(nGC_347)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_32127) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_37018) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_37012) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_37013) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_37010) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_37011) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_36115) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_TS_GC_19_Hh) = -coupl(nGC_19)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_336_Hh) = -coupl(nGC_336)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32492) = coupl(nGC_221)*dZGMinus
      coupl(nGC_32498) = coupl(nGC_223)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_33807) = coupl(nGC_77)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_34368) = -coupl(nGC_33195)
      coupl(nGC_42858) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_32141) = coupl(nGC_54)*dZGMinus/2d0
      coupl(nGC_32148) = coupl(nGC_31)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_22267) = coupl(nGC_13)**2d0*coupl(nGC_210)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22265) = coupl(nGC_13)**2d0*coupl(nGC_206)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22269) = coupl(nGC_13)**2d0*coupl(nGC_207)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22489) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) +    &
                         coupl(nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(   &
                         32d0*pi**2d0*Nc**2d0)
      coupl(nGC_22488) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_206) -   &
                         coupl(nGC_207) - coupl(nGC_209) - coupl(nGC_210))/(   &
                         64d0*pi**2d0*Nc)
      coupl(nGC_22487) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) +    &
                         coupl(nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(   &
                         128d0*pi**2d0)
      coupl(nGC_22486) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_206)**2d0&
                          - coupl(nGC_207)**2d0 - coupl(nGC_209)**2d0 - coupl( &
                         nGC_210)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22485) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_206)**2d0 &
                          + coupl(nGC_207)**2d0 + coupl(nGC_209)**2d0 + coupl( &
                         nGC_210)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22006) = cMT*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_22004) = cMS*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_22002) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_212)**2d0)/(   &
                         16d0*pi**2d0)
      coupl(nGC_22000) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0&
                          - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi&
                         **2d0*Nc)
      coupl(nGC_22009) = cMU*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_22731) = coupl(nGC_20838)*dsw_QED2 + coupl(nGC_20839)*dZee_QED2
      coupl(nGC_22733) = coupl(nGC_21013)*dsw_QED2 + coupl(nGC_21014)*dcw_QED2 &
                          + coupl(nGC_21015)*dZee_QED2
      coupl(nGC_33396) = coupl(nGC_22704) + coupl(nGC_77)*dZHh_QED2 + coupl(   &
                         nGC_77)*dZWMinus_QED2
      coupl(nGC_22138) = coupl(nGC_13)**2d0*coupl(nGC_334)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22649) = coupl(nGC_21096)*db_QED2 + coupl(nGC_21097)*          &
                         dytau1_QED3 + coupl(nGC_21098)*dytau2_QED3
      coupl(nGC_22645) = coupl(nGC_21143)*db_QED2 + coupl(nGC_21144)*          &
                         dyd13x3_QED3 + coupl(nGC_21145)*dyb2_QED3
      coupl(nGC_35789) = coupl(nGC_196)*dZWMinus_QED2 + coupl(nGC_22703)
      coupl(nGC_34652) = coupl(nGC_229)*dZGMinus
      coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
