!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl6()
      coupl(nGC_37178) = coupl(nGC_362)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_32784) = coupl(nGC_213)*dZZA_QED2/2d0
      coupl(nGC_34216) = coupl(nGC_13)*dZuR_QED2
      coupl(nGC_TS_GC_18_Hl) = -coupl(nGC_18)*dtHl_QED1/cMHL**2d0
      coupl(nGC_34213) = coupl(nGC_13)*dZuL_QCD2
      coupl(nGC_22240) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_342) + cMC*&
                         coupl(nGC_333) + cMD*coupl(nGC_345) + cMS*coupl(      &
                         nGC_363) + cMT*coupl(nGC_369) + cMU*coupl(nGC_381))/( &
                         16d0*pi**2d0*Nc)
      coupl(nGC_22243) = coupl(nGC_13)**2d0*coupl(nGC_363)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22246) = coupl(nGC_13)**2d0*coupl(nGC_369)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
      coupl(nGC_33552) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*    &
                         dZeMinusL_QED2/2d0 + coupl(nGC_197)*dZnu_eL_QED2/2d0  &
                          + coupl(nGC_22731)
      coupl(nGC_33797) = coupl(nGC_187)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_33823) = coupl(nGC_210)*dZZ_QED2/2d0 + coupl(nGC_210)*dZcL_QED2&
                          + coupl(nGC_22733)
      coupl(nGC_33822) = coupl(nGC_207)*dZcR_QCD2
      coupl(nGC_TS_GC_253_Hl) = -coupl(nGC_253)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_62_Hl) = -coupl(nGC_62)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_62_Hh) = -coupl(nGC_62)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32373) = coupl(nGC_23)*dZGMinus/2d0
      coupl(nGC_34717) = coupl(nGC_341)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_22113) = coupl(nGC_13)**2d0*coupl(nGC_4199)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22115) = coupl(nGC_13)**2d0*coupl(nGC_368)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_33487) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*    &
                         dZdL_QED2/2d0 + coupl(nGC_197)*dZuL_QED2/2d0 + coupl( &
                         nGC_22731)
      coupl(nGC_22119) = coupl(nGC_13)**2d0*coupl(nGC_374)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32207) = coupl(nGC_37)*dZGMinus/2d0
      coupl(nGC_22030) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1571)*&
                         coupl(nGC_350) + 4d0*coupl(nGC_1)*coupl(nGC_206)**2d0 &
                          + coupl(nGC_1)*coupl(nGC_2475)*coupl(nGC_347) + coupl&
                         (nGC_1)*coupl(nGC_345)**2d0 + coupl(nGC_1)*coupl(     &
                         nGC_348)**2d0 + coupl(nGC_2)*coupl(nGC_346)**2d0 +    &
                         coupl(nGC_2)*coupl(nGC_349)**2d0)/(32d0*pi**2d0)
      coupl(nGC_36210) = coupl(nGC_339)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_39537) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZeMinusR_QED2
      coupl(nGC_39536) = coupl(nGC_211)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZeMinusL_QED2
      coupl(nGC_38418) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_34239) = coupl(nGC_22661) + coupl(nGC_375)*dZHl_QED2/2d0 +     &
                         coupl(nGC_378)*dZHhHl_QED2/2d0
      coupl(nGC_34235) = coupl(nGC_375)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_33220) = coupl(nGC_49)*dZG0
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_48103) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_34691) = coupl(nGC_335)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_34690) = coupl(nGC_335)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_TS_GC_372_Hh) = -coupl(nGC_372)*dtHh_QED1/cMHH**2d0
      coupl(nGC_33317) = coupl(nGC_76)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_32571) = coupl(nGC_62)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_37019) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_32680) = coupl(nGC_13)*dZdR_QED2
      coupl(nGC_32682) = coupl(nGC_13)*dZdL_QED2
      coupl(nGC_37068) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_23_Hh) = -coupl(nGC_23)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22239) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_342) - cMC&
                         *coupl(nGC_333) - cMD*coupl(nGC_345) - cMS*coupl(     &
                         nGC_363) - cMT*coupl(nGC_369) - cMU*coupl(nGC_381))/( &
                         16d0*pi**2d0)
      coupl(nGC_22234) = coupl(nGC_13)**2d0*coupl(nGC_345)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22235) = coupl(nGC_351)*(8d0*coupl(nGC_208)*coupl(nGC_211) -   &
                         coupl(nGC_351)**2d0 - coupl(nGC_353)**2d0 - coupl(    &
                         nGC_354)**2d0 - coupl(nGC_356)**2d0 + 8d0*coupl(nGC_4 &
                         )**2d0)/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
