!******************************************************************************!
!                                                                              !
!    ctparameter114.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter114.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter114
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter114()
  dMHC2_QED2 = (4d0*Nc*Ten206*cMD*cMU*coupl(nGC_346)*coupl(nGC_382) + 4d0*Nc*  &
               Ten207*cMC*cMS*coupl(nGC_334)*coupl(nGC_364) + 4d0*Nc*Ten208*cMB&
               *cMT*coupl(nGC_343)*coupl(nGC_370) + 2d0*Nc*Ten209*cMHC**2d0*(  &
               coupl(nGC_346)**2d0 + coupl(nGC_382)**2d0) + 8d0*Nc*Ten210*(    &
               coupl(nGC_346)**2d0 + coupl(nGC_382)**2d0) + 2d0*Nc*Ten211*cMHC &
               **2d0*(coupl(nGC_346)**2d0 + coupl(nGC_382)**2d0) + 2d0*Nc*     &
               Ten212*cMHC**2d0*(coupl(nGC_334)**2d0 + coupl(nGC_364)**2d0) +  &
               8d0*Nc*Ten213*(coupl(nGC_334)**2d0 + coupl(nGC_364)**2d0) + 2d0*&
               Nc*Ten214*cMHC**2d0*(coupl(nGC_334)**2d0 + coupl(nGC_364)**2d0  &
               ) + 2d0*Nc*Ten215*cMHC**2d0*(coupl(nGC_343)**2d0 + coupl(nGC_370&
               )**2d0) + 8d0*Nc*Ten216*(coupl(nGC_343)**2d0 + coupl(nGC_370)** &
               2d0) + 2d0*Nc*Ten217*cMHC**2d0*(coupl(nGC_343)**2d0 + coupl(    &
               nGC_370)**2d0) + 4d0*Nc*Ten237*cMD*cMU*coupl(nGC_346)*coupl(    &
               nGC_382)*(cMHC**2d0 - rMHC**2d0) + 4d0*Nc*Ten238*cMC*cMS*coupl( &
               nGC_334)*coupl(nGC_364)*(cMHC**2d0 - rMHC**2d0) + 4d0*Nc*Ten239*&
               cMB*cMT*coupl(nGC_343)*coupl(nGC_370)*(cMHC**2d0 - rMHC**2d0) + &
               2d0*Nc*Ten249*rMHC**2d0*(cMHC**2d0*coupl(nGC_346)**2d0 + cMHC** &
               2d0*coupl(nGC_382)**2d0 - coupl(nGC_346)**2d0*rMHC**2d0 - coupl(&
               nGC_382)**2d0*rMHC**2d0) + 8d0*Nc*Ten250*(cMHC**2d0*coupl(      &
               nGC_346)**2d0 + cMHC**2d0*coupl(nGC_382)**2d0 - coupl(nGC_346)**&
               2d0*rMHC**2d0 - coupl(nGC_382)**2d0*rMHC**2d0) + 2d0*Nc*Ten251* &
               rMHC**2d0*(cMHC**2d0*coupl(nGC_346)**2d0 + cMHC**2d0*coupl(     &
               nGC_382)**2d0 - coupl(nGC_346)**2d0*rMHC**2d0 - coupl(nGC_382)**&
               2d0*rMHC**2d0) + 2d0*Nc*Ten252*rMHC**2d0*(cMHC**2d0*coupl(      &
               nGC_334)**2d0 + cMHC**2d0*coupl(nGC_364)**2d0 - coupl(nGC_334)**&
               2d0*rMHC**2d0 - coupl(nGC_364)**2d0*rMHC**2d0) + 8d0*Nc*Ten253*(&
               cMHC**2d0*coupl(nGC_334)**2d0 + cMHC**2d0*coupl(nGC_364)**2d0 - &
               coupl(nGC_334)**2d0*rMHC**2d0 - coupl(nGC_364)**2d0*rMHC**2d0   &
               ) + 2d0*Nc*Ten254*rMHC**2d0*(cMHC**2d0*coupl(nGC_334)**2d0 +    &
               cMHC**2d0*coupl(nGC_364)**2d0 - coupl(nGC_334)**2d0*rMHC**2d0 - &
               coupl(nGC_364)**2d0*rMHC**2d0) + 2d0*Nc*Ten255*rMHC**2d0*(cMHC**&
               2d0*coupl(nGC_343)**2d0 + cMHC**2d0*coupl(nGC_370)**2d0 - coupl(&
               nGC_343)**2d0*rMHC**2d0 - coupl(nGC_370)**2d0*rMHC**2d0) + 8d0* &
               Nc*Ten256*(cMHC**2d0*coupl(nGC_343)**2d0 + cMHC**2d0*coupl(     &
               nGC_370)**2d0 - coupl(nGC_343)**2d0*rMHC**2d0 - coupl(nGC_370)**&
               2d0*rMHC**2d0) + 2d0*Nc*Ten257*rMHC**2d0*(cMHC**2d0*coupl(      &
               nGC_343)**2d0 + cMHC**2d0*coupl(nGC_370)**2d0 - coupl(nGC_343)**&
               2d0*rMHC**2d0 - coupl(nGC_370)**2d0*rMHC**2d0) + cima*Ten0*coupl&
               (nGC_144)/2d0 + cima*Ten1*(-2d0*coupl(nGC_228) - 4d0*coupl(     &
               nGC_229) + coupl(nGC_70))/2d0 + cima*Ten13*coupl(nGC_160) + cima&
               *Ten14*coupl(nGC_168)/2d0 + cima*Ten195*(-coupl(nGC_28) - 2d0*  &
               coupl(nGC_29)) - 4d0*Ten197*cMHC**2d0*coupl(nGC_25)*coupl(nGC_26&
               ) + Ten198*(-4d0*cMHC**2d0*coupl(nGC_178)*coupl(nGC_179) - coupl&
               (nGC_311)**2d0) + Ten199*(-4d0*cMHC**2d0*coupl(nGC_172)*coupl(  &
               nGC_173) - coupl(nGC_293)**2d0) + cima*Ten2*coupl(nGC_108)/2d0  &
                + Ten200*(-4d0*cMHC**2d0*coupl(nGC_184)**2d0 - coupl(nGC_316)* &
               coupl(nGC_320)) - Ten201*coupl(nGC_287)**2d0 - Ten202*coupl(    &
               nGC_277)**2d0 + Ten205*(-4d0*cMHC**2d0*coupl(nGC_217)*coupl(    &
               nGC_218) - coupl(nGC_315)*coupl(nGC_318)) + 2d0*Ten218*cMHC**2d0&
               *coupl(nGC_352)**2d0 + 2d0*Ten219*cMHC**2d0*coupl(nGC_358)**2d0 &
                + 2d0*Ten220*cMHC**2d0*coupl(nGC_376)**2d0 + 8d0*Ten221*coupl( &
               nGC_352)**2d0 + 8d0*Ten222*coupl(nGC_358)**2d0 + 8d0*Ten223*    &
               coupl(nGC_376)**2d0 + 2d0*Ten224*cMHC**2d0*coupl(nGC_352)**2d0  &
                + 2d0*Ten225*cMHC**2d0*coupl(nGC_358)**2d0 + 2d0*Ten226*cMHC** &
               2d0*coupl(nGC_376)**2d0 + 4d0*Ten227*coupl(nGC_25)*coupl(nGC_26 &
               )*rMHC**2d0*(-cMHC**2d0 + rMHC**2d0) + Ten228*(-4d0*cMHC**2d0*  &
               coupl(nGC_178)*coupl(nGC_179)*rMHC**2d0 - cMHC**2d0*coupl(      &
               nGC_311)**2d0 + 4d0*coupl(nGC_178)*coupl(nGC_179)*rMHC**4d0 +   &
               coupl(nGC_311)**2d0*rMHC**2d0) + Ten229*(-4d0*cMHC**2d0*coupl(  &
               nGC_172)*coupl(nGC_173)*rMHC**2d0 - cMHC**2d0*coupl(nGC_293)**  &
               2d0 + 4d0*coupl(nGC_172)*coupl(nGC_173)*rMHC**4d0 + coupl(      &
               nGC_293)**2d0*rMHC**2d0) + Ten230*(-4d0*cMHC**2d0*coupl(nGC_184 &
               )**2d0*rMHC**2d0 - cMHC**2d0*coupl(nGC_316)*coupl(nGC_320) + 4d0&
               *coupl(nGC_184)**2d0*rMHC**4d0 + coupl(nGC_316)*coupl(nGC_320)* &
               rMHC**2d0) + Ten231*(-4d0*cMHC**2d0*coupl(nGC_217)*coupl(nGC_218&
               )*rMHC**2d0 - cMHC**2d0*coupl(nGC_315)*coupl(nGC_318) + 4d0*    &
               coupl(nGC_217)*coupl(nGC_218)*rMHC**4d0 + coupl(nGC_315)*coupl( &
               nGC_318)*rMHC**2d0) + Ten232*(-4d0*cMHC**2d0*coupl(nGC_321)**2d0&
                + 2d0*cMHC**2d0*coupl(nGC_322)**2d0 + 4d0*coupl(nGC_321)**2d0* &
               rMHC**2d0 - 2d0*coupl(nGC_322)**2d0*rMHC**2d0) + Ten233*coupl(  &
               nGC_287)**2d0*(-cMHC**2d0 + rMHC**2d0) + Ten234*coupl(nGC_277)**&
               2d0*(-cMHC**2d0 + rMHC**2d0) + Ten235*coupl(nGC_239)*coupl(     &
               nGC_240)*(-cMHC**2d0 + rMHC**2d0) + Ten236*(-4d0*cMHC**2d0*coupl&
               (nGC_231)**2d0 + 2d0*cMHC**2d0*coupl(nGC_232)**2d0 - cMHC**2d0* &
               coupl(nGC_247)*coupl(nGC_248) + 4d0*coupl(nGC_231)**2d0*rMHC**  &
               2d0 - 2d0*coupl(nGC_232)**2d0*rMHC**2d0 + coupl(nGC_247)*coupl( &
               nGC_248)*rMHC**2d0) + 2d0*Ten240*coupl(nGC_352)**2d0*rMHC**2d0*(&
               cMHC**2d0 - rMHC**2d0) + 8d0*Ten241*coupl(nGC_352)**2d0*(cMHC** &
               2d0 - rMHC**2d0) + 2d0*Ten242*coupl(nGC_352)**2d0*rMHC**2d0*(   &
               cMHC**2d0 - rMHC**2d0) + 2d0*Ten243*coupl(nGC_358)**2d0*rMHC**  &
               2d0*(cMHC**2d0 - rMHC**2d0) + 8d0*Ten244*coupl(nGC_358)**2d0*(  &
               cMHC**2d0 - rMHC**2d0) + 2d0*Ten245*coupl(nGC_358)**2d0*rMHC**  &
               2d0*(cMHC**2d0 - rMHC**2d0) + 2d0*Ten246*coupl(nGC_376)**2d0*   &
               rMHC**2d0*(cMHC**2d0 - rMHC**2d0) + 8d0*Ten247*coupl(nGC_376)** &
               2d0*(cMHC**2d0 - rMHC**2d0) + 2d0*Ten248*coupl(nGC_376)**2d0*   &
               rMHC**2d0*(cMHC**2d0 - rMHC**2d0) + cima*Ten3*(-4d0*coupl(      &
               nGC_100) + coupl(nGC_71) - 2d0*coupl(nGC_99)) + pi**2d0*(-Nc*cMB&
               **2d0*coupl(nGC_343)**2d0/pi**2d0 - Nc*cMB**2d0*coupl(nGC_370)**&
               2d0/pi**2d0 - Nc*cMC**2d0*coupl(nGC_334)**2d0/pi**2d0 - Nc*cMC**&
               2d0*coupl(nGC_364)**2d0/pi**2d0 - Nc*cMD**2d0*coupl(nGC_346)**  &
               2d0/pi**2d0 - Nc*cMD**2d0*coupl(nGC_382)**2d0/pi**2d0 + Nc*cMHC &
               **2d0*coupl(nGC_334)**2d0/(3d0*pi**2d0) + Nc*cMHC**2d0*coupl(   &
               nGC_343)**2d0/(3d0*pi**2d0) + Nc*cMHC**2d0*coupl(nGC_346)**2d0/(&
               3d0*pi**2d0) + Nc*cMHC**2d0*coupl(nGC_364)**2d0/(3d0*pi**2d0) + &
               Nc*cMHC**2d0*coupl(nGC_370)**2d0/(3d0*pi**2d0) + Nc*cMHC**2d0*  &
               coupl(nGC_382)**2d0/(3d0*pi**2d0) - Nc*cMS**2d0*coupl(nGC_334)**&
               2d0/pi**2d0 - Nc*cMS**2d0*coupl(nGC_364)**2d0/pi**2d0 - Nc*cMT**&
               2d0*coupl(nGC_343)**2d0/pi**2d0 - Nc*cMT**2d0*coupl(nGC_370)**  &
               2d0/pi**2d0 - Nc*cMU**2d0*coupl(nGC_346)**2d0/pi**2d0 - Nc*cMU**&
               2d0*coupl(nGC_382)**2d0/pi**2d0 - 16d0*aEW*cMHC**2d0/pi + 16d0* &
               aEW*rMHC**2d0/pi - cME**2d0*coupl(nGC_352)**2d0/pi**2d0 + cMHC**&
               2d0*coupl(nGC_352)**2d0/(3d0*pi**2d0) + cMHC**2d0*coupl(nGC_358 &
               )**2d0/(3d0*pi**2d0) + cMHC**2d0*coupl(nGC_376)**2d0/(3d0*pi**  &
               2d0) - cMM**2d0*coupl(nGC_358)**2d0/pi**2d0 - cMTA**2d0*coupl(  &
               nGC_376)**2d0/pi**2d0 + 2d0*cima*cMW**2d0*coupl(nGC_100)/pi**2d0&
                + cima*cMZ**2d0*coupl(nGC_229)/pi**2d0 + 2d0*coupl(nGC_231)**  &
               2d0/pi**2d0 + 2d0*coupl(nGC_321)**2d0/pi**2d0))/(16d0*pi**2d0   &
               ) + cima*coupl(nGC_243)*dtHl_QED1/cMHL**2d0 + cima*coupl(nGC_251&
               )*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMHC2_QED2 = cone*real(dMHC2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter114
end module ctparameter114
