!******************************************************************************!
!                                                                              !
!    ctparameter137.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter137.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter137
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter137()
  dZHMinus_QED2 = (2d0*Nc*Ten209*(-coupl(nGC_346)**2d0 - coupl(nGC_382)**2d0   &
                  ) + 2d0*Nc*Ten211*(-coupl(nGC_346)**2d0 - coupl(nGC_382)**2d0&
                  ) + 2d0*Nc*Ten212*(-coupl(nGC_334)**2d0 - coupl(nGC_364)**2d0&
                  ) + 2d0*Nc*Ten214*(-coupl(nGC_334)**2d0 - coupl(nGC_364)**2d0&
                  ) + 2d0*Nc*Ten215*(-coupl(nGC_343)**2d0 - coupl(nGC_370)**2d0&
                  ) + 2d0*Nc*Ten217*(-coupl(nGC_343)**2d0 - coupl(nGC_370)**2d0&
                  ) - 4d0*Nc*Ten237*cMD*cMU*coupl(nGC_346)*coupl(nGC_382) - 4d0&
                  *Nc*Ten238*cMC*cMS*coupl(nGC_334)*coupl(nGC_364) - 4d0*Nc*   &
                  Ten239*cMB*cMT*coupl(nGC_343)*coupl(nGC_370) + 2d0*Nc*Ten249*&
                  rMHC**2d0*(-coupl(nGC_346)**2d0 - coupl(nGC_382)**2d0) + 8d0*&
                  Nc*Ten250*(-coupl(nGC_346)**2d0 - coupl(nGC_382)**2d0) + 2d0*&
                  Nc*Ten251*rMHC**2d0*(-coupl(nGC_346)**2d0 - coupl(nGC_382)** &
                  2d0) + 2d0*Nc*Ten252*rMHC**2d0*(-coupl(nGC_334)**2d0 - coupl(&
                  nGC_364)**2d0) + 8d0*Nc*Ten253*(-coupl(nGC_334)**2d0 - coupl(&
                  nGC_364)**2d0) + 2d0*Nc*Ten254*rMHC**2d0*(-coupl(nGC_334)**  &
                  2d0 - coupl(nGC_364)**2d0) + 2d0*Nc*Ten255*rMHC**2d0*(-coupl(&
                  nGC_343)**2d0 - coupl(nGC_370)**2d0) + 8d0*Nc*Ten256*(-coupl(&
                  nGC_343)**2d0 - coupl(nGC_370)**2d0) + 2d0*Nc*Ten257*rMHC**  &
                  2d0*(-coupl(nGC_343)**2d0 - coupl(nGC_370)**2d0) + 4d0*Ten197&
                  *coupl(nGC_25)*coupl(nGC_26) + 4d0*Ten198*coupl(nGC_178)*    &
                  coupl(nGC_179) + 4d0*Ten199*coupl(nGC_172)*coupl(nGC_173) +  &
                  4d0*Ten200*coupl(nGC_184)**2d0 + 4d0*Ten205*coupl(nGC_217)*  &
                  coupl(nGC_218) - 2d0*Ten218*coupl(nGC_352)**2d0 - 2d0*Ten219*&
                  coupl(nGC_358)**2d0 - 2d0*Ten220*coupl(nGC_376)**2d0 - 2d0*  &
                  Ten224*coupl(nGC_352)**2d0 - 2d0*Ten225*coupl(nGC_358)**2d0  &
                   - 2d0*Ten226*coupl(nGC_376)**2d0 + 4d0*Ten227*coupl(nGC_25)*&
                  coupl(nGC_26)*rMHC**2d0 + Ten228*(4d0*coupl(nGC_178)*coupl(  &
                  nGC_179)*rMHC**2d0 + coupl(nGC_311)**2d0) + Ten229*(4d0*coupl&
                  (nGC_172)*coupl(nGC_173)*rMHC**2d0 + coupl(nGC_293)**2d0) +  &
                  Ten230*(4d0*coupl(nGC_184)**2d0*rMHC**2d0 + coupl(nGC_316)*  &
                  coupl(nGC_320)) + Ten231*(4d0*coupl(nGC_217)*coupl(nGC_218)* &
                  rMHC**2d0 + coupl(nGC_315)*coupl(nGC_318)) + Ten233*coupl(   &
                  nGC_287)**2d0 + Ten234*coupl(nGC_277)**2d0 - 2d0*Ten240*coupl&
                  (nGC_352)**2d0*rMHC**2d0 - 8d0*Ten241*coupl(nGC_352)**2d0 -  &
                  2d0*Ten242*coupl(nGC_352)**2d0*rMHC**2d0 - 2d0*Ten243*coupl( &
                  nGC_358)**2d0*rMHC**2d0 - 8d0*Ten244*coupl(nGC_358)**2d0 -   &
                  2d0*Ten245*coupl(nGC_358)**2d0*rMHC**2d0 - 2d0*Ten246*coupl( &
                  nGC_376)**2d0*rMHC**2d0 - 8d0*Ten247*coupl(nGC_376)**2d0 -   &
                  2d0*Ten248*coupl(nGC_376)**2d0*rMHC**2d0 + pi**2d0*(-Nc*coupl&
                  (nGC_334)**2d0/(3d0*pi**2d0) - Nc*coupl(nGC_343)**2d0/(3d0*pi&
                  **2d0) - Nc*coupl(nGC_346)**2d0/(3d0*pi**2d0) - Nc*coupl(    &
                  nGC_364)**2d0/(3d0*pi**2d0) - Nc*coupl(nGC_370)**2d0/(3d0*pi &
                  **2d0) - Nc*coupl(nGC_382)**2d0/(3d0*pi**2d0) - coupl(nGC_352&
                  )**2d0/(3d0*pi**2d0) - coupl(nGC_358)**2d0/(3d0*pi**2d0) -   &
                  coupl(nGC_376)**2d0/(3d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHMinus_QED2 = cone*real(dZHMinus_QED2,kind=dp)
    end if 
end subroutine set_ctparameter137
end module ctparameter137
