!******************************************************************************!
!                                                                              !
!    ctparameter181.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter181.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter181
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter181()
  dMHA2_QED2 = (4d0*Nc*Ten314*cMU**2d0*coupl(nGC_383)**2d0 + 4d0*Nc*Ten315*cMC &
               **2d0*coupl(nGC_335)**2d0 + 4d0*Nc*Ten316*cMT**2d0*coupl(nGC_371&
               )**2d0 + 4d0*Nc*Ten317*cMD**2d0*coupl(nGC_347)**2d0 + 4d0*Nc*   &
               Ten318*cMS**2d0*coupl(nGC_365)**2d0 + 4d0*Nc*Ten319*cMB**2d0*   &
               coupl(nGC_344)**2d0 - 4d0*Nc*Ten329*cMHA**2d0*coupl(nGC_383)**  &
               2d0 - 16d0*Nc*Ten330*coupl(nGC_383)**2d0 - 4d0*Nc*Ten331*cMHA** &
               2d0*coupl(nGC_383)**2d0 - 4d0*Nc*Ten332*cMHA**2d0*coupl(nGC_335 &
               )**2d0 - 16d0*Nc*Ten333*coupl(nGC_335)**2d0 - 4d0*Nc*Ten334*cMHA&
               **2d0*coupl(nGC_335)**2d0 - 4d0*Nc*Ten335*cMHA**2d0*coupl(      &
               nGC_371)**2d0 - 16d0*Nc*Ten336*coupl(nGC_371)**2d0 - 4d0*Nc*    &
               Ten337*cMHA**2d0*coupl(nGC_371)**2d0 - 4d0*Nc*Ten338*cMHA**2d0* &
               coupl(nGC_347)**2d0 - 16d0*Nc*Ten339*coupl(nGC_347)**2d0 - 4d0* &
               Nc*Ten340*cMHA**2d0*coupl(nGC_347)**2d0 - 4d0*Nc*Ten341*cMHA**  &
               2d0*coupl(nGC_365)**2d0 - 16d0*Nc*Ten342*coupl(nGC_365)**2d0 -  &
               4d0*Nc*Ten343*cMHA**2d0*coupl(nGC_365)**2d0 - 4d0*Nc*Ten344*cMHA&
               **2d0*coupl(nGC_344)**2d0 - 16d0*Nc*Ten345*coupl(nGC_344)**2d0  &
                - 4d0*Nc*Ten346*cMHA**2d0*coupl(nGC_344)**2d0 + 4d0*Nc*Ten355* &
               cMU**2d0*coupl(nGC_383)**2d0*(cMHA**2d0 - rMHA**2d0) + 4d0*Nc*  &
               Ten356*cMC**2d0*coupl(nGC_335)**2d0*(cMHA**2d0 - rMHA**2d0) +   &
               4d0*Nc*Ten357*cMT**2d0*coupl(nGC_371)**2d0*(cMHA**2d0 - rMHA**  &
               2d0) + 4d0*Nc*Ten358*cMD**2d0*coupl(nGC_347)**2d0*(cMHA**2d0 -  &
               rMHA**2d0) + 4d0*Nc*Ten359*cMS**2d0*coupl(nGC_365)**2d0*(cMHA** &
               2d0 - rMHA**2d0) + 4d0*Nc*Ten360*cMB**2d0*coupl(nGC_344)**2d0*( &
               cMHA**2d0 - rMHA**2d0) + 4d0*Nc*Ten370*coupl(nGC_383)**2d0*rMHA &
               **2d0*(-cMHA**2d0 + rMHA**2d0) + 16d0*Nc*Ten371*coupl(nGC_383)**&
               2d0*(-cMHA**2d0 + rMHA**2d0) + 4d0*Nc*Ten372*coupl(nGC_383)**2d0&
               *rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + 4d0*Nc*Ten373*coupl(      &
               nGC_335)**2d0*rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + 16d0*Nc*     &
               Ten374*coupl(nGC_335)**2d0*(-cMHA**2d0 + rMHA**2d0) + 4d0*Nc*   &
               Ten375*coupl(nGC_335)**2d0*rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + &
               4d0*Nc*Ten376*coupl(nGC_371)**2d0*rMHA**2d0*(-cMHA**2d0 + rMHA**&
               2d0) + 16d0*Nc*Ten377*coupl(nGC_371)**2d0*(-cMHA**2d0 + rMHA**  &
               2d0) + 4d0*Nc*Ten378*coupl(nGC_371)**2d0*rMHA**2d0*(-cMHA**2d0  &
                + rMHA**2d0) + 4d0*Nc*Ten379*coupl(nGC_347)**2d0*rMHA**2d0*(-  &
               cMHA**2d0 + rMHA**2d0) + 16d0*Nc*Ten380*coupl(nGC_347)**2d0*(-  &
               cMHA**2d0 + rMHA**2d0) + 4d0*Nc*Ten381*coupl(nGC_347)**2d0*rMHA &
               **2d0*(-cMHA**2d0 + rMHA**2d0) + 4d0*Nc*Ten382*coupl(nGC_365)** &
               2d0*rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + 16d0*Nc*Ten383*coupl(  &
               nGC_365)**2d0*(-cMHA**2d0 + rMHA**2d0) + 4d0*Nc*Ten384*coupl(   &
               nGC_365)**2d0*rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + 4d0*Nc*Ten385&
               *coupl(nGC_344)**2d0*rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + 16d0* &
               Nc*Ten386*coupl(nGC_344)**2d0*(-cMHA**2d0 + rMHA**2d0) + 4d0*Nc*&
               Ten387*coupl(nGC_344)**2d0*rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + &
               cima*Ten0*coupl(nGC_145)/2d0 + cima*Ten1*(-2d0*coupl(nGC_227) - &
               4d0*coupl(nGC_230) + coupl(nGC_73))/2d0 + cima*Ten13*coupl(     &
               nGC_168) + cima*Ten14*coupl(nGC_66)/2d0 + cima*Ten2*coupl(      &
               nGC_110)/2d0 + cima*Ten3*(-4d0*coupl(nGC_100) + coupl(nGC_70) - &
               2d0*coupl(nGC_99)) + Ten306*(-4d0*cMHA**2d0*coupl(nGC_216)**2d0 &
                - coupl(nGC_312)**2d0) + Ten307*(-4d0*cMHA**2d0*coupl(nGC_213  &
               )**2d0 - coupl(nGC_294)**2d0) - Ten308*coupl(nGC_290)**2d0 -    &
               Ten309*coupl(nGC_278)**2d0 + Ten310*(-8d0*cMHA**2d0*coupl(      &
               nGC_183)**2d0 - 2d0*coupl(nGC_317)*coupl(nGC_319)) + 4d0*Ten311*&
               cME**2d0*coupl(nGC_353)**2d0 + 4d0*Ten312*cMM**2d0*coupl(nGC_359&
               )**2d0 + 4d0*Ten313*cMTA**2d0*coupl(nGC_377)**2d0 - 4d0*Ten320* &
               cMHA**2d0*coupl(nGC_353)**2d0 - 16d0*Ten321*coupl(nGC_353)**2d0 &
                - 4d0*Ten322*cMHA**2d0*coupl(nGC_353)**2d0 - 4d0*Ten323*cMHA** &
               2d0*coupl(nGC_359)**2d0 - 16d0*Ten324*coupl(nGC_359)**2d0 - 4d0*&
               Ten325*cMHA**2d0*coupl(nGC_359)**2d0 - 4d0*Ten326*cMHA**2d0*    &
               coupl(nGC_377)**2d0 - 16d0*Ten327*coupl(nGC_377)**2d0 - 4d0*    &
               Ten328*cMHA**2d0*coupl(nGC_377)**2d0 + Ten347*(-4d0*cMHA**2d0*  &
               coupl(nGC_216)**2d0*rMHA**2d0 - cMHA**2d0*coupl(nGC_312)**2d0 + &
               4d0*coupl(nGC_216)**2d0*rMHA**4d0 + coupl(nGC_312)**2d0*rMHA**  &
               2d0) + Ten348*(-4d0*cMHA**2d0*coupl(nGC_213)**2d0*rMHA**2d0 -   &
               cMHA**2d0*coupl(nGC_294)**2d0 + 4d0*coupl(nGC_213)**2d0*rMHA**  &
               4d0 + coupl(nGC_294)**2d0*rMHA**2d0) + Ten349*(-8d0*cMHA**2d0*  &
               coupl(nGC_183)**2d0*rMHA**2d0 - 2d0*cMHA**2d0*coupl(nGC_317)*   &
               coupl(nGC_319) + 8d0*coupl(nGC_183)**2d0*rMHA**4d0 + 2d0*coupl( &
               nGC_317)*coupl(nGC_319)*rMHA**2d0) + Ten350*coupl(nGC_290)**2d0 &
               *(-cMHA**2d0 + rMHA**2d0) + Ten351*coupl(nGC_278)**2d0*(-cMHA** &
               2d0 + rMHA**2d0) + 4d0*Ten352*cME**2d0*coupl(nGC_353)**2d0*(cMHA&
               **2d0 - rMHA**2d0) + 4d0*Ten353*cMM**2d0*coupl(nGC_359)**2d0*(  &
               cMHA**2d0 - rMHA**2d0) + 4d0*Ten354*cMTA**2d0*coupl(nGC_377)**  &
               2d0*(cMHA**2d0 - rMHA**2d0) + 4d0*Ten361*coupl(nGC_353)**2d0*   &
               rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + 16d0*Ten362*coupl(nGC_353  &
               )**2d0*(-cMHA**2d0 + rMHA**2d0) + 4d0*Ten363*coupl(nGC_353)**2d0&
               *rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + 4d0*Ten364*coupl(nGC_359  &
               )**2d0*rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + 16d0*Ten365*coupl(  &
               nGC_359)**2d0*(-cMHA**2d0 + rMHA**2d0) + 4d0*Ten366*coupl(      &
               nGC_359)**2d0*rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + 4d0*Ten367*  &
               coupl(nGC_377)**2d0*rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + 16d0*  &
               Ten368*coupl(nGC_377)**2d0*(-cMHA**2d0 + rMHA**2d0) + 4d0*Ten369&
               *coupl(nGC_377)**2d0*rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + pi**  &
               2d0*(4d0*Nc*cMB**2d0*coupl(nGC_344)**2d0/pi**2d0 + 4d0*Nc*cMC** &
               2d0*coupl(nGC_335)**2d0/pi**2d0 + 4d0*Nc*cMD**2d0*coupl(nGC_347 &
               )**2d0/pi**2d0 - 2d0*Nc*cMHA**2d0*coupl(nGC_335)**2d0/(3d0*pi** &
               2d0) - 2d0*Nc*cMHA**2d0*coupl(nGC_344)**2d0/(3d0*pi**2d0) - 2d0*&
               Nc*cMHA**2d0*coupl(nGC_347)**2d0/(3d0*pi**2d0) - 2d0*Nc*cMHA**  &
               2d0*coupl(nGC_365)**2d0/(3d0*pi**2d0) - 2d0*Nc*cMHA**2d0*coupl( &
               nGC_371)**2d0/(3d0*pi**2d0) - 2d0*Nc*cMHA**2d0*coupl(nGC_383)** &
               2d0/(3d0*pi**2d0) + 4d0*Nc*cMS**2d0*coupl(nGC_365)**2d0/pi**2d0 &
                + 4d0*Nc*cMT**2d0*coupl(nGC_371)**2d0/pi**2d0 + 4d0*Nc*cMU**2d0&
               *coupl(nGC_383)**2d0/pi**2d0 + 4d0*cME**2d0*coupl(nGC_353)**2d0/&
               pi**2d0 - 2d0*cMHA**2d0*coupl(nGC_353)**2d0/(3d0*pi**2d0) - 2d0*&
               cMHA**2d0*coupl(nGC_359)**2d0/(3d0*pi**2d0) - 2d0*cMHA**2d0*    &
               coupl(nGC_377)**2d0/(3d0*pi**2d0) + 4d0*cMM**2d0*coupl(nGC_359  &
               )**2d0/pi**2d0 + 4d0*cMTA**2d0*coupl(nGC_377)**2d0/pi**2d0 + 2d0&
               *cima*cMW**2d0*coupl(nGC_100)/pi**2d0 + cima*cMZ**2d0*coupl(    &
               nGC_230)/pi**2d0))/(16d0*pi**2d0) + cima*coupl(nGC_246)*        &
               dtHl_QED1/cMHL**2d0 + cima*coupl(nGC_254)*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMHA2_QED2 = cone*real(dMHA2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter181
end module ctparameter181
