!******************************************************************************!
!                                                                              !
!    ctparameter30.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter30.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter30
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter30()
  DeltaUV = DeltaUV + log(muUV**2/muMS_BSM**2)
  dtHl_MS_BSM_QED1 = cima*DeltaUV*(8d0*Nc*cMB**3d0*coupl(nGC_342) + 8d0*Nc*cMC &
                     **3d0*coupl(nGC_333) + 8d0*Nc*cMD**3d0*coupl(nGC_345) +   &
                     8d0*Nc*cMS**3d0*coupl(nGC_363) + 8d0*Nc*cMT**3d0*coupl(   &
                     nGC_369) + 8d0*Nc*cMU**3d0*coupl(nGC_381) + 8d0*cME**3d0* &
                     coupl(nGC_351) - cMHA**2d0*coupl(nGC_292) - 2d0*cMHC**2d0*&
                     coupl(nGC_291) - cMHH**2d0*coupl(nGC_233) - cMHL**2d0*    &
                     coupl(nGC_234) + 8d0*cMM**3d0*coupl(nGC_357) + 8d0*cMTA** &
                     3d0*coupl(nGC_375) + 4d0*cMW**2d0*coupl(nGC_260) + 8d0*cMW&
                     **2d0*coupl(nGC_261) - 2d0*cMW**2d0*coupl(nGC_299) - cMZ**&
                     2d0*coupl(nGC_300) + 2d0*cMZ**2d0*coupl(nGC_328) + 4d0*cMZ&
                     **2d0*coupl(nGC_329))/(32d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dtHl_MS_BSM_QED1 = cone*real(dtHl_MS_BSM_QED1,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS_BSM**2)
end subroutine set_ctparameter30
end module ctparameter30
