!******************************************************************************!
!                                                                              !
!    ctparameter35.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter35.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter35
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter35()
  DeltaUV = DeltaUV + log(muUV**2/muMS_BSM**2)
  dMW2_MS_BSM_QED2 = DeltaUV*(Nc*cMB**2d0*coupl(nGC_197)**2d0 + Nc*cMC**2d0*   &
                     coupl(nGC_197)**2d0 + Nc*cMD**2d0*coupl(nGC_197)**2d0 + Nc&
                     *cMS**2d0*coupl(nGC_197)**2d0 + Nc*cMT**2d0*coupl(nGC_197 &
                     )**2d0 + Nc*cMU**2d0*coupl(nGC_197)**2d0 - 2d0*Nc*cMW**2d0&
                     *coupl(nGC_197)**2d0 + cME**2d0*coupl(nGC_197)**2d0 - cima&
                     *cMHA**2d0*coupl(nGC_100)/2d0 - cMHA**2d0*coupl(nGC_184)**&
                     2d0 - cima*cMHC**2d0*coupl(nGC_100) - cMHC**2d0*coupl(    &
                     nGC_172)*coupl(nGC_173) - cMHC**2d0*coupl(nGC_178)*coupl( &
                     nGC_179) - cMHC**2d0*coupl(nGC_184)**2d0 - cMHH**2d0*coupl&
                     (nGC_172)*coupl(nGC_173) - cMHH**2d0*coupl(nGC_178)*coupl(&
                     nGC_179) - cima*cMHH**2d0*coupl(nGC_77)/2d0 - cMHL**2d0*  &
                     coupl(nGC_172)*coupl(nGC_173) - cMHL**2d0*coupl(nGC_178)* &
                     coupl(nGC_179) - cima*cMHL**2d0*coupl(nGC_77)/2d0 + cMM** &
                     2d0*coupl(nGC_197)**2d0 + cMTA**2d0*coupl(nGC_197)**2d0 - &
                     cima*cMW**2d0*coupl(nGC_100) - cMW**2d0*coupl(nGC_172)*   &
                     coupl(nGC_173)/3d0 - cMW**2d0*coupl(nGC_178)*coupl(nGC_179&
                     )/3d0 - cMW**2d0*coupl(nGC_184)**2d0/3d0 + 2d0*cima*cMW** &
                     2d0*coupl(nGC_190) + 2d0*cima*cMW**2d0*coupl(nGC_191) -   &
                     2d0*cMW**2d0*coupl(nGC_197)**2d0 - 32d0*cMW**2d0*coupl(   &
                     nGC_198)*coupl(nGC_199)/3d0 - cMW**2d0*coupl(nGC_200)**2d0&
                     /6d0 - cMW**2d0*coupl(nGC_201)**2d0/6d0 - 32d0*cMW**2d0*  &
                     coupl(nGC_3)*coupl(nGC_4)/3d0 - cMW**2d0*coupl(nGC_5)**2d0&
                     /6d0 - cMW**2d0*coupl(nGC_6)**2d0/6d0 - cima*cMZ**2d0*    &
                     coupl(nGC_100)/2d0 - cMZ**2d0*coupl(nGC_184)**2d0 + 2d0*  &
                     cima*cMZ**2d0*coupl(nGC_195) + cima*cMZ**2d0*coupl(nGC_196&
                     ) - 4d0*cMZ**2d0*coupl(nGC_198)*coupl(nGC_199) - cMZ**2d0*&
                     coupl(nGC_200)**2d0/4d0 - cMZ**2d0*coupl(nGC_201)**2d0/4d0&
                      - coupl(nGC_261)**2d0 - coupl(nGC_262)*coupl(nGC_265) -  &
                     coupl(nGC_269)**2d0 - coupl(nGC_272)**2d0 - coupl(nGC_273 &
                     )*coupl(nGC_276) - coupl(nGC_286)**2d0 - coupl(nGC_323)** &
                     2d0 - coupl(nGC_326)**2d0)/(16d0*pi**2d0) - cima*coupl(   &
                     nGC_261)*dtHl_MS_BSM_QED1/cMHL**2d0 - cima*coupl(nGC_272)*&
                     dtHh_MS_BSM_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMW2_MS_BSM_QED2 = cone*real(dMW2_MS_BSM_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS_BSM**2)
end subroutine set_ctparameter35
end module ctparameter35
