!******************************************************************************!
!                                                                              !
!    ctparameter52.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter52.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter52
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter52()
  if (dZbL_QED2_scheme .eq. 2) then
    dZbL_QED2 = (Ten452*coupl(nGC_1)**2d0 + Ten513*(-2d0*coupl(nGC_209)**2d0 + &
                coupl(nGC_341)**2d0) + Ten514*coupl(nGC_344)**2d0 - Ten515*    &
                coupl(nGC_339)**2d0 - Ten516*coupl(nGC_342)**2d0 + Ten698*(2d0*&
                coupl(nGC_197)**2d0 + coupl(nGC_373)**2d0) + Ten699*(2d0*coupl(&
                nGC_197)**2d0 + coupl(nGC_373)**2d0) - Ten700*coupl(nGC_370)** &
                2d0 + pi**2d0*(-coupl(nGC_197)**2d0/pi**2d0 - coupl(nGC_209)** &
                2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZbL_QED2 = cone*real(dZbL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter52
end module ctparameter52
