!******************************************************************************!
!                                                                              !
!    ctparameter63.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter63.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter63
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter63()
  DeltaUV = DeltaUV + log(muUV**2/muMS_BSM**2)
  dZG0Ha_MS_BSM_QED2 = DeltaUV*(8d0*Nc*cMB**2d0*coupl(nGC_341)*coupl(nGC_344   &
                       ) + 8d0*Nc*cMC**2d0*coupl(nGC_335)*coupl(nGC_338) + 8d0*&
                       Nc*cMD**2d0*coupl(nGC_347)*coupl(nGC_350) - 4d0*Nc*cMHA &
                       **2d0*coupl(nGC_335)*coupl(nGC_338) - 4d0*Nc*cMHA**2d0* &
                       coupl(nGC_341)*coupl(nGC_344) - 4d0*Nc*cMHA**2d0*coupl( &
                       nGC_347)*coupl(nGC_350) - 4d0*Nc*cMHA**2d0*coupl(nGC_365&
                       )*coupl(nGC_368) - 4d0*Nc*cMHA**2d0*coupl(nGC_371)*coupl&
                       (nGC_374) - 4d0*Nc*cMHA**2d0*coupl(nGC_383)*coupl(      &
                       nGC_386) + 8d0*Nc*cMS**2d0*coupl(nGC_365)*coupl(nGC_368 &
                       ) + 8d0*Nc*cMT**2d0*coupl(nGC_371)*coupl(nGC_374) + 8d0*&
                       Nc*cMU**2d0*coupl(nGC_383)*coupl(nGC_386) + 8d0*cME**2d0&
                       *coupl(nGC_353)*coupl(nGC_356) + 8d0*cMHA**2d0*coupl(   &
                       nGC_213)*coupl(nGC_216) + 8d0*cMHA**2d0*coupl(nGC_214)* &
                       coupl(nGC_216) - 4d0*cMHA**2d0*coupl(nGC_353)*coupl(    &
                       nGC_356) - 4d0*cMHA**2d0*coupl(nGC_359)*coupl(nGC_362   &
                       ) - 4d0*cMHA**2d0*coupl(nGC_377)*coupl(nGC_380) - cima* &
                       cMHA**2d0*coupl(nGC_58) - 2d0*cima*cMHC**2d0*coupl(     &
                       nGC_54) - cima*cMHH**2d0*coupl(nGC_135) - cima*cMHL**2d0&
                       *coupl(nGC_131) + 8d0*cMM**2d0*coupl(nGC_359)*coupl(    &
                       nGC_362) + 8d0*cMTA**2d0*coupl(nGC_377)*coupl(nGC_380   &
                       ) - 2d0*cima*cMW**2d0*coupl(nGC_55) - cima*cMZ**2d0*    &
                       coupl(nGC_59) + 2d0*coupl(nGC_278)*coupl(nGC_289) + 2d0*&
                       coupl(nGC_280)*coupl(nGC_290) + 2d0*coupl(nGC_294)*coupl&
                       (nGC_310) + 2d0*coupl(nGC_296)*coupl(nGC_312) + 2d0*    &
                       coupl(nGC_303)*coupl(nGC_317) + 2d0*coupl(nGC_305)*coupl&
                       (nGC_319))/(16d0*pi**2d0*cMHA**2d0) - 2d0*cima*coupl(   &
                       nGC_253)*dtHl_MS_BSM_QED1/(cMHA**2d0*cMHL**2d0) - 2d0*  &
                       cima*coupl(nGC_245)*dtHh_MS_BSM_QED1/(cMHA**2d0*cMHH**  &
                       2d0)
    if (.not. complex_mass_scheme) then
      dZG0Ha_MS_BSM_QED2 = cone*real(dZG0Ha_MS_BSM_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS_BSM**2)
end subroutine set_ctparameter63
end module ctparameter63
