!******************************************************************************!
!                                                                              !
!    ctparameter67.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter67.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter67
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter67()
  dMT_QCD2 = (pi**2d0*(-2d0*Nc*aS*cMT**2d0*sq2**2d0/(pi*rMT) + 2d0*Nc*aS*rMT*  &
             sq2**2d0/pi - Nc*cMT*coupl(nGC_13)**2d0*sq2**2d0/(4d0*pi**2d0) +  &
             2d0*aS*cMT**2d0*sq2**2d0/(pi*Nc*rMT) - 2d0*aS*rMT*sq2**2d0/(pi*Nc &
             ) + cMT*coupl(nGC_13)**2d0*sq2**2d0/(4d0*pi**2d0*Nc)) + Ten702*cMT&
             *coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0 - 1d0)/(2d0*Nc) + Ten708*cMT&
             *coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(2d0*Nc) + Ten719*  &
             coupl(nGC_13)**2d0*rMT*sq2**2d0*(2d0*Nc**2d0*cMT**2d0 - 3d0*Nc**  &
             2d0*cMT*rMT + Nc**2d0*rMT**2d0 - 2d0*cMT**2d0 + 3d0*cMT*rMT - rMT &
             **2d0)/Nc + Ten726*coupl(nGC_13)**2d0*rMT**2d0*sq2**2d0*(-Nc**2d0*&
             cMT + Nc**2d0*rMT + cMT - rMT)/Nc)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMT_QCD2 = cone*real(dMT_QCD2,kind=dp)
    end if 
end subroutine set_ctparameter67
end module ctparameter67
