!******************************************************************************!
!                                                                              !
!    ctparameter71.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter71.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter71
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter71()
  OS12_Hvv_db_QED2 = (pi*Ten1031*aEW*cMHH**2d0*(-ca**2d0*cb*sb + ca*cb**2d0*sa &
                      - ca*sa*sb**2d0 + cb*sa**2d0*sb)/(cw**2d0*sw**2d0) + pi* &
                     Ten1032*aEW*cMHL**2d0*(ca**2d0*cb*sb - ca*cb**2d0*sa + ca*&
                     sa*sb**2d0 - cb*sa**2d0*sb)/(cw**2d0*sw**2d0) + pi*Ten1034&
                     *aEW*cMHH**2d0*(-ca**2d0*cb*sb + ca*cb**2d0*sa - ca*sa*sb &
                     **2d0 + cb*sa**2d0*sb)/(cw**2d0*sw**2d0) + pi*Ten1035*aEW*&
                     cMHL**2d0*(ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0  &
                      - cb*sa**2d0*sb)/(cw**2d0*sw**2d0) + pi*Ten1036*aEW*cMHA &
                     **2d0*cb*sb*(ca**2d0*sb**2d0 - cb**2d0*sa**2d0)/(cw**2d0* &
                     sw**2d0) + 2d0*pi*Ten1037*aEW*cMHC**2d0*cb*sb*(ca**2d0*sb &
                     **2d0 - cb**2d0*sa**2d0)/sw**2d0 + 2d0*pi*Ten1038*aEW*cMHC&
                     **2d0*cb*sb*(ca**2d0*sb**2d0 - cb**2d0*sa**2d0)/sw**2d0 + &
                     4d0*pi*Ten1039*aEW*cMW**2d0*cb*sb*(cMHH**2d0*ca**2d0*cb** &
                     2d0 - cMHH**2d0*sa**2d0*sb**2d0 - 2d0*cMW**2d0*ca**2d0*cb &
                     **2d0 + 2d0*cMW**2d0*sa**2d0*sb**2d0)/(cMHH**2d0*sw**2d0  &
                     ) + pi*Ten1040*aEW*cMHA**2d0*cb*sb*(ca**2d0*sb**2d0 - cb**&
                     2d0*sa**2d0)/(cw**2d0*sw**2d0) + 2d0*pi*Ten1041*aEW*cMW** &
                     2d0*cb*sb*(cMHH**2d0*ca**2d0*cb**2d0*cw**2d0 - cMHH**2d0* &
                     cw**2d0*sa**2d0*sb**2d0 - 2d0*cMW**2d0*ca**2d0*cb**2d0 +  &
                     2d0*cMW**2d0*sa**2d0*sb**2d0)/(cMHH**2d0*cw**6d0*sw**2d0  &
                     ) + 4d0*pi*Ten1042*aEW*cb*sb*(cMHH**2d0*cMHL**2d0*ca**2d0*&
                     cb**2d0 + cMHH**2d0*cMHL**2d0*ca**2d0*sb**2d0 + cMHH**2d0*&
                     cMHL**2d0*cb**2d0*sa**2d0 + cMHH**2d0*cMHL**2d0*sa**2d0*sb&
                     **2d0 - cMHH**2d0*cMHL**2d0 + 2d0*cMHH**2d0*cMW**2d0*ca** &
                     2d0 - 2d0*cMHH**2d0*cMW**2d0*cb**2d0 - 2d0*cMHL**2d0*cMW**&
                     2d0*ca**2d0*cb**2d0 + 2d0*cMHL**2d0*cMW**2d0*sa**2d0*sb** &
                     2d0)/(cMHH**2d0*cMHL**2d0*sw**2d0) + 4d0*pi*Ten1043*aEW*  &
                     cMW**2d0*cb*sb*(cMHH**2d0*ca**2d0 - cMHH**2d0*cb**2d0 -   &
                     cMHL**2d0*cb**2d0 + cMHL**2d0*sa**2d0)/(cMHH**2d0*cMHL**  &
                     2d0*cw**4d0*sw**2d0) + pi*Ten1045*aEW*(-2d0*ca*cb**2d0*sa &
                      + ca*sa - 2d0*cb*sa**2d0*sb + cb*sb)/(cw**2d0*sw**2d0) + &
                     pi*Ten1046*aEW*(2d0*ca*cb**2d0*sa - ca*sa + 2d0*cb*sa**2d0&
                     *sb - cb*sb)/(cw**2d0*sw**2d0) + pi*Ten1047*aEW*cb*sb*(-ca&
                     **2d0*sb**2d0 + cb**2d0*sa**2d0)/(cw**2d0*sw**2d0) + 2d0* &
                     pi*Ten1048*aEW*cb*sb*(-ca**2d0*sb**2d0 + cb**2d0*sa**2d0)/&
                     sw**2d0 + 2d0*pi*Ten1049*aEW*cb*sb*(-ca**2d0*sb**2d0 + cb &
                     **2d0*sa**2d0)/sw**2d0 + 4d0*pi*Ten1050*aEW*cb*sb*(-cMHH**&
                     2d0*ca**2d0*cb**2d0 + cMHH**2d0*sa**2d0*sb**2d0 + 2d0*cMW &
                     **2d0*ca**2d0*cb**2d0 - 2d0*cMW**2d0*sa**2d0*sb**2d0)/(   &
                     cMHH**2d0*sw**2d0) + pi*Ten1051*aEW*cb*sb*(-ca**2d0*sb**  &
                     2d0 + cb**2d0*sa**2d0)/(cw**2d0*sw**2d0) + 2d0*pi*Ten1052*&
                     aEW*cb*sb*(-cMHH**2d0*ca**2d0*cb**2d0*cw**2d0 + cMHH**2d0*&
                     cw**2d0*sa**2d0*sb**2d0 + 2d0*cMW**2d0*ca**2d0*cb**2d0 -  &
                     2d0*cMW**2d0*sa**2d0*sb**2d0)/(cMHH**2d0*cw**4d0*sw**2d0  &
                     ) + pi*Ten1053*aEW*cMHA**2d0*cb*sb*(-ca**2d0*cb**2d0 + sa &
                     **2d0*sb**2d0)/(cw**2d0*sw**2d0) + 2d0*pi*Ten1054*aEW*cMHC&
                     **2d0*cb*sb*(-ca**2d0*cb**2d0 + sa**2d0*sb**2d0)/sw**2d0  &
                      + 2d0*pi*Ten1055*aEW*cMHC**2d0*cb*sb*(-ca**2d0*cb**2d0 + &
                     sa**2d0*sb**2d0)/sw**2d0 + 4d0*pi*Ten1056*aEW*cMW**2d0*cb*&
                     sb*(-cMHL**2d0*ca**2d0*sb**2d0 + cMHL**2d0*cb**2d0*sa**2d0&
                      + 2d0*cMW**2d0*ca**2d0*sb**2d0 - 2d0*cMW**2d0*cb**2d0*sa &
                     **2d0)/(cMHL**2d0*sw**2d0) + pi*Ten1057*aEW*cMHA**2d0*cb* &
                     sb*(-ca**2d0*cb**2d0 + sa**2d0*sb**2d0)/(cw**2d0*sw**2d0  &
                     ) + 2d0*pi*Ten1058*aEW*cMW**2d0*cb*sb*(-cMHL**2d0*ca**2d0*&
                     cw**2d0*sb**2d0 + cMHL**2d0*cb**2d0*cw**2d0*sa**2d0 + 2d0*&
                     cMW**2d0*ca**2d0*sb**2d0 - 2d0*cMW**2d0*cb**2d0*sa**2d0)/(&
                     cMHL**2d0*cw**6d0*sw**2d0) + pi*Ten1059*aEW*cb*sb*(ca**2d0&
                     *cb**2d0 - sa**2d0*sb**2d0)/(cw**2d0*sw**2d0) + 2d0*pi*   &
                     Ten1060*aEW*cb*sb*(ca**2d0*cb**2d0 - sa**2d0*sb**2d0)/sw**&
                     2d0 + 2d0*pi*Ten1061*aEW*cb*sb*(ca**2d0*cb**2d0 - sa**2d0*&
                     sb**2d0)/sw**2d0 + 4d0*pi*Ten1062*aEW*cb*sb*(cMHL**2d0*ca &
                     **2d0*sb**2d0 - cMHL**2d0*cb**2d0*sa**2d0 - 2d0*cMW**2d0* &
                     ca**2d0*sb**2d0 + 2d0*cMW**2d0*cb**2d0*sa**2d0)/(cMHL**2d0&
                     *sw**2d0) + pi*Ten1063*aEW*cb*sb*(ca**2d0*cb**2d0 - sa**  &
                     2d0*sb**2d0)/(cw**2d0*sw**2d0) + 2d0*pi*Ten1064*aEW*cb*sb &
                     *(cMHL**2d0*ca**2d0*cw**2d0*sb**2d0 - cMHL**2d0*cb**2d0*cw&
                     **2d0*sa**2d0 - 2d0*cMW**2d0*ca**2d0*sb**2d0 + 2d0*cMW**  &
                     2d0*cb**2d0*sa**2d0)/(cMHL**2d0*cw**4d0*sw**2d0) + pi*    &
                     Ten411*aEW*(2d0*ca*cb**2d0*sa - ca*sa + 2d0*cb*sa**2d0*sb &
                      - cb*sb)/(cw**2d0*sw**2d0) + pi*Ten412*aEW*(-2d0*ca*cb** &
                     2d0*sa + ca*sa - 2d0*cb*sa**2d0*sb + cb*sb)/(cw**2d0*sw** &
                     2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      OS12_Hvv_db_QED2 = cone*real(OS12_Hvv_db_QED2,kind=dp)
    end if 
end subroutine set_ctparameter71
end module ctparameter71
