!******************************************************************************!
!                                                                              !
!    ctparameter83.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter83.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter83
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter83()
  DeltaUV = DeltaUV + log(muUV**2/muMS_BSM**2)
  dZHh_MS_BSM_QED2 = DeltaUV*(Nc*coupl(nGC_336)**2d0 + Nc*coupl(nGC_339)**2d0  &
                      + Nc*coupl(nGC_348)**2d0 + Nc*coupl(nGC_366)**2d0 + Nc*  &
                     coupl(nGC_372)**2d0 + Nc*coupl(nGC_384)**2d0 + 4d0*coupl( &
                     nGC_172)*coupl(nGC_173) + 4d0*coupl(nGC_178)*coupl(nGC_179&
                     ) + 2d0*coupl(nGC_214)**2d0 + 2d0*coupl(nGC_215)**2d0 +   &
                     coupl(nGC_354)**2d0 + coupl(nGC_360)**2d0 + coupl(nGC_378 &
                     )**2d0)/(8d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHh_MS_BSM_QED2 = cone*real(dZHh_MS_BSM_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS_BSM**2)
end subroutine set_ctparameter83
end module ctparameter83
